Set RandomNumberSeed = 0
Set SimSpeed = AS_FAST_AS_REAL_CLOCK
Set TickToNanoSec = 1
Set WireLogFlag = on
Set WirelessLogFlag = on
Set LteLogFlag = on
Set WiFiChannelCoding11a = on
Set WiFiChannelCoding11n = on
Set WiFiEnableBitError11a = off
Set WiFiEnableBitError11n = off
Set WAVEEnableBitError = off
Set WAVEChannelCoding = on
Set LTEChannelCoding = off
Set RunTimePacketAnimationAndNodeMovement = on
Set IP_Prefix = 1.0.0.0


Create Node 1 as OF_CTRL with name = OF_CTRL1
	Define port 1
		Module Interface : Node1_Interface_PORT_1
			Set Node1_Interface_PORT_1.ip = 1.0.1.1
			Set Node1_Interface_PORT_1.netmask = 255.255.255.0

		Module ARP : Node1_ARP_PORT_1
			Set Node1_ARP_PORT_1.arpMode = RunARP
			Set Node1_ARP_PORT_1.flushInterval = 3000
			Set Node1_ARP_PORT_1.ArpTableFileName = Opendaylight_SpanningTree.arp

		Module FIFO : Node1_FIFO_PORT_1
			Set Node1_FIFO_PORT_1.max_qlen = 50
			Set Node1_FIFO_PORT_1.log_qlen = off
			Set Node1_FIFO_PORT_1.log_option = FullLog
			Set Node1_FIFO_PORT_1.samplerate = 1
			Set Node1_FIFO_PORT_1.logFileName = Opendaylight_SpanningTree.fifo_N1_P1_qlen.log
			Set Node1_FIFO_PORT_1.log_drop = off
			Set Node1_FIFO_PORT_1.drop_samplerate = 1
			Set Node1_FIFO_PORT_1.droplogFileName = Opendaylight_SpanningTree.fifo_N1_P1_drop.log

		Module TCPDUMP : Node1_TCPDUMP_PORT_1

		Module LO : Node1_LO_PORT_1

		Module MAC8023 : Node1_MAC8023_PORT_1
			Set Node1_MAC8023_PORT_1.mac = 0:1:0:0:0:2
			Set Node1_MAC8023_PORT_1.lock_mac = off
			Set Node1_MAC8023_PORT_1.PromisOpt = off
			Set Node1_MAC8023_PORT_1.mode = full
			Set Node1_MAC8023_PORT_1.log = off
			Set Node1_MAC8023_PORT_1.logInterval = 1
			Set Node1_MAC8023_PORT_1.NumCollision = off
			Set Node1_MAC8023_PORT_1.NumUniInPkt = off
			Set Node1_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node1_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node1_MAC8023_PORT_1.NumBroInPkt = off
			Set Node1_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node1_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node1_MAC8023_PORT_1.NumDrop = off
			Set Node1_MAC8023_PORT_1.InThrput = off
			Set Node1_MAC8023_PORT_1.OutThrput = off
			Set Node1_MAC8023_PORT_1.InOutThrput = off
			Set Node1_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N1_P1_UniIn.log
			Set Node1_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N1_P1_UniOut.log
			Set Node1_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N1_P1_UniInOut.log
			Set Node1_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N1_P1_BroIn.log
			Set Node1_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N1_P1_BroOut.log
			Set Node1_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N1_P1_BroInOut.log
			Set Node1_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N1_P1_Coll.log
			Set Node1_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N1_P1_Drop.log
			Set Node1_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N1_P1_InThrput.log
			Set Node1_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N1_P1_OutThrput.log
			Set Node1_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N1_P1_InOutThrput.log
			Set Node1_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node1_Phy_PORT_1
			Set Node1_Phy_PORT_1.Bw = 10.00
			Set Node1_Phy_PORT_1.BER = 0.000000000
			Set Node1_Phy_PORT_1.PropDelay = 1000.00
			Set Node1_Phy_PORT_1.linkfail = off
			Set Node1_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N1_P1.linkfail

		Module Link : Node1_PORT_1
			Set Node1_PORT_1.guitag_remotenode = yes


		Bind Node1_Interface_PORT_1 Node1_ARP_PORT_1
		Bind Node1_ARP_PORT_1 Node1_FIFO_PORT_1
		Bind Node1_FIFO_PORT_1 Node1_TCPDUMP_PORT_1
		Bind Node1_TCPDUMP_PORT_1 Node1_LO_PORT_1
		Bind Node1_LO_PORT_1 Node1_MAC8023_PORT_1
		Bind Node1_MAC8023_PORT_1 Node1_Phy_PORT_1
		Bind Node1_Phy_PORT_1 Node1_PORT_1
	EndDefine

EndCreate

Create Node 2 as OF_CTRL_SW with name = OF_CTRL_SW2
	Module Switch : Node2_Switch_0
		Set Node2_Switch_0.guitag_addport = yes
		Set Node2_Switch_0.SWITCH_MODE = KnowInAdvance
		Set Node2_Switch_0.flushInterval = 3000
		Set Node2_Switch_0.SpanningTreeProtocol = off
		Set Node2_Switch_0.HelloTime = 2
		Set Node2_Switch_0.MaxAge = 20
		Set Node2_Switch_0.ForwardDelay = 15
		Set Node2_Switch_0.SwitchTableFileName = Opendaylight_SpanningTree.sw_N2.smt
	Define port 1
		Module FIFO : Node2_FIFO_PORT_1

			Set Node2_Switch_0.port1 = Node2_FIFO_PORT_1
			Set Node2_Switch_0.fixed_net1 = Node2_FIFO_PORT_1.no
			Set Node2_FIFO_PORT_1.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_1.max_qlen = 50
			Set Node2_FIFO_PORT_1.log_qlen = off
			Set Node2_FIFO_PORT_1.log_option = FullLog
			Set Node2_FIFO_PORT_1.samplerate = 1
			Set Node2_FIFO_PORT_1.logFileName = Opendaylight_SpanningTree.fifo_N2_P1_qlen.log
			Set Node2_FIFO_PORT_1.log_drop = off
			Set Node2_FIFO_PORT_1.drop_samplerate = 1
			Set Node2_FIFO_PORT_1.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P1_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_1
			Set Node2_MAC8023_PORT_1.mac = 0:1:0:0:0:3
			Set Node2_MAC8023_PORT_1.lock_mac = off
			Set Node2_MAC8023_PORT_1.PromisOpt = on
			Set Node2_MAC8023_PORT_1.mode = full
			Set Node2_MAC8023_PORT_1.log = off
			Set Node2_MAC8023_PORT_1.logInterval = 1
			Set Node2_MAC8023_PORT_1.NumCollision = off
			Set Node2_MAC8023_PORT_1.NumUniInPkt = off
			Set Node2_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_1.NumBroInPkt = off
			Set Node2_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_1.NumDrop = off
			Set Node2_MAC8023_PORT_1.InThrput = off
			Set Node2_MAC8023_PORT_1.OutThrput = off
			Set Node2_MAC8023_PORT_1.InOutThrput = off
			Set Node2_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P1_UniIn.log
			Set Node2_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P1_UniOut.log
			Set Node2_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P1_UniInOut.log
			Set Node2_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P1_BroIn.log
			Set Node2_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P1_BroOut.log
			Set Node2_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P1_BroInOut.log
			Set Node2_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N2_P1_Coll.log
			Set Node2_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N2_P1_Drop.log
			Set Node2_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P1_InThrput.log
			Set Node2_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P1_OutThrput.log
			Set Node2_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P1_InOutThrput.log
			Set Node2_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_1
			Set Node2_Phy_PORT_1.Bw = 10.00
			Set Node2_Phy_PORT_1.BER = 0.000000000
			Set Node2_Phy_PORT_1.PropDelay = 1000.00
			Set Node2_Phy_PORT_1.linkfail = off
			Set Node2_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P1.linkfail

		Module Link : Node2_PORT_1
			Set Node2_PORT_1.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_1 Node2_MAC8023_PORT_1
		Bind Node2_MAC8023_PORT_1 Node2_Phy_PORT_1
		Bind Node2_Phy_PORT_1 Node2_PORT_1
	EndDefine

	Define port 2
		Module FIFO : Node2_FIFO_PORT_2

			Set Node2_Switch_0.port2 = Node2_FIFO_PORT_2
			Set Node2_Switch_0.fixed_net2 = Node2_FIFO_PORT_2.no
			Set Node2_FIFO_PORT_2.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_2.max_qlen = 50
			Set Node2_FIFO_PORT_2.log_qlen = off
			Set Node2_FIFO_PORT_2.log_option = FullLog
			Set Node2_FIFO_PORT_2.samplerate = 1
			Set Node2_FIFO_PORT_2.logFileName = Opendaylight_SpanningTree.fifo_N2_P2_qlen.log
			Set Node2_FIFO_PORT_2.log_drop = off
			Set Node2_FIFO_PORT_2.drop_samplerate = 1
			Set Node2_FIFO_PORT_2.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P2_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_2
			Set Node2_MAC8023_PORT_2.mac = 0:1:0:0:0:4
			Set Node2_MAC8023_PORT_2.lock_mac = off
			Set Node2_MAC8023_PORT_2.PromisOpt = on
			Set Node2_MAC8023_PORT_2.mode = full
			Set Node2_MAC8023_PORT_2.log = off
			Set Node2_MAC8023_PORT_2.logInterval = 1
			Set Node2_MAC8023_PORT_2.NumCollision = off
			Set Node2_MAC8023_PORT_2.NumUniInPkt = off
			Set Node2_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_2.NumBroInPkt = off
			Set Node2_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_2.NumDrop = off
			Set Node2_MAC8023_PORT_2.InThrput = off
			Set Node2_MAC8023_PORT_2.OutThrput = off
			Set Node2_MAC8023_PORT_2.InOutThrput = off
			Set Node2_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P2_UniIn.log
			Set Node2_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P2_UniOut.log
			Set Node2_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P2_UniInOut.log
			Set Node2_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P2_BroIn.log
			Set Node2_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P2_BroOut.log
			Set Node2_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P2_BroInOut.log
			Set Node2_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N2_P2_Coll.log
			Set Node2_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N2_P2_Drop.log
			Set Node2_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P2_InThrput.log
			Set Node2_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P2_OutThrput.log
			Set Node2_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P2_InOutThrput.log
			Set Node2_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_2
			Set Node2_Phy_PORT_2.Bw = 10
			Set Node2_Phy_PORT_2.BER = 0.0
			Set Node2_Phy_PORT_2.PropDelay = 1000.00
			Set Node2_Phy_PORT_2.linkfail = off
			Set Node2_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P2.linkfail

		Module Link : Node2_PORT_2
			Set Node2_PORT_2.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_2 Node2_MAC8023_PORT_2
		Bind Node2_MAC8023_PORT_2 Node2_Phy_PORT_2
		Bind Node2_Phy_PORT_2 Node2_PORT_2
	EndDefine

	Define port 3
		Module FIFO : Node2_FIFO_PORT_3

			Set Node2_Switch_0.port3 = Node2_FIFO_PORT_3
			Set Node2_Switch_0.fixed_net3 = Node2_FIFO_PORT_3.no
			Set Node2_FIFO_PORT_3.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_3.max_qlen = 50
			Set Node2_FIFO_PORT_3.log_qlen = off
			Set Node2_FIFO_PORT_3.log_option = FullLog
			Set Node2_FIFO_PORT_3.samplerate = 1
			Set Node2_FIFO_PORT_3.logFileName = Opendaylight_SpanningTree.fifo_N2_P3_qlen.log
			Set Node2_FIFO_PORT_3.log_drop = off
			Set Node2_FIFO_PORT_3.drop_samplerate = 1
			Set Node2_FIFO_PORT_3.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P3_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_3
			Set Node2_MAC8023_PORT_3.mac = 0:1:0:0:0:5
			Set Node2_MAC8023_PORT_3.lock_mac = off
			Set Node2_MAC8023_PORT_3.PromisOpt = on
			Set Node2_MAC8023_PORT_3.mode = full
			Set Node2_MAC8023_PORT_3.log = off
			Set Node2_MAC8023_PORT_3.logInterval = 1
			Set Node2_MAC8023_PORT_3.NumCollision = off
			Set Node2_MAC8023_PORT_3.NumUniInPkt = off
			Set Node2_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_3.NumBroInPkt = off
			Set Node2_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_3.NumDrop = off
			Set Node2_MAC8023_PORT_3.InThrput = off
			Set Node2_MAC8023_PORT_3.OutThrput = off
			Set Node2_MAC8023_PORT_3.InOutThrput = off
			Set Node2_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P3_UniIn.log
			Set Node2_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P3_UniOut.log
			Set Node2_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P3_UniInOut.log
			Set Node2_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P3_BroIn.log
			Set Node2_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P3_BroOut.log
			Set Node2_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P3_BroInOut.log
			Set Node2_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N2_P3_Coll.log
			Set Node2_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N2_P3_Drop.log
			Set Node2_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P3_InThrput.log
			Set Node2_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P3_OutThrput.log
			Set Node2_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P3_InOutThrput.log
			Set Node2_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_3
			Set Node2_Phy_PORT_3.Bw = 10
			Set Node2_Phy_PORT_3.BER = 0.0
			Set Node2_Phy_PORT_3.PropDelay = 1000.00
			Set Node2_Phy_PORT_3.linkfail = off
			Set Node2_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P3.linkfail

		Module Link : Node2_PORT_3
			Set Node2_PORT_3.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_3 Node2_MAC8023_PORT_3
		Bind Node2_MAC8023_PORT_3 Node2_Phy_PORT_3
		Bind Node2_Phy_PORT_3 Node2_PORT_3
	EndDefine

	Define port 4
		Module FIFO : Node2_FIFO_PORT_4

			Set Node2_Switch_0.port4 = Node2_FIFO_PORT_4
			Set Node2_Switch_0.fixed_net4 = Node2_FIFO_PORT_4.no
			Set Node2_FIFO_PORT_4.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_4.max_qlen = 50
			Set Node2_FIFO_PORT_4.log_qlen = off
			Set Node2_FIFO_PORT_4.log_option = FullLog
			Set Node2_FIFO_PORT_4.samplerate = 1
			Set Node2_FIFO_PORT_4.logFileName = Opendaylight_SpanningTree.fifo_N2_P4_qlen.log
			Set Node2_FIFO_PORT_4.log_drop = off
			Set Node2_FIFO_PORT_4.drop_samplerate = 1
			Set Node2_FIFO_PORT_4.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P4_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_4
			Set Node2_MAC8023_PORT_4.mac = 0:1:0:0:0:6
			Set Node2_MAC8023_PORT_4.lock_mac = off
			Set Node2_MAC8023_PORT_4.PromisOpt = on
			Set Node2_MAC8023_PORT_4.mode = full
			Set Node2_MAC8023_PORT_4.log = off
			Set Node2_MAC8023_PORT_4.logInterval = 1
			Set Node2_MAC8023_PORT_4.NumCollision = off
			Set Node2_MAC8023_PORT_4.NumUniInPkt = off
			Set Node2_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_4.NumBroInPkt = off
			Set Node2_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_4.NumDrop = off
			Set Node2_MAC8023_PORT_4.InThrput = off
			Set Node2_MAC8023_PORT_4.OutThrput = off
			Set Node2_MAC8023_PORT_4.InOutThrput = off
			Set Node2_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P4_UniIn.log
			Set Node2_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P4_UniOut.log
			Set Node2_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P4_UniInOut.log
			Set Node2_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P4_BroIn.log
			Set Node2_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P4_BroOut.log
			Set Node2_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P4_BroInOut.log
			Set Node2_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N2_P4_Coll.log
			Set Node2_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N2_P4_Drop.log
			Set Node2_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P4_InThrput.log
			Set Node2_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P4_OutThrput.log
			Set Node2_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P4_InOutThrput.log
			Set Node2_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_4
			Set Node2_Phy_PORT_4.Bw = 10
			Set Node2_Phy_PORT_4.BER = 0.0
			Set Node2_Phy_PORT_4.PropDelay = 1000.00
			Set Node2_Phy_PORT_4.linkfail = off
			Set Node2_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P4.linkfail

		Module Link : Node2_PORT_4
			Set Node2_PORT_4.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_4 Node2_MAC8023_PORT_4
		Bind Node2_MAC8023_PORT_4 Node2_Phy_PORT_4
		Bind Node2_Phy_PORT_4 Node2_PORT_4
	EndDefine

	Define port 5
		Module FIFO : Node2_FIFO_PORT_5

			Set Node2_Switch_0.port5 = Node2_FIFO_PORT_5
			Set Node2_Switch_0.fixed_net5 = Node2_FIFO_PORT_5.no
			Set Node2_FIFO_PORT_5.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_5.max_qlen = 50
			Set Node2_FIFO_PORT_5.log_qlen = off
			Set Node2_FIFO_PORT_5.log_option = FullLog
			Set Node2_FIFO_PORT_5.samplerate = 1
			Set Node2_FIFO_PORT_5.logFileName = Opendaylight_SpanningTree.fifo_N2_P5_qlen.log
			Set Node2_FIFO_PORT_5.log_drop = off
			Set Node2_FIFO_PORT_5.drop_samplerate = 1
			Set Node2_FIFO_PORT_5.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P5_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_5
			Set Node2_MAC8023_PORT_5.mac = 0:1:0:0:0:7
			Set Node2_MAC8023_PORT_5.lock_mac = off
			Set Node2_MAC8023_PORT_5.PromisOpt = on
			Set Node2_MAC8023_PORT_5.mode = full
			Set Node2_MAC8023_PORT_5.log = off
			Set Node2_MAC8023_PORT_5.logInterval = 1
			Set Node2_MAC8023_PORT_5.NumCollision = off
			Set Node2_MAC8023_PORT_5.NumUniInPkt = off
			Set Node2_MAC8023_PORT_5.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_5.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_5.NumBroInPkt = off
			Set Node2_MAC8023_PORT_5.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_5.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_5.NumDrop = off
			Set Node2_MAC8023_PORT_5.InThrput = off
			Set Node2_MAC8023_PORT_5.OutThrput = off
			Set Node2_MAC8023_PORT_5.InOutThrput = off
			Set Node2_MAC8023_PORT_5.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P5_UniIn.log
			Set Node2_MAC8023_PORT_5.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P5_UniOut.log
			Set Node2_MAC8023_PORT_5.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P5_UniInOut.log
			Set Node2_MAC8023_PORT_5.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P5_BroIn.log
			Set Node2_MAC8023_PORT_5.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P5_BroOut.log
			Set Node2_MAC8023_PORT_5.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P5_BroInOut.log
			Set Node2_MAC8023_PORT_5.CollLogFile = Opendaylight_SpanningTree.8023_N2_P5_Coll.log
			Set Node2_MAC8023_PORT_5.DropLogFile = Opendaylight_SpanningTree.8023_N2_P5_Drop.log
			Set Node2_MAC8023_PORT_5.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P5_InThrput.log
			Set Node2_MAC8023_PORT_5.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P5_OutThrput.log
			Set Node2_MAC8023_PORT_5.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P5_InOutThrput.log
			Set Node2_MAC8023_PORT_5.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_5
			Set Node2_Phy_PORT_5.Bw = 10
			Set Node2_Phy_PORT_5.BER = 0.0
			Set Node2_Phy_PORT_5.PropDelay = 1000.00
			Set Node2_Phy_PORT_5.linkfail = off
			Set Node2_Phy_PORT_5.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P5.linkfail

		Module Link : Node2_PORT_5
			Set Node2_PORT_5.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_5 Node2_MAC8023_PORT_5
		Bind Node2_MAC8023_PORT_5 Node2_Phy_PORT_5
		Bind Node2_Phy_PORT_5 Node2_PORT_5
	EndDefine

	Define port 6
		Module FIFO : Node2_FIFO_PORT_6

			Set Node2_Switch_0.port6 = Node2_FIFO_PORT_6
			Set Node2_Switch_0.fixed_net6 = Node2_FIFO_PORT_6.no
			Set Node2_FIFO_PORT_6.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_6.max_qlen = 50
			Set Node2_FIFO_PORT_6.log_qlen = off
			Set Node2_FIFO_PORT_6.log_option = FullLog
			Set Node2_FIFO_PORT_6.samplerate = 1
			Set Node2_FIFO_PORT_6.logFileName = Opendaylight_SpanningTree.fifo_N2_P6_qlen.log
			Set Node2_FIFO_PORT_6.log_drop = off
			Set Node2_FIFO_PORT_6.drop_samplerate = 1
			Set Node2_FIFO_PORT_6.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P6_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_6
			Set Node2_MAC8023_PORT_6.mac = 0:1:0:0:0:8
			Set Node2_MAC8023_PORT_6.lock_mac = off
			Set Node2_MAC8023_PORT_6.PromisOpt = on
			Set Node2_MAC8023_PORT_6.mode = full
			Set Node2_MAC8023_PORT_6.log = off
			Set Node2_MAC8023_PORT_6.logInterval = 1
			Set Node2_MAC8023_PORT_6.NumCollision = off
			Set Node2_MAC8023_PORT_6.NumUniInPkt = off
			Set Node2_MAC8023_PORT_6.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_6.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_6.NumBroInPkt = off
			Set Node2_MAC8023_PORT_6.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_6.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_6.NumDrop = off
			Set Node2_MAC8023_PORT_6.InThrput = off
			Set Node2_MAC8023_PORT_6.OutThrput = off
			Set Node2_MAC8023_PORT_6.InOutThrput = off
			Set Node2_MAC8023_PORT_6.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P6_UniIn.log
			Set Node2_MAC8023_PORT_6.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P6_UniOut.log
			Set Node2_MAC8023_PORT_6.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P6_UniInOut.log
			Set Node2_MAC8023_PORT_6.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P6_BroIn.log
			Set Node2_MAC8023_PORT_6.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P6_BroOut.log
			Set Node2_MAC8023_PORT_6.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P6_BroInOut.log
			Set Node2_MAC8023_PORT_6.CollLogFile = Opendaylight_SpanningTree.8023_N2_P6_Coll.log
			Set Node2_MAC8023_PORT_6.DropLogFile = Opendaylight_SpanningTree.8023_N2_P6_Drop.log
			Set Node2_MAC8023_PORT_6.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P6_InThrput.log
			Set Node2_MAC8023_PORT_6.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P6_OutThrput.log
			Set Node2_MAC8023_PORT_6.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P6_InOutThrput.log
			Set Node2_MAC8023_PORT_6.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_6
			Set Node2_Phy_PORT_6.Bw = 10
			Set Node2_Phy_PORT_6.BER = 0.0
			Set Node2_Phy_PORT_6.PropDelay = 1000.00
			Set Node2_Phy_PORT_6.linkfail = off
			Set Node2_Phy_PORT_6.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P6.linkfail

		Module Link : Node2_PORT_6
			Set Node2_PORT_6.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_6 Node2_MAC8023_PORT_6
		Bind Node2_MAC8023_PORT_6 Node2_Phy_PORT_6
		Bind Node2_Phy_PORT_6 Node2_PORT_6
	EndDefine

	Define port 7
		Module FIFO : Node2_FIFO_PORT_7

			Set Node2_Switch_0.port7 = Node2_FIFO_PORT_7
			Set Node2_Switch_0.fixed_net7 = Node2_FIFO_PORT_7.no
			Set Node2_FIFO_PORT_7.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_7.max_qlen = 50
			Set Node2_FIFO_PORT_7.log_qlen = off
			Set Node2_FIFO_PORT_7.log_option = FullLog
			Set Node2_FIFO_PORT_7.samplerate = 1
			Set Node2_FIFO_PORT_7.logFileName = Opendaylight_SpanningTree.fifo_N2_P7_qlen.log
			Set Node2_FIFO_PORT_7.log_drop = off
			Set Node2_FIFO_PORT_7.drop_samplerate = 1
			Set Node2_FIFO_PORT_7.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P7_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_7
			Set Node2_MAC8023_PORT_7.mac = 0:1:0:0:0:9
			Set Node2_MAC8023_PORT_7.lock_mac = off
			Set Node2_MAC8023_PORT_7.PromisOpt = on
			Set Node2_MAC8023_PORT_7.mode = full
			Set Node2_MAC8023_PORT_7.log = off
			Set Node2_MAC8023_PORT_7.logInterval = 1
			Set Node2_MAC8023_PORT_7.NumCollision = off
			Set Node2_MAC8023_PORT_7.NumUniInPkt = off
			Set Node2_MAC8023_PORT_7.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_7.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_7.NumBroInPkt = off
			Set Node2_MAC8023_PORT_7.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_7.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_7.NumDrop = off
			Set Node2_MAC8023_PORT_7.InThrput = off
			Set Node2_MAC8023_PORT_7.OutThrput = off
			Set Node2_MAC8023_PORT_7.InOutThrput = off
			Set Node2_MAC8023_PORT_7.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P7_UniIn.log
			Set Node2_MAC8023_PORT_7.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P7_UniOut.log
			Set Node2_MAC8023_PORT_7.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P7_UniInOut.log
			Set Node2_MAC8023_PORT_7.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P7_BroIn.log
			Set Node2_MAC8023_PORT_7.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P7_BroOut.log
			Set Node2_MAC8023_PORT_7.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P7_BroInOut.log
			Set Node2_MAC8023_PORT_7.CollLogFile = Opendaylight_SpanningTree.8023_N2_P7_Coll.log
			Set Node2_MAC8023_PORT_7.DropLogFile = Opendaylight_SpanningTree.8023_N2_P7_Drop.log
			Set Node2_MAC8023_PORT_7.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P7_InThrput.log
			Set Node2_MAC8023_PORT_7.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P7_OutThrput.log
			Set Node2_MAC8023_PORT_7.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P7_InOutThrput.log
			Set Node2_MAC8023_PORT_7.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_7
			Set Node2_Phy_PORT_7.Bw = 10
			Set Node2_Phy_PORT_7.BER = 0.0
			Set Node2_Phy_PORT_7.PropDelay = 1000.00
			Set Node2_Phy_PORT_7.linkfail = off
			Set Node2_Phy_PORT_7.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P7.linkfail

		Module Link : Node2_PORT_7
			Set Node2_PORT_7.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_7 Node2_MAC8023_PORT_7
		Bind Node2_MAC8023_PORT_7 Node2_Phy_PORT_7
		Bind Node2_Phy_PORT_7 Node2_PORT_7
	EndDefine

	Define port 8
		Module FIFO : Node2_FIFO_PORT_8

			Set Node2_Switch_0.port8 = Node2_FIFO_PORT_8
			Set Node2_Switch_0.fixed_net8 = Node2_FIFO_PORT_8.no
			Set Node2_FIFO_PORT_8.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_8.max_qlen = 50
			Set Node2_FIFO_PORT_8.log_qlen = off
			Set Node2_FIFO_PORT_8.log_option = FullLog
			Set Node2_FIFO_PORT_8.samplerate = 1
			Set Node2_FIFO_PORT_8.logFileName = Opendaylight_SpanningTree.fifo_N2_P8_qlen.log
			Set Node2_FIFO_PORT_8.log_drop = off
			Set Node2_FIFO_PORT_8.drop_samplerate = 1
			Set Node2_FIFO_PORT_8.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P8_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_8
			Set Node2_MAC8023_PORT_8.mac = 0:1:0:0:0:a
			Set Node2_MAC8023_PORT_8.lock_mac = off
			Set Node2_MAC8023_PORT_8.PromisOpt = on
			Set Node2_MAC8023_PORT_8.mode = full
			Set Node2_MAC8023_PORT_8.log = off
			Set Node2_MAC8023_PORT_8.logInterval = 1
			Set Node2_MAC8023_PORT_8.NumCollision = off
			Set Node2_MAC8023_PORT_8.NumUniInPkt = off
			Set Node2_MAC8023_PORT_8.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_8.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_8.NumBroInPkt = off
			Set Node2_MAC8023_PORT_8.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_8.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_8.NumDrop = off
			Set Node2_MAC8023_PORT_8.InThrput = off
			Set Node2_MAC8023_PORT_8.OutThrput = off
			Set Node2_MAC8023_PORT_8.InOutThrput = off
			Set Node2_MAC8023_PORT_8.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P8_UniIn.log
			Set Node2_MAC8023_PORT_8.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P8_UniOut.log
			Set Node2_MAC8023_PORT_8.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P8_UniInOut.log
			Set Node2_MAC8023_PORT_8.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P8_BroIn.log
			Set Node2_MAC8023_PORT_8.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P8_BroOut.log
			Set Node2_MAC8023_PORT_8.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P8_BroInOut.log
			Set Node2_MAC8023_PORT_8.CollLogFile = Opendaylight_SpanningTree.8023_N2_P8_Coll.log
			Set Node2_MAC8023_PORT_8.DropLogFile = Opendaylight_SpanningTree.8023_N2_P8_Drop.log
			Set Node2_MAC8023_PORT_8.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P8_InThrput.log
			Set Node2_MAC8023_PORT_8.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P8_OutThrput.log
			Set Node2_MAC8023_PORT_8.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P8_InOutThrput.log
			Set Node2_MAC8023_PORT_8.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_8
			Set Node2_Phy_PORT_8.Bw = 10
			Set Node2_Phy_PORT_8.BER = 0.0
			Set Node2_Phy_PORT_8.PropDelay = 1000.00
			Set Node2_Phy_PORT_8.linkfail = off
			Set Node2_Phy_PORT_8.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P8.linkfail

		Module Link : Node2_PORT_8
			Set Node2_PORT_8.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_8 Node2_MAC8023_PORT_8
		Bind Node2_MAC8023_PORT_8 Node2_Phy_PORT_8
		Bind Node2_Phy_PORT_8 Node2_PORT_8
	EndDefine

	Define port 9
		Module FIFO : Node2_FIFO_PORT_9

			Set Node2_Switch_0.port9 = Node2_FIFO_PORT_9
			Set Node2_Switch_0.fixed_net9 = Node2_FIFO_PORT_9.no
			Set Node2_FIFO_PORT_9.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_9.max_qlen = 50
			Set Node2_FIFO_PORT_9.log_qlen = off
			Set Node2_FIFO_PORT_9.log_option = FullLog
			Set Node2_FIFO_PORT_9.samplerate = 1
			Set Node2_FIFO_PORT_9.logFileName = Opendaylight_SpanningTree.fifo_N2_P9_qlen.log
			Set Node2_FIFO_PORT_9.log_drop = off
			Set Node2_FIFO_PORT_9.drop_samplerate = 1
			Set Node2_FIFO_PORT_9.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P9_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_9
			Set Node2_MAC8023_PORT_9.mac = 0:1:0:0:0:b
			Set Node2_MAC8023_PORT_9.lock_mac = off
			Set Node2_MAC8023_PORT_9.PromisOpt = on
			Set Node2_MAC8023_PORT_9.mode = full
			Set Node2_MAC8023_PORT_9.log = off
			Set Node2_MAC8023_PORT_9.logInterval = 1
			Set Node2_MAC8023_PORT_9.NumCollision = off
			Set Node2_MAC8023_PORT_9.NumUniInPkt = off
			Set Node2_MAC8023_PORT_9.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_9.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_9.NumBroInPkt = off
			Set Node2_MAC8023_PORT_9.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_9.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_9.NumDrop = off
			Set Node2_MAC8023_PORT_9.InThrput = off
			Set Node2_MAC8023_PORT_9.OutThrput = off
			Set Node2_MAC8023_PORT_9.InOutThrput = off
			Set Node2_MAC8023_PORT_9.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P9_UniIn.log
			Set Node2_MAC8023_PORT_9.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P9_UniOut.log
			Set Node2_MAC8023_PORT_9.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P9_UniInOut.log
			Set Node2_MAC8023_PORT_9.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P9_BroIn.log
			Set Node2_MAC8023_PORT_9.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P9_BroOut.log
			Set Node2_MAC8023_PORT_9.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P9_BroInOut.log
			Set Node2_MAC8023_PORT_9.CollLogFile = Opendaylight_SpanningTree.8023_N2_P9_Coll.log
			Set Node2_MAC8023_PORT_9.DropLogFile = Opendaylight_SpanningTree.8023_N2_P9_Drop.log
			Set Node2_MAC8023_PORT_9.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P9_InThrput.log
			Set Node2_MAC8023_PORT_9.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P9_OutThrput.log
			Set Node2_MAC8023_PORT_9.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P9_InOutThrput.log
			Set Node2_MAC8023_PORT_9.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_9
			Set Node2_Phy_PORT_9.Bw = 10
			Set Node2_Phy_PORT_9.BER = 0.0
			Set Node2_Phy_PORT_9.PropDelay = 1000.00
			Set Node2_Phy_PORT_9.linkfail = off
			Set Node2_Phy_PORT_9.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P9.linkfail

		Module Link : Node2_PORT_9
			Set Node2_PORT_9.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_9 Node2_MAC8023_PORT_9
		Bind Node2_MAC8023_PORT_9 Node2_Phy_PORT_9
		Bind Node2_Phy_PORT_9 Node2_PORT_9
	EndDefine

	Define port 10
		Module FIFO : Node2_FIFO_PORT_10

			Set Node2_Switch_0.port10 = Node2_FIFO_PORT_10
			Set Node2_Switch_0.fixed_net10 = Node2_FIFO_PORT_10.no
			Set Node2_FIFO_PORT_10.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_10.max_qlen = 50
			Set Node2_FIFO_PORT_10.log_qlen = off
			Set Node2_FIFO_PORT_10.log_option = FullLog
			Set Node2_FIFO_PORT_10.samplerate = 1
			Set Node2_FIFO_PORT_10.logFileName = Opendaylight_SpanningTree.fifo_N2_P10_qlen.log
			Set Node2_FIFO_PORT_10.log_drop = off
			Set Node2_FIFO_PORT_10.drop_samplerate = 1
			Set Node2_FIFO_PORT_10.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P10_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_10
			Set Node2_MAC8023_PORT_10.mac = 0:1:0:0:0:c
			Set Node2_MAC8023_PORT_10.lock_mac = off
			Set Node2_MAC8023_PORT_10.PromisOpt = on
			Set Node2_MAC8023_PORT_10.mode = full
			Set Node2_MAC8023_PORT_10.log = off
			Set Node2_MAC8023_PORT_10.logInterval = 1
			Set Node2_MAC8023_PORT_10.NumCollision = off
			Set Node2_MAC8023_PORT_10.NumUniInPkt = off
			Set Node2_MAC8023_PORT_10.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_10.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_10.NumBroInPkt = off
			Set Node2_MAC8023_PORT_10.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_10.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_10.NumDrop = off
			Set Node2_MAC8023_PORT_10.InThrput = off
			Set Node2_MAC8023_PORT_10.OutThrput = off
			Set Node2_MAC8023_PORT_10.InOutThrput = off
			Set Node2_MAC8023_PORT_10.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P10_UniIn.log
			Set Node2_MAC8023_PORT_10.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P10_UniOut.log
			Set Node2_MAC8023_PORT_10.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P10_UniInOut.log
			Set Node2_MAC8023_PORT_10.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P10_BroIn.log
			Set Node2_MAC8023_PORT_10.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P10_BroOut.log
			Set Node2_MAC8023_PORT_10.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P10_BroInOut.log
			Set Node2_MAC8023_PORT_10.CollLogFile = Opendaylight_SpanningTree.8023_N2_P10_Coll.log
			Set Node2_MAC8023_PORT_10.DropLogFile = Opendaylight_SpanningTree.8023_N2_P10_Drop.log
			Set Node2_MAC8023_PORT_10.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P10_InThrput.log
			Set Node2_MAC8023_PORT_10.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P10_OutThrput.log
			Set Node2_MAC8023_PORT_10.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P10_InOutThrput.log
			Set Node2_MAC8023_PORT_10.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_10
			Set Node2_Phy_PORT_10.Bw = 10.00
			Set Node2_Phy_PORT_10.BER = 0.000000000
			Set Node2_Phy_PORT_10.PropDelay = 1000.00
			Set Node2_Phy_PORT_10.linkfail = off
			Set Node2_Phy_PORT_10.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P10.linkfail

		Module Link : Node2_PORT_10
			Set Node2_PORT_10.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_10 Node2_MAC8023_PORT_10
		Bind Node2_MAC8023_PORT_10 Node2_Phy_PORT_10
		Bind Node2_Phy_PORT_10 Node2_PORT_10
	EndDefine

	Define port 11
		Module FIFO : Node2_FIFO_PORT_11

			Set Node2_Switch_0.port11 = Node2_FIFO_PORT_11
			Set Node2_Switch_0.fixed_net11 = Node2_FIFO_PORT_11.no
			Set Node2_FIFO_PORT_11.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_11.max_qlen = 50
			Set Node2_FIFO_PORT_11.log_qlen = off
			Set Node2_FIFO_PORT_11.log_option = FullLog
			Set Node2_FIFO_PORT_11.samplerate = 1
			Set Node2_FIFO_PORT_11.logFileName = Opendaylight_SpanningTree.fifo_N2_P11_qlen.log
			Set Node2_FIFO_PORT_11.log_drop = off
			Set Node2_FIFO_PORT_11.drop_samplerate = 1
			Set Node2_FIFO_PORT_11.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P11_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_11
			Set Node2_MAC8023_PORT_11.mac = 0:1:0:0:0:d
			Set Node2_MAC8023_PORT_11.lock_mac = off
			Set Node2_MAC8023_PORT_11.PromisOpt = on
			Set Node2_MAC8023_PORT_11.mode = full
			Set Node2_MAC8023_PORT_11.log = off
			Set Node2_MAC8023_PORT_11.logInterval = 1
			Set Node2_MAC8023_PORT_11.NumCollision = off
			Set Node2_MAC8023_PORT_11.NumUniInPkt = off
			Set Node2_MAC8023_PORT_11.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_11.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_11.NumBroInPkt = off
			Set Node2_MAC8023_PORT_11.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_11.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_11.NumDrop = off
			Set Node2_MAC8023_PORT_11.InThrput = off
			Set Node2_MAC8023_PORT_11.OutThrput = off
			Set Node2_MAC8023_PORT_11.InOutThrput = off
			Set Node2_MAC8023_PORT_11.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P11_UniIn.log
			Set Node2_MAC8023_PORT_11.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P11_UniOut.log
			Set Node2_MAC8023_PORT_11.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P11_UniInOut.log
			Set Node2_MAC8023_PORT_11.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P11_BroIn.log
			Set Node2_MAC8023_PORT_11.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P11_BroOut.log
			Set Node2_MAC8023_PORT_11.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P11_BroInOut.log
			Set Node2_MAC8023_PORT_11.CollLogFile = Opendaylight_SpanningTree.8023_N2_P11_Coll.log
			Set Node2_MAC8023_PORT_11.DropLogFile = Opendaylight_SpanningTree.8023_N2_P11_Drop.log
			Set Node2_MAC8023_PORT_11.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P11_InThrput.log
			Set Node2_MAC8023_PORT_11.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P11_OutThrput.log
			Set Node2_MAC8023_PORT_11.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P11_InOutThrput.log
			Set Node2_MAC8023_PORT_11.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_11
			Set Node2_Phy_PORT_11.Bw = 10
			Set Node2_Phy_PORT_11.BER = 0.0
			Set Node2_Phy_PORT_11.PropDelay = 1000.00
			Set Node2_Phy_PORT_11.linkfail = off
			Set Node2_Phy_PORT_11.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P11.linkfail

		Module Link : Node2_PORT_11
			Set Node2_PORT_11.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_11 Node2_MAC8023_PORT_11
		Bind Node2_MAC8023_PORT_11 Node2_Phy_PORT_11
		Bind Node2_Phy_PORT_11 Node2_PORT_11
	EndDefine

	Define port 12
		Module FIFO : Node2_FIFO_PORT_12

			Set Node2_Switch_0.port12 = Node2_FIFO_PORT_12
			Set Node2_Switch_0.fixed_net12 = Node2_FIFO_PORT_12.no
			Set Node2_FIFO_PORT_12.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_12.max_qlen = 50
			Set Node2_FIFO_PORT_12.log_qlen = off
			Set Node2_FIFO_PORT_12.log_option = FullLog
			Set Node2_FIFO_PORT_12.samplerate = 1
			Set Node2_FIFO_PORT_12.logFileName = Opendaylight_SpanningTree.fifo_N2_P12_qlen.log
			Set Node2_FIFO_PORT_12.log_drop = off
			Set Node2_FIFO_PORT_12.drop_samplerate = 1
			Set Node2_FIFO_PORT_12.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P12_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_12
			Set Node2_MAC8023_PORT_12.mac = 0:1:0:0:0:e
			Set Node2_MAC8023_PORT_12.lock_mac = off
			Set Node2_MAC8023_PORT_12.PromisOpt = on
			Set Node2_MAC8023_PORT_12.mode = full
			Set Node2_MAC8023_PORT_12.log = off
			Set Node2_MAC8023_PORT_12.logInterval = 1
			Set Node2_MAC8023_PORT_12.NumCollision = off
			Set Node2_MAC8023_PORT_12.NumUniInPkt = off
			Set Node2_MAC8023_PORT_12.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_12.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_12.NumBroInPkt = off
			Set Node2_MAC8023_PORT_12.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_12.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_12.NumDrop = off
			Set Node2_MAC8023_PORT_12.InThrput = off
			Set Node2_MAC8023_PORT_12.OutThrput = off
			Set Node2_MAC8023_PORT_12.InOutThrput = off
			Set Node2_MAC8023_PORT_12.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P12_UniIn.log
			Set Node2_MAC8023_PORT_12.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P12_UniOut.log
			Set Node2_MAC8023_PORT_12.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P12_UniInOut.log
			Set Node2_MAC8023_PORT_12.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P12_BroIn.log
			Set Node2_MAC8023_PORT_12.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P12_BroOut.log
			Set Node2_MAC8023_PORT_12.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P12_BroInOut.log
			Set Node2_MAC8023_PORT_12.CollLogFile = Opendaylight_SpanningTree.8023_N2_P12_Coll.log
			Set Node2_MAC8023_PORT_12.DropLogFile = Opendaylight_SpanningTree.8023_N2_P12_Drop.log
			Set Node2_MAC8023_PORT_12.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P12_InThrput.log
			Set Node2_MAC8023_PORT_12.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P12_OutThrput.log
			Set Node2_MAC8023_PORT_12.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P12_InOutThrput.log
			Set Node2_MAC8023_PORT_12.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_12
			Set Node2_Phy_PORT_12.Bw = 10
			Set Node2_Phy_PORT_12.BER = 0.0
			Set Node2_Phy_PORT_12.PropDelay = 1000.00
			Set Node2_Phy_PORT_12.linkfail = off
			Set Node2_Phy_PORT_12.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P12.linkfail

		Module Link : Node2_PORT_12
			Set Node2_PORT_12.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_12 Node2_MAC8023_PORT_12
		Bind Node2_MAC8023_PORT_12 Node2_Phy_PORT_12
		Bind Node2_Phy_PORT_12 Node2_PORT_12
	EndDefine

	Define port 13
		Module FIFO : Node2_FIFO_PORT_13

			Set Node2_Switch_0.port13 = Node2_FIFO_PORT_13
			Set Node2_Switch_0.fixed_net13 = Node2_FIFO_PORT_13.no
			Set Node2_FIFO_PORT_13.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_13.max_qlen = 50
			Set Node2_FIFO_PORT_13.log_qlen = off
			Set Node2_FIFO_PORT_13.log_option = FullLog
			Set Node2_FIFO_PORT_13.samplerate = 1
			Set Node2_FIFO_PORT_13.logFileName = Opendaylight_SpanningTree.fifo_N2_P13_qlen.log
			Set Node2_FIFO_PORT_13.log_drop = off
			Set Node2_FIFO_PORT_13.drop_samplerate = 1
			Set Node2_FIFO_PORT_13.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P13_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_13
			Set Node2_MAC8023_PORT_13.mac = 0:1:0:0:0:f
			Set Node2_MAC8023_PORT_13.lock_mac = off
			Set Node2_MAC8023_PORT_13.PromisOpt = on
			Set Node2_MAC8023_PORT_13.mode = full
			Set Node2_MAC8023_PORT_13.log = off
			Set Node2_MAC8023_PORT_13.logInterval = 1
			Set Node2_MAC8023_PORT_13.NumCollision = off
			Set Node2_MAC8023_PORT_13.NumUniInPkt = off
			Set Node2_MAC8023_PORT_13.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_13.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_13.NumBroInPkt = off
			Set Node2_MAC8023_PORT_13.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_13.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_13.NumDrop = off
			Set Node2_MAC8023_PORT_13.InThrput = off
			Set Node2_MAC8023_PORT_13.OutThrput = off
			Set Node2_MAC8023_PORT_13.InOutThrput = off
			Set Node2_MAC8023_PORT_13.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P13_UniIn.log
			Set Node2_MAC8023_PORT_13.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P13_UniOut.log
			Set Node2_MAC8023_PORT_13.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P13_UniInOut.log
			Set Node2_MAC8023_PORT_13.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P13_BroIn.log
			Set Node2_MAC8023_PORT_13.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P13_BroOut.log
			Set Node2_MAC8023_PORT_13.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P13_BroInOut.log
			Set Node2_MAC8023_PORT_13.CollLogFile = Opendaylight_SpanningTree.8023_N2_P13_Coll.log
			Set Node2_MAC8023_PORT_13.DropLogFile = Opendaylight_SpanningTree.8023_N2_P13_Drop.log
			Set Node2_MAC8023_PORT_13.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P13_InThrput.log
			Set Node2_MAC8023_PORT_13.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P13_OutThrput.log
			Set Node2_MAC8023_PORT_13.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P13_InOutThrput.log
			Set Node2_MAC8023_PORT_13.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_13
			Set Node2_Phy_PORT_13.Bw = 10
			Set Node2_Phy_PORT_13.BER = 0.0
			Set Node2_Phy_PORT_13.PropDelay = 1000.00
			Set Node2_Phy_PORT_13.linkfail = off
			Set Node2_Phy_PORT_13.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P13.linkfail

		Module Link : Node2_PORT_13
			Set Node2_PORT_13.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_13 Node2_MAC8023_PORT_13
		Bind Node2_MAC8023_PORT_13 Node2_Phy_PORT_13
		Bind Node2_Phy_PORT_13 Node2_PORT_13
	EndDefine

	Define port 14
		Module FIFO : Node2_FIFO_PORT_14

			Set Node2_Switch_0.port14 = Node2_FIFO_PORT_14
			Set Node2_Switch_0.fixed_net14 = Node2_FIFO_PORT_14.no
			Set Node2_FIFO_PORT_14.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_14.max_qlen = 50
			Set Node2_FIFO_PORT_14.log_qlen = off
			Set Node2_FIFO_PORT_14.log_option = FullLog
			Set Node2_FIFO_PORT_14.samplerate = 1
			Set Node2_FIFO_PORT_14.logFileName = Opendaylight_SpanningTree.fifo_N2_P14_qlen.log
			Set Node2_FIFO_PORT_14.log_drop = off
			Set Node2_FIFO_PORT_14.drop_samplerate = 1
			Set Node2_FIFO_PORT_14.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P14_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_14
			Set Node2_MAC8023_PORT_14.mac = 0:1:0:0:0:10
			Set Node2_MAC8023_PORT_14.lock_mac = off
			Set Node2_MAC8023_PORT_14.PromisOpt = on
			Set Node2_MAC8023_PORT_14.mode = full
			Set Node2_MAC8023_PORT_14.log = off
			Set Node2_MAC8023_PORT_14.logInterval = 1
			Set Node2_MAC8023_PORT_14.NumCollision = off
			Set Node2_MAC8023_PORT_14.NumUniInPkt = off
			Set Node2_MAC8023_PORT_14.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_14.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_14.NumBroInPkt = off
			Set Node2_MAC8023_PORT_14.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_14.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_14.NumDrop = off
			Set Node2_MAC8023_PORT_14.InThrput = off
			Set Node2_MAC8023_PORT_14.OutThrput = off
			Set Node2_MAC8023_PORT_14.InOutThrput = off
			Set Node2_MAC8023_PORT_14.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P14_UniIn.log
			Set Node2_MAC8023_PORT_14.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P14_UniOut.log
			Set Node2_MAC8023_PORT_14.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P14_UniInOut.log
			Set Node2_MAC8023_PORT_14.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P14_BroIn.log
			Set Node2_MAC8023_PORT_14.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P14_BroOut.log
			Set Node2_MAC8023_PORT_14.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P14_BroInOut.log
			Set Node2_MAC8023_PORT_14.CollLogFile = Opendaylight_SpanningTree.8023_N2_P14_Coll.log
			Set Node2_MAC8023_PORT_14.DropLogFile = Opendaylight_SpanningTree.8023_N2_P14_Drop.log
			Set Node2_MAC8023_PORT_14.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P14_InThrput.log
			Set Node2_MAC8023_PORT_14.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P14_OutThrput.log
			Set Node2_MAC8023_PORT_14.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P14_InOutThrput.log
			Set Node2_MAC8023_PORT_14.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_14
			Set Node2_Phy_PORT_14.Bw = 10
			Set Node2_Phy_PORT_14.BER = 0.0
			Set Node2_Phy_PORT_14.PropDelay = 1000.00
			Set Node2_Phy_PORT_14.linkfail = off
			Set Node2_Phy_PORT_14.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P14.linkfail

		Module Link : Node2_PORT_14
			Set Node2_PORT_14.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_14 Node2_MAC8023_PORT_14
		Bind Node2_MAC8023_PORT_14 Node2_Phy_PORT_14
		Bind Node2_Phy_PORT_14 Node2_PORT_14
	EndDefine

	Define port 15
		Module FIFO : Node2_FIFO_PORT_15

			Set Node2_Switch_0.port15 = Node2_FIFO_PORT_15
			Set Node2_Switch_0.fixed_net15 = Node2_FIFO_PORT_15.no
			Set Node2_FIFO_PORT_15.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_15.max_qlen = 50
			Set Node2_FIFO_PORT_15.log_qlen = off
			Set Node2_FIFO_PORT_15.log_option = FullLog
			Set Node2_FIFO_PORT_15.samplerate = 1
			Set Node2_FIFO_PORT_15.logFileName = Opendaylight_SpanningTree.fifo_N2_P15_qlen.log
			Set Node2_FIFO_PORT_15.log_drop = off
			Set Node2_FIFO_PORT_15.drop_samplerate = 1
			Set Node2_FIFO_PORT_15.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P15_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_15
			Set Node2_MAC8023_PORT_15.mac = 0:1:0:0:0:11
			Set Node2_MAC8023_PORT_15.lock_mac = off
			Set Node2_MAC8023_PORT_15.PromisOpt = on
			Set Node2_MAC8023_PORT_15.mode = full
			Set Node2_MAC8023_PORT_15.log = off
			Set Node2_MAC8023_PORT_15.logInterval = 1
			Set Node2_MAC8023_PORT_15.NumCollision = off
			Set Node2_MAC8023_PORT_15.NumUniInPkt = off
			Set Node2_MAC8023_PORT_15.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_15.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_15.NumBroInPkt = off
			Set Node2_MAC8023_PORT_15.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_15.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_15.NumDrop = off
			Set Node2_MAC8023_PORT_15.InThrput = off
			Set Node2_MAC8023_PORT_15.OutThrput = off
			Set Node2_MAC8023_PORT_15.InOutThrput = off
			Set Node2_MAC8023_PORT_15.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P15_UniIn.log
			Set Node2_MAC8023_PORT_15.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P15_UniOut.log
			Set Node2_MAC8023_PORT_15.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P15_UniInOut.log
			Set Node2_MAC8023_PORT_15.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P15_BroIn.log
			Set Node2_MAC8023_PORT_15.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P15_BroOut.log
			Set Node2_MAC8023_PORT_15.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P15_BroInOut.log
			Set Node2_MAC8023_PORT_15.CollLogFile = Opendaylight_SpanningTree.8023_N2_P15_Coll.log
			Set Node2_MAC8023_PORT_15.DropLogFile = Opendaylight_SpanningTree.8023_N2_P15_Drop.log
			Set Node2_MAC8023_PORT_15.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P15_InThrput.log
			Set Node2_MAC8023_PORT_15.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P15_OutThrput.log
			Set Node2_MAC8023_PORT_15.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P15_InOutThrput.log
			Set Node2_MAC8023_PORT_15.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_15
			Set Node2_Phy_PORT_15.Bw = 10
			Set Node2_Phy_PORT_15.BER = 0.0
			Set Node2_Phy_PORT_15.PropDelay = 1000.00
			Set Node2_Phy_PORT_15.linkfail = off
			Set Node2_Phy_PORT_15.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P15.linkfail

		Module Link : Node2_PORT_15
			Set Node2_PORT_15.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_15 Node2_MAC8023_PORT_15
		Bind Node2_MAC8023_PORT_15 Node2_Phy_PORT_15
		Bind Node2_Phy_PORT_15 Node2_PORT_15
	EndDefine

	Define port 16
		Module FIFO : Node2_FIFO_PORT_16

			Set Node2_Switch_0.port16 = Node2_FIFO_PORT_16
			Set Node2_Switch_0.fixed_net16 = Node2_FIFO_PORT_16.no
			Set Node2_FIFO_PORT_16.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_16.max_qlen = 50
			Set Node2_FIFO_PORT_16.log_qlen = off
			Set Node2_FIFO_PORT_16.log_option = FullLog
			Set Node2_FIFO_PORT_16.samplerate = 1
			Set Node2_FIFO_PORT_16.logFileName = Opendaylight_SpanningTree.fifo_N2_P16_qlen.log
			Set Node2_FIFO_PORT_16.log_drop = off
			Set Node2_FIFO_PORT_16.drop_samplerate = 1
			Set Node2_FIFO_PORT_16.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P16_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_16
			Set Node2_MAC8023_PORT_16.mac = 0:1:0:0:0:12
			Set Node2_MAC8023_PORT_16.lock_mac = off
			Set Node2_MAC8023_PORT_16.PromisOpt = on
			Set Node2_MAC8023_PORT_16.mode = full
			Set Node2_MAC8023_PORT_16.log = off
			Set Node2_MAC8023_PORT_16.logInterval = 1
			Set Node2_MAC8023_PORT_16.NumCollision = off
			Set Node2_MAC8023_PORT_16.NumUniInPkt = off
			Set Node2_MAC8023_PORT_16.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_16.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_16.NumBroInPkt = off
			Set Node2_MAC8023_PORT_16.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_16.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_16.NumDrop = off
			Set Node2_MAC8023_PORT_16.InThrput = off
			Set Node2_MAC8023_PORT_16.OutThrput = off
			Set Node2_MAC8023_PORT_16.InOutThrput = off
			Set Node2_MAC8023_PORT_16.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P16_UniIn.log
			Set Node2_MAC8023_PORT_16.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P16_UniOut.log
			Set Node2_MAC8023_PORT_16.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P16_UniInOut.log
			Set Node2_MAC8023_PORT_16.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P16_BroIn.log
			Set Node2_MAC8023_PORT_16.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P16_BroOut.log
			Set Node2_MAC8023_PORT_16.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P16_BroInOut.log
			Set Node2_MAC8023_PORT_16.CollLogFile = Opendaylight_SpanningTree.8023_N2_P16_Coll.log
			Set Node2_MAC8023_PORT_16.DropLogFile = Opendaylight_SpanningTree.8023_N2_P16_Drop.log
			Set Node2_MAC8023_PORT_16.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P16_InThrput.log
			Set Node2_MAC8023_PORT_16.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P16_OutThrput.log
			Set Node2_MAC8023_PORT_16.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P16_InOutThrput.log
			Set Node2_MAC8023_PORT_16.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_16
			Set Node2_Phy_PORT_16.Bw = 10
			Set Node2_Phy_PORT_16.BER = 0.0
			Set Node2_Phy_PORT_16.PropDelay = 1000.00
			Set Node2_Phy_PORT_16.linkfail = off
			Set Node2_Phy_PORT_16.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P16.linkfail

		Module Link : Node2_PORT_16
			Set Node2_PORT_16.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_16 Node2_MAC8023_PORT_16
		Bind Node2_MAC8023_PORT_16 Node2_Phy_PORT_16
		Bind Node2_Phy_PORT_16 Node2_PORT_16
	EndDefine

	Define port 17
		Module FIFO : Node2_FIFO_PORT_17

			Set Node2_Switch_0.port17 = Node2_FIFO_PORT_17
			Set Node2_Switch_0.fixed_net17 = Node2_FIFO_PORT_17.no
			Set Node2_FIFO_PORT_17.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_17.max_qlen = 50
			Set Node2_FIFO_PORT_17.log_qlen = off
			Set Node2_FIFO_PORT_17.log_option = FullLog
			Set Node2_FIFO_PORT_17.samplerate = 1
			Set Node2_FIFO_PORT_17.logFileName = Opendaylight_SpanningTree.fifo_N2_P17_qlen.log
			Set Node2_FIFO_PORT_17.log_drop = off
			Set Node2_FIFO_PORT_17.drop_samplerate = 1
			Set Node2_FIFO_PORT_17.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P17_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_17
			Set Node2_MAC8023_PORT_17.mac = 0:1:0:0:0:13
			Set Node2_MAC8023_PORT_17.lock_mac = off
			Set Node2_MAC8023_PORT_17.PromisOpt = on
			Set Node2_MAC8023_PORT_17.mode = full
			Set Node2_MAC8023_PORT_17.log = off
			Set Node2_MAC8023_PORT_17.logInterval = 1
			Set Node2_MAC8023_PORT_17.NumCollision = off
			Set Node2_MAC8023_PORT_17.NumUniInPkt = off
			Set Node2_MAC8023_PORT_17.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_17.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_17.NumBroInPkt = off
			Set Node2_MAC8023_PORT_17.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_17.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_17.NumDrop = off
			Set Node2_MAC8023_PORT_17.InThrput = off
			Set Node2_MAC8023_PORT_17.OutThrput = off
			Set Node2_MAC8023_PORT_17.InOutThrput = off
			Set Node2_MAC8023_PORT_17.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P17_UniIn.log
			Set Node2_MAC8023_PORT_17.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P17_UniOut.log
			Set Node2_MAC8023_PORT_17.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P17_UniInOut.log
			Set Node2_MAC8023_PORT_17.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P17_BroIn.log
			Set Node2_MAC8023_PORT_17.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P17_BroOut.log
			Set Node2_MAC8023_PORT_17.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P17_BroInOut.log
			Set Node2_MAC8023_PORT_17.CollLogFile = Opendaylight_SpanningTree.8023_N2_P17_Coll.log
			Set Node2_MAC8023_PORT_17.DropLogFile = Opendaylight_SpanningTree.8023_N2_P17_Drop.log
			Set Node2_MAC8023_PORT_17.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P17_InThrput.log
			Set Node2_MAC8023_PORT_17.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P17_OutThrput.log
			Set Node2_MAC8023_PORT_17.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P17_InOutThrput.log
			Set Node2_MAC8023_PORT_17.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_17
			Set Node2_Phy_PORT_17.Bw = 10
			Set Node2_Phy_PORT_17.BER = 0.0
			Set Node2_Phy_PORT_17.PropDelay = 1000.00
			Set Node2_Phy_PORT_17.linkfail = off
			Set Node2_Phy_PORT_17.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P17.linkfail

		Module Link : Node2_PORT_17
			Set Node2_PORT_17.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_17 Node2_MAC8023_PORT_17
		Bind Node2_MAC8023_PORT_17 Node2_Phy_PORT_17
		Bind Node2_Phy_PORT_17 Node2_PORT_17
	EndDefine

	Define port 18
		Module FIFO : Node2_FIFO_PORT_18

			Set Node2_Switch_0.port18 = Node2_FIFO_PORT_18
			Set Node2_Switch_0.fixed_net18 = Node2_FIFO_PORT_18.no
			Set Node2_FIFO_PORT_18.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_18.max_qlen = 50
			Set Node2_FIFO_PORT_18.log_qlen = off
			Set Node2_FIFO_PORT_18.log_option = FullLog
			Set Node2_FIFO_PORT_18.samplerate = 1
			Set Node2_FIFO_PORT_18.logFileName = Opendaylight_SpanningTree.fifo_N2_P18_qlen.log
			Set Node2_FIFO_PORT_18.log_drop = off
			Set Node2_FIFO_PORT_18.drop_samplerate = 1
			Set Node2_FIFO_PORT_18.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P18_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_18
			Set Node2_MAC8023_PORT_18.mac = 0:1:0:0:0:14
			Set Node2_MAC8023_PORT_18.lock_mac = off
			Set Node2_MAC8023_PORT_18.PromisOpt = on
			Set Node2_MAC8023_PORT_18.mode = full
			Set Node2_MAC8023_PORT_18.log = off
			Set Node2_MAC8023_PORT_18.logInterval = 1
			Set Node2_MAC8023_PORT_18.NumCollision = off
			Set Node2_MAC8023_PORT_18.NumUniInPkt = off
			Set Node2_MAC8023_PORT_18.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_18.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_18.NumBroInPkt = off
			Set Node2_MAC8023_PORT_18.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_18.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_18.NumDrop = off
			Set Node2_MAC8023_PORT_18.InThrput = off
			Set Node2_MAC8023_PORT_18.OutThrput = off
			Set Node2_MAC8023_PORT_18.InOutThrput = off
			Set Node2_MAC8023_PORT_18.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P18_UniIn.log
			Set Node2_MAC8023_PORT_18.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P18_UniOut.log
			Set Node2_MAC8023_PORT_18.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P18_UniInOut.log
			Set Node2_MAC8023_PORT_18.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P18_BroIn.log
			Set Node2_MAC8023_PORT_18.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P18_BroOut.log
			Set Node2_MAC8023_PORT_18.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P18_BroInOut.log
			Set Node2_MAC8023_PORT_18.CollLogFile = Opendaylight_SpanningTree.8023_N2_P18_Coll.log
			Set Node2_MAC8023_PORT_18.DropLogFile = Opendaylight_SpanningTree.8023_N2_P18_Drop.log
			Set Node2_MAC8023_PORT_18.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P18_InThrput.log
			Set Node2_MAC8023_PORT_18.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P18_OutThrput.log
			Set Node2_MAC8023_PORT_18.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P18_InOutThrput.log
			Set Node2_MAC8023_PORT_18.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_18
			Set Node2_Phy_PORT_18.Bw = 10
			Set Node2_Phy_PORT_18.BER = 0.0
			Set Node2_Phy_PORT_18.PropDelay = 1000.00
			Set Node2_Phy_PORT_18.linkfail = off
			Set Node2_Phy_PORT_18.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P18.linkfail

		Module Link : Node2_PORT_18
			Set Node2_PORT_18.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_18 Node2_MAC8023_PORT_18
		Bind Node2_MAC8023_PORT_18 Node2_Phy_PORT_18
		Bind Node2_Phy_PORT_18 Node2_PORT_18
	EndDefine

	Define port 19
		Module FIFO : Node2_FIFO_PORT_19

			Set Node2_Switch_0.port19 = Node2_FIFO_PORT_19
			Set Node2_Switch_0.fixed_net19 = Node2_FIFO_PORT_19.no
			Set Node2_FIFO_PORT_19.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_19.max_qlen = 50
			Set Node2_FIFO_PORT_19.log_qlen = off
			Set Node2_FIFO_PORT_19.log_option = FullLog
			Set Node2_FIFO_PORT_19.samplerate = 1
			Set Node2_FIFO_PORT_19.logFileName = Opendaylight_SpanningTree.fifo_N2_P19_qlen.log
			Set Node2_FIFO_PORT_19.log_drop = off
			Set Node2_FIFO_PORT_19.drop_samplerate = 1
			Set Node2_FIFO_PORT_19.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P19_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_19
			Set Node2_MAC8023_PORT_19.mac = 0:1:0:0:0:15
			Set Node2_MAC8023_PORT_19.lock_mac = off
			Set Node2_MAC8023_PORT_19.PromisOpt = on
			Set Node2_MAC8023_PORT_19.mode = full
			Set Node2_MAC8023_PORT_19.log = off
			Set Node2_MAC8023_PORT_19.logInterval = 1
			Set Node2_MAC8023_PORT_19.NumCollision = off
			Set Node2_MAC8023_PORT_19.NumUniInPkt = off
			Set Node2_MAC8023_PORT_19.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_19.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_19.NumBroInPkt = off
			Set Node2_MAC8023_PORT_19.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_19.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_19.NumDrop = off
			Set Node2_MAC8023_PORT_19.InThrput = off
			Set Node2_MAC8023_PORT_19.OutThrput = off
			Set Node2_MAC8023_PORT_19.InOutThrput = off
			Set Node2_MAC8023_PORT_19.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P19_UniIn.log
			Set Node2_MAC8023_PORT_19.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P19_UniOut.log
			Set Node2_MAC8023_PORT_19.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P19_UniInOut.log
			Set Node2_MAC8023_PORT_19.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P19_BroIn.log
			Set Node2_MAC8023_PORT_19.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P19_BroOut.log
			Set Node2_MAC8023_PORT_19.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P19_BroInOut.log
			Set Node2_MAC8023_PORT_19.CollLogFile = Opendaylight_SpanningTree.8023_N2_P19_Coll.log
			Set Node2_MAC8023_PORT_19.DropLogFile = Opendaylight_SpanningTree.8023_N2_P19_Drop.log
			Set Node2_MAC8023_PORT_19.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P19_InThrput.log
			Set Node2_MAC8023_PORT_19.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P19_OutThrput.log
			Set Node2_MAC8023_PORT_19.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P19_InOutThrput.log
			Set Node2_MAC8023_PORT_19.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_19
			Set Node2_Phy_PORT_19.Bw = 10
			Set Node2_Phy_PORT_19.BER = 0.0
			Set Node2_Phy_PORT_19.PropDelay = 1000.00
			Set Node2_Phy_PORT_19.linkfail = off
			Set Node2_Phy_PORT_19.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P19.linkfail

		Module Link : Node2_PORT_19
			Set Node2_PORT_19.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_19 Node2_MAC8023_PORT_19
		Bind Node2_MAC8023_PORT_19 Node2_Phy_PORT_19
		Bind Node2_Phy_PORT_19 Node2_PORT_19
	EndDefine

	Define port 20
		Module FIFO : Node2_FIFO_PORT_20

			Set Node2_Switch_0.port20 = Node2_FIFO_PORT_20
			Set Node2_Switch_0.fixed_net20 = Node2_FIFO_PORT_20.no
			Set Node2_FIFO_PORT_20.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_20.max_qlen = 50
			Set Node2_FIFO_PORT_20.log_qlen = off
			Set Node2_FIFO_PORT_20.log_option = FullLog
			Set Node2_FIFO_PORT_20.samplerate = 1
			Set Node2_FIFO_PORT_20.logFileName = Opendaylight_SpanningTree.fifo_N2_P20_qlen.log
			Set Node2_FIFO_PORT_20.log_drop = off
			Set Node2_FIFO_PORT_20.drop_samplerate = 1
			Set Node2_FIFO_PORT_20.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P20_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_20
			Set Node2_MAC8023_PORT_20.mac = 0:1:0:0:0:16
			Set Node2_MAC8023_PORT_20.lock_mac = off
			Set Node2_MAC8023_PORT_20.PromisOpt = on
			Set Node2_MAC8023_PORT_20.mode = full
			Set Node2_MAC8023_PORT_20.log = off
			Set Node2_MAC8023_PORT_20.logInterval = 1
			Set Node2_MAC8023_PORT_20.NumCollision = off
			Set Node2_MAC8023_PORT_20.NumUniInPkt = off
			Set Node2_MAC8023_PORT_20.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_20.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_20.NumBroInPkt = off
			Set Node2_MAC8023_PORT_20.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_20.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_20.NumDrop = off
			Set Node2_MAC8023_PORT_20.InThrput = off
			Set Node2_MAC8023_PORT_20.OutThrput = off
			Set Node2_MAC8023_PORT_20.InOutThrput = off
			Set Node2_MAC8023_PORT_20.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P20_UniIn.log
			Set Node2_MAC8023_PORT_20.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P20_UniOut.log
			Set Node2_MAC8023_PORT_20.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P20_UniInOut.log
			Set Node2_MAC8023_PORT_20.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P20_BroIn.log
			Set Node2_MAC8023_PORT_20.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P20_BroOut.log
			Set Node2_MAC8023_PORT_20.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P20_BroInOut.log
			Set Node2_MAC8023_PORT_20.CollLogFile = Opendaylight_SpanningTree.8023_N2_P20_Coll.log
			Set Node2_MAC8023_PORT_20.DropLogFile = Opendaylight_SpanningTree.8023_N2_P20_Drop.log
			Set Node2_MAC8023_PORT_20.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P20_InThrput.log
			Set Node2_MAC8023_PORT_20.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P20_OutThrput.log
			Set Node2_MAC8023_PORT_20.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P20_InOutThrput.log
			Set Node2_MAC8023_PORT_20.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_20
			Set Node2_Phy_PORT_20.Bw = 10
			Set Node2_Phy_PORT_20.BER = 0.0
			Set Node2_Phy_PORT_20.PropDelay = 1000.00
			Set Node2_Phy_PORT_20.linkfail = off
			Set Node2_Phy_PORT_20.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P20.linkfail

		Module Link : Node2_PORT_20
			Set Node2_PORT_20.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_20 Node2_MAC8023_PORT_20
		Bind Node2_MAC8023_PORT_20 Node2_Phy_PORT_20
		Bind Node2_Phy_PORT_20 Node2_PORT_20
	EndDefine

	Define port 21
		Module FIFO : Node2_FIFO_PORT_21

			Set Node2_Switch_0.port21 = Node2_FIFO_PORT_21
			Set Node2_Switch_0.fixed_net21 = Node2_FIFO_PORT_21.no
			Set Node2_FIFO_PORT_21.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_21.max_qlen = 50
			Set Node2_FIFO_PORT_21.log_qlen = off
			Set Node2_FIFO_PORT_21.log_option = FullLog
			Set Node2_FIFO_PORT_21.samplerate = 1
			Set Node2_FIFO_PORT_21.logFileName = Opendaylight_SpanningTree.fifo_N2_P21_qlen.log
			Set Node2_FIFO_PORT_21.log_drop = off
			Set Node2_FIFO_PORT_21.drop_samplerate = 1
			Set Node2_FIFO_PORT_21.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P21_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_21
			Set Node2_MAC8023_PORT_21.mac = 0:1:0:0:0:17
			Set Node2_MAC8023_PORT_21.lock_mac = off
			Set Node2_MAC8023_PORT_21.PromisOpt = on
			Set Node2_MAC8023_PORT_21.mode = full
			Set Node2_MAC8023_PORT_21.log = off
			Set Node2_MAC8023_PORT_21.logInterval = 1
			Set Node2_MAC8023_PORT_21.NumCollision = off
			Set Node2_MAC8023_PORT_21.NumUniInPkt = off
			Set Node2_MAC8023_PORT_21.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_21.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_21.NumBroInPkt = off
			Set Node2_MAC8023_PORT_21.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_21.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_21.NumDrop = off
			Set Node2_MAC8023_PORT_21.InThrput = off
			Set Node2_MAC8023_PORT_21.OutThrput = off
			Set Node2_MAC8023_PORT_21.InOutThrput = off
			Set Node2_MAC8023_PORT_21.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P21_UniIn.log
			Set Node2_MAC8023_PORT_21.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P21_UniOut.log
			Set Node2_MAC8023_PORT_21.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P21_UniInOut.log
			Set Node2_MAC8023_PORT_21.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P21_BroIn.log
			Set Node2_MAC8023_PORT_21.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P21_BroOut.log
			Set Node2_MAC8023_PORT_21.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P21_BroInOut.log
			Set Node2_MAC8023_PORT_21.CollLogFile = Opendaylight_SpanningTree.8023_N2_P21_Coll.log
			Set Node2_MAC8023_PORT_21.DropLogFile = Opendaylight_SpanningTree.8023_N2_P21_Drop.log
			Set Node2_MAC8023_PORT_21.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P21_InThrput.log
			Set Node2_MAC8023_PORT_21.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P21_OutThrput.log
			Set Node2_MAC8023_PORT_21.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P21_InOutThrput.log
			Set Node2_MAC8023_PORT_21.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_21
			Set Node2_Phy_PORT_21.Bw = 10
			Set Node2_Phy_PORT_21.BER = 0.0
			Set Node2_Phy_PORT_21.PropDelay = 1000.00
			Set Node2_Phy_PORT_21.linkfail = off
			Set Node2_Phy_PORT_21.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P21.linkfail

		Module Link : Node2_PORT_21
			Set Node2_PORT_21.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_21 Node2_MAC8023_PORT_21
		Bind Node2_MAC8023_PORT_21 Node2_Phy_PORT_21
		Bind Node2_Phy_PORT_21 Node2_PORT_21
	EndDefine

	Define port 22
		Module FIFO : Node2_FIFO_PORT_22

			Set Node2_Switch_0.port22 = Node2_FIFO_PORT_22
			Set Node2_Switch_0.fixed_net22 = Node2_FIFO_PORT_22.no
			Set Node2_FIFO_PORT_22.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_22.max_qlen = 50
			Set Node2_FIFO_PORT_22.log_qlen = off
			Set Node2_FIFO_PORT_22.log_option = FullLog
			Set Node2_FIFO_PORT_22.samplerate = 1
			Set Node2_FIFO_PORT_22.logFileName = Opendaylight_SpanningTree.fifo_N2_P22_qlen.log
			Set Node2_FIFO_PORT_22.log_drop = off
			Set Node2_FIFO_PORT_22.drop_samplerate = 1
			Set Node2_FIFO_PORT_22.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P22_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_22
			Set Node2_MAC8023_PORT_22.mac = 0:1:0:0:0:18
			Set Node2_MAC8023_PORT_22.lock_mac = off
			Set Node2_MAC8023_PORT_22.PromisOpt = on
			Set Node2_MAC8023_PORT_22.mode = full
			Set Node2_MAC8023_PORT_22.log = off
			Set Node2_MAC8023_PORT_22.logInterval = 1
			Set Node2_MAC8023_PORT_22.NumCollision = off
			Set Node2_MAC8023_PORT_22.NumUniInPkt = off
			Set Node2_MAC8023_PORT_22.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_22.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_22.NumBroInPkt = off
			Set Node2_MAC8023_PORT_22.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_22.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_22.NumDrop = off
			Set Node2_MAC8023_PORT_22.InThrput = off
			Set Node2_MAC8023_PORT_22.OutThrput = off
			Set Node2_MAC8023_PORT_22.InOutThrput = off
			Set Node2_MAC8023_PORT_22.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P22_UniIn.log
			Set Node2_MAC8023_PORT_22.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P22_UniOut.log
			Set Node2_MAC8023_PORT_22.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P22_UniInOut.log
			Set Node2_MAC8023_PORT_22.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P22_BroIn.log
			Set Node2_MAC8023_PORT_22.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P22_BroOut.log
			Set Node2_MAC8023_PORT_22.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P22_BroInOut.log
			Set Node2_MAC8023_PORT_22.CollLogFile = Opendaylight_SpanningTree.8023_N2_P22_Coll.log
			Set Node2_MAC8023_PORT_22.DropLogFile = Opendaylight_SpanningTree.8023_N2_P22_Drop.log
			Set Node2_MAC8023_PORT_22.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P22_InThrput.log
			Set Node2_MAC8023_PORT_22.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P22_OutThrput.log
			Set Node2_MAC8023_PORT_22.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P22_InOutThrput.log
			Set Node2_MAC8023_PORT_22.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_22
			Set Node2_Phy_PORT_22.Bw = 10
			Set Node2_Phy_PORT_22.BER = 0.0
			Set Node2_Phy_PORT_22.PropDelay = 1000.00
			Set Node2_Phy_PORT_22.linkfail = off
			Set Node2_Phy_PORT_22.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P22.linkfail

		Module Link : Node2_PORT_22
			Set Node2_PORT_22.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_22 Node2_MAC8023_PORT_22
		Bind Node2_MAC8023_PORT_22 Node2_Phy_PORT_22
		Bind Node2_Phy_PORT_22 Node2_PORT_22
	EndDefine

	Define port 23
		Module FIFO : Node2_FIFO_PORT_23

			Set Node2_Switch_0.port23 = Node2_FIFO_PORT_23
			Set Node2_Switch_0.fixed_net23 = Node2_FIFO_PORT_23.no
			Set Node2_FIFO_PORT_23.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_23.max_qlen = 50
			Set Node2_FIFO_PORT_23.log_qlen = off
			Set Node2_FIFO_PORT_23.log_option = FullLog
			Set Node2_FIFO_PORT_23.samplerate = 1
			Set Node2_FIFO_PORT_23.logFileName = Opendaylight_SpanningTree.fifo_N2_P23_qlen.log
			Set Node2_FIFO_PORT_23.log_drop = off
			Set Node2_FIFO_PORT_23.drop_samplerate = 1
			Set Node2_FIFO_PORT_23.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P23_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_23
			Set Node2_MAC8023_PORT_23.mac = 0:1:0:0:0:19
			Set Node2_MAC8023_PORT_23.lock_mac = off
			Set Node2_MAC8023_PORT_23.PromisOpt = on
			Set Node2_MAC8023_PORT_23.mode = full
			Set Node2_MAC8023_PORT_23.log = off
			Set Node2_MAC8023_PORT_23.logInterval = 1
			Set Node2_MAC8023_PORT_23.NumCollision = off
			Set Node2_MAC8023_PORT_23.NumUniInPkt = off
			Set Node2_MAC8023_PORT_23.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_23.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_23.NumBroInPkt = off
			Set Node2_MAC8023_PORT_23.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_23.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_23.NumDrop = off
			Set Node2_MAC8023_PORT_23.InThrput = off
			Set Node2_MAC8023_PORT_23.OutThrput = off
			Set Node2_MAC8023_PORT_23.InOutThrput = off
			Set Node2_MAC8023_PORT_23.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P23_UniIn.log
			Set Node2_MAC8023_PORT_23.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P23_UniOut.log
			Set Node2_MAC8023_PORT_23.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P23_UniInOut.log
			Set Node2_MAC8023_PORT_23.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P23_BroIn.log
			Set Node2_MAC8023_PORT_23.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P23_BroOut.log
			Set Node2_MAC8023_PORT_23.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P23_BroInOut.log
			Set Node2_MAC8023_PORT_23.CollLogFile = Opendaylight_SpanningTree.8023_N2_P23_Coll.log
			Set Node2_MAC8023_PORT_23.DropLogFile = Opendaylight_SpanningTree.8023_N2_P23_Drop.log
			Set Node2_MAC8023_PORT_23.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P23_InThrput.log
			Set Node2_MAC8023_PORT_23.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P23_OutThrput.log
			Set Node2_MAC8023_PORT_23.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P23_InOutThrput.log
			Set Node2_MAC8023_PORT_23.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_23
			Set Node2_Phy_PORT_23.Bw = 10
			Set Node2_Phy_PORT_23.BER = 0.0
			Set Node2_Phy_PORT_23.PropDelay = 1000.00
			Set Node2_Phy_PORT_23.linkfail = off
			Set Node2_Phy_PORT_23.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P23.linkfail

		Module Link : Node2_PORT_23
			Set Node2_PORT_23.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_23 Node2_MAC8023_PORT_23
		Bind Node2_MAC8023_PORT_23 Node2_Phy_PORT_23
		Bind Node2_Phy_PORT_23 Node2_PORT_23
	EndDefine

	Define port 24
		Module FIFO : Node2_FIFO_PORT_24

			Set Node2_Switch_0.port24 = Node2_FIFO_PORT_24
			Set Node2_Switch_0.fixed_net24 = Node2_FIFO_PORT_24.no
			Set Node2_FIFO_PORT_24.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_24.max_qlen = 50
			Set Node2_FIFO_PORT_24.log_qlen = off
			Set Node2_FIFO_PORT_24.log_option = FullLog
			Set Node2_FIFO_PORT_24.samplerate = 1
			Set Node2_FIFO_PORT_24.logFileName = Opendaylight_SpanningTree.fifo_N2_P24_qlen.log
			Set Node2_FIFO_PORT_24.log_drop = off
			Set Node2_FIFO_PORT_24.drop_samplerate = 1
			Set Node2_FIFO_PORT_24.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P24_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_24
			Set Node2_MAC8023_PORT_24.mac = 0:1:0:0:0:1a
			Set Node2_MAC8023_PORT_24.lock_mac = off
			Set Node2_MAC8023_PORT_24.PromisOpt = on
			Set Node2_MAC8023_PORT_24.mode = full
			Set Node2_MAC8023_PORT_24.log = off
			Set Node2_MAC8023_PORT_24.logInterval = 1
			Set Node2_MAC8023_PORT_24.NumCollision = off
			Set Node2_MAC8023_PORT_24.NumUniInPkt = off
			Set Node2_MAC8023_PORT_24.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_24.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_24.NumBroInPkt = off
			Set Node2_MAC8023_PORT_24.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_24.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_24.NumDrop = off
			Set Node2_MAC8023_PORT_24.InThrput = off
			Set Node2_MAC8023_PORT_24.OutThrput = off
			Set Node2_MAC8023_PORT_24.InOutThrput = off
			Set Node2_MAC8023_PORT_24.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P24_UniIn.log
			Set Node2_MAC8023_PORT_24.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P24_UniOut.log
			Set Node2_MAC8023_PORT_24.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P24_UniInOut.log
			Set Node2_MAC8023_PORT_24.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P24_BroIn.log
			Set Node2_MAC8023_PORT_24.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P24_BroOut.log
			Set Node2_MAC8023_PORT_24.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P24_BroInOut.log
			Set Node2_MAC8023_PORT_24.CollLogFile = Opendaylight_SpanningTree.8023_N2_P24_Coll.log
			Set Node2_MAC8023_PORT_24.DropLogFile = Opendaylight_SpanningTree.8023_N2_P24_Drop.log
			Set Node2_MAC8023_PORT_24.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P24_InThrput.log
			Set Node2_MAC8023_PORT_24.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P24_OutThrput.log
			Set Node2_MAC8023_PORT_24.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P24_InOutThrput.log
			Set Node2_MAC8023_PORT_24.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_24
			Set Node2_Phy_PORT_24.Bw = 10
			Set Node2_Phy_PORT_24.BER = 0.0
			Set Node2_Phy_PORT_24.PropDelay = 1000.00
			Set Node2_Phy_PORT_24.linkfail = off
			Set Node2_Phy_PORT_24.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P24.linkfail

		Module Link : Node2_PORT_24
			Set Node2_PORT_24.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_24 Node2_MAC8023_PORT_24
		Bind Node2_MAC8023_PORT_24 Node2_Phy_PORT_24
		Bind Node2_Phy_PORT_24 Node2_PORT_24
	EndDefine

	Define port 25
		Module FIFO : Node2_FIFO_PORT_25

			Set Node2_Switch_0.port25 = Node2_FIFO_PORT_25
			Set Node2_Switch_0.fixed_net25 = Node2_FIFO_PORT_25.no
			Set Node2_FIFO_PORT_25.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_25.max_qlen = 50
			Set Node2_FIFO_PORT_25.log_qlen = off
			Set Node2_FIFO_PORT_25.log_option = FullLog
			Set Node2_FIFO_PORT_25.samplerate = 1
			Set Node2_FIFO_PORT_25.logFileName = Opendaylight_SpanningTree.fifo_N2_P25_qlen.log
			Set Node2_FIFO_PORT_25.log_drop = off
			Set Node2_FIFO_PORT_25.drop_samplerate = 1
			Set Node2_FIFO_PORT_25.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P25_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_25
			Set Node2_MAC8023_PORT_25.mac = 0:1:0:0:0:1b
			Set Node2_MAC8023_PORT_25.lock_mac = off
			Set Node2_MAC8023_PORT_25.PromisOpt = on
			Set Node2_MAC8023_PORT_25.mode = full
			Set Node2_MAC8023_PORT_25.log = off
			Set Node2_MAC8023_PORT_25.logInterval = 1
			Set Node2_MAC8023_PORT_25.NumCollision = off
			Set Node2_MAC8023_PORT_25.NumUniInPkt = off
			Set Node2_MAC8023_PORT_25.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_25.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_25.NumBroInPkt = off
			Set Node2_MAC8023_PORT_25.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_25.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_25.NumDrop = off
			Set Node2_MAC8023_PORT_25.InThrput = off
			Set Node2_MAC8023_PORT_25.OutThrput = off
			Set Node2_MAC8023_PORT_25.InOutThrput = off
			Set Node2_MAC8023_PORT_25.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P25_UniIn.log
			Set Node2_MAC8023_PORT_25.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P25_UniOut.log
			Set Node2_MAC8023_PORT_25.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P25_UniInOut.log
			Set Node2_MAC8023_PORT_25.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P25_BroIn.log
			Set Node2_MAC8023_PORT_25.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P25_BroOut.log
			Set Node2_MAC8023_PORT_25.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P25_BroInOut.log
			Set Node2_MAC8023_PORT_25.CollLogFile = Opendaylight_SpanningTree.8023_N2_P25_Coll.log
			Set Node2_MAC8023_PORT_25.DropLogFile = Opendaylight_SpanningTree.8023_N2_P25_Drop.log
			Set Node2_MAC8023_PORT_25.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P25_InThrput.log
			Set Node2_MAC8023_PORT_25.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P25_OutThrput.log
			Set Node2_MAC8023_PORT_25.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P25_InOutThrput.log
			Set Node2_MAC8023_PORT_25.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_25
			Set Node2_Phy_PORT_25.Bw = 10
			Set Node2_Phy_PORT_25.BER = 0.0
			Set Node2_Phy_PORT_25.PropDelay = 1000.00
			Set Node2_Phy_PORT_25.linkfail = off
			Set Node2_Phy_PORT_25.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P25.linkfail

		Module Link : Node2_PORT_25
			Set Node2_PORT_25.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_25 Node2_MAC8023_PORT_25
		Bind Node2_MAC8023_PORT_25 Node2_Phy_PORT_25
		Bind Node2_Phy_PORT_25 Node2_PORT_25
	EndDefine

	Define port 26
		Module FIFO : Node2_FIFO_PORT_26

			Set Node2_Switch_0.port26 = Node2_FIFO_PORT_26
			Set Node2_Switch_0.fixed_net26 = Node2_FIFO_PORT_26.no
			Set Node2_FIFO_PORT_26.recvtarget = Node2_Switch_0

			Set Node2_FIFO_PORT_26.max_qlen = 50
			Set Node2_FIFO_PORT_26.log_qlen = off
			Set Node2_FIFO_PORT_26.log_option = FullLog
			Set Node2_FIFO_PORT_26.samplerate = 1
			Set Node2_FIFO_PORT_26.logFileName = Opendaylight_SpanningTree.fifo_N2_P26_qlen.log
			Set Node2_FIFO_PORT_26.log_drop = off
			Set Node2_FIFO_PORT_26.drop_samplerate = 1
			Set Node2_FIFO_PORT_26.droplogFileName = Opendaylight_SpanningTree.fifo_N2_P26_drop.log

		Module MAC8023 : Node2_MAC8023_PORT_26
			Set Node2_MAC8023_PORT_26.mac = 0:1:0:0:0:1c
			Set Node2_MAC8023_PORT_26.lock_mac = off
			Set Node2_MAC8023_PORT_26.PromisOpt = on
			Set Node2_MAC8023_PORT_26.mode = full
			Set Node2_MAC8023_PORT_26.log = off
			Set Node2_MAC8023_PORT_26.logInterval = 1
			Set Node2_MAC8023_PORT_26.NumCollision = off
			Set Node2_MAC8023_PORT_26.NumUniInPkt = off
			Set Node2_MAC8023_PORT_26.NumUniOutPkt = off
			Set Node2_MAC8023_PORT_26.NumUniInOutPkt = off
			Set Node2_MAC8023_PORT_26.NumBroInPkt = off
			Set Node2_MAC8023_PORT_26.NumBroOutPkt = off
			Set Node2_MAC8023_PORT_26.NumBroInOutPkt = off
			Set Node2_MAC8023_PORT_26.NumDrop = off
			Set Node2_MAC8023_PORT_26.InThrput = off
			Set Node2_MAC8023_PORT_26.OutThrput = off
			Set Node2_MAC8023_PORT_26.InOutThrput = off
			Set Node2_MAC8023_PORT_26.UniInLogFile = Opendaylight_SpanningTree.8023_N2_P26_UniIn.log
			Set Node2_MAC8023_PORT_26.UniOutLogFile = Opendaylight_SpanningTree.8023_N2_P26_UniOut.log
			Set Node2_MAC8023_PORT_26.UniInOutLogFile = Opendaylight_SpanningTree.8023_N2_P26_UniInOut.log
			Set Node2_MAC8023_PORT_26.BroInLogFile = Opendaylight_SpanningTree.8023_N2_P26_BroIn.log
			Set Node2_MAC8023_PORT_26.BroOutLogFile = Opendaylight_SpanningTree.8023_N2_P26_BroOut.log
			Set Node2_MAC8023_PORT_26.BroInOutLogFile = Opendaylight_SpanningTree.8023_N2_P26_BroInOut.log
			Set Node2_MAC8023_PORT_26.CollLogFile = Opendaylight_SpanningTree.8023_N2_P26_Coll.log
			Set Node2_MAC8023_PORT_26.DropLogFile = Opendaylight_SpanningTree.8023_N2_P26_Drop.log
			Set Node2_MAC8023_PORT_26.InThrputLogFile = Opendaylight_SpanningTree.8023_N2_P26_InThrput.log
			Set Node2_MAC8023_PORT_26.OutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P26_OutThrput.log
			Set Node2_MAC8023_PORT_26.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N2_P26_InOutThrput.log
			Set Node2_MAC8023_PORT_26.LinktoHub = 0

		Module Phy : Node2_Phy_PORT_26
			Set Node2_Phy_PORT_26.Bw = 10
			Set Node2_Phy_PORT_26.BER = 0.0
			Set Node2_Phy_PORT_26.PropDelay = 1000.00
			Set Node2_Phy_PORT_26.linkfail = off
			Set Node2_Phy_PORT_26.linkfailFileName = Opendaylight_SpanningTree.phy_N2_P26.linkfail

		Module Link : Node2_PORT_26
			Set Node2_PORT_26.guitag_remotenode = yes


		Bind Node2_FIFO_PORT_26 Node2_MAC8023_PORT_26
		Bind Node2_MAC8023_PORT_26 Node2_Phy_PORT_26
		Bind Node2_Phy_PORT_26 Node2_PORT_26
	EndDefine

EndCreate

Create Node 3 as OF_SW_V131 with name = OF_SW_V1313
	Module Interface : Node3_Interface_0
		Set Node3_Interface_0.ip = 1.0.1.2
		Set Node3_Interface_0.netmask = 255.255.255.0
	Module ARP : Node3_ARP_0
		Set Node3_ARP_0.arpMode = RunARP
		Set Node3_ARP_0.flushInterval = 3000
		Set Node3_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node3_FIFO_0
		Set Node3_FIFO_0.max_qlen = 50
		Set Node3_FIFO_0.log_qlen = off
		Set Node3_FIFO_0.log_option = FullLog
		Set Node3_FIFO_0.samplerate = 1
		Set Node3_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N3_P4_qlen.log
		Set Node3_FIFO_0.log_drop = off
		Set Node3_FIFO_0.drop_samplerate = 1
		Set Node3_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N3_P7_drop.log
	Module TCPDUMP : Node3_TCPDUMP_0
	Module OFLO : Node3_OFLO_0
		Set Node3_OFLO_0.mac = 0:1:0:0:0:1e
	Module OFSwitch_V13 : Node3_OFSwitch_V13_0
		Set Node3_OFSwitch_V13_0.guitag_addport = yes
		Set Node3_OFSwitch_V13_0.guitag_addport = yes
		Set Node3_OFSwitch_V13_0.flow_table_amount = 10
		Set Node3_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node3_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node3_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node3_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node3_OFSwitch_V13_0.table_miss_action = Controller
		Set Node3_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node3_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node3_OFSwitch_V13_0.port_to_controller = 3
		Set Node3_OFSwitch_V13_0.controller_id = master_ctl
		Set Node3_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node3_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node3_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node3_OFSwitch_V13_0.port_to_controller_2nd = 3
		Set Node3_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node3_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node3_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node3_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node3_OFSwitch_V13_0.port_to_controller_3rd = 3
		Set Node3_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node3_OFSwitch_V13_0.enable_4th_controller = off
		Set Node3_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node3_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node3_OFSwitch_V13_0.port_to_controller_4th = 3
		Set Node3_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node3_OFSwitch_V13_0.enable_1st_lag = off
		Set Node3_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node3_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node3_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node3_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node3_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node3_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node3_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node3_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node3_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node3_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node3_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node3_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node3_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node3_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node3_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node3_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node3_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node3_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node3_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node3_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node3_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node3_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node3_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node3_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node3_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node3_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node3_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node3_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node3_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node3_OFSwitch_V13_0.max_queue_length = 100
		Set Node3_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node3_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node3_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node3_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node3_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node3_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node3_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node3_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node3_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node3_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node3_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node3_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node3_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node3_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node3_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node3_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node3_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node3_MAC8023_PORT_1

			Set Node3_OFSwitch_V13_0.port1 = Node3_MAC8023_PORT_1
			Set Node3_OFSwitch_V13_0.fixed_net1 = Node3_MAC8023_PORT_1.no
			Set Node3_MAC8023_PORT_1.recvtarget = Node3_OFSwitch_V13_0

			Set Node3_MAC8023_PORT_1.mac = 0:1:0:0:0:1f
			Set Node3_MAC8023_PORT_1.lock_mac = off
			Set Node3_MAC8023_PORT_1.PromisOpt = on
			Set Node3_MAC8023_PORT_1.mode = full
			Set Node3_MAC8023_PORT_1.log = off
			Set Node3_MAC8023_PORT_1.logInterval = 1
			Set Node3_MAC8023_PORT_1.NumCollision = off
			Set Node3_MAC8023_PORT_1.NumUniInPkt = off
			Set Node3_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node3_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node3_MAC8023_PORT_1.NumBroInPkt = off
			Set Node3_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node3_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node3_MAC8023_PORT_1.NumDrop = off
			Set Node3_MAC8023_PORT_1.InThrput = off
			Set Node3_MAC8023_PORT_1.OutThrput = off
			Set Node3_MAC8023_PORT_1.InOutThrput = off
			Set Node3_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N3_P1_UniIn.log
			Set Node3_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N3_P1_UniOut.log
			Set Node3_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N3_P1_UniInOut.log
			Set Node3_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N3_P1_BroIn.log
			Set Node3_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N3_P1_BroOut.log
			Set Node3_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N3_P1_BroInOut.log
			Set Node3_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N3_P1_Coll.log
			Set Node3_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N3_P1_Drop.log
			Set Node3_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N3_P1_InThrput.log
			Set Node3_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N3_P1_OutThrput.log
			Set Node3_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N3_P1_InOutThrput.log
			Set Node3_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node3_Phy_PORT_1
			Set Node3_Phy_PORT_1.Bw = 10.00
			Set Node3_Phy_PORT_1.BER = 0.000000000
			Set Node3_Phy_PORT_1.PropDelay = 1000.00
			Set Node3_Phy_PORT_1.linkfail = off
			Set Node3_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N3_P1.linkfail

		Module Link : Node3_PORT_1
			Set Node3_PORT_1.guitag_remotenode = yes


		Bind Node3_MAC8023_PORT_1 Node3_Phy_PORT_1
		Bind Node3_Phy_PORT_1 Node3_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node3_MAC8023_PORT_2

			Set Node3_OFSwitch_V13_0.port2 = Node3_MAC8023_PORT_2
			Set Node3_OFSwitch_V13_0.fixed_net2 = Node3_MAC8023_PORT_2.no
			Set Node3_MAC8023_PORT_2.recvtarget = Node3_OFSwitch_V13_0

			Set Node3_MAC8023_PORT_2.mac = 0:1:0:0:0:20
			Set Node3_MAC8023_PORT_2.lock_mac = off
			Set Node3_MAC8023_PORT_2.PromisOpt = on
			Set Node3_MAC8023_PORT_2.mode = full
			Set Node3_MAC8023_PORT_2.log = off
			Set Node3_MAC8023_PORT_2.logInterval = 1
			Set Node3_MAC8023_PORT_2.NumCollision = off
			Set Node3_MAC8023_PORT_2.NumUniInPkt = off
			Set Node3_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node3_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node3_MAC8023_PORT_2.NumBroInPkt = off
			Set Node3_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node3_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node3_MAC8023_PORT_2.NumDrop = off
			Set Node3_MAC8023_PORT_2.InThrput = off
			Set Node3_MAC8023_PORT_2.OutThrput = off
			Set Node3_MAC8023_PORT_2.InOutThrput = off
			Set Node3_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N3_P2_UniIn.log
			Set Node3_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N3_P2_UniOut.log
			Set Node3_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N3_P2_UniInOut.log
			Set Node3_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N3_P2_BroIn.log
			Set Node3_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N3_P2_BroOut.log
			Set Node3_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N3_P2_BroInOut.log
			Set Node3_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N3_P2_Coll.log
			Set Node3_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N3_P2_Drop.log
			Set Node3_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N3_P2_InThrput.log
			Set Node3_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N3_P2_OutThrput.log
			Set Node3_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N3_P2_InOutThrput.log
			Set Node3_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node3_Phy_PORT_2
			Set Node3_Phy_PORT_2.Bw = 10.00
			Set Node3_Phy_PORT_2.BER = 0.000000000
			Set Node3_Phy_PORT_2.PropDelay = 1000.00
			Set Node3_Phy_PORT_2.linkfail = off
			Set Node3_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N3_P2.linkfail

		Module Link : Node3_PORT_2
			Set Node3_PORT_2.guitag_remotenode = yes


		Bind Node3_MAC8023_PORT_2 Node3_Phy_PORT_2
		Bind Node3_Phy_PORT_2 Node3_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node3_MAC8023_PORT_3

			Set Node3_OFSwitch_V13_0.port3 = Node3_MAC8023_PORT_3
			Set Node3_OFSwitch_V13_0.fixed_net3 = Node3_MAC8023_PORT_3.no
			Set Node3_MAC8023_PORT_3.recvtarget = Node3_OFSwitch_V13_0

			Set Node3_MAC8023_PORT_3.mac = 0:1:0:0:0:21
			Set Node3_MAC8023_PORT_3.lock_mac = off
			Set Node3_MAC8023_PORT_3.PromisOpt = on
			Set Node3_MAC8023_PORT_3.mode = full
			Set Node3_MAC8023_PORT_3.log = off
			Set Node3_MAC8023_PORT_3.logInterval = 1
			Set Node3_MAC8023_PORT_3.NumCollision = off
			Set Node3_MAC8023_PORT_3.NumUniInPkt = off
			Set Node3_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node3_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node3_MAC8023_PORT_3.NumBroInPkt = off
			Set Node3_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node3_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node3_MAC8023_PORT_3.NumDrop = off
			Set Node3_MAC8023_PORT_3.InThrput = off
			Set Node3_MAC8023_PORT_3.OutThrput = off
			Set Node3_MAC8023_PORT_3.InOutThrput = off
			Set Node3_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N3_P3_UniIn.log
			Set Node3_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N3_P3_UniOut.log
			Set Node3_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N3_P3_UniInOut.log
			Set Node3_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N3_P3_BroIn.log
			Set Node3_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N3_P3_BroOut.log
			Set Node3_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N3_P3_BroInOut.log
			Set Node3_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N3_P3_Coll.log
			Set Node3_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N3_P3_Drop.log
			Set Node3_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N3_P3_InThrput.log
			Set Node3_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N3_P3_OutThrput.log
			Set Node3_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N3_P3_InOutThrput.log
			Set Node3_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node3_Phy_PORT_3
			Set Node3_Phy_PORT_3.Bw = 10
			Set Node3_Phy_PORT_3.BER = 0.0
			Set Node3_Phy_PORT_3.PropDelay = 1000.00
			Set Node3_Phy_PORT_3.linkfail = off
			Set Node3_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N3_P3.linkfail

		Module Link : Node3_PORT_3
			Set Node3_PORT_3.guitag_remotenode = yes


		Bind Node3_MAC8023_PORT_3 Node3_Phy_PORT_3
		Bind Node3_Phy_PORT_3 Node3_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node3_MAC8023_PORT_4

			Set Node3_OFSwitch_V13_0.port4 = Node3_MAC8023_PORT_4
			Set Node3_OFSwitch_V13_0.fixed_net4 = Node3_MAC8023_PORT_4.no
			Set Node3_MAC8023_PORT_4.recvtarget = Node3_OFSwitch_V13_0

			Set Node3_MAC8023_PORT_4.mac = 0:1:0:0:0:22
			Set Node3_MAC8023_PORT_4.lock_mac = off
			Set Node3_MAC8023_PORT_4.PromisOpt = on
			Set Node3_MAC8023_PORT_4.mode = full
			Set Node3_MAC8023_PORT_4.log = off
			Set Node3_MAC8023_PORT_4.logInterval = 1
			Set Node3_MAC8023_PORT_4.NumCollision = off
			Set Node3_MAC8023_PORT_4.NumUniInPkt = off
			Set Node3_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node3_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node3_MAC8023_PORT_4.NumBroInPkt = off
			Set Node3_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node3_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node3_MAC8023_PORT_4.NumDrop = off
			Set Node3_MAC8023_PORT_4.InThrput = off
			Set Node3_MAC8023_PORT_4.OutThrput = off
			Set Node3_MAC8023_PORT_4.InOutThrput = off
			Set Node3_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N3_P4_UniIn.log
			Set Node3_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N3_P4_UniOut.log
			Set Node3_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N3_P4_UniInOut.log
			Set Node3_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N3_P4_BroIn.log
			Set Node3_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N3_P4_BroOut.log
			Set Node3_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N3_P4_BroInOut.log
			Set Node3_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N3_P4_Coll.log
			Set Node3_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N3_P4_Drop.log
			Set Node3_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N3_P4_InThrput.log
			Set Node3_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N3_P4_OutThrput.log
			Set Node3_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N3_P4_InOutThrput.log
			Set Node3_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node3_Phy_PORT_4
			Set Node3_Phy_PORT_4.Bw = 10.00
			Set Node3_Phy_PORT_4.BER = 0.000000000
			Set Node3_Phy_PORT_4.PropDelay = 1000.00
			Set Node3_Phy_PORT_4.linkfail = off
			Set Node3_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N3_P4.linkfail

		Module Link : Node3_PORT_4
			Set Node3_PORT_4.guitag_remotenode = yes


		Bind Node3_MAC8023_PORT_4 Node3_Phy_PORT_4
		Bind Node3_Phy_PORT_4 Node3_PORT_4
	EndDefine

		Bind Node3_Interface_0 Node3_ARP_0
		Bind Node3_ARP_0 Node3_FIFO_0
		Bind Node3_FIFO_0 Node3_TCPDUMP_0
		Bind Node3_TCPDUMP_0 Node3_OFLO_0
		Bind Node3_OFLO_0 Node3_OFSwitch_V13_0
EndCreate

Create Node 4 as OF_SW_V131 with name = OF_SW_V1314
	Module Interface : Node4_Interface_0
		Set Node4_Interface_0.ip = 1.0.1.3
		Set Node4_Interface_0.netmask = 255.255.255.0
	Module ARP : Node4_ARP_0
		Set Node4_ARP_0.arpMode = RunARP
		Set Node4_ARP_0.flushInterval = 3000
		Set Node4_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node4_FIFO_0
		Set Node4_FIFO_0.max_qlen = 50
		Set Node4_FIFO_0.log_qlen = off
		Set Node4_FIFO_0.log_option = FullLog
		Set Node4_FIFO_0.samplerate = 1
		Set Node4_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N4_P4_qlen.log
		Set Node4_FIFO_0.log_drop = off
		Set Node4_FIFO_0.drop_samplerate = 1
		Set Node4_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N4_P7_drop.log
	Module TCPDUMP : Node4_TCPDUMP_0
	Module OFLO : Node4_OFLO_0
		Set Node4_OFLO_0.mac = 0:1:0:0:0:24
	Module OFSwitch_V13 : Node4_OFSwitch_V13_0
		Set Node4_OFSwitch_V13_0.guitag_addport = yes
		Set Node4_OFSwitch_V13_0.flow_table_amount = 10
		Set Node4_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node4_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node4_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node4_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node4_OFSwitch_V13_0.table_miss_action = Controller
		Set Node4_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node4_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node4_OFSwitch_V13_0.port_to_controller = 4
		Set Node4_OFSwitch_V13_0.controller_id = master_ctl
		Set Node4_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node4_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node4_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node4_OFSwitch_V13_0.port_to_controller_2nd = 4
		Set Node4_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node4_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node4_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node4_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node4_OFSwitch_V13_0.port_to_controller_3rd = 4
		Set Node4_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node4_OFSwitch_V13_0.enable_4th_controller = off
		Set Node4_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node4_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node4_OFSwitch_V13_0.port_to_controller_4th = 4
		Set Node4_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node4_OFSwitch_V13_0.enable_1st_lag = off
		Set Node4_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node4_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node4_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node4_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node4_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node4_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node4_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node4_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node4_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node4_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node4_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node4_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node4_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node4_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node4_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node4_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node4_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node4_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node4_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node4_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node4_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node4_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node4_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node4_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node4_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node4_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node4_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node4_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node4_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node4_OFSwitch_V13_0.max_queue_length = 100
		Set Node4_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node4_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node4_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node4_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node4_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node4_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node4_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node4_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node4_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node4_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node4_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node4_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node4_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node4_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node4_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node4_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node4_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node4_MAC8023_PORT_1

			Set Node4_OFSwitch_V13_0.port1 = Node4_MAC8023_PORT_1
			Set Node4_OFSwitch_V13_0.fixed_net1 = Node4_MAC8023_PORT_1.no
			Set Node4_MAC8023_PORT_1.recvtarget = Node4_OFSwitch_V13_0

			Set Node4_MAC8023_PORT_1.mac = 0:1:0:0:0:25
			Set Node4_MAC8023_PORT_1.lock_mac = off
			Set Node4_MAC8023_PORT_1.PromisOpt = on
			Set Node4_MAC8023_PORT_1.mode = full
			Set Node4_MAC8023_PORT_1.log = off
			Set Node4_MAC8023_PORT_1.logInterval = 1
			Set Node4_MAC8023_PORT_1.NumCollision = off
			Set Node4_MAC8023_PORT_1.NumUniInPkt = off
			Set Node4_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node4_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node4_MAC8023_PORT_1.NumBroInPkt = off
			Set Node4_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node4_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node4_MAC8023_PORT_1.NumDrop = off
			Set Node4_MAC8023_PORT_1.InThrput = off
			Set Node4_MAC8023_PORT_1.OutThrput = off
			Set Node4_MAC8023_PORT_1.InOutThrput = off
			Set Node4_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N4_P1_UniIn.log
			Set Node4_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N4_P1_UniOut.log
			Set Node4_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N4_P1_UniInOut.log
			Set Node4_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N4_P1_BroIn.log
			Set Node4_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N4_P1_BroOut.log
			Set Node4_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N4_P1_BroInOut.log
			Set Node4_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N4_P1_Coll.log
			Set Node4_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N4_P1_Drop.log
			Set Node4_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N4_P1_InThrput.log
			Set Node4_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N4_P1_OutThrput.log
			Set Node4_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N4_P1_InOutThrput.log
			Set Node4_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node4_Phy_PORT_1
			Set Node4_Phy_PORT_1.Bw = 10.00
			Set Node4_Phy_PORT_1.BER = 0.000000000
			Set Node4_Phy_PORT_1.PropDelay = 1000.00
			Set Node4_Phy_PORT_1.linkfail = off
			Set Node4_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N4_P1.linkfail

		Module Link : Node4_PORT_1
			Set Node4_PORT_1.guitag_remotenode = yes


		Bind Node4_MAC8023_PORT_1 Node4_Phy_PORT_1
		Bind Node4_Phy_PORT_1 Node4_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node4_MAC8023_PORT_2

			Set Node4_OFSwitch_V13_0.port2 = Node4_MAC8023_PORT_2
			Set Node4_OFSwitch_V13_0.fixed_net2 = Node4_MAC8023_PORT_2.no
			Set Node4_MAC8023_PORT_2.recvtarget = Node4_OFSwitch_V13_0

			Set Node4_MAC8023_PORT_2.mac = 0:1:0:0:0:26
			Set Node4_MAC8023_PORT_2.lock_mac = off
			Set Node4_MAC8023_PORT_2.PromisOpt = on
			Set Node4_MAC8023_PORT_2.mode = full
			Set Node4_MAC8023_PORT_2.log = off
			Set Node4_MAC8023_PORT_2.logInterval = 1
			Set Node4_MAC8023_PORT_2.NumCollision = off
			Set Node4_MAC8023_PORT_2.NumUniInPkt = off
			Set Node4_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node4_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node4_MAC8023_PORT_2.NumBroInPkt = off
			Set Node4_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node4_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node4_MAC8023_PORT_2.NumDrop = off
			Set Node4_MAC8023_PORT_2.InThrput = off
			Set Node4_MAC8023_PORT_2.OutThrput = off
			Set Node4_MAC8023_PORT_2.InOutThrput = off
			Set Node4_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N4_P2_UniIn.log
			Set Node4_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N4_P2_UniOut.log
			Set Node4_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N4_P2_UniInOut.log
			Set Node4_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N4_P2_BroIn.log
			Set Node4_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N4_P2_BroOut.log
			Set Node4_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N4_P2_BroInOut.log
			Set Node4_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N4_P2_Coll.log
			Set Node4_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N4_P2_Drop.log
			Set Node4_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N4_P2_InThrput.log
			Set Node4_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N4_P2_OutThrput.log
			Set Node4_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N4_P2_InOutThrput.log
			Set Node4_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node4_Phy_PORT_2
			Set Node4_Phy_PORT_2.Bw = 10.00
			Set Node4_Phy_PORT_2.BER = 0.000000000
			Set Node4_Phy_PORT_2.PropDelay = 1000.00
			Set Node4_Phy_PORT_2.linkfail = off
			Set Node4_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N4_P2.linkfail

		Module Link : Node4_PORT_2
			Set Node4_PORT_2.guitag_remotenode = yes


		Bind Node4_MAC8023_PORT_2 Node4_Phy_PORT_2
		Bind Node4_Phy_PORT_2 Node4_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node4_MAC8023_PORT_3

			Set Node4_OFSwitch_V13_0.port3 = Node4_MAC8023_PORT_3
			Set Node4_OFSwitch_V13_0.fixed_net3 = Node4_MAC8023_PORT_3.no
			Set Node4_MAC8023_PORT_3.recvtarget = Node4_OFSwitch_V13_0

			Set Node4_MAC8023_PORT_3.mac = 0:1:0:0:0:27
			Set Node4_MAC8023_PORT_3.lock_mac = off
			Set Node4_MAC8023_PORT_3.PromisOpt = on
			Set Node4_MAC8023_PORT_3.mode = full
			Set Node4_MAC8023_PORT_3.log = off
			Set Node4_MAC8023_PORT_3.logInterval = 1
			Set Node4_MAC8023_PORT_3.NumCollision = off
			Set Node4_MAC8023_PORT_3.NumUniInPkt = off
			Set Node4_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node4_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node4_MAC8023_PORT_3.NumBroInPkt = off
			Set Node4_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node4_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node4_MAC8023_PORT_3.NumDrop = off
			Set Node4_MAC8023_PORT_3.InThrput = off
			Set Node4_MAC8023_PORT_3.OutThrput = off
			Set Node4_MAC8023_PORT_3.InOutThrput = off
			Set Node4_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N4_P3_UniIn.log
			Set Node4_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N4_P3_UniOut.log
			Set Node4_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N4_P3_UniInOut.log
			Set Node4_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N4_P3_BroIn.log
			Set Node4_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N4_P3_BroOut.log
			Set Node4_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N4_P3_BroInOut.log
			Set Node4_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N4_P3_Coll.log
			Set Node4_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N4_P3_Drop.log
			Set Node4_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N4_P3_InThrput.log
			Set Node4_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N4_P3_OutThrput.log
			Set Node4_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N4_P3_InOutThrput.log
			Set Node4_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node4_Phy_PORT_3
			Set Node4_Phy_PORT_3.Bw = 10
			Set Node4_Phy_PORT_3.BER = 0.0
			Set Node4_Phy_PORT_3.PropDelay = 1000.00
			Set Node4_Phy_PORT_3.linkfail = off
			Set Node4_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N4_P3.linkfail

		Module Link : Node4_PORT_3
			Set Node4_PORT_3.guitag_remotenode = yes


		Bind Node4_MAC8023_PORT_3 Node4_Phy_PORT_3
		Bind Node4_Phy_PORT_3 Node4_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node4_MAC8023_PORT_4

			Set Node4_OFSwitch_V13_0.port4 = Node4_MAC8023_PORT_4
			Set Node4_OFSwitch_V13_0.fixed_net4 = Node4_MAC8023_PORT_4.no
			Set Node4_MAC8023_PORT_4.recvtarget = Node4_OFSwitch_V13_0

			Set Node4_MAC8023_PORT_4.mac = 0:1:0:0:0:28
			Set Node4_MAC8023_PORT_4.lock_mac = off
			Set Node4_MAC8023_PORT_4.PromisOpt = on
			Set Node4_MAC8023_PORT_4.mode = full
			Set Node4_MAC8023_PORT_4.log = off
			Set Node4_MAC8023_PORT_4.logInterval = 1
			Set Node4_MAC8023_PORT_4.NumCollision = off
			Set Node4_MAC8023_PORT_4.NumUniInPkt = off
			Set Node4_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node4_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node4_MAC8023_PORT_4.NumBroInPkt = off
			Set Node4_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node4_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node4_MAC8023_PORT_4.NumDrop = off
			Set Node4_MAC8023_PORT_4.InThrput = off
			Set Node4_MAC8023_PORT_4.OutThrput = off
			Set Node4_MAC8023_PORT_4.InOutThrput = off
			Set Node4_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N4_P4_UniIn.log
			Set Node4_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N4_P4_UniOut.log
			Set Node4_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N4_P4_UniInOut.log
			Set Node4_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N4_P4_BroIn.log
			Set Node4_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N4_P4_BroOut.log
			Set Node4_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N4_P4_BroInOut.log
			Set Node4_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N4_P4_Coll.log
			Set Node4_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N4_P4_Drop.log
			Set Node4_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N4_P4_InThrput.log
			Set Node4_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N4_P4_OutThrput.log
			Set Node4_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N4_P4_InOutThrput.log
			Set Node4_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node4_Phy_PORT_4
			Set Node4_Phy_PORT_4.Bw = 10
			Set Node4_Phy_PORT_4.BER = 0.0
			Set Node4_Phy_PORT_4.PropDelay = 1000.00
			Set Node4_Phy_PORT_4.linkfail = off
			Set Node4_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N4_P4.linkfail

		Module Link : Node4_PORT_4
			Set Node4_PORT_4.guitag_remotenode = yes


		Bind Node4_MAC8023_PORT_4 Node4_Phy_PORT_4
		Bind Node4_Phy_PORT_4 Node4_PORT_4
	EndDefine

		Bind Node4_Interface_0 Node4_ARP_0
		Bind Node4_ARP_0 Node4_FIFO_0
		Bind Node4_FIFO_0 Node4_TCPDUMP_0
		Bind Node4_TCPDUMP_0 Node4_OFLO_0
		Bind Node4_OFLO_0 Node4_OFSwitch_V13_0
EndCreate

Create Node 5 as OF_SW_V131 with name = OF_SW_V1315
	Module Interface : Node5_Interface_0
		Set Node5_Interface_0.ip = 1.0.1.4
		Set Node5_Interface_0.netmask = 255.255.255.0
	Module ARP : Node5_ARP_0
		Set Node5_ARP_0.arpMode = RunARP
		Set Node5_ARP_0.flushInterval = 3000
		Set Node5_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node5_FIFO_0
		Set Node5_FIFO_0.max_qlen = 50
		Set Node5_FIFO_0.log_qlen = off
		Set Node5_FIFO_0.log_option = FullLog
		Set Node5_FIFO_0.samplerate = 1
		Set Node5_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N5_P4_qlen.log
		Set Node5_FIFO_0.log_drop = off
		Set Node5_FIFO_0.drop_samplerate = 1
		Set Node5_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N5_P7_drop.log
	Module TCPDUMP : Node5_TCPDUMP_0
	Module OFLO : Node5_OFLO_0
		Set Node5_OFLO_0.mac = 0:1:0:0:0:2a
	Module OFSwitch_V13 : Node5_OFSwitch_V13_0
		Set Node5_OFSwitch_V13_0.guitag_addport = yes
		Set Node5_OFSwitch_V13_0.flow_table_amount = 10
		Set Node5_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node5_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node5_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node5_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node5_OFSwitch_V13_0.table_miss_action = Controller
		Set Node5_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node5_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node5_OFSwitch_V13_0.port_to_controller = 3
		Set Node5_OFSwitch_V13_0.controller_id = master_ctl
		Set Node5_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node5_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node5_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node5_OFSwitch_V13_0.port_to_controller_2nd = 3
		Set Node5_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node5_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node5_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node5_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node5_OFSwitch_V13_0.port_to_controller_3rd = 3
		Set Node5_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node5_OFSwitch_V13_0.enable_4th_controller = off
		Set Node5_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node5_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node5_OFSwitch_V13_0.port_to_controller_4th = 3
		Set Node5_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node5_OFSwitch_V13_0.enable_1st_lag = off
		Set Node5_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node5_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node5_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node5_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node5_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node5_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node5_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node5_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node5_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node5_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node5_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node5_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node5_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node5_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node5_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node5_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node5_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node5_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node5_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node5_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node5_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node5_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node5_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node5_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node5_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node5_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node5_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node5_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node5_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node5_OFSwitch_V13_0.max_queue_length = 100
		Set Node5_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node5_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node5_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node5_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node5_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node5_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node5_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node5_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node5_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node5_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node5_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node5_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node5_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node5_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node5_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node5_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node5_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node5_MAC8023_PORT_1

			Set Node5_OFSwitch_V13_0.port1 = Node5_MAC8023_PORT_1
			Set Node5_OFSwitch_V13_0.fixed_net1 = Node5_MAC8023_PORT_1.no
			Set Node5_MAC8023_PORT_1.recvtarget = Node5_OFSwitch_V13_0

			Set Node5_MAC8023_PORT_1.mac = 0:1:0:0:0:2b
			Set Node5_MAC8023_PORT_1.lock_mac = off
			Set Node5_MAC8023_PORT_1.PromisOpt = on
			Set Node5_MAC8023_PORT_1.mode = full
			Set Node5_MAC8023_PORT_1.log = off
			Set Node5_MAC8023_PORT_1.logInterval = 1
			Set Node5_MAC8023_PORT_1.NumCollision = off
			Set Node5_MAC8023_PORT_1.NumUniInPkt = off
			Set Node5_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node5_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node5_MAC8023_PORT_1.NumBroInPkt = off
			Set Node5_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node5_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node5_MAC8023_PORT_1.NumDrop = off
			Set Node5_MAC8023_PORT_1.InThrput = off
			Set Node5_MAC8023_PORT_1.OutThrput = off
			Set Node5_MAC8023_PORT_1.InOutThrput = off
			Set Node5_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N5_P1_UniIn.log
			Set Node5_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N5_P1_UniOut.log
			Set Node5_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N5_P1_UniInOut.log
			Set Node5_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N5_P1_BroIn.log
			Set Node5_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N5_P1_BroOut.log
			Set Node5_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N5_P1_BroInOut.log
			Set Node5_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N5_P1_Coll.log
			Set Node5_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N5_P1_Drop.log
			Set Node5_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N5_P1_InThrput.log
			Set Node5_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N5_P1_OutThrput.log
			Set Node5_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N5_P1_InOutThrput.log
			Set Node5_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node5_Phy_PORT_1
			Set Node5_Phy_PORT_1.Bw = 10.00
			Set Node5_Phy_PORT_1.BER = 0.000000000
			Set Node5_Phy_PORT_1.PropDelay = 1000.00
			Set Node5_Phy_PORT_1.linkfail = off
			Set Node5_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N5_P1.linkfail

		Module Link : Node5_PORT_1
			Set Node5_PORT_1.guitag_remotenode = yes


		Bind Node5_MAC8023_PORT_1 Node5_Phy_PORT_1
		Bind Node5_Phy_PORT_1 Node5_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node5_MAC8023_PORT_2

			Set Node5_OFSwitch_V13_0.port2 = Node5_MAC8023_PORT_2
			Set Node5_OFSwitch_V13_0.fixed_net2 = Node5_MAC8023_PORT_2.no
			Set Node5_MAC8023_PORT_2.recvtarget = Node5_OFSwitch_V13_0

			Set Node5_MAC8023_PORT_2.mac = 0:1:0:0:0:2c
			Set Node5_MAC8023_PORT_2.lock_mac = off
			Set Node5_MAC8023_PORT_2.PromisOpt = on
			Set Node5_MAC8023_PORT_2.mode = full
			Set Node5_MAC8023_PORT_2.log = off
			Set Node5_MAC8023_PORT_2.logInterval = 1
			Set Node5_MAC8023_PORT_2.NumCollision = off
			Set Node5_MAC8023_PORT_2.NumUniInPkt = off
			Set Node5_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node5_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node5_MAC8023_PORT_2.NumBroInPkt = off
			Set Node5_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node5_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node5_MAC8023_PORT_2.NumDrop = off
			Set Node5_MAC8023_PORT_2.InThrput = off
			Set Node5_MAC8023_PORT_2.OutThrput = off
			Set Node5_MAC8023_PORT_2.InOutThrput = off
			Set Node5_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N5_P2_UniIn.log
			Set Node5_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N5_P2_UniOut.log
			Set Node5_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N5_P2_UniInOut.log
			Set Node5_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N5_P2_BroIn.log
			Set Node5_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N5_P2_BroOut.log
			Set Node5_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N5_P2_BroInOut.log
			Set Node5_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N5_P2_Coll.log
			Set Node5_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N5_P2_Drop.log
			Set Node5_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N5_P2_InThrput.log
			Set Node5_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N5_P2_OutThrput.log
			Set Node5_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N5_P2_InOutThrput.log
			Set Node5_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node5_Phy_PORT_2
			Set Node5_Phy_PORT_2.Bw = 10
			Set Node5_Phy_PORT_2.BER = 0.0
			Set Node5_Phy_PORT_2.PropDelay = 1000.00
			Set Node5_Phy_PORT_2.linkfail = off
			Set Node5_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N5_P2.linkfail

		Module Link : Node5_PORT_2
			Set Node5_PORT_2.guitag_remotenode = yes


		Bind Node5_MAC8023_PORT_2 Node5_Phy_PORT_2
		Bind Node5_Phy_PORT_2 Node5_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node5_MAC8023_PORT_3

			Set Node5_OFSwitch_V13_0.port3 = Node5_MAC8023_PORT_3
			Set Node5_OFSwitch_V13_0.fixed_net3 = Node5_MAC8023_PORT_3.no
			Set Node5_MAC8023_PORT_3.recvtarget = Node5_OFSwitch_V13_0

			Set Node5_MAC8023_PORT_3.mac = 0:1:0:0:0:2d
			Set Node5_MAC8023_PORT_3.lock_mac = off
			Set Node5_MAC8023_PORT_3.PromisOpt = on
			Set Node5_MAC8023_PORT_3.mode = full
			Set Node5_MAC8023_PORT_3.log = off
			Set Node5_MAC8023_PORT_3.logInterval = 1
			Set Node5_MAC8023_PORT_3.NumCollision = off
			Set Node5_MAC8023_PORT_3.NumUniInPkt = off
			Set Node5_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node5_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node5_MAC8023_PORT_3.NumBroInPkt = off
			Set Node5_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node5_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node5_MAC8023_PORT_3.NumDrop = off
			Set Node5_MAC8023_PORT_3.InThrput = off
			Set Node5_MAC8023_PORT_3.OutThrput = off
			Set Node5_MAC8023_PORT_3.InOutThrput = off
			Set Node5_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N5_P3_UniIn.log
			Set Node5_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N5_P3_UniOut.log
			Set Node5_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N5_P3_UniInOut.log
			Set Node5_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N5_P3_BroIn.log
			Set Node5_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N5_P3_BroOut.log
			Set Node5_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N5_P3_BroInOut.log
			Set Node5_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N5_P3_Coll.log
			Set Node5_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N5_P3_Drop.log
			Set Node5_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N5_P3_InThrput.log
			Set Node5_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N5_P3_OutThrput.log
			Set Node5_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N5_P3_InOutThrput.log
			Set Node5_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node5_Phy_PORT_3
			Set Node5_Phy_PORT_3.Bw = 10
			Set Node5_Phy_PORT_3.BER = 0.0
			Set Node5_Phy_PORT_3.PropDelay = 1000.00
			Set Node5_Phy_PORT_3.linkfail = off
			Set Node5_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N5_P3.linkfail

		Module Link : Node5_PORT_3
			Set Node5_PORT_3.guitag_remotenode = yes


		Bind Node5_MAC8023_PORT_3 Node5_Phy_PORT_3
		Bind Node5_Phy_PORT_3 Node5_PORT_3
	EndDefine

		Bind Node5_Interface_0 Node5_ARP_0
		Bind Node5_ARP_0 Node5_FIFO_0
		Bind Node5_FIFO_0 Node5_TCPDUMP_0
		Bind Node5_TCPDUMP_0 Node5_OFLO_0
		Bind Node5_OFLO_0 Node5_OFSwitch_V13_0
EndCreate

Create Node 6 as OF_SW_V131 with name = OF_SW_V1316
	Module Interface : Node6_Interface_0
		Set Node6_Interface_0.ip = 1.0.1.5
		Set Node6_Interface_0.netmask = 255.255.255.0
	Module ARP : Node6_ARP_0
		Set Node6_ARP_0.arpMode = RunARP
		Set Node6_ARP_0.flushInterval = 3000
		Set Node6_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node6_FIFO_0
		Set Node6_FIFO_0.max_qlen = 50
		Set Node6_FIFO_0.log_qlen = off
		Set Node6_FIFO_0.log_option = FullLog
		Set Node6_FIFO_0.samplerate = 1
		Set Node6_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N6_P4_qlen.log
		Set Node6_FIFO_0.log_drop = off
		Set Node6_FIFO_0.drop_samplerate = 1
		Set Node6_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N6_P7_drop.log
	Module TCPDUMP : Node6_TCPDUMP_0
	Module OFLO : Node6_OFLO_0
		Set Node6_OFLO_0.mac = 0:1:0:0:0:2f
	Module OFSwitch_V13 : Node6_OFSwitch_V13_0
		Set Node6_OFSwitch_V13_0.guitag_addport = yes
		Set Node6_OFSwitch_V13_0.flow_table_amount = 10
		Set Node6_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node6_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node6_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node6_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node6_OFSwitch_V13_0.table_miss_action = Controller
		Set Node6_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node6_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node6_OFSwitch_V13_0.port_to_controller = 4
		Set Node6_OFSwitch_V13_0.controller_id = master_ctl
		Set Node6_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node6_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node6_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node6_OFSwitch_V13_0.port_to_controller_2nd = 4
		Set Node6_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node6_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node6_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node6_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node6_OFSwitch_V13_0.port_to_controller_3rd = 4
		Set Node6_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node6_OFSwitch_V13_0.enable_4th_controller = off
		Set Node6_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node6_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node6_OFSwitch_V13_0.port_to_controller_4th = 4
		Set Node6_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node6_OFSwitch_V13_0.enable_1st_lag = off
		Set Node6_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node6_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node6_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node6_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node6_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node6_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node6_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node6_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node6_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node6_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node6_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node6_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node6_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node6_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node6_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node6_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node6_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node6_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node6_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node6_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node6_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node6_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node6_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node6_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node6_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node6_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node6_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node6_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node6_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node6_OFSwitch_V13_0.max_queue_length = 100
		Set Node6_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node6_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node6_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node6_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node6_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node6_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node6_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node6_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node6_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node6_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node6_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node6_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node6_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node6_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node6_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node6_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node6_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node6_MAC8023_PORT_1

			Set Node6_OFSwitch_V13_0.port1 = Node6_MAC8023_PORT_1
			Set Node6_OFSwitch_V13_0.fixed_net1 = Node6_MAC8023_PORT_1.no
			Set Node6_MAC8023_PORT_1.recvtarget = Node6_OFSwitch_V13_0

			Set Node6_MAC8023_PORT_1.mac = 0:1:0:0:0:30
			Set Node6_MAC8023_PORT_1.lock_mac = off
			Set Node6_MAC8023_PORT_1.PromisOpt = on
			Set Node6_MAC8023_PORT_1.mode = full
			Set Node6_MAC8023_PORT_1.log = off
			Set Node6_MAC8023_PORT_1.logInterval = 1
			Set Node6_MAC8023_PORT_1.NumCollision = off
			Set Node6_MAC8023_PORT_1.NumUniInPkt = off
			Set Node6_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node6_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node6_MAC8023_PORT_1.NumBroInPkt = off
			Set Node6_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node6_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node6_MAC8023_PORT_1.NumDrop = off
			Set Node6_MAC8023_PORT_1.InThrput = off
			Set Node6_MAC8023_PORT_1.OutThrput = off
			Set Node6_MAC8023_PORT_1.InOutThrput = off
			Set Node6_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N6_P1_UniIn.log
			Set Node6_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N6_P1_UniOut.log
			Set Node6_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N6_P1_UniInOut.log
			Set Node6_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N6_P1_BroIn.log
			Set Node6_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N6_P1_BroOut.log
			Set Node6_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N6_P1_BroInOut.log
			Set Node6_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N6_P1_Coll.log
			Set Node6_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N6_P1_Drop.log
			Set Node6_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N6_P1_InThrput.log
			Set Node6_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N6_P1_OutThrput.log
			Set Node6_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N6_P1_InOutThrput.log
			Set Node6_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node6_Phy_PORT_1
			Set Node6_Phy_PORT_1.Bw = 10
			Set Node6_Phy_PORT_1.BER = 0.0
			Set Node6_Phy_PORT_1.PropDelay = 1000.00
			Set Node6_Phy_PORT_1.linkfail = off
			Set Node6_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N6_P1.linkfail

		Module Link : Node6_PORT_1
			Set Node6_PORT_1.guitag_remotenode = yes


		Bind Node6_MAC8023_PORT_1 Node6_Phy_PORT_1
		Bind Node6_Phy_PORT_1 Node6_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node6_MAC8023_PORT_2

			Set Node6_OFSwitch_V13_0.port2 = Node6_MAC8023_PORT_2
			Set Node6_OFSwitch_V13_0.fixed_net2 = Node6_MAC8023_PORT_2.no
			Set Node6_MAC8023_PORT_2.recvtarget = Node6_OFSwitch_V13_0

			Set Node6_MAC8023_PORT_2.mac = 0:1:0:0:0:31
			Set Node6_MAC8023_PORT_2.lock_mac = off
			Set Node6_MAC8023_PORT_2.PromisOpt = on
			Set Node6_MAC8023_PORT_2.mode = full
			Set Node6_MAC8023_PORT_2.log = off
			Set Node6_MAC8023_PORT_2.logInterval = 1
			Set Node6_MAC8023_PORT_2.NumCollision = off
			Set Node6_MAC8023_PORT_2.NumUniInPkt = off
			Set Node6_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node6_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node6_MAC8023_PORT_2.NumBroInPkt = off
			Set Node6_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node6_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node6_MAC8023_PORT_2.NumDrop = off
			Set Node6_MAC8023_PORT_2.InThrput = off
			Set Node6_MAC8023_PORT_2.OutThrput = off
			Set Node6_MAC8023_PORT_2.InOutThrput = off
			Set Node6_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N6_P2_UniIn.log
			Set Node6_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N6_P2_UniOut.log
			Set Node6_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N6_P2_UniInOut.log
			Set Node6_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N6_P2_BroIn.log
			Set Node6_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N6_P2_BroOut.log
			Set Node6_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N6_P2_BroInOut.log
			Set Node6_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N6_P2_Coll.log
			Set Node6_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N6_P2_Drop.log
			Set Node6_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N6_P2_InThrput.log
			Set Node6_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N6_P2_OutThrput.log
			Set Node6_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N6_P2_InOutThrput.log
			Set Node6_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node6_Phy_PORT_2
			Set Node6_Phy_PORT_2.Bw = 10.00
			Set Node6_Phy_PORT_2.BER = 0.000000000
			Set Node6_Phy_PORT_2.PropDelay = 1000.00
			Set Node6_Phy_PORT_2.linkfail = off
			Set Node6_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N6_P2.linkfail

		Module Link : Node6_PORT_2
			Set Node6_PORT_2.guitag_remotenode = yes


		Bind Node6_MAC8023_PORT_2 Node6_Phy_PORT_2
		Bind Node6_Phy_PORT_2 Node6_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node6_MAC8023_PORT_3

			Set Node6_OFSwitch_V13_0.port3 = Node6_MAC8023_PORT_3
			Set Node6_OFSwitch_V13_0.fixed_net3 = Node6_MAC8023_PORT_3.no
			Set Node6_MAC8023_PORT_3.recvtarget = Node6_OFSwitch_V13_0

			Set Node6_MAC8023_PORT_3.mac = 0:1:0:0:0:32
			Set Node6_MAC8023_PORT_3.lock_mac = off
			Set Node6_MAC8023_PORT_3.PromisOpt = on
			Set Node6_MAC8023_PORT_3.mode = full
			Set Node6_MAC8023_PORT_3.log = off
			Set Node6_MAC8023_PORT_3.logInterval = 1
			Set Node6_MAC8023_PORT_3.NumCollision = off
			Set Node6_MAC8023_PORT_3.NumUniInPkt = off
			Set Node6_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node6_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node6_MAC8023_PORT_3.NumBroInPkt = off
			Set Node6_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node6_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node6_MAC8023_PORT_3.NumDrop = off
			Set Node6_MAC8023_PORT_3.InThrput = off
			Set Node6_MAC8023_PORT_3.OutThrput = off
			Set Node6_MAC8023_PORT_3.InOutThrput = off
			Set Node6_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N6_P3_UniIn.log
			Set Node6_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N6_P3_UniOut.log
			Set Node6_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N6_P3_UniInOut.log
			Set Node6_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N6_P3_BroIn.log
			Set Node6_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N6_P3_BroOut.log
			Set Node6_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N6_P3_BroInOut.log
			Set Node6_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N6_P3_Coll.log
			Set Node6_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N6_P3_Drop.log
			Set Node6_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N6_P3_InThrput.log
			Set Node6_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N6_P3_OutThrput.log
			Set Node6_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N6_P3_InOutThrput.log
			Set Node6_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node6_Phy_PORT_3
			Set Node6_Phy_PORT_3.Bw = 10
			Set Node6_Phy_PORT_3.BER = 0.0
			Set Node6_Phy_PORT_3.PropDelay = 1000.00
			Set Node6_Phy_PORT_3.linkfail = off
			Set Node6_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N6_P3.linkfail

		Module Link : Node6_PORT_3
			Set Node6_PORT_3.guitag_remotenode = yes


		Bind Node6_MAC8023_PORT_3 Node6_Phy_PORT_3
		Bind Node6_Phy_PORT_3 Node6_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node6_MAC8023_PORT_4

			Set Node6_OFSwitch_V13_0.port4 = Node6_MAC8023_PORT_4
			Set Node6_OFSwitch_V13_0.fixed_net4 = Node6_MAC8023_PORT_4.no
			Set Node6_MAC8023_PORT_4.recvtarget = Node6_OFSwitch_V13_0

			Set Node6_MAC8023_PORT_4.mac = 0:1:0:0:0:33
			Set Node6_MAC8023_PORT_4.lock_mac = off
			Set Node6_MAC8023_PORT_4.PromisOpt = on
			Set Node6_MAC8023_PORT_4.mode = full
			Set Node6_MAC8023_PORT_4.log = off
			Set Node6_MAC8023_PORT_4.logInterval = 1
			Set Node6_MAC8023_PORT_4.NumCollision = off
			Set Node6_MAC8023_PORT_4.NumUniInPkt = off
			Set Node6_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node6_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node6_MAC8023_PORT_4.NumBroInPkt = off
			Set Node6_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node6_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node6_MAC8023_PORT_4.NumDrop = off
			Set Node6_MAC8023_PORT_4.InThrput = off
			Set Node6_MAC8023_PORT_4.OutThrput = off
			Set Node6_MAC8023_PORT_4.InOutThrput = off
			Set Node6_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N6_P4_UniIn.log
			Set Node6_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N6_P4_UniOut.log
			Set Node6_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N6_P4_UniInOut.log
			Set Node6_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N6_P4_BroIn.log
			Set Node6_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N6_P4_BroOut.log
			Set Node6_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N6_P4_BroInOut.log
			Set Node6_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N6_P4_Coll.log
			Set Node6_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N6_P4_Drop.log
			Set Node6_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N6_P4_InThrput.log
			Set Node6_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N6_P4_OutThrput.log
			Set Node6_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N6_P4_InOutThrput.log
			Set Node6_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node6_Phy_PORT_4
			Set Node6_Phy_PORT_4.Bw = 10
			Set Node6_Phy_PORT_4.BER = 0.0
			Set Node6_Phy_PORT_4.PropDelay = 1000.00
			Set Node6_Phy_PORT_4.linkfail = off
			Set Node6_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N6_P4.linkfail

		Module Link : Node6_PORT_4
			Set Node6_PORT_4.guitag_remotenode = yes


		Bind Node6_MAC8023_PORT_4 Node6_Phy_PORT_4
		Bind Node6_Phy_PORT_4 Node6_PORT_4
	EndDefine

		Bind Node6_Interface_0 Node6_ARP_0
		Bind Node6_ARP_0 Node6_FIFO_0
		Bind Node6_FIFO_0 Node6_TCPDUMP_0
		Bind Node6_TCPDUMP_0 Node6_OFLO_0
		Bind Node6_OFLO_0 Node6_OFSwitch_V13_0
EndCreate

Create Node 7 as OF_SW_V131 with name = OF_SW_V1317
	Module Interface : Node7_Interface_0
		Set Node7_Interface_0.ip = 1.0.1.6
		Set Node7_Interface_0.netmask = 255.255.255.0
	Module ARP : Node7_ARP_0
		Set Node7_ARP_0.arpMode = RunARP
		Set Node7_ARP_0.flushInterval = 3000
		Set Node7_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node7_FIFO_0
		Set Node7_FIFO_0.max_qlen = 50
		Set Node7_FIFO_0.log_qlen = off
		Set Node7_FIFO_0.log_option = FullLog
		Set Node7_FIFO_0.samplerate = 1
		Set Node7_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N7_P4_qlen.log
		Set Node7_FIFO_0.log_drop = off
		Set Node7_FIFO_0.drop_samplerate = 1
		Set Node7_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N7_P7_drop.log
	Module TCPDUMP : Node7_TCPDUMP_0
	Module OFLO : Node7_OFLO_0
		Set Node7_OFLO_0.mac = 0:1:0:0:0:35
	Module OFSwitch_V13 : Node7_OFSwitch_V13_0
		Set Node7_OFSwitch_V13_0.guitag_addport = yes
		Set Node7_OFSwitch_V13_0.flow_table_amount = 10
		Set Node7_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node7_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node7_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node7_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node7_OFSwitch_V13_0.table_miss_action = Controller
		Set Node7_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node7_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node7_OFSwitch_V13_0.port_to_controller = 5
		Set Node7_OFSwitch_V13_0.controller_id = master_ctl
		Set Node7_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node7_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node7_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node7_OFSwitch_V13_0.port_to_controller_2nd = 5
		Set Node7_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node7_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node7_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node7_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node7_OFSwitch_V13_0.port_to_controller_3rd = 5
		Set Node7_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node7_OFSwitch_V13_0.enable_4th_controller = off
		Set Node7_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node7_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node7_OFSwitch_V13_0.port_to_controller_4th = 5
		Set Node7_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node7_OFSwitch_V13_0.enable_1st_lag = off
		Set Node7_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node7_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node7_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node7_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node7_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node7_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node7_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node7_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node7_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node7_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node7_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node7_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node7_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node7_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node7_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node7_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node7_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node7_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node7_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node7_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node7_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node7_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node7_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node7_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node7_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node7_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node7_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node7_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node7_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node7_OFSwitch_V13_0.max_queue_length = 100
		Set Node7_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node7_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node7_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node7_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node7_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node7_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node7_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node7_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node7_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node7_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node7_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node7_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node7_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node7_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node7_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node7_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node7_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node7_MAC8023_PORT_1

			Set Node7_OFSwitch_V13_0.port1 = Node7_MAC8023_PORT_1
			Set Node7_OFSwitch_V13_0.fixed_net1 = Node7_MAC8023_PORT_1.no
			Set Node7_MAC8023_PORT_1.recvtarget = Node7_OFSwitch_V13_0

			Set Node7_MAC8023_PORT_1.mac = 0:1:0:0:0:36
			Set Node7_MAC8023_PORT_1.lock_mac = off
			Set Node7_MAC8023_PORT_1.PromisOpt = on
			Set Node7_MAC8023_PORT_1.mode = full
			Set Node7_MAC8023_PORT_1.log = off
			Set Node7_MAC8023_PORT_1.logInterval = 1
			Set Node7_MAC8023_PORT_1.NumCollision = off
			Set Node7_MAC8023_PORT_1.NumUniInPkt = off
			Set Node7_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node7_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node7_MAC8023_PORT_1.NumBroInPkt = off
			Set Node7_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node7_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node7_MAC8023_PORT_1.NumDrop = off
			Set Node7_MAC8023_PORT_1.InThrput = off
			Set Node7_MAC8023_PORT_1.OutThrput = off
			Set Node7_MAC8023_PORT_1.InOutThrput = off
			Set Node7_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N7_P1_UniIn.log
			Set Node7_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N7_P1_UniOut.log
			Set Node7_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N7_P1_UniInOut.log
			Set Node7_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N7_P1_BroIn.log
			Set Node7_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N7_P1_BroOut.log
			Set Node7_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N7_P1_BroInOut.log
			Set Node7_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N7_P1_Coll.log
			Set Node7_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N7_P1_Drop.log
			Set Node7_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N7_P1_InThrput.log
			Set Node7_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N7_P1_OutThrput.log
			Set Node7_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N7_P1_InOutThrput.log
			Set Node7_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node7_Phy_PORT_1
			Set Node7_Phy_PORT_1.Bw = 10
			Set Node7_Phy_PORT_1.BER = 0.0
			Set Node7_Phy_PORT_1.PropDelay = 1000.00
			Set Node7_Phy_PORT_1.linkfail = off
			Set Node7_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N7_P1.linkfail

		Module Link : Node7_PORT_1
			Set Node7_PORT_1.guitag_remotenode = yes


		Bind Node7_MAC8023_PORT_1 Node7_Phy_PORT_1
		Bind Node7_Phy_PORT_1 Node7_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node7_MAC8023_PORT_2

			Set Node7_OFSwitch_V13_0.port2 = Node7_MAC8023_PORT_2
			Set Node7_OFSwitch_V13_0.fixed_net2 = Node7_MAC8023_PORT_2.no
			Set Node7_MAC8023_PORT_2.recvtarget = Node7_OFSwitch_V13_0

			Set Node7_MAC8023_PORT_2.mac = 0:1:0:0:0:37
			Set Node7_MAC8023_PORT_2.lock_mac = off
			Set Node7_MAC8023_PORT_2.PromisOpt = on
			Set Node7_MAC8023_PORT_2.mode = full
			Set Node7_MAC8023_PORT_2.log = off
			Set Node7_MAC8023_PORT_2.logInterval = 1
			Set Node7_MAC8023_PORT_2.NumCollision = off
			Set Node7_MAC8023_PORT_2.NumUniInPkt = off
			Set Node7_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node7_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node7_MAC8023_PORT_2.NumBroInPkt = off
			Set Node7_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node7_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node7_MAC8023_PORT_2.NumDrop = off
			Set Node7_MAC8023_PORT_2.InThrput = off
			Set Node7_MAC8023_PORT_2.OutThrput = off
			Set Node7_MAC8023_PORT_2.InOutThrput = off
			Set Node7_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N7_P2_UniIn.log
			Set Node7_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N7_P2_UniOut.log
			Set Node7_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N7_P2_UniInOut.log
			Set Node7_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N7_P2_BroIn.log
			Set Node7_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N7_P2_BroOut.log
			Set Node7_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N7_P2_BroInOut.log
			Set Node7_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N7_P2_Coll.log
			Set Node7_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N7_P2_Drop.log
			Set Node7_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N7_P2_InThrput.log
			Set Node7_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N7_P2_OutThrput.log
			Set Node7_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N7_P2_InOutThrput.log
			Set Node7_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node7_Phy_PORT_2
			Set Node7_Phy_PORT_2.Bw = 10
			Set Node7_Phy_PORT_2.BER = 0.0
			Set Node7_Phy_PORT_2.PropDelay = 1000.00
			Set Node7_Phy_PORT_2.linkfail = off
			Set Node7_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N7_P2.linkfail

		Module Link : Node7_PORT_2
			Set Node7_PORT_2.guitag_remotenode = yes


		Bind Node7_MAC8023_PORT_2 Node7_Phy_PORT_2
		Bind Node7_Phy_PORT_2 Node7_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node7_MAC8023_PORT_3

			Set Node7_OFSwitch_V13_0.port3 = Node7_MAC8023_PORT_3
			Set Node7_OFSwitch_V13_0.fixed_net3 = Node7_MAC8023_PORT_3.no
			Set Node7_MAC8023_PORT_3.recvtarget = Node7_OFSwitch_V13_0

			Set Node7_MAC8023_PORT_3.mac = 0:1:0:0:0:38
			Set Node7_MAC8023_PORT_3.lock_mac = off
			Set Node7_MAC8023_PORT_3.PromisOpt = on
			Set Node7_MAC8023_PORT_3.mode = full
			Set Node7_MAC8023_PORT_3.log = off
			Set Node7_MAC8023_PORT_3.logInterval = 1
			Set Node7_MAC8023_PORT_3.NumCollision = off
			Set Node7_MAC8023_PORT_3.NumUniInPkt = off
			Set Node7_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node7_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node7_MAC8023_PORT_3.NumBroInPkt = off
			Set Node7_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node7_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node7_MAC8023_PORT_3.NumDrop = off
			Set Node7_MAC8023_PORT_3.InThrput = off
			Set Node7_MAC8023_PORT_3.OutThrput = off
			Set Node7_MAC8023_PORT_3.InOutThrput = off
			Set Node7_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N7_P3_UniIn.log
			Set Node7_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N7_P3_UniOut.log
			Set Node7_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N7_P3_UniInOut.log
			Set Node7_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N7_P3_BroIn.log
			Set Node7_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N7_P3_BroOut.log
			Set Node7_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N7_P3_BroInOut.log
			Set Node7_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N7_P3_Coll.log
			Set Node7_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N7_P3_Drop.log
			Set Node7_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N7_P3_InThrput.log
			Set Node7_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N7_P3_OutThrput.log
			Set Node7_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N7_P3_InOutThrput.log
			Set Node7_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node7_Phy_PORT_3
			Set Node7_Phy_PORT_3.Bw = 10
			Set Node7_Phy_PORT_3.BER = 0.0
			Set Node7_Phy_PORT_3.PropDelay = 1000.00
			Set Node7_Phy_PORT_3.linkfail = off
			Set Node7_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N7_P3.linkfail

		Module Link : Node7_PORT_3
			Set Node7_PORT_3.guitag_remotenode = yes


		Bind Node7_MAC8023_PORT_3 Node7_Phy_PORT_3
		Bind Node7_Phy_PORT_3 Node7_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node7_MAC8023_PORT_4

			Set Node7_OFSwitch_V13_0.port4 = Node7_MAC8023_PORT_4
			Set Node7_OFSwitch_V13_0.fixed_net4 = Node7_MAC8023_PORT_4.no
			Set Node7_MAC8023_PORT_4.recvtarget = Node7_OFSwitch_V13_0

			Set Node7_MAC8023_PORT_4.mac = 0:1:0:0:0:39
			Set Node7_MAC8023_PORT_4.lock_mac = off
			Set Node7_MAC8023_PORT_4.PromisOpt = on
			Set Node7_MAC8023_PORT_4.mode = full
			Set Node7_MAC8023_PORT_4.log = off
			Set Node7_MAC8023_PORT_4.logInterval = 1
			Set Node7_MAC8023_PORT_4.NumCollision = off
			Set Node7_MAC8023_PORT_4.NumUniInPkt = off
			Set Node7_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node7_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node7_MAC8023_PORT_4.NumBroInPkt = off
			Set Node7_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node7_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node7_MAC8023_PORT_4.NumDrop = off
			Set Node7_MAC8023_PORT_4.InThrput = off
			Set Node7_MAC8023_PORT_4.OutThrput = off
			Set Node7_MAC8023_PORT_4.InOutThrput = off
			Set Node7_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N7_P4_UniIn.log
			Set Node7_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N7_P4_UniOut.log
			Set Node7_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N7_P4_UniInOut.log
			Set Node7_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N7_P4_BroIn.log
			Set Node7_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N7_P4_BroOut.log
			Set Node7_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N7_P4_BroInOut.log
			Set Node7_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N7_P4_Coll.log
			Set Node7_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N7_P4_Drop.log
			Set Node7_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N7_P4_InThrput.log
			Set Node7_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N7_P4_OutThrput.log
			Set Node7_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N7_P4_InOutThrput.log
			Set Node7_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node7_Phy_PORT_4
			Set Node7_Phy_PORT_4.Bw = 10
			Set Node7_Phy_PORT_4.BER = 0.0
			Set Node7_Phy_PORT_4.PropDelay = 1000.00
			Set Node7_Phy_PORT_4.linkfail = off
			Set Node7_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N7_P4.linkfail

		Module Link : Node7_PORT_4
			Set Node7_PORT_4.guitag_remotenode = yes


		Bind Node7_MAC8023_PORT_4 Node7_Phy_PORT_4
		Bind Node7_Phy_PORT_4 Node7_PORT_4
	EndDefine

	Define port 5
		Module MAC8023 : Node7_MAC8023_PORT_5

			Set Node7_OFSwitch_V13_0.port5 = Node7_MAC8023_PORT_5
			Set Node7_OFSwitch_V13_0.fixed_net5 = Node7_MAC8023_PORT_5.no
			Set Node7_MAC8023_PORT_5.recvtarget = Node7_OFSwitch_V13_0

			Set Node7_MAC8023_PORT_5.mac = 0:1:0:0:0:3a
			Set Node7_MAC8023_PORT_5.lock_mac = off
			Set Node7_MAC8023_PORT_5.PromisOpt = on
			Set Node7_MAC8023_PORT_5.mode = full
			Set Node7_MAC8023_PORT_5.log = off
			Set Node7_MAC8023_PORT_5.logInterval = 1
			Set Node7_MAC8023_PORT_5.NumCollision = off
			Set Node7_MAC8023_PORT_5.NumUniInPkt = off
			Set Node7_MAC8023_PORT_5.NumUniOutPkt = off
			Set Node7_MAC8023_PORT_5.NumUniInOutPkt = off
			Set Node7_MAC8023_PORT_5.NumBroInPkt = off
			Set Node7_MAC8023_PORT_5.NumBroOutPkt = off
			Set Node7_MAC8023_PORT_5.NumBroInOutPkt = off
			Set Node7_MAC8023_PORT_5.NumDrop = off
			Set Node7_MAC8023_PORT_5.InThrput = off
			Set Node7_MAC8023_PORT_5.OutThrput = off
			Set Node7_MAC8023_PORT_5.InOutThrput = off
			Set Node7_MAC8023_PORT_5.UniInLogFile = Opendaylight_SpanningTree.8023_N7_P5_UniIn.log
			Set Node7_MAC8023_PORT_5.UniOutLogFile = Opendaylight_SpanningTree.8023_N7_P5_UniOut.log
			Set Node7_MAC8023_PORT_5.UniInOutLogFile = Opendaylight_SpanningTree.8023_N7_P5_UniInOut.log
			Set Node7_MAC8023_PORT_5.BroInLogFile = Opendaylight_SpanningTree.8023_N7_P5_BroIn.log
			Set Node7_MAC8023_PORT_5.BroOutLogFile = Opendaylight_SpanningTree.8023_N7_P5_BroOut.log
			Set Node7_MAC8023_PORT_5.BroInOutLogFile = Opendaylight_SpanningTree.8023_N7_P5_BroInOut.log
			Set Node7_MAC8023_PORT_5.CollLogFile = Opendaylight_SpanningTree.8023_N7_P5_Coll.log
			Set Node7_MAC8023_PORT_5.DropLogFile = Opendaylight_SpanningTree.8023_N7_P5_Drop.log
			Set Node7_MAC8023_PORT_5.InThrputLogFile = Opendaylight_SpanningTree.8023_N7_P5_InThrput.log
			Set Node7_MAC8023_PORT_5.OutThrputLogFile = Opendaylight_SpanningTree.8023_N7_P5_OutThrput.log
			Set Node7_MAC8023_PORT_5.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N7_P5_InOutThrput.log
			Set Node7_MAC8023_PORT_5.LinktoHub = 0

		Module Phy : Node7_Phy_PORT_5
			Set Node7_Phy_PORT_5.Bw = 10
			Set Node7_Phy_PORT_5.BER = 0.0
			Set Node7_Phy_PORT_5.PropDelay = 1000.00
			Set Node7_Phy_PORT_5.linkfail = off
			Set Node7_Phy_PORT_5.linkfailFileName = Opendaylight_SpanningTree.phy_N7_P5.linkfail

		Module Link : Node7_PORT_5
			Set Node7_PORT_5.guitag_remotenode = yes


		Bind Node7_MAC8023_PORT_5 Node7_Phy_PORT_5
		Bind Node7_Phy_PORT_5 Node7_PORT_5
	EndDefine

		Bind Node7_Interface_0 Node7_ARP_0
		Bind Node7_ARP_0 Node7_FIFO_0
		Bind Node7_FIFO_0 Node7_TCPDUMP_0
		Bind Node7_TCPDUMP_0 Node7_OFLO_0
		Bind Node7_OFLO_0 Node7_OFSwitch_V13_0
EndCreate

Create Node 8 as OF_SW_V131 with name = OF_SW_V1318
	Module Interface : Node8_Interface_0
		Set Node8_Interface_0.ip = 1.0.1.7
		Set Node8_Interface_0.netmask = 255.255.255.0
	Module ARP : Node8_ARP_0
		Set Node8_ARP_0.arpMode = RunARP
		Set Node8_ARP_0.flushInterval = 3000
		Set Node8_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node8_FIFO_0
		Set Node8_FIFO_0.max_qlen = 50
		Set Node8_FIFO_0.log_qlen = off
		Set Node8_FIFO_0.log_option = FullLog
		Set Node8_FIFO_0.samplerate = 1
		Set Node8_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N8_P4_qlen.log
		Set Node8_FIFO_0.log_drop = off
		Set Node8_FIFO_0.drop_samplerate = 1
		Set Node8_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N8_P7_drop.log
	Module TCPDUMP : Node8_TCPDUMP_0
	Module OFLO : Node8_OFLO_0
		Set Node8_OFLO_0.mac = 0:1:0:0:0:3c
	Module OFSwitch_V13 : Node8_OFSwitch_V13_0
		Set Node8_OFSwitch_V13_0.guitag_addport = yes
		Set Node8_OFSwitch_V13_0.flow_table_amount = 10
		Set Node8_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node8_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node8_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node8_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node8_OFSwitch_V13_0.table_miss_action = Controller
		Set Node8_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node8_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node8_OFSwitch_V13_0.port_to_controller = 4
		Set Node8_OFSwitch_V13_0.controller_id = master_ctl
		Set Node8_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node8_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node8_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node8_OFSwitch_V13_0.port_to_controller_2nd = 4
		Set Node8_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node8_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node8_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node8_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node8_OFSwitch_V13_0.port_to_controller_3rd = 4
		Set Node8_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node8_OFSwitch_V13_0.enable_4th_controller = off
		Set Node8_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node8_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node8_OFSwitch_V13_0.port_to_controller_4th = 4
		Set Node8_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node8_OFSwitch_V13_0.enable_1st_lag = off
		Set Node8_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node8_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node8_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node8_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node8_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node8_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node8_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node8_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node8_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node8_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node8_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node8_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node8_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node8_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node8_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node8_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node8_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node8_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node8_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node8_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node8_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node8_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node8_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node8_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node8_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node8_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node8_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node8_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node8_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node8_OFSwitch_V13_0.max_queue_length = 100
		Set Node8_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node8_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node8_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node8_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node8_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node8_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node8_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node8_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node8_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node8_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node8_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node8_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node8_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node8_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node8_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node8_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node8_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node8_MAC8023_PORT_1

			Set Node8_OFSwitch_V13_0.port1 = Node8_MAC8023_PORT_1
			Set Node8_OFSwitch_V13_0.fixed_net1 = Node8_MAC8023_PORT_1.no
			Set Node8_MAC8023_PORT_1.recvtarget = Node8_OFSwitch_V13_0

			Set Node8_MAC8023_PORT_1.mac = 0:1:0:0:0:3d
			Set Node8_MAC8023_PORT_1.lock_mac = off
			Set Node8_MAC8023_PORT_1.PromisOpt = on
			Set Node8_MAC8023_PORT_1.mode = full
			Set Node8_MAC8023_PORT_1.log = off
			Set Node8_MAC8023_PORT_1.logInterval = 1
			Set Node8_MAC8023_PORT_1.NumCollision = off
			Set Node8_MAC8023_PORT_1.NumUniInPkt = off
			Set Node8_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node8_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node8_MAC8023_PORT_1.NumBroInPkt = off
			Set Node8_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node8_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node8_MAC8023_PORT_1.NumDrop = off
			Set Node8_MAC8023_PORT_1.InThrput = off
			Set Node8_MAC8023_PORT_1.OutThrput = off
			Set Node8_MAC8023_PORT_1.InOutThrput = off
			Set Node8_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N8_P1_UniIn.log
			Set Node8_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N8_P1_UniOut.log
			Set Node8_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N8_P1_UniInOut.log
			Set Node8_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N8_P1_BroIn.log
			Set Node8_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N8_P1_BroOut.log
			Set Node8_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N8_P1_BroInOut.log
			Set Node8_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N8_P1_Coll.log
			Set Node8_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N8_P1_Drop.log
			Set Node8_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N8_P1_InThrput.log
			Set Node8_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N8_P1_OutThrput.log
			Set Node8_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N8_P1_InOutThrput.log
			Set Node8_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node8_Phy_PORT_1
			Set Node8_Phy_PORT_1.Bw = 10
			Set Node8_Phy_PORT_1.BER = 0.0
			Set Node8_Phy_PORT_1.PropDelay = 1000.00
			Set Node8_Phy_PORT_1.linkfail = off
			Set Node8_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N8_P1.linkfail

		Module Link : Node8_PORT_1
			Set Node8_PORT_1.guitag_remotenode = yes


		Bind Node8_MAC8023_PORT_1 Node8_Phy_PORT_1
		Bind Node8_Phy_PORT_1 Node8_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node8_MAC8023_PORT_2

			Set Node8_OFSwitch_V13_0.port2 = Node8_MAC8023_PORT_2
			Set Node8_OFSwitch_V13_0.fixed_net2 = Node8_MAC8023_PORT_2.no
			Set Node8_MAC8023_PORT_2.recvtarget = Node8_OFSwitch_V13_0

			Set Node8_MAC8023_PORT_2.mac = 0:1:0:0:0:3e
			Set Node8_MAC8023_PORT_2.lock_mac = off
			Set Node8_MAC8023_PORT_2.PromisOpt = on
			Set Node8_MAC8023_PORT_2.mode = full
			Set Node8_MAC8023_PORT_2.log = off
			Set Node8_MAC8023_PORT_2.logInterval = 1
			Set Node8_MAC8023_PORT_2.NumCollision = off
			Set Node8_MAC8023_PORT_2.NumUniInPkt = off
			Set Node8_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node8_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node8_MAC8023_PORT_2.NumBroInPkt = off
			Set Node8_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node8_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node8_MAC8023_PORT_2.NumDrop = off
			Set Node8_MAC8023_PORT_2.InThrput = off
			Set Node8_MAC8023_PORT_2.OutThrput = off
			Set Node8_MAC8023_PORT_2.InOutThrput = off
			Set Node8_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N8_P2_UniIn.log
			Set Node8_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N8_P2_UniOut.log
			Set Node8_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N8_P2_UniInOut.log
			Set Node8_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N8_P2_BroIn.log
			Set Node8_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N8_P2_BroOut.log
			Set Node8_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N8_P2_BroInOut.log
			Set Node8_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N8_P2_Coll.log
			Set Node8_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N8_P2_Drop.log
			Set Node8_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N8_P2_InThrput.log
			Set Node8_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N8_P2_OutThrput.log
			Set Node8_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N8_P2_InOutThrput.log
			Set Node8_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node8_Phy_PORT_2
			Set Node8_Phy_PORT_2.Bw = 10
			Set Node8_Phy_PORT_2.BER = 0.0
			Set Node8_Phy_PORT_2.PropDelay = 1000.00
			Set Node8_Phy_PORT_2.linkfail = off
			Set Node8_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N8_P2.linkfail

		Module Link : Node8_PORT_2
			Set Node8_PORT_2.guitag_remotenode = yes


		Bind Node8_MAC8023_PORT_2 Node8_Phy_PORT_2
		Bind Node8_Phy_PORT_2 Node8_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node8_MAC8023_PORT_3

			Set Node8_OFSwitch_V13_0.port3 = Node8_MAC8023_PORT_3
			Set Node8_OFSwitch_V13_0.fixed_net3 = Node8_MAC8023_PORT_3.no
			Set Node8_MAC8023_PORT_3.recvtarget = Node8_OFSwitch_V13_0

			Set Node8_MAC8023_PORT_3.mac = 0:1:0:0:0:3f
			Set Node8_MAC8023_PORT_3.lock_mac = off
			Set Node8_MAC8023_PORT_3.PromisOpt = on
			Set Node8_MAC8023_PORT_3.mode = full
			Set Node8_MAC8023_PORT_3.log = off
			Set Node8_MAC8023_PORT_3.logInterval = 1
			Set Node8_MAC8023_PORT_3.NumCollision = off
			Set Node8_MAC8023_PORT_3.NumUniInPkt = off
			Set Node8_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node8_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node8_MAC8023_PORT_3.NumBroInPkt = off
			Set Node8_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node8_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node8_MAC8023_PORT_3.NumDrop = off
			Set Node8_MAC8023_PORT_3.InThrput = off
			Set Node8_MAC8023_PORT_3.OutThrput = off
			Set Node8_MAC8023_PORT_3.InOutThrput = off
			Set Node8_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N8_P3_UniIn.log
			Set Node8_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N8_P3_UniOut.log
			Set Node8_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N8_P3_UniInOut.log
			Set Node8_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N8_P3_BroIn.log
			Set Node8_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N8_P3_BroOut.log
			Set Node8_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N8_P3_BroInOut.log
			Set Node8_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N8_P3_Coll.log
			Set Node8_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N8_P3_Drop.log
			Set Node8_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N8_P3_InThrput.log
			Set Node8_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N8_P3_OutThrput.log
			Set Node8_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N8_P3_InOutThrput.log
			Set Node8_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node8_Phy_PORT_3
			Set Node8_Phy_PORT_3.Bw = 10.00
			Set Node8_Phy_PORT_3.BER = 0.000000000
			Set Node8_Phy_PORT_3.PropDelay = 1000.00
			Set Node8_Phy_PORT_3.linkfail = off
			Set Node8_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N8_P3.linkfail

		Module Link : Node8_PORT_3
			Set Node8_PORT_3.guitag_remotenode = yes


		Bind Node8_MAC8023_PORT_3 Node8_Phy_PORT_3
		Bind Node8_Phy_PORT_3 Node8_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node8_MAC8023_PORT_4

			Set Node8_OFSwitch_V13_0.port4 = Node8_MAC8023_PORT_4
			Set Node8_OFSwitch_V13_0.fixed_net4 = Node8_MAC8023_PORT_4.no
			Set Node8_MAC8023_PORT_4.recvtarget = Node8_OFSwitch_V13_0

			Set Node8_MAC8023_PORT_4.mac = 0:1:0:0:0:40
			Set Node8_MAC8023_PORT_4.lock_mac = off
			Set Node8_MAC8023_PORT_4.PromisOpt = on
			Set Node8_MAC8023_PORT_4.mode = full
			Set Node8_MAC8023_PORT_4.log = off
			Set Node8_MAC8023_PORT_4.logInterval = 1
			Set Node8_MAC8023_PORT_4.NumCollision = off
			Set Node8_MAC8023_PORT_4.NumUniInPkt = off
			Set Node8_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node8_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node8_MAC8023_PORT_4.NumBroInPkt = off
			Set Node8_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node8_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node8_MAC8023_PORT_4.NumDrop = off
			Set Node8_MAC8023_PORT_4.InThrput = off
			Set Node8_MAC8023_PORT_4.OutThrput = off
			Set Node8_MAC8023_PORT_4.InOutThrput = off
			Set Node8_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N8_P4_UniIn.log
			Set Node8_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N8_P4_UniOut.log
			Set Node8_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N8_P4_UniInOut.log
			Set Node8_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N8_P4_BroIn.log
			Set Node8_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N8_P4_BroOut.log
			Set Node8_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N8_P4_BroInOut.log
			Set Node8_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N8_P4_Coll.log
			Set Node8_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N8_P4_Drop.log
			Set Node8_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N8_P4_InThrput.log
			Set Node8_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N8_P4_OutThrput.log
			Set Node8_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N8_P4_InOutThrput.log
			Set Node8_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node8_Phy_PORT_4
			Set Node8_Phy_PORT_4.Bw = 10
			Set Node8_Phy_PORT_4.BER = 0.0
			Set Node8_Phy_PORT_4.PropDelay = 1000.00
			Set Node8_Phy_PORT_4.linkfail = off
			Set Node8_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N8_P4.linkfail

		Module Link : Node8_PORT_4
			Set Node8_PORT_4.guitag_remotenode = yes


		Bind Node8_MAC8023_PORT_4 Node8_Phy_PORT_4
		Bind Node8_Phy_PORT_4 Node8_PORT_4
	EndDefine

		Bind Node8_Interface_0 Node8_ARP_0
		Bind Node8_ARP_0 Node8_FIFO_0
		Bind Node8_FIFO_0 Node8_TCPDUMP_0
		Bind Node8_TCPDUMP_0 Node8_OFLO_0
		Bind Node8_OFLO_0 Node8_OFSwitch_V13_0
EndCreate

Create Node 9 as OF_SW_V131 with name = OF_SW_V1319
	Module Interface : Node9_Interface_0
		Set Node9_Interface_0.ip = 1.0.1.8
		Set Node9_Interface_0.netmask = 255.255.255.0
	Module ARP : Node9_ARP_0
		Set Node9_ARP_0.arpMode = RunARP
		Set Node9_ARP_0.flushInterval = 3000
		Set Node9_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node9_FIFO_0
		Set Node9_FIFO_0.max_qlen = 50
		Set Node9_FIFO_0.log_qlen = off
		Set Node9_FIFO_0.log_option = FullLog
		Set Node9_FIFO_0.samplerate = 1
		Set Node9_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N9_P4_qlen.log
		Set Node9_FIFO_0.log_drop = off
		Set Node9_FIFO_0.drop_samplerate = 1
		Set Node9_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N9_P7_drop.log
	Module TCPDUMP : Node9_TCPDUMP_0
	Module OFLO : Node9_OFLO_0
		Set Node9_OFLO_0.mac = 0:1:0:0:0:42
	Module OFSwitch_V13 : Node9_OFSwitch_V13_0
		Set Node9_OFSwitch_V13_0.guitag_addport = yes
		Set Node9_OFSwitch_V13_0.flow_table_amount = 10
		Set Node9_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node9_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node9_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node9_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node9_OFSwitch_V13_0.table_miss_action = Controller
		Set Node9_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node9_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node9_OFSwitch_V13_0.port_to_controller = 4
		Set Node9_OFSwitch_V13_0.controller_id = master_ctl
		Set Node9_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node9_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node9_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node9_OFSwitch_V13_0.port_to_controller_2nd = 4
		Set Node9_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node9_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node9_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node9_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node9_OFSwitch_V13_0.port_to_controller_3rd = 4
		Set Node9_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node9_OFSwitch_V13_0.enable_4th_controller = off
		Set Node9_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node9_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node9_OFSwitch_V13_0.port_to_controller_4th = 4
		Set Node9_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node9_OFSwitch_V13_0.enable_1st_lag = off
		Set Node9_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node9_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node9_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node9_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node9_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node9_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node9_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node9_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node9_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node9_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node9_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node9_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node9_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node9_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node9_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node9_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node9_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node9_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node9_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node9_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node9_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node9_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node9_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node9_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node9_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node9_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node9_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node9_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node9_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node9_OFSwitch_V13_0.max_queue_length = 100
		Set Node9_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node9_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node9_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node9_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node9_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node9_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node9_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node9_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node9_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node9_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node9_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node9_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node9_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node9_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node9_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node9_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node9_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node9_MAC8023_PORT_1

			Set Node9_OFSwitch_V13_0.port1 = Node9_MAC8023_PORT_1
			Set Node9_OFSwitch_V13_0.fixed_net1 = Node9_MAC8023_PORT_1.no
			Set Node9_MAC8023_PORT_1.recvtarget = Node9_OFSwitch_V13_0

			Set Node9_MAC8023_PORT_1.mac = 0:1:0:0:0:43
			Set Node9_MAC8023_PORT_1.lock_mac = off
			Set Node9_MAC8023_PORT_1.PromisOpt = on
			Set Node9_MAC8023_PORT_1.mode = full
			Set Node9_MAC8023_PORT_1.log = off
			Set Node9_MAC8023_PORT_1.logInterval = 1
			Set Node9_MAC8023_PORT_1.NumCollision = off
			Set Node9_MAC8023_PORT_1.NumUniInPkt = off
			Set Node9_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node9_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node9_MAC8023_PORT_1.NumBroInPkt = off
			Set Node9_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node9_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node9_MAC8023_PORT_1.NumDrop = off
			Set Node9_MAC8023_PORT_1.InThrput = off
			Set Node9_MAC8023_PORT_1.OutThrput = off
			Set Node9_MAC8023_PORT_1.InOutThrput = off
			Set Node9_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N9_P1_UniIn.log
			Set Node9_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N9_P1_UniOut.log
			Set Node9_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N9_P1_UniInOut.log
			Set Node9_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N9_P1_BroIn.log
			Set Node9_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N9_P1_BroOut.log
			Set Node9_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N9_P1_BroInOut.log
			Set Node9_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N9_P1_Coll.log
			Set Node9_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N9_P1_Drop.log
			Set Node9_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N9_P1_InThrput.log
			Set Node9_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N9_P1_OutThrput.log
			Set Node9_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N9_P1_InOutThrput.log
			Set Node9_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node9_Phy_PORT_1
			Set Node9_Phy_PORT_1.Bw = 10
			Set Node9_Phy_PORT_1.BER = 0.0
			Set Node9_Phy_PORT_1.PropDelay = 1000.00
			Set Node9_Phy_PORT_1.linkfail = off
			Set Node9_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N9_P1.linkfail

		Module Link : Node9_PORT_1
			Set Node9_PORT_1.guitag_remotenode = yes


		Bind Node9_MAC8023_PORT_1 Node9_Phy_PORT_1
		Bind Node9_Phy_PORT_1 Node9_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node9_MAC8023_PORT_2

			Set Node9_OFSwitch_V13_0.port2 = Node9_MAC8023_PORT_2
			Set Node9_OFSwitch_V13_0.fixed_net2 = Node9_MAC8023_PORT_2.no
			Set Node9_MAC8023_PORT_2.recvtarget = Node9_OFSwitch_V13_0

			Set Node9_MAC8023_PORT_2.mac = 0:1:0:0:0:44
			Set Node9_MAC8023_PORT_2.lock_mac = off
			Set Node9_MAC8023_PORT_2.PromisOpt = on
			Set Node9_MAC8023_PORT_2.mode = full
			Set Node9_MAC8023_PORT_2.log = off
			Set Node9_MAC8023_PORT_2.logInterval = 1
			Set Node9_MAC8023_PORT_2.NumCollision = off
			Set Node9_MAC8023_PORT_2.NumUniInPkt = off
			Set Node9_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node9_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node9_MAC8023_PORT_2.NumBroInPkt = off
			Set Node9_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node9_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node9_MAC8023_PORT_2.NumDrop = off
			Set Node9_MAC8023_PORT_2.InThrput = off
			Set Node9_MAC8023_PORT_2.OutThrput = off
			Set Node9_MAC8023_PORT_2.InOutThrput = off
			Set Node9_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N9_P2_UniIn.log
			Set Node9_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N9_P2_UniOut.log
			Set Node9_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N9_P2_UniInOut.log
			Set Node9_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N9_P2_BroIn.log
			Set Node9_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N9_P2_BroOut.log
			Set Node9_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N9_P2_BroInOut.log
			Set Node9_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N9_P2_Coll.log
			Set Node9_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N9_P2_Drop.log
			Set Node9_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N9_P2_InThrput.log
			Set Node9_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N9_P2_OutThrput.log
			Set Node9_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N9_P2_InOutThrput.log
			Set Node9_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node9_Phy_PORT_2
			Set Node9_Phy_PORT_2.Bw = 10
			Set Node9_Phy_PORT_2.BER = 0.0
			Set Node9_Phy_PORT_2.PropDelay = 1000.00
			Set Node9_Phy_PORT_2.linkfail = off
			Set Node9_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N9_P2.linkfail

		Module Link : Node9_PORT_2
			Set Node9_PORT_2.guitag_remotenode = yes


		Bind Node9_MAC8023_PORT_2 Node9_Phy_PORT_2
		Bind Node9_Phy_PORT_2 Node9_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node9_MAC8023_PORT_3

			Set Node9_OFSwitch_V13_0.port3 = Node9_MAC8023_PORT_3
			Set Node9_OFSwitch_V13_0.fixed_net3 = Node9_MAC8023_PORT_3.no
			Set Node9_MAC8023_PORT_3.recvtarget = Node9_OFSwitch_V13_0

			Set Node9_MAC8023_PORT_3.mac = 0:1:0:0:0:45
			Set Node9_MAC8023_PORT_3.lock_mac = off
			Set Node9_MAC8023_PORT_3.PromisOpt = on
			Set Node9_MAC8023_PORT_3.mode = full
			Set Node9_MAC8023_PORT_3.log = off
			Set Node9_MAC8023_PORT_3.logInterval = 1
			Set Node9_MAC8023_PORT_3.NumCollision = off
			Set Node9_MAC8023_PORT_3.NumUniInPkt = off
			Set Node9_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node9_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node9_MAC8023_PORT_3.NumBroInPkt = off
			Set Node9_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node9_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node9_MAC8023_PORT_3.NumDrop = off
			Set Node9_MAC8023_PORT_3.InThrput = off
			Set Node9_MAC8023_PORT_3.OutThrput = off
			Set Node9_MAC8023_PORT_3.InOutThrput = off
			Set Node9_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N9_P3_UniIn.log
			Set Node9_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N9_P3_UniOut.log
			Set Node9_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N9_P3_UniInOut.log
			Set Node9_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N9_P3_BroIn.log
			Set Node9_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N9_P3_BroOut.log
			Set Node9_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N9_P3_BroInOut.log
			Set Node9_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N9_P3_Coll.log
			Set Node9_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N9_P3_Drop.log
			Set Node9_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N9_P3_InThrput.log
			Set Node9_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N9_P3_OutThrput.log
			Set Node9_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N9_P3_InOutThrput.log
			Set Node9_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node9_Phy_PORT_3
			Set Node9_Phy_PORT_3.Bw = 10
			Set Node9_Phy_PORT_3.BER = 0.0
			Set Node9_Phy_PORT_3.PropDelay = 1000.00
			Set Node9_Phy_PORT_3.linkfail = off
			Set Node9_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N9_P3.linkfail

		Module Link : Node9_PORT_3
			Set Node9_PORT_3.guitag_remotenode = yes


		Bind Node9_MAC8023_PORT_3 Node9_Phy_PORT_3
		Bind Node9_Phy_PORT_3 Node9_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node9_MAC8023_PORT_4

			Set Node9_OFSwitch_V13_0.port4 = Node9_MAC8023_PORT_4
			Set Node9_OFSwitch_V13_0.fixed_net4 = Node9_MAC8023_PORT_4.no
			Set Node9_MAC8023_PORT_4.recvtarget = Node9_OFSwitch_V13_0

			Set Node9_MAC8023_PORT_4.mac = 0:1:0:0:0:46
			Set Node9_MAC8023_PORT_4.lock_mac = off
			Set Node9_MAC8023_PORT_4.PromisOpt = on
			Set Node9_MAC8023_PORT_4.mode = full
			Set Node9_MAC8023_PORT_4.log = off
			Set Node9_MAC8023_PORT_4.logInterval = 1
			Set Node9_MAC8023_PORT_4.NumCollision = off
			Set Node9_MAC8023_PORT_4.NumUniInPkt = off
			Set Node9_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node9_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node9_MAC8023_PORT_4.NumBroInPkt = off
			Set Node9_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node9_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node9_MAC8023_PORT_4.NumDrop = off
			Set Node9_MAC8023_PORT_4.InThrput = off
			Set Node9_MAC8023_PORT_4.OutThrput = off
			Set Node9_MAC8023_PORT_4.InOutThrput = off
			Set Node9_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N9_P4_UniIn.log
			Set Node9_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N9_P4_UniOut.log
			Set Node9_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N9_P4_UniInOut.log
			Set Node9_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N9_P4_BroIn.log
			Set Node9_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N9_P4_BroOut.log
			Set Node9_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N9_P4_BroInOut.log
			Set Node9_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N9_P4_Coll.log
			Set Node9_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N9_P4_Drop.log
			Set Node9_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N9_P4_InThrput.log
			Set Node9_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N9_P4_OutThrput.log
			Set Node9_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N9_P4_InOutThrput.log
			Set Node9_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node9_Phy_PORT_4
			Set Node9_Phy_PORT_4.Bw = 10
			Set Node9_Phy_PORT_4.BER = 0.0
			Set Node9_Phy_PORT_4.PropDelay = 1000.00
			Set Node9_Phy_PORT_4.linkfail = off
			Set Node9_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N9_P4.linkfail

		Module Link : Node9_PORT_4
			Set Node9_PORT_4.guitag_remotenode = yes


		Bind Node9_MAC8023_PORT_4 Node9_Phy_PORT_4
		Bind Node9_Phy_PORT_4 Node9_PORT_4
	EndDefine

		Bind Node9_Interface_0 Node9_ARP_0
		Bind Node9_ARP_0 Node9_FIFO_0
		Bind Node9_FIFO_0 Node9_TCPDUMP_0
		Bind Node9_TCPDUMP_0 Node9_OFLO_0
		Bind Node9_OFLO_0 Node9_OFSwitch_V13_0
EndCreate

Create Node 10 as OF_SW_V131 with name = OF_SW_V13110
	Module Interface : Node10_Interface_0
		Set Node10_Interface_0.ip = 1.0.1.9
		Set Node10_Interface_0.netmask = 255.255.255.0
	Module ARP : Node10_ARP_0
		Set Node10_ARP_0.arpMode = RunARP
		Set Node10_ARP_0.flushInterval = 3000
		Set Node10_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node10_FIFO_0
		Set Node10_FIFO_0.max_qlen = 50
		Set Node10_FIFO_0.log_qlen = off
		Set Node10_FIFO_0.log_option = FullLog
		Set Node10_FIFO_0.samplerate = 1
		Set Node10_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N10_P4_qlen.log
		Set Node10_FIFO_0.log_drop = off
		Set Node10_FIFO_0.drop_samplerate = 1
		Set Node10_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N10_P7_drop.log
	Module TCPDUMP : Node10_TCPDUMP_0
	Module OFLO : Node10_OFLO_0
		Set Node10_OFLO_0.mac = 0:1:0:0:0:48
	Module OFSwitch_V13 : Node10_OFSwitch_V13_0
		Set Node10_OFSwitch_V13_0.guitag_addport = yes
		Set Node10_OFSwitch_V13_0.flow_table_amount = 10
		Set Node10_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node10_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node10_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node10_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node10_OFSwitch_V13_0.table_miss_action = Controller
		Set Node10_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node10_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node10_OFSwitch_V13_0.port_to_controller = 5
		Set Node10_OFSwitch_V13_0.controller_id = master_ctl
		Set Node10_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node10_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node10_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node10_OFSwitch_V13_0.port_to_controller_2nd = 5
		Set Node10_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node10_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node10_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node10_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node10_OFSwitch_V13_0.port_to_controller_3rd = 5
		Set Node10_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node10_OFSwitch_V13_0.enable_4th_controller = off
		Set Node10_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node10_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node10_OFSwitch_V13_0.port_to_controller_4th = 5
		Set Node10_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node10_OFSwitch_V13_0.enable_1st_lag = off
		Set Node10_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node10_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node10_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node10_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node10_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node10_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node10_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node10_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node10_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node10_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node10_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node10_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node10_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node10_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node10_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node10_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node10_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node10_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node10_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node10_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node10_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node10_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node10_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node10_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node10_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node10_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node10_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node10_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node10_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node10_OFSwitch_V13_0.max_queue_length = 100
		Set Node10_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node10_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node10_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node10_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node10_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node10_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node10_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node10_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node10_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node10_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node10_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node10_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node10_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node10_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node10_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node10_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node10_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node10_MAC8023_PORT_1

			Set Node10_OFSwitch_V13_0.port1 = Node10_MAC8023_PORT_1
			Set Node10_OFSwitch_V13_0.fixed_net1 = Node10_MAC8023_PORT_1.no
			Set Node10_MAC8023_PORT_1.recvtarget = Node10_OFSwitch_V13_0

			Set Node10_MAC8023_PORT_1.mac = 0:1:0:0:0:49
			Set Node10_MAC8023_PORT_1.lock_mac = off
			Set Node10_MAC8023_PORT_1.PromisOpt = on
			Set Node10_MAC8023_PORT_1.mode = full
			Set Node10_MAC8023_PORT_1.log = off
			Set Node10_MAC8023_PORT_1.logInterval = 1
			Set Node10_MAC8023_PORT_1.NumCollision = off
			Set Node10_MAC8023_PORT_1.NumUniInPkt = off
			Set Node10_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_1.NumBroInPkt = off
			Set Node10_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_1.NumDrop = off
			Set Node10_MAC8023_PORT_1.InThrput = off
			Set Node10_MAC8023_PORT_1.OutThrput = off
			Set Node10_MAC8023_PORT_1.InOutThrput = off
			Set Node10_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N10_P1_UniIn.log
			Set Node10_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N10_P1_UniOut.log
			Set Node10_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N10_P1_UniInOut.log
			Set Node10_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N10_P1_BroIn.log
			Set Node10_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N10_P1_BroOut.log
			Set Node10_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N10_P1_BroInOut.log
			Set Node10_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N10_P1_Coll.log
			Set Node10_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N10_P1_Drop.log
			Set Node10_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N10_P1_InThrput.log
			Set Node10_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N10_P1_OutThrput.log
			Set Node10_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N10_P1_InOutThrput.log
			Set Node10_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_1
			Set Node10_Phy_PORT_1.Bw = 10
			Set Node10_Phy_PORT_1.BER = 0.0
			Set Node10_Phy_PORT_1.PropDelay = 1000.00
			Set Node10_Phy_PORT_1.linkfail = off
			Set Node10_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N10_P1.linkfail

		Module Link : Node10_PORT_1
			Set Node10_PORT_1.guitag_remotenode = yes


		Bind Node10_MAC8023_PORT_1 Node10_Phy_PORT_1
		Bind Node10_Phy_PORT_1 Node10_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node10_MAC8023_PORT_2

			Set Node10_OFSwitch_V13_0.port2 = Node10_MAC8023_PORT_2
			Set Node10_OFSwitch_V13_0.fixed_net2 = Node10_MAC8023_PORT_2.no
			Set Node10_MAC8023_PORT_2.recvtarget = Node10_OFSwitch_V13_0

			Set Node10_MAC8023_PORT_2.mac = 0:1:0:0:0:4a
			Set Node10_MAC8023_PORT_2.lock_mac = off
			Set Node10_MAC8023_PORT_2.PromisOpt = on
			Set Node10_MAC8023_PORT_2.mode = full
			Set Node10_MAC8023_PORT_2.log = off
			Set Node10_MAC8023_PORT_2.logInterval = 1
			Set Node10_MAC8023_PORT_2.NumCollision = off
			Set Node10_MAC8023_PORT_2.NumUniInPkt = off
			Set Node10_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_2.NumBroInPkt = off
			Set Node10_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_2.NumDrop = off
			Set Node10_MAC8023_PORT_2.InThrput = off
			Set Node10_MAC8023_PORT_2.OutThrput = off
			Set Node10_MAC8023_PORT_2.InOutThrput = off
			Set Node10_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N10_P2_UniIn.log
			Set Node10_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N10_P2_UniOut.log
			Set Node10_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N10_P2_UniInOut.log
			Set Node10_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N10_P2_BroIn.log
			Set Node10_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N10_P2_BroOut.log
			Set Node10_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N10_P2_BroInOut.log
			Set Node10_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N10_P2_Coll.log
			Set Node10_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N10_P2_Drop.log
			Set Node10_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N10_P2_InThrput.log
			Set Node10_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N10_P2_OutThrput.log
			Set Node10_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N10_P2_InOutThrput.log
			Set Node10_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_2
			Set Node10_Phy_PORT_2.Bw = 10
			Set Node10_Phy_PORT_2.BER = 0.0
			Set Node10_Phy_PORT_2.PropDelay = 1000.00
			Set Node10_Phy_PORT_2.linkfail = off
			Set Node10_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N10_P2.linkfail

		Module Link : Node10_PORT_2
			Set Node10_PORT_2.guitag_remotenode = yes


		Bind Node10_MAC8023_PORT_2 Node10_Phy_PORT_2
		Bind Node10_Phy_PORT_2 Node10_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node10_MAC8023_PORT_3

			Set Node10_OFSwitch_V13_0.port3 = Node10_MAC8023_PORT_3
			Set Node10_OFSwitch_V13_0.fixed_net3 = Node10_MAC8023_PORT_3.no
			Set Node10_MAC8023_PORT_3.recvtarget = Node10_OFSwitch_V13_0

			Set Node10_MAC8023_PORT_3.mac = 0:1:0:0:0:4b
			Set Node10_MAC8023_PORT_3.lock_mac = off
			Set Node10_MAC8023_PORT_3.PromisOpt = on
			Set Node10_MAC8023_PORT_3.mode = full
			Set Node10_MAC8023_PORT_3.log = off
			Set Node10_MAC8023_PORT_3.logInterval = 1
			Set Node10_MAC8023_PORT_3.NumCollision = off
			Set Node10_MAC8023_PORT_3.NumUniInPkt = off
			Set Node10_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_3.NumBroInPkt = off
			Set Node10_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_3.NumDrop = off
			Set Node10_MAC8023_PORT_3.InThrput = off
			Set Node10_MAC8023_PORT_3.OutThrput = off
			Set Node10_MAC8023_PORT_3.InOutThrput = off
			Set Node10_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N10_P3_UniIn.log
			Set Node10_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N10_P3_UniOut.log
			Set Node10_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N10_P3_UniInOut.log
			Set Node10_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N10_P3_BroIn.log
			Set Node10_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N10_P3_BroOut.log
			Set Node10_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N10_P3_BroInOut.log
			Set Node10_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N10_P3_Coll.log
			Set Node10_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N10_P3_Drop.log
			Set Node10_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N10_P3_InThrput.log
			Set Node10_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N10_P3_OutThrput.log
			Set Node10_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N10_P3_InOutThrput.log
			Set Node10_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_3
			Set Node10_Phy_PORT_3.Bw = 10
			Set Node10_Phy_PORT_3.BER = 0.0
			Set Node10_Phy_PORT_3.PropDelay = 1000.00
			Set Node10_Phy_PORT_3.linkfail = off
			Set Node10_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N10_P3.linkfail

		Module Link : Node10_PORT_3
			Set Node10_PORT_3.guitag_remotenode = yes


		Bind Node10_MAC8023_PORT_3 Node10_Phy_PORT_3
		Bind Node10_Phy_PORT_3 Node10_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node10_MAC8023_PORT_4

			Set Node10_OFSwitch_V13_0.port4 = Node10_MAC8023_PORT_4
			Set Node10_OFSwitch_V13_0.fixed_net4 = Node10_MAC8023_PORT_4.no
			Set Node10_MAC8023_PORT_4.recvtarget = Node10_OFSwitch_V13_0

			Set Node10_MAC8023_PORT_4.mac = 0:1:0:0:0:4c
			Set Node10_MAC8023_PORT_4.lock_mac = off
			Set Node10_MAC8023_PORT_4.PromisOpt = on
			Set Node10_MAC8023_PORT_4.mode = full
			Set Node10_MAC8023_PORT_4.log = off
			Set Node10_MAC8023_PORT_4.logInterval = 1
			Set Node10_MAC8023_PORT_4.NumCollision = off
			Set Node10_MAC8023_PORT_4.NumUniInPkt = off
			Set Node10_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_4.NumBroInPkt = off
			Set Node10_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_4.NumDrop = off
			Set Node10_MAC8023_PORT_4.InThrput = off
			Set Node10_MAC8023_PORT_4.OutThrput = off
			Set Node10_MAC8023_PORT_4.InOutThrput = off
			Set Node10_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N10_P4_UniIn.log
			Set Node10_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N10_P4_UniOut.log
			Set Node10_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N10_P4_UniInOut.log
			Set Node10_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N10_P4_BroIn.log
			Set Node10_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N10_P4_BroOut.log
			Set Node10_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N10_P4_BroInOut.log
			Set Node10_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N10_P4_Coll.log
			Set Node10_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N10_P4_Drop.log
			Set Node10_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N10_P4_InThrput.log
			Set Node10_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N10_P4_OutThrput.log
			Set Node10_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N10_P4_InOutThrput.log
			Set Node10_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_4
			Set Node10_Phy_PORT_4.Bw = 10
			Set Node10_Phy_PORT_4.BER = 0.0
			Set Node10_Phy_PORT_4.PropDelay = 1000.00
			Set Node10_Phy_PORT_4.linkfail = off
			Set Node10_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N10_P4.linkfail

		Module Link : Node10_PORT_4
			Set Node10_PORT_4.guitag_remotenode = yes


		Bind Node10_MAC8023_PORT_4 Node10_Phy_PORT_4
		Bind Node10_Phy_PORT_4 Node10_PORT_4
	EndDefine

	Define port 5
		Module MAC8023 : Node10_MAC8023_PORT_5

			Set Node10_OFSwitch_V13_0.port5 = Node10_MAC8023_PORT_5
			Set Node10_OFSwitch_V13_0.fixed_net5 = Node10_MAC8023_PORT_5.no
			Set Node10_MAC8023_PORT_5.recvtarget = Node10_OFSwitch_V13_0

			Set Node10_MAC8023_PORT_5.mac = 0:1:0:0:0:4d
			Set Node10_MAC8023_PORT_5.lock_mac = off
			Set Node10_MAC8023_PORT_5.PromisOpt = on
			Set Node10_MAC8023_PORT_5.mode = full
			Set Node10_MAC8023_PORT_5.log = off
			Set Node10_MAC8023_PORT_5.logInterval = 1
			Set Node10_MAC8023_PORT_5.NumCollision = off
			Set Node10_MAC8023_PORT_5.NumUniInPkt = off
			Set Node10_MAC8023_PORT_5.NumUniOutPkt = off
			Set Node10_MAC8023_PORT_5.NumUniInOutPkt = off
			Set Node10_MAC8023_PORT_5.NumBroInPkt = off
			Set Node10_MAC8023_PORT_5.NumBroOutPkt = off
			Set Node10_MAC8023_PORT_5.NumBroInOutPkt = off
			Set Node10_MAC8023_PORT_5.NumDrop = off
			Set Node10_MAC8023_PORT_5.InThrput = off
			Set Node10_MAC8023_PORT_5.OutThrput = off
			Set Node10_MAC8023_PORT_5.InOutThrput = off
			Set Node10_MAC8023_PORT_5.UniInLogFile = Opendaylight_SpanningTree.8023_N10_P5_UniIn.log
			Set Node10_MAC8023_PORT_5.UniOutLogFile = Opendaylight_SpanningTree.8023_N10_P5_UniOut.log
			Set Node10_MAC8023_PORT_5.UniInOutLogFile = Opendaylight_SpanningTree.8023_N10_P5_UniInOut.log
			Set Node10_MAC8023_PORT_5.BroInLogFile = Opendaylight_SpanningTree.8023_N10_P5_BroIn.log
			Set Node10_MAC8023_PORT_5.BroOutLogFile = Opendaylight_SpanningTree.8023_N10_P5_BroOut.log
			Set Node10_MAC8023_PORT_5.BroInOutLogFile = Opendaylight_SpanningTree.8023_N10_P5_BroInOut.log
			Set Node10_MAC8023_PORT_5.CollLogFile = Opendaylight_SpanningTree.8023_N10_P5_Coll.log
			Set Node10_MAC8023_PORT_5.DropLogFile = Opendaylight_SpanningTree.8023_N10_P5_Drop.log
			Set Node10_MAC8023_PORT_5.InThrputLogFile = Opendaylight_SpanningTree.8023_N10_P5_InThrput.log
			Set Node10_MAC8023_PORT_5.OutThrputLogFile = Opendaylight_SpanningTree.8023_N10_P5_OutThrput.log
			Set Node10_MAC8023_PORT_5.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N10_P5_InOutThrput.log
			Set Node10_MAC8023_PORT_5.LinktoHub = 0

		Module Phy : Node10_Phy_PORT_5
			Set Node10_Phy_PORT_5.Bw = 10
			Set Node10_Phy_PORT_5.BER = 0.0
			Set Node10_Phy_PORT_5.PropDelay = 1000.00
			Set Node10_Phy_PORT_5.linkfail = off
			Set Node10_Phy_PORT_5.linkfailFileName = Opendaylight_SpanningTree.phy_N10_P5.linkfail

		Module Link : Node10_PORT_5
			Set Node10_PORT_5.guitag_remotenode = yes


		Bind Node10_MAC8023_PORT_5 Node10_Phy_PORT_5
		Bind Node10_Phy_PORT_5 Node10_PORT_5
	EndDefine

		Bind Node10_Interface_0 Node10_ARP_0
		Bind Node10_ARP_0 Node10_FIFO_0
		Bind Node10_FIFO_0 Node10_TCPDUMP_0
		Bind Node10_TCPDUMP_0 Node10_OFLO_0
		Bind Node10_OFLO_0 Node10_OFSwitch_V13_0
EndCreate

Create Node 11 as OF_SW_V131 with name = OF_SW_V13111
	Module Interface : Node11_Interface_0
		Set Node11_Interface_0.ip = 1.0.1.10
		Set Node11_Interface_0.netmask = 255.255.255.0
	Module ARP : Node11_ARP_0
		Set Node11_ARP_0.arpMode = RunARP
		Set Node11_ARP_0.flushInterval = 3000
		Set Node11_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node11_FIFO_0
		Set Node11_FIFO_0.max_qlen = 50
		Set Node11_FIFO_0.log_qlen = off
		Set Node11_FIFO_0.log_option = FullLog
		Set Node11_FIFO_0.samplerate = 1
		Set Node11_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N11_P4_qlen.log
		Set Node11_FIFO_0.log_drop = off
		Set Node11_FIFO_0.drop_samplerate = 1
		Set Node11_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N11_P7_drop.log
	Module TCPDUMP : Node11_TCPDUMP_0
	Module OFLO : Node11_OFLO_0
		Set Node11_OFLO_0.mac = 0:1:0:0:0:4f
	Module OFSwitch_V13 : Node11_OFSwitch_V13_0
		Set Node11_OFSwitch_V13_0.guitag_addport = yes
		Set Node11_OFSwitch_V13_0.flow_table_amount = 10
		Set Node11_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node11_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node11_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node11_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node11_OFSwitch_V13_0.table_miss_action = Controller
		Set Node11_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node11_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node11_OFSwitch_V13_0.port_to_controller = 5
		Set Node11_OFSwitch_V13_0.controller_id = master_ctl
		Set Node11_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node11_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node11_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node11_OFSwitch_V13_0.port_to_controller_2nd = 5
		Set Node11_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node11_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node11_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node11_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node11_OFSwitch_V13_0.port_to_controller_3rd = 5
		Set Node11_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node11_OFSwitch_V13_0.enable_4th_controller = off
		Set Node11_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node11_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node11_OFSwitch_V13_0.port_to_controller_4th = 5
		Set Node11_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node11_OFSwitch_V13_0.enable_1st_lag = off
		Set Node11_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node11_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node11_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node11_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node11_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node11_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node11_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node11_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node11_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node11_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node11_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node11_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node11_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node11_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node11_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node11_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node11_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node11_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node11_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node11_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node11_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node11_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node11_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node11_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node11_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node11_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node11_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node11_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node11_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node11_OFSwitch_V13_0.max_queue_length = 100
		Set Node11_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node11_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node11_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node11_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node11_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node11_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node11_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node11_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node11_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node11_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node11_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node11_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node11_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node11_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node11_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node11_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node11_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node11_MAC8023_PORT_1

			Set Node11_OFSwitch_V13_0.port1 = Node11_MAC8023_PORT_1
			Set Node11_OFSwitch_V13_0.fixed_net1 = Node11_MAC8023_PORT_1.no
			Set Node11_MAC8023_PORT_1.recvtarget = Node11_OFSwitch_V13_0

			Set Node11_MAC8023_PORT_1.mac = 0:1:0:0:0:50
			Set Node11_MAC8023_PORT_1.lock_mac = off
			Set Node11_MAC8023_PORT_1.PromisOpt = on
			Set Node11_MAC8023_PORT_1.mode = full
			Set Node11_MAC8023_PORT_1.log = off
			Set Node11_MAC8023_PORT_1.logInterval = 1
			Set Node11_MAC8023_PORT_1.NumCollision = off
			Set Node11_MAC8023_PORT_1.NumUniInPkt = off
			Set Node11_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node11_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node11_MAC8023_PORT_1.NumBroInPkt = off
			Set Node11_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node11_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node11_MAC8023_PORT_1.NumDrop = off
			Set Node11_MAC8023_PORT_1.InThrput = off
			Set Node11_MAC8023_PORT_1.OutThrput = off
			Set Node11_MAC8023_PORT_1.InOutThrput = off
			Set Node11_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N11_P1_UniIn.log
			Set Node11_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N11_P1_UniOut.log
			Set Node11_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N11_P1_UniInOut.log
			Set Node11_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N11_P1_BroIn.log
			Set Node11_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N11_P1_BroOut.log
			Set Node11_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N11_P1_BroInOut.log
			Set Node11_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N11_P1_Coll.log
			Set Node11_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N11_P1_Drop.log
			Set Node11_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N11_P1_InThrput.log
			Set Node11_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N11_P1_OutThrput.log
			Set Node11_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N11_P1_InOutThrput.log
			Set Node11_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node11_Phy_PORT_1
			Set Node11_Phy_PORT_1.Bw = 10
			Set Node11_Phy_PORT_1.BER = 0.0
			Set Node11_Phy_PORT_1.PropDelay = 1000.00
			Set Node11_Phy_PORT_1.linkfail = off
			Set Node11_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N11_P1.linkfail

		Module Link : Node11_PORT_1
			Set Node11_PORT_1.guitag_remotenode = yes


		Bind Node11_MAC8023_PORT_1 Node11_Phy_PORT_1
		Bind Node11_Phy_PORT_1 Node11_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node11_MAC8023_PORT_2

			Set Node11_OFSwitch_V13_0.port2 = Node11_MAC8023_PORT_2
			Set Node11_OFSwitch_V13_0.fixed_net2 = Node11_MAC8023_PORT_2.no
			Set Node11_MAC8023_PORT_2.recvtarget = Node11_OFSwitch_V13_0

			Set Node11_MAC8023_PORT_2.mac = 0:1:0:0:0:51
			Set Node11_MAC8023_PORT_2.lock_mac = off
			Set Node11_MAC8023_PORT_2.PromisOpt = on
			Set Node11_MAC8023_PORT_2.mode = full
			Set Node11_MAC8023_PORT_2.log = off
			Set Node11_MAC8023_PORT_2.logInterval = 1
			Set Node11_MAC8023_PORT_2.NumCollision = off
			Set Node11_MAC8023_PORT_2.NumUniInPkt = off
			Set Node11_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node11_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node11_MAC8023_PORT_2.NumBroInPkt = off
			Set Node11_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node11_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node11_MAC8023_PORT_2.NumDrop = off
			Set Node11_MAC8023_PORT_2.InThrput = off
			Set Node11_MAC8023_PORT_2.OutThrput = off
			Set Node11_MAC8023_PORT_2.InOutThrput = off
			Set Node11_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N11_P2_UniIn.log
			Set Node11_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N11_P2_UniOut.log
			Set Node11_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N11_P2_UniInOut.log
			Set Node11_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N11_P2_BroIn.log
			Set Node11_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N11_P2_BroOut.log
			Set Node11_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N11_P2_BroInOut.log
			Set Node11_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N11_P2_Coll.log
			Set Node11_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N11_P2_Drop.log
			Set Node11_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N11_P2_InThrput.log
			Set Node11_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N11_P2_OutThrput.log
			Set Node11_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N11_P2_InOutThrput.log
			Set Node11_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node11_Phy_PORT_2
			Set Node11_Phy_PORT_2.Bw = 10.00
			Set Node11_Phy_PORT_2.BER = 0.000000000
			Set Node11_Phy_PORT_2.PropDelay = 1000.00
			Set Node11_Phy_PORT_2.linkfail = off
			Set Node11_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N11_P2.linkfail

		Module Link : Node11_PORT_2
			Set Node11_PORT_2.guitag_remotenode = yes


		Bind Node11_MAC8023_PORT_2 Node11_Phy_PORT_2
		Bind Node11_Phy_PORT_2 Node11_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node11_MAC8023_PORT_3

			Set Node11_OFSwitch_V13_0.port3 = Node11_MAC8023_PORT_3
			Set Node11_OFSwitch_V13_0.fixed_net3 = Node11_MAC8023_PORT_3.no
			Set Node11_MAC8023_PORT_3.recvtarget = Node11_OFSwitch_V13_0

			Set Node11_MAC8023_PORT_3.mac = 0:1:0:0:0:52
			Set Node11_MAC8023_PORT_3.lock_mac = off
			Set Node11_MAC8023_PORT_3.PromisOpt = on
			Set Node11_MAC8023_PORT_3.mode = full
			Set Node11_MAC8023_PORT_3.log = off
			Set Node11_MAC8023_PORT_3.logInterval = 1
			Set Node11_MAC8023_PORT_3.NumCollision = off
			Set Node11_MAC8023_PORT_3.NumUniInPkt = off
			Set Node11_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node11_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node11_MAC8023_PORT_3.NumBroInPkt = off
			Set Node11_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node11_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node11_MAC8023_PORT_3.NumDrop = off
			Set Node11_MAC8023_PORT_3.InThrput = off
			Set Node11_MAC8023_PORT_3.OutThrput = off
			Set Node11_MAC8023_PORT_3.InOutThrput = off
			Set Node11_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N11_P3_UniIn.log
			Set Node11_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N11_P3_UniOut.log
			Set Node11_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N11_P3_UniInOut.log
			Set Node11_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N11_P3_BroIn.log
			Set Node11_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N11_P3_BroOut.log
			Set Node11_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N11_P3_BroInOut.log
			Set Node11_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N11_P3_Coll.log
			Set Node11_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N11_P3_Drop.log
			Set Node11_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N11_P3_InThrput.log
			Set Node11_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N11_P3_OutThrput.log
			Set Node11_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N11_P3_InOutThrput.log
			Set Node11_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node11_Phy_PORT_3
			Set Node11_Phy_PORT_3.Bw = 10.00
			Set Node11_Phy_PORT_3.BER = 0.000000000
			Set Node11_Phy_PORT_3.PropDelay = 1000.00
			Set Node11_Phy_PORT_3.linkfail = off
			Set Node11_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N11_P3.linkfail

		Module Link : Node11_PORT_3
			Set Node11_PORT_3.guitag_remotenode = yes


		Bind Node11_MAC8023_PORT_3 Node11_Phy_PORT_3
		Bind Node11_Phy_PORT_3 Node11_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node11_MAC8023_PORT_4

			Set Node11_OFSwitch_V13_0.port4 = Node11_MAC8023_PORT_4
			Set Node11_OFSwitch_V13_0.fixed_net4 = Node11_MAC8023_PORT_4.no
			Set Node11_MAC8023_PORT_4.recvtarget = Node11_OFSwitch_V13_0

			Set Node11_MAC8023_PORT_4.mac = 0:1:0:0:0:53
			Set Node11_MAC8023_PORT_4.lock_mac = off
			Set Node11_MAC8023_PORT_4.PromisOpt = on
			Set Node11_MAC8023_PORT_4.mode = full
			Set Node11_MAC8023_PORT_4.log = off
			Set Node11_MAC8023_PORT_4.logInterval = 1
			Set Node11_MAC8023_PORT_4.NumCollision = off
			Set Node11_MAC8023_PORT_4.NumUniInPkt = off
			Set Node11_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node11_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node11_MAC8023_PORT_4.NumBroInPkt = off
			Set Node11_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node11_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node11_MAC8023_PORT_4.NumDrop = off
			Set Node11_MAC8023_PORT_4.InThrput = off
			Set Node11_MAC8023_PORT_4.OutThrput = off
			Set Node11_MAC8023_PORT_4.InOutThrput = off
			Set Node11_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N11_P4_UniIn.log
			Set Node11_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N11_P4_UniOut.log
			Set Node11_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N11_P4_UniInOut.log
			Set Node11_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N11_P4_BroIn.log
			Set Node11_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N11_P4_BroOut.log
			Set Node11_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N11_P4_BroInOut.log
			Set Node11_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N11_P4_Coll.log
			Set Node11_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N11_P4_Drop.log
			Set Node11_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N11_P4_InThrput.log
			Set Node11_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N11_P4_OutThrput.log
			Set Node11_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N11_P4_InOutThrput.log
			Set Node11_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node11_Phy_PORT_4
			Set Node11_Phy_PORT_4.Bw = 10.00
			Set Node11_Phy_PORT_4.BER = 0.000000000
			Set Node11_Phy_PORT_4.PropDelay = 1000.00
			Set Node11_Phy_PORT_4.linkfail = off
			Set Node11_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N11_P4.linkfail

		Module Link : Node11_PORT_4
			Set Node11_PORT_4.guitag_remotenode = yes


		Bind Node11_MAC8023_PORT_4 Node11_Phy_PORT_4
		Bind Node11_Phy_PORT_4 Node11_PORT_4
	EndDefine

	Define port 5
		Module MAC8023 : Node11_MAC8023_PORT_5

			Set Node11_OFSwitch_V13_0.port5 = Node11_MAC8023_PORT_5
			Set Node11_OFSwitch_V13_0.fixed_net5 = Node11_MAC8023_PORT_5.no
			Set Node11_MAC8023_PORT_5.recvtarget = Node11_OFSwitch_V13_0

			Set Node11_MAC8023_PORT_5.mac = 0:1:0:0:0:54
			Set Node11_MAC8023_PORT_5.lock_mac = off
			Set Node11_MAC8023_PORT_5.PromisOpt = on
			Set Node11_MAC8023_PORT_5.mode = full
			Set Node11_MAC8023_PORT_5.log = off
			Set Node11_MAC8023_PORT_5.logInterval = 1
			Set Node11_MAC8023_PORT_5.NumCollision = off
			Set Node11_MAC8023_PORT_5.NumUniInPkt = off
			Set Node11_MAC8023_PORT_5.NumUniOutPkt = off
			Set Node11_MAC8023_PORT_5.NumUniInOutPkt = off
			Set Node11_MAC8023_PORT_5.NumBroInPkt = off
			Set Node11_MAC8023_PORT_5.NumBroOutPkt = off
			Set Node11_MAC8023_PORT_5.NumBroInOutPkt = off
			Set Node11_MAC8023_PORT_5.NumDrop = off
			Set Node11_MAC8023_PORT_5.InThrput = off
			Set Node11_MAC8023_PORT_5.OutThrput = off
			Set Node11_MAC8023_PORT_5.InOutThrput = off
			Set Node11_MAC8023_PORT_5.UniInLogFile = Opendaylight_SpanningTree.8023_N11_P5_UniIn.log
			Set Node11_MAC8023_PORT_5.UniOutLogFile = Opendaylight_SpanningTree.8023_N11_P5_UniOut.log
			Set Node11_MAC8023_PORT_5.UniInOutLogFile = Opendaylight_SpanningTree.8023_N11_P5_UniInOut.log
			Set Node11_MAC8023_PORT_5.BroInLogFile = Opendaylight_SpanningTree.8023_N11_P5_BroIn.log
			Set Node11_MAC8023_PORT_5.BroOutLogFile = Opendaylight_SpanningTree.8023_N11_P5_BroOut.log
			Set Node11_MAC8023_PORT_5.BroInOutLogFile = Opendaylight_SpanningTree.8023_N11_P5_BroInOut.log
			Set Node11_MAC8023_PORT_5.CollLogFile = Opendaylight_SpanningTree.8023_N11_P5_Coll.log
			Set Node11_MAC8023_PORT_5.DropLogFile = Opendaylight_SpanningTree.8023_N11_P5_Drop.log
			Set Node11_MAC8023_PORT_5.InThrputLogFile = Opendaylight_SpanningTree.8023_N11_P5_InThrput.log
			Set Node11_MAC8023_PORT_5.OutThrputLogFile = Opendaylight_SpanningTree.8023_N11_P5_OutThrput.log
			Set Node11_MAC8023_PORT_5.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N11_P5_InOutThrput.log
			Set Node11_MAC8023_PORT_5.LinktoHub = 0

		Module Phy : Node11_Phy_PORT_5
			Set Node11_Phy_PORT_5.Bw = 10.00
			Set Node11_Phy_PORT_5.BER = 0.000000000
			Set Node11_Phy_PORT_5.PropDelay = 1000.00
			Set Node11_Phy_PORT_5.linkfail = off
			Set Node11_Phy_PORT_5.linkfailFileName = Opendaylight_SpanningTree.phy_N11_P5.linkfail

		Module Link : Node11_PORT_5
			Set Node11_PORT_5.guitag_remotenode = yes


		Bind Node11_MAC8023_PORT_5 Node11_Phy_PORT_5
		Bind Node11_Phy_PORT_5 Node11_PORT_5
	EndDefine

		Bind Node11_Interface_0 Node11_ARP_0
		Bind Node11_ARP_0 Node11_FIFO_0
		Bind Node11_FIFO_0 Node11_TCPDUMP_0
		Bind Node11_TCPDUMP_0 Node11_OFLO_0
		Bind Node11_OFLO_0 Node11_OFSwitch_V13_0
EndCreate

Create Node 12 as OF_SW_V131 with name = OF_SW_V13112
	Module Interface : Node12_Interface_0
		Set Node12_Interface_0.ip = 1.0.1.11
		Set Node12_Interface_0.netmask = 255.255.255.0
	Module ARP : Node12_ARP_0
		Set Node12_ARP_0.arpMode = RunARP
		Set Node12_ARP_0.flushInterval = 3000
		Set Node12_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node12_FIFO_0
		Set Node12_FIFO_0.max_qlen = 50
		Set Node12_FIFO_0.log_qlen = off
		Set Node12_FIFO_0.log_option = FullLog
		Set Node12_FIFO_0.samplerate = 1
		Set Node12_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N12_P4_qlen.log
		Set Node12_FIFO_0.log_drop = off
		Set Node12_FIFO_0.drop_samplerate = 1
		Set Node12_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N12_P7_drop.log
	Module TCPDUMP : Node12_TCPDUMP_0
	Module OFLO : Node12_OFLO_0
		Set Node12_OFLO_0.mac = 0:1:0:0:0:56
	Module OFSwitch_V13 : Node12_OFSwitch_V13_0
		Set Node12_OFSwitch_V13_0.guitag_addport = yes
		Set Node12_OFSwitch_V13_0.flow_table_amount = 10
		Set Node12_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node12_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node12_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node12_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node12_OFSwitch_V13_0.table_miss_action = Controller
		Set Node12_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node12_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node12_OFSwitch_V13_0.port_to_controller = 3
		Set Node12_OFSwitch_V13_0.controller_id = master_ctl
		Set Node12_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node12_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node12_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node12_OFSwitch_V13_0.port_to_controller_2nd = 3
		Set Node12_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node12_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node12_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node12_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node12_OFSwitch_V13_0.port_to_controller_3rd = 3
		Set Node12_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node12_OFSwitch_V13_0.enable_4th_controller = off
		Set Node12_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node12_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node12_OFSwitch_V13_0.port_to_controller_4th = 3
		Set Node12_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node12_OFSwitch_V13_0.enable_1st_lag = off
		Set Node12_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node12_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node12_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node12_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node12_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node12_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node12_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node12_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node12_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node12_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node12_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node12_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node12_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node12_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node12_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node12_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node12_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node12_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node12_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node12_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node12_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node12_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node12_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node12_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node12_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node12_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node12_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node12_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node12_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node12_OFSwitch_V13_0.max_queue_length = 100
		Set Node12_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node12_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node12_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node12_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node12_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node12_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node12_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node12_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node12_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node12_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node12_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node12_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node12_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node12_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node12_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node12_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node12_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node12_MAC8023_PORT_1

			Set Node12_OFSwitch_V13_0.port1 = Node12_MAC8023_PORT_1
			Set Node12_OFSwitch_V13_0.fixed_net1 = Node12_MAC8023_PORT_1.no
			Set Node12_MAC8023_PORT_1.recvtarget = Node12_OFSwitch_V13_0

			Set Node12_MAC8023_PORT_1.mac = 0:1:0:0:0:57
			Set Node12_MAC8023_PORT_1.lock_mac = off
			Set Node12_MAC8023_PORT_1.PromisOpt = on
			Set Node12_MAC8023_PORT_1.mode = full
			Set Node12_MAC8023_PORT_1.log = off
			Set Node12_MAC8023_PORT_1.logInterval = 1
			Set Node12_MAC8023_PORT_1.NumCollision = off
			Set Node12_MAC8023_PORT_1.NumUniInPkt = off
			Set Node12_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node12_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node12_MAC8023_PORT_1.NumBroInPkt = off
			Set Node12_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node12_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node12_MAC8023_PORT_1.NumDrop = off
			Set Node12_MAC8023_PORT_1.InThrput = off
			Set Node12_MAC8023_PORT_1.OutThrput = off
			Set Node12_MAC8023_PORT_1.InOutThrput = off
			Set Node12_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N12_P1_UniIn.log
			Set Node12_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N12_P1_UniOut.log
			Set Node12_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N12_P1_UniInOut.log
			Set Node12_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N12_P1_BroIn.log
			Set Node12_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N12_P1_BroOut.log
			Set Node12_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N12_P1_BroInOut.log
			Set Node12_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N12_P1_Coll.log
			Set Node12_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N12_P1_Drop.log
			Set Node12_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N12_P1_InThrput.log
			Set Node12_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N12_P1_OutThrput.log
			Set Node12_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N12_P1_InOutThrput.log
			Set Node12_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node12_Phy_PORT_1
			Set Node12_Phy_PORT_1.Bw = 10
			Set Node12_Phy_PORT_1.BER = 0.0
			Set Node12_Phy_PORT_1.PropDelay = 1000.00
			Set Node12_Phy_PORT_1.linkfail = off
			Set Node12_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N12_P1.linkfail

		Module Link : Node12_PORT_1
			Set Node12_PORT_1.guitag_remotenode = yes


		Bind Node12_MAC8023_PORT_1 Node12_Phy_PORT_1
		Bind Node12_Phy_PORT_1 Node12_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node12_MAC8023_PORT_2

			Set Node12_OFSwitch_V13_0.port2 = Node12_MAC8023_PORT_2
			Set Node12_OFSwitch_V13_0.fixed_net2 = Node12_MAC8023_PORT_2.no
			Set Node12_MAC8023_PORT_2.recvtarget = Node12_OFSwitch_V13_0

			Set Node12_MAC8023_PORT_2.mac = 0:1:0:0:0:58
			Set Node12_MAC8023_PORT_2.lock_mac = off
			Set Node12_MAC8023_PORT_2.PromisOpt = on
			Set Node12_MAC8023_PORT_2.mode = full
			Set Node12_MAC8023_PORT_2.log = off
			Set Node12_MAC8023_PORT_2.logInterval = 1
			Set Node12_MAC8023_PORT_2.NumCollision = off
			Set Node12_MAC8023_PORT_2.NumUniInPkt = off
			Set Node12_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node12_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node12_MAC8023_PORT_2.NumBroInPkt = off
			Set Node12_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node12_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node12_MAC8023_PORT_2.NumDrop = off
			Set Node12_MAC8023_PORT_2.InThrput = off
			Set Node12_MAC8023_PORT_2.OutThrput = off
			Set Node12_MAC8023_PORT_2.InOutThrput = off
			Set Node12_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N12_P2_UniIn.log
			Set Node12_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N12_P2_UniOut.log
			Set Node12_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N12_P2_UniInOut.log
			Set Node12_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N12_P2_BroIn.log
			Set Node12_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N12_P2_BroOut.log
			Set Node12_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N12_P2_BroInOut.log
			Set Node12_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N12_P2_Coll.log
			Set Node12_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N12_P2_Drop.log
			Set Node12_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N12_P2_InThrput.log
			Set Node12_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N12_P2_OutThrput.log
			Set Node12_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N12_P2_InOutThrput.log
			Set Node12_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node12_Phy_PORT_2
			Set Node12_Phy_PORT_2.Bw = 10
			Set Node12_Phy_PORT_2.BER = 0.0
			Set Node12_Phy_PORT_2.PropDelay = 1000.00
			Set Node12_Phy_PORT_2.linkfail = off
			Set Node12_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N12_P2.linkfail

		Module Link : Node12_PORT_2
			Set Node12_PORT_2.guitag_remotenode = yes


		Bind Node12_MAC8023_PORT_2 Node12_Phy_PORT_2
		Bind Node12_Phy_PORT_2 Node12_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node12_MAC8023_PORT_3

			Set Node12_OFSwitch_V13_0.port3 = Node12_MAC8023_PORT_3
			Set Node12_OFSwitch_V13_0.fixed_net3 = Node12_MAC8023_PORT_3.no
			Set Node12_MAC8023_PORT_3.recvtarget = Node12_OFSwitch_V13_0

			Set Node12_MAC8023_PORT_3.mac = 0:1:0:0:0:59
			Set Node12_MAC8023_PORT_3.lock_mac = off
			Set Node12_MAC8023_PORT_3.PromisOpt = on
			Set Node12_MAC8023_PORT_3.mode = full
			Set Node12_MAC8023_PORT_3.log = off
			Set Node12_MAC8023_PORT_3.logInterval = 1
			Set Node12_MAC8023_PORT_3.NumCollision = off
			Set Node12_MAC8023_PORT_3.NumUniInPkt = off
			Set Node12_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node12_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node12_MAC8023_PORT_3.NumBroInPkt = off
			Set Node12_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node12_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node12_MAC8023_PORT_3.NumDrop = off
			Set Node12_MAC8023_PORT_3.InThrput = off
			Set Node12_MAC8023_PORT_3.OutThrput = off
			Set Node12_MAC8023_PORT_3.InOutThrput = off
			Set Node12_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N12_P3_UniIn.log
			Set Node12_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N12_P3_UniOut.log
			Set Node12_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N12_P3_UniInOut.log
			Set Node12_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N12_P3_BroIn.log
			Set Node12_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N12_P3_BroOut.log
			Set Node12_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N12_P3_BroInOut.log
			Set Node12_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N12_P3_Coll.log
			Set Node12_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N12_P3_Drop.log
			Set Node12_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N12_P3_InThrput.log
			Set Node12_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N12_P3_OutThrput.log
			Set Node12_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N12_P3_InOutThrput.log
			Set Node12_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node12_Phy_PORT_3
			Set Node12_Phy_PORT_3.Bw = 10
			Set Node12_Phy_PORT_3.BER = 0.0
			Set Node12_Phy_PORT_3.PropDelay = 1000.00
			Set Node12_Phy_PORT_3.linkfail = off
			Set Node12_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N12_P3.linkfail

		Module Link : Node12_PORT_3
			Set Node12_PORT_3.guitag_remotenode = yes


		Bind Node12_MAC8023_PORT_3 Node12_Phy_PORT_3
		Bind Node12_Phy_PORT_3 Node12_PORT_3
	EndDefine

		Bind Node12_Interface_0 Node12_ARP_0
		Bind Node12_ARP_0 Node12_FIFO_0
		Bind Node12_FIFO_0 Node12_TCPDUMP_0
		Bind Node12_TCPDUMP_0 Node12_OFLO_0
		Bind Node12_OFLO_0 Node12_OFSwitch_V13_0
EndCreate

Create Node 13 as OF_SW_V131 with name = OF_SW_V13113
	Module Interface : Node13_Interface_0
		Set Node13_Interface_0.ip = 1.0.1.12
		Set Node13_Interface_0.netmask = 255.255.255.0
	Module ARP : Node13_ARP_0
		Set Node13_ARP_0.arpMode = RunARP
		Set Node13_ARP_0.flushInterval = 3000
		Set Node13_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node13_FIFO_0
		Set Node13_FIFO_0.max_qlen = 50
		Set Node13_FIFO_0.log_qlen = off
		Set Node13_FIFO_0.log_option = FullLog
		Set Node13_FIFO_0.samplerate = 1
		Set Node13_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N13_P4_qlen.log
		Set Node13_FIFO_0.log_drop = off
		Set Node13_FIFO_0.drop_samplerate = 1
		Set Node13_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N13_P7_drop.log
	Module TCPDUMP : Node13_TCPDUMP_0
	Module OFLO : Node13_OFLO_0
		Set Node13_OFLO_0.mac = 0:1:0:0:0:5b
	Module OFSwitch_V13 : Node13_OFSwitch_V13_0
		Set Node13_OFSwitch_V13_0.guitag_addport = yes
		Set Node13_OFSwitch_V13_0.flow_table_amount = 10
		Set Node13_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node13_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node13_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node13_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node13_OFSwitch_V13_0.table_miss_action = Controller
		Set Node13_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node13_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node13_OFSwitch_V13_0.port_to_controller = 4
		Set Node13_OFSwitch_V13_0.controller_id = master_ctl
		Set Node13_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node13_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node13_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node13_OFSwitch_V13_0.port_to_controller_2nd = 4
		Set Node13_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node13_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node13_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node13_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node13_OFSwitch_V13_0.port_to_controller_3rd = 4
		Set Node13_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node13_OFSwitch_V13_0.enable_4th_controller = off
		Set Node13_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node13_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node13_OFSwitch_V13_0.port_to_controller_4th = 4
		Set Node13_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node13_OFSwitch_V13_0.enable_1st_lag = off
		Set Node13_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node13_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node13_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node13_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node13_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node13_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node13_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node13_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node13_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node13_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node13_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node13_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node13_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node13_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node13_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node13_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node13_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node13_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node13_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node13_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node13_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node13_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node13_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node13_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node13_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node13_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node13_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node13_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node13_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node13_OFSwitch_V13_0.max_queue_length = 100
		Set Node13_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node13_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node13_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node13_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node13_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node13_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node13_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node13_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node13_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node13_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node13_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node13_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node13_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node13_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node13_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node13_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node13_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node13_MAC8023_PORT_1

			Set Node13_OFSwitch_V13_0.port1 = Node13_MAC8023_PORT_1
			Set Node13_OFSwitch_V13_0.fixed_net1 = Node13_MAC8023_PORT_1.no
			Set Node13_MAC8023_PORT_1.recvtarget = Node13_OFSwitch_V13_0

			Set Node13_MAC8023_PORT_1.mac = 0:1:0:0:0:5c
			Set Node13_MAC8023_PORT_1.lock_mac = off
			Set Node13_MAC8023_PORT_1.PromisOpt = on
			Set Node13_MAC8023_PORT_1.mode = full
			Set Node13_MAC8023_PORT_1.log = off
			Set Node13_MAC8023_PORT_1.logInterval = 1
			Set Node13_MAC8023_PORT_1.NumCollision = off
			Set Node13_MAC8023_PORT_1.NumUniInPkt = off
			Set Node13_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node13_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node13_MAC8023_PORT_1.NumBroInPkt = off
			Set Node13_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node13_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node13_MAC8023_PORT_1.NumDrop = off
			Set Node13_MAC8023_PORT_1.InThrput = off
			Set Node13_MAC8023_PORT_1.OutThrput = off
			Set Node13_MAC8023_PORT_1.InOutThrput = off
			Set Node13_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N13_P1_UniIn.log
			Set Node13_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N13_P1_UniOut.log
			Set Node13_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N13_P1_UniInOut.log
			Set Node13_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N13_P1_BroIn.log
			Set Node13_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N13_P1_BroOut.log
			Set Node13_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N13_P1_BroInOut.log
			Set Node13_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N13_P1_Coll.log
			Set Node13_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N13_P1_Drop.log
			Set Node13_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N13_P1_InThrput.log
			Set Node13_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N13_P1_OutThrput.log
			Set Node13_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N13_P1_InOutThrput.log
			Set Node13_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node13_Phy_PORT_1
			Set Node13_Phy_PORT_1.Bw = 10
			Set Node13_Phy_PORT_1.BER = 0.0
			Set Node13_Phy_PORT_1.PropDelay = 1000.00
			Set Node13_Phy_PORT_1.linkfail = off
			Set Node13_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N13_P1.linkfail

		Module Link : Node13_PORT_1
			Set Node13_PORT_1.guitag_remotenode = yes


		Bind Node13_MAC8023_PORT_1 Node13_Phy_PORT_1
		Bind Node13_Phy_PORT_1 Node13_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node13_MAC8023_PORT_2

			Set Node13_OFSwitch_V13_0.port2 = Node13_MAC8023_PORT_2
			Set Node13_OFSwitch_V13_0.fixed_net2 = Node13_MAC8023_PORT_2.no
			Set Node13_MAC8023_PORT_2.recvtarget = Node13_OFSwitch_V13_0

			Set Node13_MAC8023_PORT_2.mac = 0:1:0:0:0:5d
			Set Node13_MAC8023_PORT_2.lock_mac = off
			Set Node13_MAC8023_PORT_2.PromisOpt = on
			Set Node13_MAC8023_PORT_2.mode = full
			Set Node13_MAC8023_PORT_2.log = off
			Set Node13_MAC8023_PORT_2.logInterval = 1
			Set Node13_MAC8023_PORT_2.NumCollision = off
			Set Node13_MAC8023_PORT_2.NumUniInPkt = off
			Set Node13_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node13_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node13_MAC8023_PORT_2.NumBroInPkt = off
			Set Node13_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node13_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node13_MAC8023_PORT_2.NumDrop = off
			Set Node13_MAC8023_PORT_2.InThrput = off
			Set Node13_MAC8023_PORT_2.OutThrput = off
			Set Node13_MAC8023_PORT_2.InOutThrput = off
			Set Node13_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N13_P2_UniIn.log
			Set Node13_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N13_P2_UniOut.log
			Set Node13_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N13_P2_UniInOut.log
			Set Node13_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N13_P2_BroIn.log
			Set Node13_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N13_P2_BroOut.log
			Set Node13_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N13_P2_BroInOut.log
			Set Node13_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N13_P2_Coll.log
			Set Node13_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N13_P2_Drop.log
			Set Node13_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N13_P2_InThrput.log
			Set Node13_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N13_P2_OutThrput.log
			Set Node13_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N13_P2_InOutThrput.log
			Set Node13_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node13_Phy_PORT_2
			Set Node13_Phy_PORT_2.Bw = 10
			Set Node13_Phy_PORT_2.BER = 0.0
			Set Node13_Phy_PORT_2.PropDelay = 1000.00
			Set Node13_Phy_PORT_2.linkfail = off
			Set Node13_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N13_P2.linkfail

		Module Link : Node13_PORT_2
			Set Node13_PORT_2.guitag_remotenode = yes


		Bind Node13_MAC8023_PORT_2 Node13_Phy_PORT_2
		Bind Node13_Phy_PORT_2 Node13_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node13_MAC8023_PORT_3

			Set Node13_OFSwitch_V13_0.port3 = Node13_MAC8023_PORT_3
			Set Node13_OFSwitch_V13_0.fixed_net3 = Node13_MAC8023_PORT_3.no
			Set Node13_MAC8023_PORT_3.recvtarget = Node13_OFSwitch_V13_0

			Set Node13_MAC8023_PORT_3.mac = 0:1:0:0:0:5e
			Set Node13_MAC8023_PORT_3.lock_mac = off
			Set Node13_MAC8023_PORT_3.PromisOpt = on
			Set Node13_MAC8023_PORT_3.mode = full
			Set Node13_MAC8023_PORT_3.log = off
			Set Node13_MAC8023_PORT_3.logInterval = 1
			Set Node13_MAC8023_PORT_3.NumCollision = off
			Set Node13_MAC8023_PORT_3.NumUniInPkt = off
			Set Node13_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node13_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node13_MAC8023_PORT_3.NumBroInPkt = off
			Set Node13_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node13_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node13_MAC8023_PORT_3.NumDrop = off
			Set Node13_MAC8023_PORT_3.InThrput = off
			Set Node13_MAC8023_PORT_3.OutThrput = off
			Set Node13_MAC8023_PORT_3.InOutThrput = off
			Set Node13_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N13_P3_UniIn.log
			Set Node13_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N13_P3_UniOut.log
			Set Node13_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N13_P3_UniInOut.log
			Set Node13_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N13_P3_BroIn.log
			Set Node13_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N13_P3_BroOut.log
			Set Node13_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N13_P3_BroInOut.log
			Set Node13_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N13_P3_Coll.log
			Set Node13_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N13_P3_Drop.log
			Set Node13_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N13_P3_InThrput.log
			Set Node13_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N13_P3_OutThrput.log
			Set Node13_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N13_P3_InOutThrput.log
			Set Node13_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node13_Phy_PORT_3
			Set Node13_Phy_PORT_3.Bw = 10
			Set Node13_Phy_PORT_3.BER = 0.0
			Set Node13_Phy_PORT_3.PropDelay = 1000.00
			Set Node13_Phy_PORT_3.linkfail = off
			Set Node13_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N13_P3.linkfail

		Module Link : Node13_PORT_3
			Set Node13_PORT_3.guitag_remotenode = yes


		Bind Node13_MAC8023_PORT_3 Node13_Phy_PORT_3
		Bind Node13_Phy_PORT_3 Node13_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node13_MAC8023_PORT_4

			Set Node13_OFSwitch_V13_0.port4 = Node13_MAC8023_PORT_4
			Set Node13_OFSwitch_V13_0.fixed_net4 = Node13_MAC8023_PORT_4.no
			Set Node13_MAC8023_PORT_4.recvtarget = Node13_OFSwitch_V13_0

			Set Node13_MAC8023_PORT_4.mac = 0:1:0:0:0:5f
			Set Node13_MAC8023_PORT_4.lock_mac = off
			Set Node13_MAC8023_PORT_4.PromisOpt = on
			Set Node13_MAC8023_PORT_4.mode = full
			Set Node13_MAC8023_PORT_4.log = off
			Set Node13_MAC8023_PORT_4.logInterval = 1
			Set Node13_MAC8023_PORT_4.NumCollision = off
			Set Node13_MAC8023_PORT_4.NumUniInPkt = off
			Set Node13_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node13_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node13_MAC8023_PORT_4.NumBroInPkt = off
			Set Node13_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node13_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node13_MAC8023_PORT_4.NumDrop = off
			Set Node13_MAC8023_PORT_4.InThrput = off
			Set Node13_MAC8023_PORT_4.OutThrput = off
			Set Node13_MAC8023_PORT_4.InOutThrput = off
			Set Node13_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N13_P4_UniIn.log
			Set Node13_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N13_P4_UniOut.log
			Set Node13_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N13_P4_UniInOut.log
			Set Node13_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N13_P4_BroIn.log
			Set Node13_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N13_P4_BroOut.log
			Set Node13_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N13_P4_BroInOut.log
			Set Node13_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N13_P4_Coll.log
			Set Node13_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N13_P4_Drop.log
			Set Node13_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N13_P4_InThrput.log
			Set Node13_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N13_P4_OutThrput.log
			Set Node13_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N13_P4_InOutThrput.log
			Set Node13_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node13_Phy_PORT_4
			Set Node13_Phy_PORT_4.Bw = 10
			Set Node13_Phy_PORT_4.BER = 0.0
			Set Node13_Phy_PORT_4.PropDelay = 1000.00
			Set Node13_Phy_PORT_4.linkfail = off
			Set Node13_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N13_P4.linkfail

		Module Link : Node13_PORT_4
			Set Node13_PORT_4.guitag_remotenode = yes


		Bind Node13_MAC8023_PORT_4 Node13_Phy_PORT_4
		Bind Node13_Phy_PORT_4 Node13_PORT_4
	EndDefine

		Bind Node13_Interface_0 Node13_ARP_0
		Bind Node13_ARP_0 Node13_FIFO_0
		Bind Node13_FIFO_0 Node13_TCPDUMP_0
		Bind Node13_TCPDUMP_0 Node13_OFLO_0
		Bind Node13_OFLO_0 Node13_OFSwitch_V13_0
EndCreate

Create Node 14 as OF_SW_V131 with name = OF_SW_V13114
	Module Interface : Node14_Interface_0
		Set Node14_Interface_0.ip = 1.0.1.13
		Set Node14_Interface_0.netmask = 255.255.255.0
	Module ARP : Node14_ARP_0
		Set Node14_ARP_0.arpMode = RunARP
		Set Node14_ARP_0.flushInterval = 3000
		Set Node14_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node14_FIFO_0
		Set Node14_FIFO_0.max_qlen = 50
		Set Node14_FIFO_0.log_qlen = off
		Set Node14_FIFO_0.log_option = FullLog
		Set Node14_FIFO_0.samplerate = 1
		Set Node14_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N14_P4_qlen.log
		Set Node14_FIFO_0.log_drop = off
		Set Node14_FIFO_0.drop_samplerate = 1
		Set Node14_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N14_P7_drop.log
	Module TCPDUMP : Node14_TCPDUMP_0
	Module OFLO : Node14_OFLO_0
		Set Node14_OFLO_0.mac = 0:1:0:0:0:61
	Module OFSwitch_V13 : Node14_OFSwitch_V13_0
		Set Node14_OFSwitch_V13_0.guitag_addport = yes
		Set Node14_OFSwitch_V13_0.flow_table_amount = 10
		Set Node14_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node14_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node14_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node14_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node14_OFSwitch_V13_0.table_miss_action = Controller
		Set Node14_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node14_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node14_OFSwitch_V13_0.port_to_controller = 3
		Set Node14_OFSwitch_V13_0.controller_id = master_ctl
		Set Node14_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node14_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node14_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node14_OFSwitch_V13_0.port_to_controller_2nd = 3
		Set Node14_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node14_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node14_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node14_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node14_OFSwitch_V13_0.port_to_controller_3rd = 3
		Set Node14_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node14_OFSwitch_V13_0.enable_4th_controller = off
		Set Node14_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node14_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node14_OFSwitch_V13_0.port_to_controller_4th = 3
		Set Node14_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node14_OFSwitch_V13_0.enable_1st_lag = off
		Set Node14_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node14_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node14_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node14_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node14_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node14_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node14_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node14_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node14_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node14_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node14_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node14_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node14_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node14_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node14_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node14_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node14_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node14_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node14_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node14_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node14_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node14_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node14_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node14_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node14_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node14_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node14_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node14_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node14_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node14_OFSwitch_V13_0.max_queue_length = 100
		Set Node14_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node14_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node14_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node14_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node14_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node14_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node14_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node14_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node14_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node14_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node14_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node14_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node14_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node14_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node14_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node14_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node14_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node14_MAC8023_PORT_1

			Set Node14_OFSwitch_V13_0.port1 = Node14_MAC8023_PORT_1
			Set Node14_OFSwitch_V13_0.fixed_net1 = Node14_MAC8023_PORT_1.no
			Set Node14_MAC8023_PORT_1.recvtarget = Node14_OFSwitch_V13_0

			Set Node14_MAC8023_PORT_1.mac = 0:1:0:0:0:62
			Set Node14_MAC8023_PORT_1.lock_mac = off
			Set Node14_MAC8023_PORT_1.PromisOpt = on
			Set Node14_MAC8023_PORT_1.mode = full
			Set Node14_MAC8023_PORT_1.log = off
			Set Node14_MAC8023_PORT_1.logInterval = 1
			Set Node14_MAC8023_PORT_1.NumCollision = off
			Set Node14_MAC8023_PORT_1.NumUniInPkt = off
			Set Node14_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node14_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node14_MAC8023_PORT_1.NumBroInPkt = off
			Set Node14_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node14_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node14_MAC8023_PORT_1.NumDrop = off
			Set Node14_MAC8023_PORT_1.InThrput = off
			Set Node14_MAC8023_PORT_1.OutThrput = off
			Set Node14_MAC8023_PORT_1.InOutThrput = off
			Set Node14_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N14_P1_UniIn.log
			Set Node14_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N14_P1_UniOut.log
			Set Node14_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N14_P1_UniInOut.log
			Set Node14_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N14_P1_BroIn.log
			Set Node14_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N14_P1_BroOut.log
			Set Node14_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N14_P1_BroInOut.log
			Set Node14_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N14_P1_Coll.log
			Set Node14_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N14_P1_Drop.log
			Set Node14_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N14_P1_InThrput.log
			Set Node14_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N14_P1_OutThrput.log
			Set Node14_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N14_P1_InOutThrput.log
			Set Node14_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node14_Phy_PORT_1
			Set Node14_Phy_PORT_1.Bw = 10
			Set Node14_Phy_PORT_1.BER = 0.0
			Set Node14_Phy_PORT_1.PropDelay = 1000.00
			Set Node14_Phy_PORT_1.linkfail = off
			Set Node14_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N14_P1.linkfail

		Module Link : Node14_PORT_1
			Set Node14_PORT_1.guitag_remotenode = yes


		Bind Node14_MAC8023_PORT_1 Node14_Phy_PORT_1
		Bind Node14_Phy_PORT_1 Node14_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node14_MAC8023_PORT_2

			Set Node14_OFSwitch_V13_0.port2 = Node14_MAC8023_PORT_2
			Set Node14_OFSwitch_V13_0.fixed_net2 = Node14_MAC8023_PORT_2.no
			Set Node14_MAC8023_PORT_2.recvtarget = Node14_OFSwitch_V13_0

			Set Node14_MAC8023_PORT_2.mac = 0:1:0:0:0:63
			Set Node14_MAC8023_PORT_2.lock_mac = off
			Set Node14_MAC8023_PORT_2.PromisOpt = on
			Set Node14_MAC8023_PORT_2.mode = full
			Set Node14_MAC8023_PORT_2.log = off
			Set Node14_MAC8023_PORT_2.logInterval = 1
			Set Node14_MAC8023_PORT_2.NumCollision = off
			Set Node14_MAC8023_PORT_2.NumUniInPkt = off
			Set Node14_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node14_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node14_MAC8023_PORT_2.NumBroInPkt = off
			Set Node14_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node14_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node14_MAC8023_PORT_2.NumDrop = off
			Set Node14_MAC8023_PORT_2.InThrput = off
			Set Node14_MAC8023_PORT_2.OutThrput = off
			Set Node14_MAC8023_PORT_2.InOutThrput = off
			Set Node14_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N14_P2_UniIn.log
			Set Node14_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N14_P2_UniOut.log
			Set Node14_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N14_P2_UniInOut.log
			Set Node14_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N14_P2_BroIn.log
			Set Node14_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N14_P2_BroOut.log
			Set Node14_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N14_P2_BroInOut.log
			Set Node14_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N14_P2_Coll.log
			Set Node14_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N14_P2_Drop.log
			Set Node14_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N14_P2_InThrput.log
			Set Node14_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N14_P2_OutThrput.log
			Set Node14_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N14_P2_InOutThrput.log
			Set Node14_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node14_Phy_PORT_2
			Set Node14_Phy_PORT_2.Bw = 10.00
			Set Node14_Phy_PORT_2.BER = 0.000000000
			Set Node14_Phy_PORT_2.PropDelay = 1000.00
			Set Node14_Phy_PORT_2.linkfail = off
			Set Node14_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N14_P2.linkfail

		Module Link : Node14_PORT_2
			Set Node14_PORT_2.guitag_remotenode = yes


		Bind Node14_MAC8023_PORT_2 Node14_Phy_PORT_2
		Bind Node14_Phy_PORT_2 Node14_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node14_MAC8023_PORT_3

			Set Node14_OFSwitch_V13_0.port3 = Node14_MAC8023_PORT_3
			Set Node14_OFSwitch_V13_0.fixed_net3 = Node14_MAC8023_PORT_3.no
			Set Node14_MAC8023_PORT_3.recvtarget = Node14_OFSwitch_V13_0

			Set Node14_MAC8023_PORT_3.mac = 0:1:0:0:0:64
			Set Node14_MAC8023_PORT_3.lock_mac = off
			Set Node14_MAC8023_PORT_3.PromisOpt = on
			Set Node14_MAC8023_PORT_3.mode = full
			Set Node14_MAC8023_PORT_3.log = off
			Set Node14_MAC8023_PORT_3.logInterval = 1
			Set Node14_MAC8023_PORT_3.NumCollision = off
			Set Node14_MAC8023_PORT_3.NumUniInPkt = off
			Set Node14_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node14_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node14_MAC8023_PORT_3.NumBroInPkt = off
			Set Node14_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node14_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node14_MAC8023_PORT_3.NumDrop = off
			Set Node14_MAC8023_PORT_3.InThrput = off
			Set Node14_MAC8023_PORT_3.OutThrput = off
			Set Node14_MAC8023_PORT_3.InOutThrput = off
			Set Node14_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N14_P3_UniIn.log
			Set Node14_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N14_P3_UniOut.log
			Set Node14_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N14_P3_UniInOut.log
			Set Node14_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N14_P3_BroIn.log
			Set Node14_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N14_P3_BroOut.log
			Set Node14_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N14_P3_BroInOut.log
			Set Node14_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N14_P3_Coll.log
			Set Node14_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N14_P3_Drop.log
			Set Node14_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N14_P3_InThrput.log
			Set Node14_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N14_P3_OutThrput.log
			Set Node14_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N14_P3_InOutThrput.log
			Set Node14_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node14_Phy_PORT_3
			Set Node14_Phy_PORT_3.Bw = 10
			Set Node14_Phy_PORT_3.BER = 0.0
			Set Node14_Phy_PORT_3.PropDelay = 1000.00
			Set Node14_Phy_PORT_3.linkfail = off
			Set Node14_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N14_P3.linkfail

		Module Link : Node14_PORT_3
			Set Node14_PORT_3.guitag_remotenode = yes


		Bind Node14_MAC8023_PORT_3 Node14_Phy_PORT_3
		Bind Node14_Phy_PORT_3 Node14_PORT_3
	EndDefine

		Bind Node14_Interface_0 Node14_ARP_0
		Bind Node14_ARP_0 Node14_FIFO_0
		Bind Node14_FIFO_0 Node14_TCPDUMP_0
		Bind Node14_TCPDUMP_0 Node14_OFLO_0
		Bind Node14_OFLO_0 Node14_OFSwitch_V13_0
EndCreate

Create Node 15 as OF_SW_V131 with name = OF_SW_V13115
	Module Interface : Node15_Interface_0
		Set Node15_Interface_0.ip = 1.0.1.14
		Set Node15_Interface_0.netmask = 255.255.255.0
	Module ARP : Node15_ARP_0
		Set Node15_ARP_0.arpMode = RunARP
		Set Node15_ARP_0.flushInterval = 3000
		Set Node15_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node15_FIFO_0
		Set Node15_FIFO_0.max_qlen = 50
		Set Node15_FIFO_0.log_qlen = off
		Set Node15_FIFO_0.log_option = FullLog
		Set Node15_FIFO_0.samplerate = 1
		Set Node15_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N15_P4_qlen.log
		Set Node15_FIFO_0.log_drop = off
		Set Node15_FIFO_0.drop_samplerate = 1
		Set Node15_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N15_P7_drop.log
	Module TCPDUMP : Node15_TCPDUMP_0
	Module OFLO : Node15_OFLO_0
		Set Node15_OFLO_0.mac = 0:1:0:0:0:66
	Module OFSwitch_V13 : Node15_OFSwitch_V13_0
		Set Node15_OFSwitch_V13_0.guitag_addport = yes
		Set Node15_OFSwitch_V13_0.flow_table_amount = 10
		Set Node15_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node15_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node15_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node15_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node15_OFSwitch_V13_0.table_miss_action = Controller
		Set Node15_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node15_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node15_OFSwitch_V13_0.port_to_controller = 3
		Set Node15_OFSwitch_V13_0.controller_id = master_ctl
		Set Node15_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node15_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node15_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node15_OFSwitch_V13_0.port_to_controller_2nd = 3
		Set Node15_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node15_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node15_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node15_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node15_OFSwitch_V13_0.port_to_controller_3rd = 3
		Set Node15_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node15_OFSwitch_V13_0.enable_4th_controller = off
		Set Node15_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node15_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node15_OFSwitch_V13_0.port_to_controller_4th = 3
		Set Node15_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node15_OFSwitch_V13_0.enable_1st_lag = off
		Set Node15_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node15_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node15_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node15_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node15_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node15_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node15_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node15_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node15_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node15_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node15_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node15_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node15_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node15_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node15_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node15_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node15_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node15_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node15_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node15_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node15_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node15_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node15_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node15_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node15_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node15_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node15_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node15_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node15_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node15_OFSwitch_V13_0.max_queue_length = 100
		Set Node15_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node15_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node15_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node15_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node15_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node15_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node15_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node15_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node15_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node15_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node15_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node15_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node15_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node15_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node15_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node15_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node15_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node15_MAC8023_PORT_1

			Set Node15_OFSwitch_V13_0.port1 = Node15_MAC8023_PORT_1
			Set Node15_OFSwitch_V13_0.fixed_net1 = Node15_MAC8023_PORT_1.no
			Set Node15_MAC8023_PORT_1.recvtarget = Node15_OFSwitch_V13_0

			Set Node15_MAC8023_PORT_1.mac = 0:1:0:0:0:67
			Set Node15_MAC8023_PORT_1.lock_mac = off
			Set Node15_MAC8023_PORT_1.PromisOpt = on
			Set Node15_MAC8023_PORT_1.mode = full
			Set Node15_MAC8023_PORT_1.log = off
			Set Node15_MAC8023_PORT_1.logInterval = 1
			Set Node15_MAC8023_PORT_1.NumCollision = off
			Set Node15_MAC8023_PORT_1.NumUniInPkt = off
			Set Node15_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node15_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node15_MAC8023_PORT_1.NumBroInPkt = off
			Set Node15_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node15_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node15_MAC8023_PORT_1.NumDrop = off
			Set Node15_MAC8023_PORT_1.InThrput = off
			Set Node15_MAC8023_PORT_1.OutThrput = off
			Set Node15_MAC8023_PORT_1.InOutThrput = off
			Set Node15_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N15_P1_UniIn.log
			Set Node15_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N15_P1_UniOut.log
			Set Node15_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N15_P1_UniInOut.log
			Set Node15_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N15_P1_BroIn.log
			Set Node15_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N15_P1_BroOut.log
			Set Node15_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N15_P1_BroInOut.log
			Set Node15_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N15_P1_Coll.log
			Set Node15_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N15_P1_Drop.log
			Set Node15_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N15_P1_InThrput.log
			Set Node15_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N15_P1_OutThrput.log
			Set Node15_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N15_P1_InOutThrput.log
			Set Node15_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node15_Phy_PORT_1
			Set Node15_Phy_PORT_1.Bw = 10
			Set Node15_Phy_PORT_1.BER = 0.0
			Set Node15_Phy_PORT_1.PropDelay = 1000.00
			Set Node15_Phy_PORT_1.linkfail = off
			Set Node15_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N15_P1.linkfail

		Module Link : Node15_PORT_1
			Set Node15_PORT_1.guitag_remotenode = yes


		Bind Node15_MAC8023_PORT_1 Node15_Phy_PORT_1
		Bind Node15_Phy_PORT_1 Node15_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node15_MAC8023_PORT_2

			Set Node15_OFSwitch_V13_0.port2 = Node15_MAC8023_PORT_2
			Set Node15_OFSwitch_V13_0.fixed_net2 = Node15_MAC8023_PORT_2.no
			Set Node15_MAC8023_PORT_2.recvtarget = Node15_OFSwitch_V13_0

			Set Node15_MAC8023_PORT_2.mac = 0:1:0:0:0:68
			Set Node15_MAC8023_PORT_2.lock_mac = off
			Set Node15_MAC8023_PORT_2.PromisOpt = on
			Set Node15_MAC8023_PORT_2.mode = full
			Set Node15_MAC8023_PORT_2.log = off
			Set Node15_MAC8023_PORT_2.logInterval = 1
			Set Node15_MAC8023_PORT_2.NumCollision = off
			Set Node15_MAC8023_PORT_2.NumUniInPkt = off
			Set Node15_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node15_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node15_MAC8023_PORT_2.NumBroInPkt = off
			Set Node15_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node15_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node15_MAC8023_PORT_2.NumDrop = off
			Set Node15_MAC8023_PORT_2.InThrput = off
			Set Node15_MAC8023_PORT_2.OutThrput = off
			Set Node15_MAC8023_PORT_2.InOutThrput = off
			Set Node15_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N15_P2_UniIn.log
			Set Node15_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N15_P2_UniOut.log
			Set Node15_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N15_P2_UniInOut.log
			Set Node15_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N15_P2_BroIn.log
			Set Node15_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N15_P2_BroOut.log
			Set Node15_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N15_P2_BroInOut.log
			Set Node15_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N15_P2_Coll.log
			Set Node15_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N15_P2_Drop.log
			Set Node15_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N15_P2_InThrput.log
			Set Node15_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N15_P2_OutThrput.log
			Set Node15_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N15_P2_InOutThrput.log
			Set Node15_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node15_Phy_PORT_2
			Set Node15_Phy_PORT_2.Bw = 10
			Set Node15_Phy_PORT_2.BER = 0.0
			Set Node15_Phy_PORT_2.PropDelay = 1000.00
			Set Node15_Phy_PORT_2.linkfail = off
			Set Node15_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N15_P2.linkfail

		Module Link : Node15_PORT_2
			Set Node15_PORT_2.guitag_remotenode = yes


		Bind Node15_MAC8023_PORT_2 Node15_Phy_PORT_2
		Bind Node15_Phy_PORT_2 Node15_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node15_MAC8023_PORT_3

			Set Node15_OFSwitch_V13_0.port3 = Node15_MAC8023_PORT_3
			Set Node15_OFSwitch_V13_0.fixed_net3 = Node15_MAC8023_PORT_3.no
			Set Node15_MAC8023_PORT_3.recvtarget = Node15_OFSwitch_V13_0

			Set Node15_MAC8023_PORT_3.mac = 0:1:0:0:0:69
			Set Node15_MAC8023_PORT_3.lock_mac = off
			Set Node15_MAC8023_PORT_3.PromisOpt = on
			Set Node15_MAC8023_PORT_3.mode = full
			Set Node15_MAC8023_PORT_3.log = off
			Set Node15_MAC8023_PORT_3.logInterval = 1
			Set Node15_MAC8023_PORT_3.NumCollision = off
			Set Node15_MAC8023_PORT_3.NumUniInPkt = off
			Set Node15_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node15_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node15_MAC8023_PORT_3.NumBroInPkt = off
			Set Node15_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node15_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node15_MAC8023_PORT_3.NumDrop = off
			Set Node15_MAC8023_PORT_3.InThrput = off
			Set Node15_MAC8023_PORT_3.OutThrput = off
			Set Node15_MAC8023_PORT_3.InOutThrput = off
			Set Node15_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N15_P3_UniIn.log
			Set Node15_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N15_P3_UniOut.log
			Set Node15_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N15_P3_UniInOut.log
			Set Node15_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N15_P3_BroIn.log
			Set Node15_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N15_P3_BroOut.log
			Set Node15_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N15_P3_BroInOut.log
			Set Node15_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N15_P3_Coll.log
			Set Node15_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N15_P3_Drop.log
			Set Node15_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N15_P3_InThrput.log
			Set Node15_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N15_P3_OutThrput.log
			Set Node15_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N15_P3_InOutThrput.log
			Set Node15_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node15_Phy_PORT_3
			Set Node15_Phy_PORT_3.Bw = 10
			Set Node15_Phy_PORT_3.BER = 0.0
			Set Node15_Phy_PORT_3.PropDelay = 1000.00
			Set Node15_Phy_PORT_3.linkfail = off
			Set Node15_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N15_P3.linkfail

		Module Link : Node15_PORT_3
			Set Node15_PORT_3.guitag_remotenode = yes


		Bind Node15_MAC8023_PORT_3 Node15_Phy_PORT_3
		Bind Node15_Phy_PORT_3 Node15_PORT_3
	EndDefine

		Bind Node15_Interface_0 Node15_ARP_0
		Bind Node15_ARP_0 Node15_FIFO_0
		Bind Node15_FIFO_0 Node15_TCPDUMP_0
		Bind Node15_TCPDUMP_0 Node15_OFLO_0
		Bind Node15_OFLO_0 Node15_OFSwitch_V13_0
EndCreate

Create Node 16 as OF_SW_V131 with name = OF_SW_V13116
	Module Interface : Node16_Interface_0
		Set Node16_Interface_0.ip = 1.0.1.15
		Set Node16_Interface_0.netmask = 255.255.255.0
	Module ARP : Node16_ARP_0
		Set Node16_ARP_0.arpMode = RunARP
		Set Node16_ARP_0.flushInterval = 3000
		Set Node16_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node16_FIFO_0
		Set Node16_FIFO_0.max_qlen = 50
		Set Node16_FIFO_0.log_qlen = off
		Set Node16_FIFO_0.log_option = FullLog
		Set Node16_FIFO_0.samplerate = 1
		Set Node16_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N16_P4_qlen.log
		Set Node16_FIFO_0.log_drop = off
		Set Node16_FIFO_0.drop_samplerate = 1
		Set Node16_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N16_P7_drop.log
	Module TCPDUMP : Node16_TCPDUMP_0
	Module OFLO : Node16_OFLO_0
		Set Node16_OFLO_0.mac = 0:1:0:0:0:6b
	Module OFSwitch_V13 : Node16_OFSwitch_V13_0
		Set Node16_OFSwitch_V13_0.guitag_addport = yes
		Set Node16_OFSwitch_V13_0.flow_table_amount = 10
		Set Node16_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node16_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node16_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node16_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node16_OFSwitch_V13_0.table_miss_action = Controller
		Set Node16_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node16_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node16_OFSwitch_V13_0.port_to_controller = 4
		Set Node16_OFSwitch_V13_0.controller_id = master_ctl
		Set Node16_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node16_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node16_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node16_OFSwitch_V13_0.port_to_controller_2nd = 4
		Set Node16_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node16_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node16_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node16_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node16_OFSwitch_V13_0.port_to_controller_3rd = 4
		Set Node16_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node16_OFSwitch_V13_0.enable_4th_controller = off
		Set Node16_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node16_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node16_OFSwitch_V13_0.port_to_controller_4th = 4
		Set Node16_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node16_OFSwitch_V13_0.enable_1st_lag = off
		Set Node16_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node16_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node16_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node16_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node16_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node16_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node16_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node16_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node16_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node16_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node16_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node16_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node16_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node16_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node16_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node16_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node16_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node16_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node16_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node16_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node16_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node16_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node16_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node16_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node16_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node16_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node16_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node16_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node16_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node16_OFSwitch_V13_0.max_queue_length = 100
		Set Node16_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node16_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node16_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node16_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node16_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node16_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node16_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node16_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node16_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node16_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node16_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node16_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node16_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node16_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node16_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node16_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node16_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node16_MAC8023_PORT_1

			Set Node16_OFSwitch_V13_0.port1 = Node16_MAC8023_PORT_1
			Set Node16_OFSwitch_V13_0.fixed_net1 = Node16_MAC8023_PORT_1.no
			Set Node16_MAC8023_PORT_1.recvtarget = Node16_OFSwitch_V13_0

			Set Node16_MAC8023_PORT_1.mac = 0:1:0:0:0:6c
			Set Node16_MAC8023_PORT_1.lock_mac = off
			Set Node16_MAC8023_PORT_1.PromisOpt = on
			Set Node16_MAC8023_PORT_1.mode = full
			Set Node16_MAC8023_PORT_1.log = off
			Set Node16_MAC8023_PORT_1.logInterval = 1
			Set Node16_MAC8023_PORT_1.NumCollision = off
			Set Node16_MAC8023_PORT_1.NumUniInPkt = off
			Set Node16_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node16_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node16_MAC8023_PORT_1.NumBroInPkt = off
			Set Node16_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node16_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node16_MAC8023_PORT_1.NumDrop = off
			Set Node16_MAC8023_PORT_1.InThrput = off
			Set Node16_MAC8023_PORT_1.OutThrput = off
			Set Node16_MAC8023_PORT_1.InOutThrput = off
			Set Node16_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N16_P1_UniIn.log
			Set Node16_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N16_P1_UniOut.log
			Set Node16_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N16_P1_UniInOut.log
			Set Node16_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N16_P1_BroIn.log
			Set Node16_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N16_P1_BroOut.log
			Set Node16_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N16_P1_BroInOut.log
			Set Node16_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N16_P1_Coll.log
			Set Node16_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N16_P1_Drop.log
			Set Node16_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N16_P1_InThrput.log
			Set Node16_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N16_P1_OutThrput.log
			Set Node16_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N16_P1_InOutThrput.log
			Set Node16_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node16_Phy_PORT_1
			Set Node16_Phy_PORT_1.Bw = 10
			Set Node16_Phy_PORT_1.BER = 0.0
			Set Node16_Phy_PORT_1.PropDelay = 1000.00
			Set Node16_Phy_PORT_1.linkfail = off
			Set Node16_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N16_P1.linkfail

		Module Link : Node16_PORT_1
			Set Node16_PORT_1.guitag_remotenode = yes


		Bind Node16_MAC8023_PORT_1 Node16_Phy_PORT_1
		Bind Node16_Phy_PORT_1 Node16_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node16_MAC8023_PORT_2

			Set Node16_OFSwitch_V13_0.port2 = Node16_MAC8023_PORT_2
			Set Node16_OFSwitch_V13_0.fixed_net2 = Node16_MAC8023_PORT_2.no
			Set Node16_MAC8023_PORT_2.recvtarget = Node16_OFSwitch_V13_0

			Set Node16_MAC8023_PORT_2.mac = 0:1:0:0:0:6d
			Set Node16_MAC8023_PORT_2.lock_mac = off
			Set Node16_MAC8023_PORT_2.PromisOpt = on
			Set Node16_MAC8023_PORT_2.mode = full
			Set Node16_MAC8023_PORT_2.log = off
			Set Node16_MAC8023_PORT_2.logInterval = 1
			Set Node16_MAC8023_PORT_2.NumCollision = off
			Set Node16_MAC8023_PORT_2.NumUniInPkt = off
			Set Node16_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node16_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node16_MAC8023_PORT_2.NumBroInPkt = off
			Set Node16_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node16_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node16_MAC8023_PORT_2.NumDrop = off
			Set Node16_MAC8023_PORT_2.InThrput = off
			Set Node16_MAC8023_PORT_2.OutThrput = off
			Set Node16_MAC8023_PORT_2.InOutThrput = off
			Set Node16_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N16_P2_UniIn.log
			Set Node16_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N16_P2_UniOut.log
			Set Node16_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N16_P2_UniInOut.log
			Set Node16_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N16_P2_BroIn.log
			Set Node16_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N16_P2_BroOut.log
			Set Node16_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N16_P2_BroInOut.log
			Set Node16_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N16_P2_Coll.log
			Set Node16_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N16_P2_Drop.log
			Set Node16_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N16_P2_InThrput.log
			Set Node16_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N16_P2_OutThrput.log
			Set Node16_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N16_P2_InOutThrput.log
			Set Node16_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node16_Phy_PORT_2
			Set Node16_Phy_PORT_2.Bw = 10
			Set Node16_Phy_PORT_2.BER = 0.0
			Set Node16_Phy_PORT_2.PropDelay = 1000.00
			Set Node16_Phy_PORT_2.linkfail = off
			Set Node16_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N16_P2.linkfail

		Module Link : Node16_PORT_2
			Set Node16_PORT_2.guitag_remotenode = yes


		Bind Node16_MAC8023_PORT_2 Node16_Phy_PORT_2
		Bind Node16_Phy_PORT_2 Node16_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node16_MAC8023_PORT_3

			Set Node16_OFSwitch_V13_0.port3 = Node16_MAC8023_PORT_3
			Set Node16_OFSwitch_V13_0.fixed_net3 = Node16_MAC8023_PORT_3.no
			Set Node16_MAC8023_PORT_3.recvtarget = Node16_OFSwitch_V13_0

			Set Node16_MAC8023_PORT_3.mac = 0:1:0:0:0:6e
			Set Node16_MAC8023_PORT_3.lock_mac = off
			Set Node16_MAC8023_PORT_3.PromisOpt = on
			Set Node16_MAC8023_PORT_3.mode = full
			Set Node16_MAC8023_PORT_3.log = off
			Set Node16_MAC8023_PORT_3.logInterval = 1
			Set Node16_MAC8023_PORT_3.NumCollision = off
			Set Node16_MAC8023_PORT_3.NumUniInPkt = off
			Set Node16_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node16_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node16_MAC8023_PORT_3.NumBroInPkt = off
			Set Node16_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node16_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node16_MAC8023_PORT_3.NumDrop = off
			Set Node16_MAC8023_PORT_3.InThrput = off
			Set Node16_MAC8023_PORT_3.OutThrput = off
			Set Node16_MAC8023_PORT_3.InOutThrput = off
			Set Node16_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N16_P3_UniIn.log
			Set Node16_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N16_P3_UniOut.log
			Set Node16_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N16_P3_UniInOut.log
			Set Node16_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N16_P3_BroIn.log
			Set Node16_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N16_P3_BroOut.log
			Set Node16_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N16_P3_BroInOut.log
			Set Node16_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N16_P3_Coll.log
			Set Node16_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N16_P3_Drop.log
			Set Node16_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N16_P3_InThrput.log
			Set Node16_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N16_P3_OutThrput.log
			Set Node16_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N16_P3_InOutThrput.log
			Set Node16_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node16_Phy_PORT_3
			Set Node16_Phy_PORT_3.Bw = 10.00
			Set Node16_Phy_PORT_3.BER = 0.000000000
			Set Node16_Phy_PORT_3.PropDelay = 1000.00
			Set Node16_Phy_PORT_3.linkfail = off
			Set Node16_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N16_P3.linkfail

		Module Link : Node16_PORT_3
			Set Node16_PORT_3.guitag_remotenode = yes


		Bind Node16_MAC8023_PORT_3 Node16_Phy_PORT_3
		Bind Node16_Phy_PORT_3 Node16_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node16_MAC8023_PORT_4

			Set Node16_OFSwitch_V13_0.port4 = Node16_MAC8023_PORT_4
			Set Node16_OFSwitch_V13_0.fixed_net4 = Node16_MAC8023_PORT_4.no
			Set Node16_MAC8023_PORT_4.recvtarget = Node16_OFSwitch_V13_0

			Set Node16_MAC8023_PORT_4.mac = 0:1:0:0:0:6f
			Set Node16_MAC8023_PORT_4.lock_mac = off
			Set Node16_MAC8023_PORT_4.PromisOpt = on
			Set Node16_MAC8023_PORT_4.mode = full
			Set Node16_MAC8023_PORT_4.log = off
			Set Node16_MAC8023_PORT_4.logInterval = 1
			Set Node16_MAC8023_PORT_4.NumCollision = off
			Set Node16_MAC8023_PORT_4.NumUniInPkt = off
			Set Node16_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node16_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node16_MAC8023_PORT_4.NumBroInPkt = off
			Set Node16_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node16_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node16_MAC8023_PORT_4.NumDrop = off
			Set Node16_MAC8023_PORT_4.InThrput = off
			Set Node16_MAC8023_PORT_4.OutThrput = off
			Set Node16_MAC8023_PORT_4.InOutThrput = off
			Set Node16_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N16_P4_UniIn.log
			Set Node16_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N16_P4_UniOut.log
			Set Node16_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N16_P4_UniInOut.log
			Set Node16_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N16_P4_BroIn.log
			Set Node16_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N16_P4_BroOut.log
			Set Node16_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N16_P4_BroInOut.log
			Set Node16_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N16_P4_Coll.log
			Set Node16_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N16_P4_Drop.log
			Set Node16_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N16_P4_InThrput.log
			Set Node16_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N16_P4_OutThrput.log
			Set Node16_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N16_P4_InOutThrput.log
			Set Node16_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node16_Phy_PORT_4
			Set Node16_Phy_PORT_4.Bw = 10
			Set Node16_Phy_PORT_4.BER = 0.0
			Set Node16_Phy_PORT_4.PropDelay = 1000.00
			Set Node16_Phy_PORT_4.linkfail = off
			Set Node16_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N16_P4.linkfail

		Module Link : Node16_PORT_4
			Set Node16_PORT_4.guitag_remotenode = yes


		Bind Node16_MAC8023_PORT_4 Node16_Phy_PORT_4
		Bind Node16_Phy_PORT_4 Node16_PORT_4
	EndDefine

		Bind Node16_Interface_0 Node16_ARP_0
		Bind Node16_ARP_0 Node16_FIFO_0
		Bind Node16_FIFO_0 Node16_TCPDUMP_0
		Bind Node16_TCPDUMP_0 Node16_OFLO_0
		Bind Node16_OFLO_0 Node16_OFSwitch_V13_0
EndCreate

Create Node 17 as OF_SW_V131 with name = OF_SW_V13117
	Module Interface : Node17_Interface_0
		Set Node17_Interface_0.ip = 1.0.1.16
		Set Node17_Interface_0.netmask = 255.255.255.0
	Module ARP : Node17_ARP_0
		Set Node17_ARP_0.arpMode = RunARP
		Set Node17_ARP_0.flushInterval = 3000
		Set Node17_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node17_FIFO_0
		Set Node17_FIFO_0.max_qlen = 50
		Set Node17_FIFO_0.log_qlen = off
		Set Node17_FIFO_0.log_option = FullLog
		Set Node17_FIFO_0.samplerate = 1
		Set Node17_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N17_P4_qlen.log
		Set Node17_FIFO_0.log_drop = off
		Set Node17_FIFO_0.drop_samplerate = 1
		Set Node17_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N17_P7_drop.log
	Module TCPDUMP : Node17_TCPDUMP_0
	Module OFLO : Node17_OFLO_0
		Set Node17_OFLO_0.mac = 0:1:0:0:0:71
	Module OFSwitch_V13 : Node17_OFSwitch_V13_0
		Set Node17_OFSwitch_V13_0.guitag_addport = yes
		Set Node17_OFSwitch_V13_0.flow_table_amount = 10
		Set Node17_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node17_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node17_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node17_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node17_OFSwitch_V13_0.table_miss_action = Controller
		Set Node17_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node17_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node17_OFSwitch_V13_0.port_to_controller = 3
		Set Node17_OFSwitch_V13_0.controller_id = master_ctl
		Set Node17_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node17_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node17_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node17_OFSwitch_V13_0.port_to_controller_2nd = 3
		Set Node17_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node17_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node17_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node17_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node17_OFSwitch_V13_0.port_to_controller_3rd = 3
		Set Node17_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node17_OFSwitch_V13_0.enable_4th_controller = off
		Set Node17_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node17_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node17_OFSwitch_V13_0.port_to_controller_4th = 3
		Set Node17_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node17_OFSwitch_V13_0.enable_1st_lag = off
		Set Node17_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node17_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node17_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node17_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node17_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node17_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node17_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node17_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node17_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node17_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node17_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node17_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node17_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node17_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node17_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node17_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node17_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node17_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node17_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node17_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node17_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node17_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node17_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node17_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node17_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node17_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node17_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node17_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node17_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node17_OFSwitch_V13_0.max_queue_length = 100
		Set Node17_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node17_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node17_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node17_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node17_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node17_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node17_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node17_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node17_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node17_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node17_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node17_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node17_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node17_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node17_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node17_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node17_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node17_MAC8023_PORT_1

			Set Node17_OFSwitch_V13_0.port1 = Node17_MAC8023_PORT_1
			Set Node17_OFSwitch_V13_0.fixed_net1 = Node17_MAC8023_PORT_1.no
			Set Node17_MAC8023_PORT_1.recvtarget = Node17_OFSwitch_V13_0

			Set Node17_MAC8023_PORT_1.mac = 0:1:0:0:0:72
			Set Node17_MAC8023_PORT_1.lock_mac = off
			Set Node17_MAC8023_PORT_1.PromisOpt = on
			Set Node17_MAC8023_PORT_1.mode = full
			Set Node17_MAC8023_PORT_1.log = off
			Set Node17_MAC8023_PORT_1.logInterval = 1
			Set Node17_MAC8023_PORT_1.NumCollision = off
			Set Node17_MAC8023_PORT_1.NumUniInPkt = off
			Set Node17_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node17_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node17_MAC8023_PORT_1.NumBroInPkt = off
			Set Node17_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node17_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node17_MAC8023_PORT_1.NumDrop = off
			Set Node17_MAC8023_PORT_1.InThrput = off
			Set Node17_MAC8023_PORT_1.OutThrput = off
			Set Node17_MAC8023_PORT_1.InOutThrput = off
			Set Node17_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N17_P1_UniIn.log
			Set Node17_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N17_P1_UniOut.log
			Set Node17_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N17_P1_UniInOut.log
			Set Node17_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N17_P1_BroIn.log
			Set Node17_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N17_P1_BroOut.log
			Set Node17_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N17_P1_BroInOut.log
			Set Node17_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N17_P1_Coll.log
			Set Node17_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N17_P1_Drop.log
			Set Node17_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N17_P1_InThrput.log
			Set Node17_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N17_P1_OutThrput.log
			Set Node17_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N17_P1_InOutThrput.log
			Set Node17_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node17_Phy_PORT_1
			Set Node17_Phy_PORT_1.Bw = 10
			Set Node17_Phy_PORT_1.BER = 0.0
			Set Node17_Phy_PORT_1.PropDelay = 1000.00
			Set Node17_Phy_PORT_1.linkfail = off
			Set Node17_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N17_P1.linkfail

		Module Link : Node17_PORT_1
			Set Node17_PORT_1.guitag_remotenode = yes


		Bind Node17_MAC8023_PORT_1 Node17_Phy_PORT_1
		Bind Node17_Phy_PORT_1 Node17_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node17_MAC8023_PORT_2

			Set Node17_OFSwitch_V13_0.port2 = Node17_MAC8023_PORT_2
			Set Node17_OFSwitch_V13_0.fixed_net2 = Node17_MAC8023_PORT_2.no
			Set Node17_MAC8023_PORT_2.recvtarget = Node17_OFSwitch_V13_0

			Set Node17_MAC8023_PORT_2.mac = 0:1:0:0:0:73
			Set Node17_MAC8023_PORT_2.lock_mac = off
			Set Node17_MAC8023_PORT_2.PromisOpt = on
			Set Node17_MAC8023_PORT_2.mode = full
			Set Node17_MAC8023_PORT_2.log = off
			Set Node17_MAC8023_PORT_2.logInterval = 1
			Set Node17_MAC8023_PORT_2.NumCollision = off
			Set Node17_MAC8023_PORT_2.NumUniInPkt = off
			Set Node17_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node17_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node17_MAC8023_PORT_2.NumBroInPkt = off
			Set Node17_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node17_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node17_MAC8023_PORT_2.NumDrop = off
			Set Node17_MAC8023_PORT_2.InThrput = off
			Set Node17_MAC8023_PORT_2.OutThrput = off
			Set Node17_MAC8023_PORT_2.InOutThrput = off
			Set Node17_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N17_P2_UniIn.log
			Set Node17_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N17_P2_UniOut.log
			Set Node17_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N17_P2_UniInOut.log
			Set Node17_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N17_P2_BroIn.log
			Set Node17_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N17_P2_BroOut.log
			Set Node17_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N17_P2_BroInOut.log
			Set Node17_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N17_P2_Coll.log
			Set Node17_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N17_P2_Drop.log
			Set Node17_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N17_P2_InThrput.log
			Set Node17_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N17_P2_OutThrput.log
			Set Node17_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N17_P2_InOutThrput.log
			Set Node17_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node17_Phy_PORT_2
			Set Node17_Phy_PORT_2.Bw = 10.00
			Set Node17_Phy_PORT_2.BER = 0.000000000
			Set Node17_Phy_PORT_2.PropDelay = 1000.00
			Set Node17_Phy_PORT_2.linkfail = off
			Set Node17_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N17_P2.linkfail

		Module Link : Node17_PORT_2
			Set Node17_PORT_2.guitag_remotenode = yes


		Bind Node17_MAC8023_PORT_2 Node17_Phy_PORT_2
		Bind Node17_Phy_PORT_2 Node17_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node17_MAC8023_PORT_3

			Set Node17_OFSwitch_V13_0.port3 = Node17_MAC8023_PORT_3
			Set Node17_OFSwitch_V13_0.fixed_net3 = Node17_MAC8023_PORT_3.no
			Set Node17_MAC8023_PORT_3.recvtarget = Node17_OFSwitch_V13_0

			Set Node17_MAC8023_PORT_3.mac = 0:1:0:0:0:74
			Set Node17_MAC8023_PORT_3.lock_mac = off
			Set Node17_MAC8023_PORT_3.PromisOpt = on
			Set Node17_MAC8023_PORT_3.mode = full
			Set Node17_MAC8023_PORT_3.log = off
			Set Node17_MAC8023_PORT_3.logInterval = 1
			Set Node17_MAC8023_PORT_3.NumCollision = off
			Set Node17_MAC8023_PORT_3.NumUniInPkt = off
			Set Node17_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node17_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node17_MAC8023_PORT_3.NumBroInPkt = off
			Set Node17_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node17_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node17_MAC8023_PORT_3.NumDrop = off
			Set Node17_MAC8023_PORT_3.InThrput = off
			Set Node17_MAC8023_PORT_3.OutThrput = off
			Set Node17_MAC8023_PORT_3.InOutThrput = off
			Set Node17_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N17_P3_UniIn.log
			Set Node17_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N17_P3_UniOut.log
			Set Node17_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N17_P3_UniInOut.log
			Set Node17_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N17_P3_BroIn.log
			Set Node17_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N17_P3_BroOut.log
			Set Node17_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N17_P3_BroInOut.log
			Set Node17_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N17_P3_Coll.log
			Set Node17_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N17_P3_Drop.log
			Set Node17_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N17_P3_InThrput.log
			Set Node17_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N17_P3_OutThrput.log
			Set Node17_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N17_P3_InOutThrput.log
			Set Node17_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node17_Phy_PORT_3
			Set Node17_Phy_PORT_3.Bw = 10
			Set Node17_Phy_PORT_3.BER = 0.0
			Set Node17_Phy_PORT_3.PropDelay = 1000.00
			Set Node17_Phy_PORT_3.linkfail = off
			Set Node17_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N17_P3.linkfail

		Module Link : Node17_PORT_3
			Set Node17_PORT_3.guitag_remotenode = yes


		Bind Node17_MAC8023_PORT_3 Node17_Phy_PORT_3
		Bind Node17_Phy_PORT_3 Node17_PORT_3
	EndDefine

		Bind Node17_Interface_0 Node17_ARP_0
		Bind Node17_ARP_0 Node17_FIFO_0
		Bind Node17_FIFO_0 Node17_TCPDUMP_0
		Bind Node17_TCPDUMP_0 Node17_OFLO_0
		Bind Node17_OFLO_0 Node17_OFSwitch_V13_0
EndCreate

Create Node 18 as OF_SW_V131 with name = OF_SW_V13118
	Module Interface : Node18_Interface_0
		Set Node18_Interface_0.ip = 1.0.1.17
		Set Node18_Interface_0.netmask = 255.255.255.0
	Module ARP : Node18_ARP_0
		Set Node18_ARP_0.arpMode = RunARP
		Set Node18_ARP_0.flushInterval = 3000
		Set Node18_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node18_FIFO_0
		Set Node18_FIFO_0.max_qlen = 50
		Set Node18_FIFO_0.log_qlen = off
		Set Node18_FIFO_0.log_option = FullLog
		Set Node18_FIFO_0.samplerate = 1
		Set Node18_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N18_P4_qlen.log
		Set Node18_FIFO_0.log_drop = off
		Set Node18_FIFO_0.drop_samplerate = 1
		Set Node18_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N18_P7_drop.log
	Module TCPDUMP : Node18_TCPDUMP_0
	Module OFLO : Node18_OFLO_0
		Set Node18_OFLO_0.mac = 0:1:0:0:0:76
	Module OFSwitch_V13 : Node18_OFSwitch_V13_0
		Set Node18_OFSwitch_V13_0.guitag_addport = yes
		Set Node18_OFSwitch_V13_0.flow_table_amount = 10
		Set Node18_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node18_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node18_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node18_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node18_OFSwitch_V13_0.table_miss_action = Controller
		Set Node18_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node18_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node18_OFSwitch_V13_0.port_to_controller = 4
		Set Node18_OFSwitch_V13_0.controller_id = master_ctl
		Set Node18_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node18_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node18_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node18_OFSwitch_V13_0.port_to_controller_2nd = 4
		Set Node18_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node18_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node18_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node18_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node18_OFSwitch_V13_0.port_to_controller_3rd = 4
		Set Node18_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node18_OFSwitch_V13_0.enable_4th_controller = off
		Set Node18_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node18_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node18_OFSwitch_V13_0.port_to_controller_4th = 4
		Set Node18_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node18_OFSwitch_V13_0.enable_1st_lag = off
		Set Node18_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node18_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node18_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node18_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node18_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node18_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node18_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node18_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node18_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node18_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node18_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node18_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node18_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node18_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node18_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node18_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node18_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node18_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node18_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node18_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node18_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node18_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node18_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node18_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node18_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node18_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node18_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node18_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node18_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node18_OFSwitch_V13_0.max_queue_length = 100
		Set Node18_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node18_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node18_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node18_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node18_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node18_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node18_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node18_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node18_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node18_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node18_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node18_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node18_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node18_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node18_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node18_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node18_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node18_MAC8023_PORT_1

			Set Node18_OFSwitch_V13_0.port1 = Node18_MAC8023_PORT_1
			Set Node18_OFSwitch_V13_0.fixed_net1 = Node18_MAC8023_PORT_1.no
			Set Node18_MAC8023_PORT_1.recvtarget = Node18_OFSwitch_V13_0

			Set Node18_MAC8023_PORT_1.mac = 0:1:0:0:0:77
			Set Node18_MAC8023_PORT_1.lock_mac = off
			Set Node18_MAC8023_PORT_1.PromisOpt = on
			Set Node18_MAC8023_PORT_1.mode = full
			Set Node18_MAC8023_PORT_1.log = off
			Set Node18_MAC8023_PORT_1.logInterval = 1
			Set Node18_MAC8023_PORT_1.NumCollision = off
			Set Node18_MAC8023_PORT_1.NumUniInPkt = off
			Set Node18_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node18_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node18_MAC8023_PORT_1.NumBroInPkt = off
			Set Node18_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node18_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node18_MAC8023_PORT_1.NumDrop = off
			Set Node18_MAC8023_PORT_1.InThrput = off
			Set Node18_MAC8023_PORT_1.OutThrput = off
			Set Node18_MAC8023_PORT_1.InOutThrput = off
			Set Node18_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N18_P1_UniIn.log
			Set Node18_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N18_P1_UniOut.log
			Set Node18_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N18_P1_UniInOut.log
			Set Node18_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N18_P1_BroIn.log
			Set Node18_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N18_P1_BroOut.log
			Set Node18_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N18_P1_BroInOut.log
			Set Node18_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N18_P1_Coll.log
			Set Node18_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N18_P1_Drop.log
			Set Node18_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N18_P1_InThrput.log
			Set Node18_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N18_P1_OutThrput.log
			Set Node18_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N18_P1_InOutThrput.log
			Set Node18_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node18_Phy_PORT_1
			Set Node18_Phy_PORT_1.Bw = 10
			Set Node18_Phy_PORT_1.BER = 0.0
			Set Node18_Phy_PORT_1.PropDelay = 1000.00
			Set Node18_Phy_PORT_1.linkfail = off
			Set Node18_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N18_P1.linkfail

		Module Link : Node18_PORT_1
			Set Node18_PORT_1.guitag_remotenode = yes


		Bind Node18_MAC8023_PORT_1 Node18_Phy_PORT_1
		Bind Node18_Phy_PORT_1 Node18_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node18_MAC8023_PORT_2

			Set Node18_OFSwitch_V13_0.port2 = Node18_MAC8023_PORT_2
			Set Node18_OFSwitch_V13_0.fixed_net2 = Node18_MAC8023_PORT_2.no
			Set Node18_MAC8023_PORT_2.recvtarget = Node18_OFSwitch_V13_0

			Set Node18_MAC8023_PORT_2.mac = 0:1:0:0:0:78
			Set Node18_MAC8023_PORT_2.lock_mac = off
			Set Node18_MAC8023_PORT_2.PromisOpt = on
			Set Node18_MAC8023_PORT_2.mode = full
			Set Node18_MAC8023_PORT_2.log = off
			Set Node18_MAC8023_PORT_2.logInterval = 1
			Set Node18_MAC8023_PORT_2.NumCollision = off
			Set Node18_MAC8023_PORT_2.NumUniInPkt = off
			Set Node18_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node18_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node18_MAC8023_PORT_2.NumBroInPkt = off
			Set Node18_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node18_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node18_MAC8023_PORT_2.NumDrop = off
			Set Node18_MAC8023_PORT_2.InThrput = off
			Set Node18_MAC8023_PORT_2.OutThrput = off
			Set Node18_MAC8023_PORT_2.InOutThrput = off
			Set Node18_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N18_P2_UniIn.log
			Set Node18_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N18_P2_UniOut.log
			Set Node18_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N18_P2_UniInOut.log
			Set Node18_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N18_P2_BroIn.log
			Set Node18_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N18_P2_BroOut.log
			Set Node18_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N18_P2_BroInOut.log
			Set Node18_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N18_P2_Coll.log
			Set Node18_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N18_P2_Drop.log
			Set Node18_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N18_P2_InThrput.log
			Set Node18_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N18_P2_OutThrput.log
			Set Node18_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N18_P2_InOutThrput.log
			Set Node18_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node18_Phy_PORT_2
			Set Node18_Phy_PORT_2.Bw = 10
			Set Node18_Phy_PORT_2.BER = 0.0
			Set Node18_Phy_PORT_2.PropDelay = 1000.00
			Set Node18_Phy_PORT_2.linkfail = off
			Set Node18_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N18_P2.linkfail

		Module Link : Node18_PORT_2
			Set Node18_PORT_2.guitag_remotenode = yes


		Bind Node18_MAC8023_PORT_2 Node18_Phy_PORT_2
		Bind Node18_Phy_PORT_2 Node18_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node18_MAC8023_PORT_3

			Set Node18_OFSwitch_V13_0.port3 = Node18_MAC8023_PORT_3
			Set Node18_OFSwitch_V13_0.fixed_net3 = Node18_MAC8023_PORT_3.no
			Set Node18_MAC8023_PORT_3.recvtarget = Node18_OFSwitch_V13_0

			Set Node18_MAC8023_PORT_3.mac = 0:1:0:0:0:79
			Set Node18_MAC8023_PORT_3.lock_mac = off
			Set Node18_MAC8023_PORT_3.PromisOpt = on
			Set Node18_MAC8023_PORT_3.mode = full
			Set Node18_MAC8023_PORT_3.log = off
			Set Node18_MAC8023_PORT_3.logInterval = 1
			Set Node18_MAC8023_PORT_3.NumCollision = off
			Set Node18_MAC8023_PORT_3.NumUniInPkt = off
			Set Node18_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node18_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node18_MAC8023_PORT_3.NumBroInPkt = off
			Set Node18_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node18_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node18_MAC8023_PORT_3.NumDrop = off
			Set Node18_MAC8023_PORT_3.InThrput = off
			Set Node18_MAC8023_PORT_3.OutThrput = off
			Set Node18_MAC8023_PORT_3.InOutThrput = off
			Set Node18_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N18_P3_UniIn.log
			Set Node18_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N18_P3_UniOut.log
			Set Node18_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N18_P3_UniInOut.log
			Set Node18_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N18_P3_BroIn.log
			Set Node18_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N18_P3_BroOut.log
			Set Node18_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N18_P3_BroInOut.log
			Set Node18_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N18_P3_Coll.log
			Set Node18_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N18_P3_Drop.log
			Set Node18_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N18_P3_InThrput.log
			Set Node18_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N18_P3_OutThrput.log
			Set Node18_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N18_P3_InOutThrput.log
			Set Node18_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node18_Phy_PORT_3
			Set Node18_Phy_PORT_3.Bw = 10.00
			Set Node18_Phy_PORT_3.BER = 0.000000000
			Set Node18_Phy_PORT_3.PropDelay = 1000.00
			Set Node18_Phy_PORT_3.linkfail = off
			Set Node18_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N18_P3.linkfail

		Module Link : Node18_PORT_3
			Set Node18_PORT_3.guitag_remotenode = yes


		Bind Node18_MAC8023_PORT_3 Node18_Phy_PORT_3
		Bind Node18_Phy_PORT_3 Node18_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node18_MAC8023_PORT_4

			Set Node18_OFSwitch_V13_0.port4 = Node18_MAC8023_PORT_4
			Set Node18_OFSwitch_V13_0.fixed_net4 = Node18_MAC8023_PORT_4.no
			Set Node18_MAC8023_PORT_4.recvtarget = Node18_OFSwitch_V13_0

			Set Node18_MAC8023_PORT_4.mac = 0:1:0:0:0:7a
			Set Node18_MAC8023_PORT_4.lock_mac = off
			Set Node18_MAC8023_PORT_4.PromisOpt = on
			Set Node18_MAC8023_PORT_4.mode = full
			Set Node18_MAC8023_PORT_4.log = off
			Set Node18_MAC8023_PORT_4.logInterval = 1
			Set Node18_MAC8023_PORT_4.NumCollision = off
			Set Node18_MAC8023_PORT_4.NumUniInPkt = off
			Set Node18_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node18_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node18_MAC8023_PORT_4.NumBroInPkt = off
			Set Node18_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node18_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node18_MAC8023_PORT_4.NumDrop = off
			Set Node18_MAC8023_PORT_4.InThrput = off
			Set Node18_MAC8023_PORT_4.OutThrput = off
			Set Node18_MAC8023_PORT_4.InOutThrput = off
			Set Node18_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N18_P4_UniIn.log
			Set Node18_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N18_P4_UniOut.log
			Set Node18_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N18_P4_UniInOut.log
			Set Node18_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N18_P4_BroIn.log
			Set Node18_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N18_P4_BroOut.log
			Set Node18_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N18_P4_BroInOut.log
			Set Node18_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N18_P4_Coll.log
			Set Node18_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N18_P4_Drop.log
			Set Node18_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N18_P4_InThrput.log
			Set Node18_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N18_P4_OutThrput.log
			Set Node18_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N18_P4_InOutThrput.log
			Set Node18_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node18_Phy_PORT_4
			Set Node18_Phy_PORT_4.Bw = 10
			Set Node18_Phy_PORT_4.BER = 0.0
			Set Node18_Phy_PORT_4.PropDelay = 1000.00
			Set Node18_Phy_PORT_4.linkfail = off
			Set Node18_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N18_P4.linkfail

		Module Link : Node18_PORT_4
			Set Node18_PORT_4.guitag_remotenode = yes


		Bind Node18_MAC8023_PORT_4 Node18_Phy_PORT_4
		Bind Node18_Phy_PORT_4 Node18_PORT_4
	EndDefine

		Bind Node18_Interface_0 Node18_ARP_0
		Bind Node18_ARP_0 Node18_FIFO_0
		Bind Node18_FIFO_0 Node18_TCPDUMP_0
		Bind Node18_TCPDUMP_0 Node18_OFLO_0
		Bind Node18_OFLO_0 Node18_OFSwitch_V13_0
EndCreate

Create Node 19 as OF_SW_V131 with name = OF_SW_V13119
	Module Interface : Node19_Interface_0
		Set Node19_Interface_0.ip = 1.0.1.18
		Set Node19_Interface_0.netmask = 255.255.255.0
	Module ARP : Node19_ARP_0
		Set Node19_ARP_0.arpMode = RunARP
		Set Node19_ARP_0.flushInterval = 3000
		Set Node19_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node19_FIFO_0
		Set Node19_FIFO_0.max_qlen = 50
		Set Node19_FIFO_0.log_qlen = off
		Set Node19_FIFO_0.log_option = FullLog
		Set Node19_FIFO_0.samplerate = 1
		Set Node19_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N19_P4_qlen.log
		Set Node19_FIFO_0.log_drop = off
		Set Node19_FIFO_0.drop_samplerate = 1
		Set Node19_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N19_P7_drop.log
	Module TCPDUMP : Node19_TCPDUMP_0
	Module OFLO : Node19_OFLO_0
		Set Node19_OFLO_0.mac = 0:1:0:0:0:7c
	Module OFSwitch_V13 : Node19_OFSwitch_V13_0
		Set Node19_OFSwitch_V13_0.guitag_addport = yes
		Set Node19_OFSwitch_V13_0.flow_table_amount = 10
		Set Node19_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node19_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node19_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node19_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node19_OFSwitch_V13_0.table_miss_action = Controller
		Set Node19_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node19_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node19_OFSwitch_V13_0.port_to_controller = 5
		Set Node19_OFSwitch_V13_0.controller_id = master_ctl
		Set Node19_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node19_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node19_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node19_OFSwitch_V13_0.port_to_controller_2nd = 5
		Set Node19_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node19_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node19_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node19_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node19_OFSwitch_V13_0.port_to_controller_3rd = 5
		Set Node19_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node19_OFSwitch_V13_0.enable_4th_controller = off
		Set Node19_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node19_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node19_OFSwitch_V13_0.port_to_controller_4th = 5
		Set Node19_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node19_OFSwitch_V13_0.enable_1st_lag = off
		Set Node19_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node19_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node19_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node19_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node19_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node19_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node19_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node19_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node19_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node19_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node19_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node19_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node19_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node19_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node19_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node19_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node19_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node19_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node19_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node19_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node19_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node19_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node19_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node19_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node19_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node19_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node19_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node19_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node19_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node19_OFSwitch_V13_0.max_queue_length = 100
		Set Node19_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node19_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node19_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node19_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node19_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node19_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node19_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node19_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node19_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node19_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node19_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node19_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node19_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node19_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node19_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node19_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node19_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node19_MAC8023_PORT_1

			Set Node19_OFSwitch_V13_0.port1 = Node19_MAC8023_PORT_1
			Set Node19_OFSwitch_V13_0.fixed_net1 = Node19_MAC8023_PORT_1.no
			Set Node19_MAC8023_PORT_1.recvtarget = Node19_OFSwitch_V13_0

			Set Node19_MAC8023_PORT_1.mac = 0:1:0:0:0:7d
			Set Node19_MAC8023_PORT_1.lock_mac = off
			Set Node19_MAC8023_PORT_1.PromisOpt = on
			Set Node19_MAC8023_PORT_1.mode = full
			Set Node19_MAC8023_PORT_1.log = off
			Set Node19_MAC8023_PORT_1.logInterval = 1
			Set Node19_MAC8023_PORT_1.NumCollision = off
			Set Node19_MAC8023_PORT_1.NumUniInPkt = off
			Set Node19_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node19_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node19_MAC8023_PORT_1.NumBroInPkt = off
			Set Node19_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node19_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node19_MAC8023_PORT_1.NumDrop = off
			Set Node19_MAC8023_PORT_1.InThrput = off
			Set Node19_MAC8023_PORT_1.OutThrput = off
			Set Node19_MAC8023_PORT_1.InOutThrput = off
			Set Node19_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N19_P1_UniIn.log
			Set Node19_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N19_P1_UniOut.log
			Set Node19_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N19_P1_UniInOut.log
			Set Node19_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N19_P1_BroIn.log
			Set Node19_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N19_P1_BroOut.log
			Set Node19_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N19_P1_BroInOut.log
			Set Node19_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N19_P1_Coll.log
			Set Node19_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N19_P1_Drop.log
			Set Node19_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N19_P1_InThrput.log
			Set Node19_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N19_P1_OutThrput.log
			Set Node19_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N19_P1_InOutThrput.log
			Set Node19_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node19_Phy_PORT_1
			Set Node19_Phy_PORT_1.Bw = 10
			Set Node19_Phy_PORT_1.BER = 0.0
			Set Node19_Phy_PORT_1.PropDelay = 1000.00
			Set Node19_Phy_PORT_1.linkfail = off
			Set Node19_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N19_P1.linkfail

		Module Link : Node19_PORT_1
			Set Node19_PORT_1.guitag_remotenode = yes


		Bind Node19_MAC8023_PORT_1 Node19_Phy_PORT_1
		Bind Node19_Phy_PORT_1 Node19_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node19_MAC8023_PORT_2

			Set Node19_OFSwitch_V13_0.port2 = Node19_MAC8023_PORT_2
			Set Node19_OFSwitch_V13_0.fixed_net2 = Node19_MAC8023_PORT_2.no
			Set Node19_MAC8023_PORT_2.recvtarget = Node19_OFSwitch_V13_0

			Set Node19_MAC8023_PORT_2.mac = 0:1:0:0:0:7e
			Set Node19_MAC8023_PORT_2.lock_mac = off
			Set Node19_MAC8023_PORT_2.PromisOpt = on
			Set Node19_MAC8023_PORT_2.mode = full
			Set Node19_MAC8023_PORT_2.log = off
			Set Node19_MAC8023_PORT_2.logInterval = 1
			Set Node19_MAC8023_PORT_2.NumCollision = off
			Set Node19_MAC8023_PORT_2.NumUniInPkt = off
			Set Node19_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node19_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node19_MAC8023_PORT_2.NumBroInPkt = off
			Set Node19_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node19_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node19_MAC8023_PORT_2.NumDrop = off
			Set Node19_MAC8023_PORT_2.InThrput = off
			Set Node19_MAC8023_PORT_2.OutThrput = off
			Set Node19_MAC8023_PORT_2.InOutThrput = off
			Set Node19_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N19_P2_UniIn.log
			Set Node19_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N19_P2_UniOut.log
			Set Node19_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N19_P2_UniInOut.log
			Set Node19_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N19_P2_BroIn.log
			Set Node19_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N19_P2_BroOut.log
			Set Node19_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N19_P2_BroInOut.log
			Set Node19_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N19_P2_Coll.log
			Set Node19_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N19_P2_Drop.log
			Set Node19_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N19_P2_InThrput.log
			Set Node19_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N19_P2_OutThrput.log
			Set Node19_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N19_P2_InOutThrput.log
			Set Node19_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node19_Phy_PORT_2
			Set Node19_Phy_PORT_2.Bw = 10
			Set Node19_Phy_PORT_2.BER = 0.0
			Set Node19_Phy_PORT_2.PropDelay = 1000.00
			Set Node19_Phy_PORT_2.linkfail = off
			Set Node19_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N19_P2.linkfail

		Module Link : Node19_PORT_2
			Set Node19_PORT_2.guitag_remotenode = yes


		Bind Node19_MAC8023_PORT_2 Node19_Phy_PORT_2
		Bind Node19_Phy_PORT_2 Node19_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node19_MAC8023_PORT_3

			Set Node19_OFSwitch_V13_0.port3 = Node19_MAC8023_PORT_3
			Set Node19_OFSwitch_V13_0.fixed_net3 = Node19_MAC8023_PORT_3.no
			Set Node19_MAC8023_PORT_3.recvtarget = Node19_OFSwitch_V13_0

			Set Node19_MAC8023_PORT_3.mac = 0:1:0:0:0:7f
			Set Node19_MAC8023_PORT_3.lock_mac = off
			Set Node19_MAC8023_PORT_3.PromisOpt = on
			Set Node19_MAC8023_PORT_3.mode = full
			Set Node19_MAC8023_PORT_3.log = off
			Set Node19_MAC8023_PORT_3.logInterval = 1
			Set Node19_MAC8023_PORT_3.NumCollision = off
			Set Node19_MAC8023_PORT_3.NumUniInPkt = off
			Set Node19_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node19_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node19_MAC8023_PORT_3.NumBroInPkt = off
			Set Node19_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node19_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node19_MAC8023_PORT_3.NumDrop = off
			Set Node19_MAC8023_PORT_3.InThrput = off
			Set Node19_MAC8023_PORT_3.OutThrput = off
			Set Node19_MAC8023_PORT_3.InOutThrput = off
			Set Node19_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N19_P3_UniIn.log
			Set Node19_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N19_P3_UniOut.log
			Set Node19_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N19_P3_UniInOut.log
			Set Node19_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N19_P3_BroIn.log
			Set Node19_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N19_P3_BroOut.log
			Set Node19_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N19_P3_BroInOut.log
			Set Node19_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N19_P3_Coll.log
			Set Node19_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N19_P3_Drop.log
			Set Node19_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N19_P3_InThrput.log
			Set Node19_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N19_P3_OutThrput.log
			Set Node19_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N19_P3_InOutThrput.log
			Set Node19_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node19_Phy_PORT_3
			Set Node19_Phy_PORT_3.Bw = 10.00
			Set Node19_Phy_PORT_3.BER = 0.000000000
			Set Node19_Phy_PORT_3.PropDelay = 1000.00
			Set Node19_Phy_PORT_3.linkfail = off
			Set Node19_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N19_P3.linkfail

		Module Link : Node19_PORT_3
			Set Node19_PORT_3.guitag_remotenode = yes


		Bind Node19_MAC8023_PORT_3 Node19_Phy_PORT_3
		Bind Node19_Phy_PORT_3 Node19_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node19_MAC8023_PORT_4

			Set Node19_OFSwitch_V13_0.port4 = Node19_MAC8023_PORT_4
			Set Node19_OFSwitch_V13_0.fixed_net4 = Node19_MAC8023_PORT_4.no
			Set Node19_MAC8023_PORT_4.recvtarget = Node19_OFSwitch_V13_0

			Set Node19_MAC8023_PORT_4.mac = 0:1:0:0:0:80
			Set Node19_MAC8023_PORT_4.lock_mac = off
			Set Node19_MAC8023_PORT_4.PromisOpt = on
			Set Node19_MAC8023_PORT_4.mode = full
			Set Node19_MAC8023_PORT_4.log = off
			Set Node19_MAC8023_PORT_4.logInterval = 1
			Set Node19_MAC8023_PORT_4.NumCollision = off
			Set Node19_MAC8023_PORT_4.NumUniInPkt = off
			Set Node19_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node19_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node19_MAC8023_PORT_4.NumBroInPkt = off
			Set Node19_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node19_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node19_MAC8023_PORT_4.NumDrop = off
			Set Node19_MAC8023_PORT_4.InThrput = off
			Set Node19_MAC8023_PORT_4.OutThrput = off
			Set Node19_MAC8023_PORT_4.InOutThrput = off
			Set Node19_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N19_P4_UniIn.log
			Set Node19_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N19_P4_UniOut.log
			Set Node19_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N19_P4_UniInOut.log
			Set Node19_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N19_P4_BroIn.log
			Set Node19_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N19_P4_BroOut.log
			Set Node19_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N19_P4_BroInOut.log
			Set Node19_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N19_P4_Coll.log
			Set Node19_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N19_P4_Drop.log
			Set Node19_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N19_P4_InThrput.log
			Set Node19_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N19_P4_OutThrput.log
			Set Node19_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N19_P4_InOutThrput.log
			Set Node19_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node19_Phy_PORT_4
			Set Node19_Phy_PORT_4.Bw = 10
			Set Node19_Phy_PORT_4.BER = 0.0
			Set Node19_Phy_PORT_4.PropDelay = 1000.00
			Set Node19_Phy_PORT_4.linkfail = off
			Set Node19_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N19_P4.linkfail

		Module Link : Node19_PORT_4
			Set Node19_PORT_4.guitag_remotenode = yes


		Bind Node19_MAC8023_PORT_4 Node19_Phy_PORT_4
		Bind Node19_Phy_PORT_4 Node19_PORT_4
	EndDefine

	Define port 5
		Module MAC8023 : Node19_MAC8023_PORT_5

			Set Node19_OFSwitch_V13_0.port5 = Node19_MAC8023_PORT_5
			Set Node19_OFSwitch_V13_0.fixed_net5 = Node19_MAC8023_PORT_5.no
			Set Node19_MAC8023_PORT_5.recvtarget = Node19_OFSwitch_V13_0

			Set Node19_MAC8023_PORT_5.mac = 0:1:0:0:0:81
			Set Node19_MAC8023_PORT_5.lock_mac = off
			Set Node19_MAC8023_PORT_5.PromisOpt = on
			Set Node19_MAC8023_PORT_5.mode = full
			Set Node19_MAC8023_PORT_5.log = off
			Set Node19_MAC8023_PORT_5.logInterval = 1
			Set Node19_MAC8023_PORT_5.NumCollision = off
			Set Node19_MAC8023_PORT_5.NumUniInPkt = off
			Set Node19_MAC8023_PORT_5.NumUniOutPkt = off
			Set Node19_MAC8023_PORT_5.NumUniInOutPkt = off
			Set Node19_MAC8023_PORT_5.NumBroInPkt = off
			Set Node19_MAC8023_PORT_5.NumBroOutPkt = off
			Set Node19_MAC8023_PORT_5.NumBroInOutPkt = off
			Set Node19_MAC8023_PORT_5.NumDrop = off
			Set Node19_MAC8023_PORT_5.InThrput = off
			Set Node19_MAC8023_PORT_5.OutThrput = off
			Set Node19_MAC8023_PORT_5.InOutThrput = off
			Set Node19_MAC8023_PORT_5.UniInLogFile = Opendaylight_SpanningTree.8023_N19_P5_UniIn.log
			Set Node19_MAC8023_PORT_5.UniOutLogFile = Opendaylight_SpanningTree.8023_N19_P5_UniOut.log
			Set Node19_MAC8023_PORT_5.UniInOutLogFile = Opendaylight_SpanningTree.8023_N19_P5_UniInOut.log
			Set Node19_MAC8023_PORT_5.BroInLogFile = Opendaylight_SpanningTree.8023_N19_P5_BroIn.log
			Set Node19_MAC8023_PORT_5.BroOutLogFile = Opendaylight_SpanningTree.8023_N19_P5_BroOut.log
			Set Node19_MAC8023_PORT_5.BroInOutLogFile = Opendaylight_SpanningTree.8023_N19_P5_BroInOut.log
			Set Node19_MAC8023_PORT_5.CollLogFile = Opendaylight_SpanningTree.8023_N19_P5_Coll.log
			Set Node19_MAC8023_PORT_5.DropLogFile = Opendaylight_SpanningTree.8023_N19_P5_Drop.log
			Set Node19_MAC8023_PORT_5.InThrputLogFile = Opendaylight_SpanningTree.8023_N19_P5_InThrput.log
			Set Node19_MAC8023_PORT_5.OutThrputLogFile = Opendaylight_SpanningTree.8023_N19_P5_OutThrput.log
			Set Node19_MAC8023_PORT_5.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N19_P5_InOutThrput.log
			Set Node19_MAC8023_PORT_5.LinktoHub = 0

		Module Phy : Node19_Phy_PORT_5
			Set Node19_Phy_PORT_5.Bw = 10
			Set Node19_Phy_PORT_5.BER = 0.0
			Set Node19_Phy_PORT_5.PropDelay = 1000.00
			Set Node19_Phy_PORT_5.linkfail = off
			Set Node19_Phy_PORT_5.linkfailFileName = Opendaylight_SpanningTree.phy_N19_P5.linkfail

		Module Link : Node19_PORT_5
			Set Node19_PORT_5.guitag_remotenode = yes


		Bind Node19_MAC8023_PORT_5 Node19_Phy_PORT_5
		Bind Node19_Phy_PORT_5 Node19_PORT_5
	EndDefine

		Bind Node19_Interface_0 Node19_ARP_0
		Bind Node19_ARP_0 Node19_FIFO_0
		Bind Node19_FIFO_0 Node19_TCPDUMP_0
		Bind Node19_TCPDUMP_0 Node19_OFLO_0
		Bind Node19_OFLO_0 Node19_OFSwitch_V13_0
EndCreate

Create Node 20 as OF_SW_V131 with name = OF_SW_V13120
	Module Interface : Node20_Interface_0
		Set Node20_Interface_0.ip = 1.0.1.19
		Set Node20_Interface_0.netmask = 255.255.255.0
	Module ARP : Node20_ARP_0
		Set Node20_ARP_0.arpMode = RunARP
		Set Node20_ARP_0.flushInterval = 3000
		Set Node20_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node20_FIFO_0
		Set Node20_FIFO_0.max_qlen = 50
		Set Node20_FIFO_0.log_qlen = off
		Set Node20_FIFO_0.log_option = FullLog
		Set Node20_FIFO_0.samplerate = 1
		Set Node20_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N20_P4_qlen.log
		Set Node20_FIFO_0.log_drop = off
		Set Node20_FIFO_0.drop_samplerate = 1
		Set Node20_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N20_P7_drop.log
	Module TCPDUMP : Node20_TCPDUMP_0
	Module OFLO : Node20_OFLO_0
		Set Node20_OFLO_0.mac = 0:1:0:0:0:83
	Module OFSwitch_V13 : Node20_OFSwitch_V13_0
		Set Node20_OFSwitch_V13_0.guitag_addport = yes
		Set Node20_OFSwitch_V13_0.flow_table_amount = 10
		Set Node20_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node20_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node20_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node20_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node20_OFSwitch_V13_0.table_miss_action = Controller
		Set Node20_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node20_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node20_OFSwitch_V13_0.port_to_controller = 4
		Set Node20_OFSwitch_V13_0.controller_id = master_ctl
		Set Node20_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node20_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node20_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node20_OFSwitch_V13_0.port_to_controller_2nd = 4
		Set Node20_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node20_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node20_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node20_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node20_OFSwitch_V13_0.port_to_controller_3rd = 4
		Set Node20_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node20_OFSwitch_V13_0.enable_4th_controller = off
		Set Node20_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node20_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node20_OFSwitch_V13_0.port_to_controller_4th = 4
		Set Node20_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node20_OFSwitch_V13_0.enable_1st_lag = off
		Set Node20_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node20_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node20_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node20_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node20_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node20_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node20_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node20_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node20_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node20_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node20_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node20_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node20_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node20_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node20_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node20_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node20_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node20_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node20_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node20_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node20_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node20_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node20_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node20_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node20_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node20_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node20_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node20_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node20_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node20_OFSwitch_V13_0.max_queue_length = 100
		Set Node20_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node20_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node20_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node20_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node20_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node20_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node20_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node20_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node20_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node20_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node20_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node20_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node20_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node20_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node20_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node20_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node20_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node20_MAC8023_PORT_1

			Set Node20_OFSwitch_V13_0.port1 = Node20_MAC8023_PORT_1
			Set Node20_OFSwitch_V13_0.fixed_net1 = Node20_MAC8023_PORT_1.no
			Set Node20_MAC8023_PORT_1.recvtarget = Node20_OFSwitch_V13_0

			Set Node20_MAC8023_PORT_1.mac = 0:1:0:0:0:84
			Set Node20_MAC8023_PORT_1.lock_mac = off
			Set Node20_MAC8023_PORT_1.PromisOpt = on
			Set Node20_MAC8023_PORT_1.mode = full
			Set Node20_MAC8023_PORT_1.log = off
			Set Node20_MAC8023_PORT_1.logInterval = 1
			Set Node20_MAC8023_PORT_1.NumCollision = off
			Set Node20_MAC8023_PORT_1.NumUniInPkt = off
			Set Node20_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node20_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node20_MAC8023_PORT_1.NumBroInPkt = off
			Set Node20_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node20_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node20_MAC8023_PORT_1.NumDrop = off
			Set Node20_MAC8023_PORT_1.InThrput = off
			Set Node20_MAC8023_PORT_1.OutThrput = off
			Set Node20_MAC8023_PORT_1.InOutThrput = off
			Set Node20_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N20_P1_UniIn.log
			Set Node20_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N20_P1_UniOut.log
			Set Node20_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N20_P1_UniInOut.log
			Set Node20_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N20_P1_BroIn.log
			Set Node20_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N20_P1_BroOut.log
			Set Node20_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N20_P1_BroInOut.log
			Set Node20_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N20_P1_Coll.log
			Set Node20_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N20_P1_Drop.log
			Set Node20_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N20_P1_InThrput.log
			Set Node20_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N20_P1_OutThrput.log
			Set Node20_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N20_P1_InOutThrput.log
			Set Node20_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node20_Phy_PORT_1
			Set Node20_Phy_PORT_1.Bw = 10
			Set Node20_Phy_PORT_1.BER = 0.0
			Set Node20_Phy_PORT_1.PropDelay = 1000.00
			Set Node20_Phy_PORT_1.linkfail = off
			Set Node20_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N20_P1.linkfail

		Module Link : Node20_PORT_1
			Set Node20_PORT_1.guitag_remotenode = yes


		Bind Node20_MAC8023_PORT_1 Node20_Phy_PORT_1
		Bind Node20_Phy_PORT_1 Node20_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node20_MAC8023_PORT_2

			Set Node20_OFSwitch_V13_0.port2 = Node20_MAC8023_PORT_2
			Set Node20_OFSwitch_V13_0.fixed_net2 = Node20_MAC8023_PORT_2.no
			Set Node20_MAC8023_PORT_2.recvtarget = Node20_OFSwitch_V13_0

			Set Node20_MAC8023_PORT_2.mac = 0:1:0:0:0:85
			Set Node20_MAC8023_PORT_2.lock_mac = off
			Set Node20_MAC8023_PORT_2.PromisOpt = on
			Set Node20_MAC8023_PORT_2.mode = full
			Set Node20_MAC8023_PORT_2.log = off
			Set Node20_MAC8023_PORT_2.logInterval = 1
			Set Node20_MAC8023_PORT_2.NumCollision = off
			Set Node20_MAC8023_PORT_2.NumUniInPkt = off
			Set Node20_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node20_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node20_MAC8023_PORT_2.NumBroInPkt = off
			Set Node20_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node20_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node20_MAC8023_PORT_2.NumDrop = off
			Set Node20_MAC8023_PORT_2.InThrput = off
			Set Node20_MAC8023_PORT_2.OutThrput = off
			Set Node20_MAC8023_PORT_2.InOutThrput = off
			Set Node20_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N20_P2_UniIn.log
			Set Node20_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N20_P2_UniOut.log
			Set Node20_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N20_P2_UniInOut.log
			Set Node20_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N20_P2_BroIn.log
			Set Node20_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N20_P2_BroOut.log
			Set Node20_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N20_P2_BroInOut.log
			Set Node20_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N20_P2_Coll.log
			Set Node20_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N20_P2_Drop.log
			Set Node20_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N20_P2_InThrput.log
			Set Node20_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N20_P2_OutThrput.log
			Set Node20_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N20_P2_InOutThrput.log
			Set Node20_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node20_Phy_PORT_2
			Set Node20_Phy_PORT_2.Bw = 10.00
			Set Node20_Phy_PORT_2.BER = 0.000000000
			Set Node20_Phy_PORT_2.PropDelay = 1000.00
			Set Node20_Phy_PORT_2.linkfail = off
			Set Node20_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N20_P2.linkfail

		Module Link : Node20_PORT_2
			Set Node20_PORT_2.guitag_remotenode = yes


		Bind Node20_MAC8023_PORT_2 Node20_Phy_PORT_2
		Bind Node20_Phy_PORT_2 Node20_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node20_MAC8023_PORT_3

			Set Node20_OFSwitch_V13_0.port3 = Node20_MAC8023_PORT_3
			Set Node20_OFSwitch_V13_0.fixed_net3 = Node20_MAC8023_PORT_3.no
			Set Node20_MAC8023_PORT_3.recvtarget = Node20_OFSwitch_V13_0

			Set Node20_MAC8023_PORT_3.mac = 0:1:0:0:0:86
			Set Node20_MAC8023_PORT_3.lock_mac = off
			Set Node20_MAC8023_PORT_3.PromisOpt = on
			Set Node20_MAC8023_PORT_3.mode = full
			Set Node20_MAC8023_PORT_3.log = off
			Set Node20_MAC8023_PORT_3.logInterval = 1
			Set Node20_MAC8023_PORT_3.NumCollision = off
			Set Node20_MAC8023_PORT_3.NumUniInPkt = off
			Set Node20_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node20_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node20_MAC8023_PORT_3.NumBroInPkt = off
			Set Node20_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node20_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node20_MAC8023_PORT_3.NumDrop = off
			Set Node20_MAC8023_PORT_3.InThrput = off
			Set Node20_MAC8023_PORT_3.OutThrput = off
			Set Node20_MAC8023_PORT_3.InOutThrput = off
			Set Node20_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N20_P3_UniIn.log
			Set Node20_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N20_P3_UniOut.log
			Set Node20_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N20_P3_UniInOut.log
			Set Node20_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N20_P3_BroIn.log
			Set Node20_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N20_P3_BroOut.log
			Set Node20_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N20_P3_BroInOut.log
			Set Node20_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N20_P3_Coll.log
			Set Node20_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N20_P3_Drop.log
			Set Node20_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N20_P3_InThrput.log
			Set Node20_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N20_P3_OutThrput.log
			Set Node20_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N20_P3_InOutThrput.log
			Set Node20_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node20_Phy_PORT_3
			Set Node20_Phy_PORT_3.Bw = 10.00
			Set Node20_Phy_PORT_3.BER = 0.000000000
			Set Node20_Phy_PORT_3.PropDelay = 1000.00
			Set Node20_Phy_PORT_3.linkfail = off
			Set Node20_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N20_P3.linkfail

		Module Link : Node20_PORT_3
			Set Node20_PORT_3.guitag_remotenode = yes


		Bind Node20_MAC8023_PORT_3 Node20_Phy_PORT_3
		Bind Node20_Phy_PORT_3 Node20_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node20_MAC8023_PORT_4

			Set Node20_OFSwitch_V13_0.port4 = Node20_MAC8023_PORT_4
			Set Node20_OFSwitch_V13_0.fixed_net4 = Node20_MAC8023_PORT_4.no
			Set Node20_MAC8023_PORT_4.recvtarget = Node20_OFSwitch_V13_0

			Set Node20_MAC8023_PORT_4.mac = 0:1:0:0:0:87
			Set Node20_MAC8023_PORT_4.lock_mac = off
			Set Node20_MAC8023_PORT_4.PromisOpt = on
			Set Node20_MAC8023_PORT_4.mode = full
			Set Node20_MAC8023_PORT_4.log = off
			Set Node20_MAC8023_PORT_4.logInterval = 1
			Set Node20_MAC8023_PORT_4.NumCollision = off
			Set Node20_MAC8023_PORT_4.NumUniInPkt = off
			Set Node20_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node20_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node20_MAC8023_PORT_4.NumBroInPkt = off
			Set Node20_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node20_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node20_MAC8023_PORT_4.NumDrop = off
			Set Node20_MAC8023_PORT_4.InThrput = off
			Set Node20_MAC8023_PORT_4.OutThrput = off
			Set Node20_MAC8023_PORT_4.InOutThrput = off
			Set Node20_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N20_P4_UniIn.log
			Set Node20_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N20_P4_UniOut.log
			Set Node20_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N20_P4_UniInOut.log
			Set Node20_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N20_P4_BroIn.log
			Set Node20_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N20_P4_BroOut.log
			Set Node20_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N20_P4_BroInOut.log
			Set Node20_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N20_P4_Coll.log
			Set Node20_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N20_P4_Drop.log
			Set Node20_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N20_P4_InThrput.log
			Set Node20_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N20_P4_OutThrput.log
			Set Node20_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N20_P4_InOutThrput.log
			Set Node20_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node20_Phy_PORT_4
			Set Node20_Phy_PORT_4.Bw = 10
			Set Node20_Phy_PORT_4.BER = 0.0
			Set Node20_Phy_PORT_4.PropDelay = 1000.00
			Set Node20_Phy_PORT_4.linkfail = off
			Set Node20_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N20_P4.linkfail

		Module Link : Node20_PORT_4
			Set Node20_PORT_4.guitag_remotenode = yes


		Bind Node20_MAC8023_PORT_4 Node20_Phy_PORT_4
		Bind Node20_Phy_PORT_4 Node20_PORT_4
	EndDefine

		Bind Node20_Interface_0 Node20_ARP_0
		Bind Node20_ARP_0 Node20_FIFO_0
		Bind Node20_FIFO_0 Node20_TCPDUMP_0
		Bind Node20_TCPDUMP_0 Node20_OFLO_0
		Bind Node20_OFLO_0 Node20_OFSwitch_V13_0
EndCreate

Create Node 21 as OF_SW_V131 with name = OF_SW_V13121
	Module Interface : Node21_Interface_0
		Set Node21_Interface_0.ip = 1.0.1.20
		Set Node21_Interface_0.netmask = 255.255.255.0
	Module ARP : Node21_ARP_0
		Set Node21_ARP_0.arpMode = RunARP
		Set Node21_ARP_0.flushInterval = 3000
		Set Node21_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node21_FIFO_0
		Set Node21_FIFO_0.max_qlen = 50
		Set Node21_FIFO_0.log_qlen = off
		Set Node21_FIFO_0.log_option = FullLog
		Set Node21_FIFO_0.samplerate = 1
		Set Node21_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N21_P4_qlen.log
		Set Node21_FIFO_0.log_drop = off
		Set Node21_FIFO_0.drop_samplerate = 1
		Set Node21_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N21_P7_drop.log
	Module TCPDUMP : Node21_TCPDUMP_0
	Module OFLO : Node21_OFLO_0
		Set Node21_OFLO_0.mac = 0:1:0:0:0:89
	Module OFSwitch_V13 : Node21_OFSwitch_V13_0
		Set Node21_OFSwitch_V13_0.guitag_addport = yes
		Set Node21_OFSwitch_V13_0.flow_table_amount = 10
		Set Node21_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node21_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node21_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node21_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node21_OFSwitch_V13_0.table_miss_action = Controller
		Set Node21_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node21_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node21_OFSwitch_V13_0.port_to_controller = 5
		Set Node21_OFSwitch_V13_0.controller_id = master_ctl
		Set Node21_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node21_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node21_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node21_OFSwitch_V13_0.port_to_controller_2nd = 5
		Set Node21_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node21_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node21_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node21_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node21_OFSwitch_V13_0.port_to_controller_3rd = 5
		Set Node21_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node21_OFSwitch_V13_0.enable_4th_controller = off
		Set Node21_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node21_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node21_OFSwitch_V13_0.port_to_controller_4th = 5
		Set Node21_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node21_OFSwitch_V13_0.enable_1st_lag = off
		Set Node21_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node21_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node21_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node21_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node21_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node21_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node21_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node21_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node21_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node21_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node21_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node21_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node21_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node21_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node21_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node21_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node21_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node21_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node21_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node21_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node21_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node21_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node21_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node21_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node21_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node21_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node21_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node21_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node21_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node21_OFSwitch_V13_0.max_queue_length = 100
		Set Node21_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node21_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node21_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node21_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node21_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node21_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node21_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node21_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node21_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node21_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node21_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node21_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node21_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node21_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node21_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node21_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node21_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node21_MAC8023_PORT_1

			Set Node21_OFSwitch_V13_0.port1 = Node21_MAC8023_PORT_1
			Set Node21_OFSwitch_V13_0.fixed_net1 = Node21_MAC8023_PORT_1.no
			Set Node21_MAC8023_PORT_1.recvtarget = Node21_OFSwitch_V13_0

			Set Node21_MAC8023_PORT_1.mac = 0:1:0:0:0:8a
			Set Node21_MAC8023_PORT_1.lock_mac = off
			Set Node21_MAC8023_PORT_1.PromisOpt = on
			Set Node21_MAC8023_PORT_1.mode = full
			Set Node21_MAC8023_PORT_1.log = off
			Set Node21_MAC8023_PORT_1.logInterval = 1
			Set Node21_MAC8023_PORT_1.NumCollision = off
			Set Node21_MAC8023_PORT_1.NumUniInPkt = off
			Set Node21_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node21_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node21_MAC8023_PORT_1.NumBroInPkt = off
			Set Node21_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node21_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node21_MAC8023_PORT_1.NumDrop = off
			Set Node21_MAC8023_PORT_1.InThrput = off
			Set Node21_MAC8023_PORT_1.OutThrput = off
			Set Node21_MAC8023_PORT_1.InOutThrput = off
			Set Node21_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N21_P1_UniIn.log
			Set Node21_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N21_P1_UniOut.log
			Set Node21_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N21_P1_UniInOut.log
			Set Node21_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N21_P1_BroIn.log
			Set Node21_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N21_P1_BroOut.log
			Set Node21_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N21_P1_BroInOut.log
			Set Node21_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N21_P1_Coll.log
			Set Node21_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N21_P1_Drop.log
			Set Node21_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N21_P1_InThrput.log
			Set Node21_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N21_P1_OutThrput.log
			Set Node21_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N21_P1_InOutThrput.log
			Set Node21_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node21_Phy_PORT_1
			Set Node21_Phy_PORT_1.Bw = 10
			Set Node21_Phy_PORT_1.BER = 0.0
			Set Node21_Phy_PORT_1.PropDelay = 1000.00
			Set Node21_Phy_PORT_1.linkfail = off
			Set Node21_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N21_P1.linkfail

		Module Link : Node21_PORT_1
			Set Node21_PORT_1.guitag_remotenode = yes


		Bind Node21_MAC8023_PORT_1 Node21_Phy_PORT_1
		Bind Node21_Phy_PORT_1 Node21_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node21_MAC8023_PORT_2

			Set Node21_OFSwitch_V13_0.port2 = Node21_MAC8023_PORT_2
			Set Node21_OFSwitch_V13_0.fixed_net2 = Node21_MAC8023_PORT_2.no
			Set Node21_MAC8023_PORT_2.recvtarget = Node21_OFSwitch_V13_0

			Set Node21_MAC8023_PORT_2.mac = 0:1:0:0:0:8b
			Set Node21_MAC8023_PORT_2.lock_mac = off
			Set Node21_MAC8023_PORT_2.PromisOpt = on
			Set Node21_MAC8023_PORT_2.mode = full
			Set Node21_MAC8023_PORT_2.log = off
			Set Node21_MAC8023_PORT_2.logInterval = 1
			Set Node21_MAC8023_PORT_2.NumCollision = off
			Set Node21_MAC8023_PORT_2.NumUniInPkt = off
			Set Node21_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node21_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node21_MAC8023_PORT_2.NumBroInPkt = off
			Set Node21_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node21_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node21_MAC8023_PORT_2.NumDrop = off
			Set Node21_MAC8023_PORT_2.InThrput = off
			Set Node21_MAC8023_PORT_2.OutThrput = off
			Set Node21_MAC8023_PORT_2.InOutThrput = off
			Set Node21_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N21_P2_UniIn.log
			Set Node21_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N21_P2_UniOut.log
			Set Node21_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N21_P2_UniInOut.log
			Set Node21_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N21_P2_BroIn.log
			Set Node21_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N21_P2_BroOut.log
			Set Node21_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N21_P2_BroInOut.log
			Set Node21_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N21_P2_Coll.log
			Set Node21_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N21_P2_Drop.log
			Set Node21_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N21_P2_InThrput.log
			Set Node21_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N21_P2_OutThrput.log
			Set Node21_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N21_P2_InOutThrput.log
			Set Node21_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node21_Phy_PORT_2
			Set Node21_Phy_PORT_2.Bw = 10.00
			Set Node21_Phy_PORT_2.BER = 0.000000000
			Set Node21_Phy_PORT_2.PropDelay = 1000.00
			Set Node21_Phy_PORT_2.linkfail = off
			Set Node21_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N21_P2.linkfail

		Module Link : Node21_PORT_2
			Set Node21_PORT_2.guitag_remotenode = yes


		Bind Node21_MAC8023_PORT_2 Node21_Phy_PORT_2
		Bind Node21_Phy_PORT_2 Node21_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node21_MAC8023_PORT_3

			Set Node21_OFSwitch_V13_0.port3 = Node21_MAC8023_PORT_3
			Set Node21_OFSwitch_V13_0.fixed_net3 = Node21_MAC8023_PORT_3.no
			Set Node21_MAC8023_PORT_3.recvtarget = Node21_OFSwitch_V13_0

			Set Node21_MAC8023_PORT_3.mac = 0:1:0:0:0:8c
			Set Node21_MAC8023_PORT_3.lock_mac = off
			Set Node21_MAC8023_PORT_3.PromisOpt = on
			Set Node21_MAC8023_PORT_3.mode = full
			Set Node21_MAC8023_PORT_3.log = off
			Set Node21_MAC8023_PORT_3.logInterval = 1
			Set Node21_MAC8023_PORT_3.NumCollision = off
			Set Node21_MAC8023_PORT_3.NumUniInPkt = off
			Set Node21_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node21_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node21_MAC8023_PORT_3.NumBroInPkt = off
			Set Node21_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node21_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node21_MAC8023_PORT_3.NumDrop = off
			Set Node21_MAC8023_PORT_3.InThrput = off
			Set Node21_MAC8023_PORT_3.OutThrput = off
			Set Node21_MAC8023_PORT_3.InOutThrput = off
			Set Node21_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N21_P3_UniIn.log
			Set Node21_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N21_P3_UniOut.log
			Set Node21_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N21_P3_UniInOut.log
			Set Node21_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N21_P3_BroIn.log
			Set Node21_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N21_P3_BroOut.log
			Set Node21_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N21_P3_BroInOut.log
			Set Node21_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N21_P3_Coll.log
			Set Node21_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N21_P3_Drop.log
			Set Node21_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N21_P3_InThrput.log
			Set Node21_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N21_P3_OutThrput.log
			Set Node21_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N21_P3_InOutThrput.log
			Set Node21_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node21_Phy_PORT_3
			Set Node21_Phy_PORT_3.Bw = 10
			Set Node21_Phy_PORT_3.BER = 0.0
			Set Node21_Phy_PORT_3.PropDelay = 1000.00
			Set Node21_Phy_PORT_3.linkfail = off
			Set Node21_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N21_P3.linkfail

		Module Link : Node21_PORT_3
			Set Node21_PORT_3.guitag_remotenode = yes


		Bind Node21_MAC8023_PORT_3 Node21_Phy_PORT_3
		Bind Node21_Phy_PORT_3 Node21_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node21_MAC8023_PORT_4

			Set Node21_OFSwitch_V13_0.port4 = Node21_MAC8023_PORT_4
			Set Node21_OFSwitch_V13_0.fixed_net4 = Node21_MAC8023_PORT_4.no
			Set Node21_MAC8023_PORT_4.recvtarget = Node21_OFSwitch_V13_0

			Set Node21_MAC8023_PORT_4.mac = 0:1:0:0:0:8d
			Set Node21_MAC8023_PORT_4.lock_mac = off
			Set Node21_MAC8023_PORT_4.PromisOpt = on
			Set Node21_MAC8023_PORT_4.mode = full
			Set Node21_MAC8023_PORT_4.log = off
			Set Node21_MAC8023_PORT_4.logInterval = 1
			Set Node21_MAC8023_PORT_4.NumCollision = off
			Set Node21_MAC8023_PORT_4.NumUniInPkt = off
			Set Node21_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node21_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node21_MAC8023_PORT_4.NumBroInPkt = off
			Set Node21_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node21_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node21_MAC8023_PORT_4.NumDrop = off
			Set Node21_MAC8023_PORT_4.InThrput = off
			Set Node21_MAC8023_PORT_4.OutThrput = off
			Set Node21_MAC8023_PORT_4.InOutThrput = off
			Set Node21_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N21_P4_UniIn.log
			Set Node21_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N21_P4_UniOut.log
			Set Node21_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N21_P4_UniInOut.log
			Set Node21_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N21_P4_BroIn.log
			Set Node21_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N21_P4_BroOut.log
			Set Node21_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N21_P4_BroInOut.log
			Set Node21_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N21_P4_Coll.log
			Set Node21_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N21_P4_Drop.log
			Set Node21_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N21_P4_InThrput.log
			Set Node21_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N21_P4_OutThrput.log
			Set Node21_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N21_P4_InOutThrput.log
			Set Node21_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node21_Phy_PORT_4
			Set Node21_Phy_PORT_4.Bw = 10
			Set Node21_Phy_PORT_4.BER = 0.0
			Set Node21_Phy_PORT_4.PropDelay = 1000.00
			Set Node21_Phy_PORT_4.linkfail = off
			Set Node21_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N21_P4.linkfail

		Module Link : Node21_PORT_4
			Set Node21_PORT_4.guitag_remotenode = yes


		Bind Node21_MAC8023_PORT_4 Node21_Phy_PORT_4
		Bind Node21_Phy_PORT_4 Node21_PORT_4
	EndDefine

	Define port 5
		Module MAC8023 : Node21_MAC8023_PORT_5

			Set Node21_OFSwitch_V13_0.port5 = Node21_MAC8023_PORT_5
			Set Node21_OFSwitch_V13_0.fixed_net5 = Node21_MAC8023_PORT_5.no
			Set Node21_MAC8023_PORT_5.recvtarget = Node21_OFSwitch_V13_0

			Set Node21_MAC8023_PORT_5.mac = 0:1:0:0:0:8e
			Set Node21_MAC8023_PORT_5.lock_mac = off
			Set Node21_MAC8023_PORT_5.PromisOpt = on
			Set Node21_MAC8023_PORT_5.mode = full
			Set Node21_MAC8023_PORT_5.log = off
			Set Node21_MAC8023_PORT_5.logInterval = 1
			Set Node21_MAC8023_PORT_5.NumCollision = off
			Set Node21_MAC8023_PORT_5.NumUniInPkt = off
			Set Node21_MAC8023_PORT_5.NumUniOutPkt = off
			Set Node21_MAC8023_PORT_5.NumUniInOutPkt = off
			Set Node21_MAC8023_PORT_5.NumBroInPkt = off
			Set Node21_MAC8023_PORT_5.NumBroOutPkt = off
			Set Node21_MAC8023_PORT_5.NumBroInOutPkt = off
			Set Node21_MAC8023_PORT_5.NumDrop = off
			Set Node21_MAC8023_PORT_5.InThrput = off
			Set Node21_MAC8023_PORT_5.OutThrput = off
			Set Node21_MAC8023_PORT_5.InOutThrput = off
			Set Node21_MAC8023_PORT_5.UniInLogFile = Opendaylight_SpanningTree.8023_N21_P5_UniIn.log
			Set Node21_MAC8023_PORT_5.UniOutLogFile = Opendaylight_SpanningTree.8023_N21_P5_UniOut.log
			Set Node21_MAC8023_PORT_5.UniInOutLogFile = Opendaylight_SpanningTree.8023_N21_P5_UniInOut.log
			Set Node21_MAC8023_PORT_5.BroInLogFile = Opendaylight_SpanningTree.8023_N21_P5_BroIn.log
			Set Node21_MAC8023_PORT_5.BroOutLogFile = Opendaylight_SpanningTree.8023_N21_P5_BroOut.log
			Set Node21_MAC8023_PORT_5.BroInOutLogFile = Opendaylight_SpanningTree.8023_N21_P5_BroInOut.log
			Set Node21_MAC8023_PORT_5.CollLogFile = Opendaylight_SpanningTree.8023_N21_P5_Coll.log
			Set Node21_MAC8023_PORT_5.DropLogFile = Opendaylight_SpanningTree.8023_N21_P5_Drop.log
			Set Node21_MAC8023_PORT_5.InThrputLogFile = Opendaylight_SpanningTree.8023_N21_P5_InThrput.log
			Set Node21_MAC8023_PORT_5.OutThrputLogFile = Opendaylight_SpanningTree.8023_N21_P5_OutThrput.log
			Set Node21_MAC8023_PORT_5.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N21_P5_InOutThrput.log
			Set Node21_MAC8023_PORT_5.LinktoHub = 0

		Module Phy : Node21_Phy_PORT_5
			Set Node21_Phy_PORT_5.Bw = 10
			Set Node21_Phy_PORT_5.BER = 0.0
			Set Node21_Phy_PORT_5.PropDelay = 1000.00
			Set Node21_Phy_PORT_5.linkfail = off
			Set Node21_Phy_PORT_5.linkfailFileName = Opendaylight_SpanningTree.phy_N21_P5.linkfail

		Module Link : Node21_PORT_5
			Set Node21_PORT_5.guitag_remotenode = yes


		Bind Node21_MAC8023_PORT_5 Node21_Phy_PORT_5
		Bind Node21_Phy_PORT_5 Node21_PORT_5
	EndDefine

		Bind Node21_Interface_0 Node21_ARP_0
		Bind Node21_ARP_0 Node21_FIFO_0
		Bind Node21_FIFO_0 Node21_TCPDUMP_0
		Bind Node21_TCPDUMP_0 Node21_OFLO_0
		Bind Node21_OFLO_0 Node21_OFSwitch_V13_0
EndCreate

Create Node 22 as OF_SW_V131 with name = OF_SW_V13122
	Module Interface : Node22_Interface_0
		Set Node22_Interface_0.ip = 1.0.1.21
		Set Node22_Interface_0.netmask = 255.255.255.0
	Module ARP : Node22_ARP_0
		Set Node22_ARP_0.arpMode = RunARP
		Set Node22_ARP_0.flushInterval = 3000
		Set Node22_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node22_FIFO_0
		Set Node22_FIFO_0.max_qlen = 50
		Set Node22_FIFO_0.log_qlen = off
		Set Node22_FIFO_0.log_option = FullLog
		Set Node22_FIFO_0.samplerate = 1
		Set Node22_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N22_P4_qlen.log
		Set Node22_FIFO_0.log_drop = off
		Set Node22_FIFO_0.drop_samplerate = 1
		Set Node22_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N22_P7_drop.log
	Module TCPDUMP : Node22_TCPDUMP_0
	Module OFLO : Node22_OFLO_0
		Set Node22_OFLO_0.mac = 0:1:0:0:0:90
	Module OFSwitch_V13 : Node22_OFSwitch_V13_0
		Set Node22_OFSwitch_V13_0.guitag_addport = yes
		Set Node22_OFSwitch_V13_0.flow_table_amount = 10
		Set Node22_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node22_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node22_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node22_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node22_OFSwitch_V13_0.table_miss_action = Controller
		Set Node22_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node22_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node22_OFSwitch_V13_0.port_to_controller = 5
		Set Node22_OFSwitch_V13_0.controller_id = master_ctl
		Set Node22_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node22_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node22_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node22_OFSwitch_V13_0.port_to_controller_2nd = 5
		Set Node22_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node22_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node22_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node22_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node22_OFSwitch_V13_0.port_to_controller_3rd = 5
		Set Node22_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node22_OFSwitch_V13_0.enable_4th_controller = off
		Set Node22_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node22_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node22_OFSwitch_V13_0.port_to_controller_4th = 5
		Set Node22_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node22_OFSwitch_V13_0.enable_1st_lag = off
		Set Node22_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node22_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node22_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node22_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node22_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node22_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node22_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node22_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node22_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node22_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node22_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node22_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node22_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node22_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node22_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node22_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node22_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node22_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node22_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node22_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node22_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node22_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node22_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node22_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node22_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node22_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node22_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node22_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node22_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node22_OFSwitch_V13_0.max_queue_length = 100
		Set Node22_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node22_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node22_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node22_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node22_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node22_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node22_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node22_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node22_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node22_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node22_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node22_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node22_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node22_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node22_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node22_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node22_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node22_MAC8023_PORT_1

			Set Node22_OFSwitch_V13_0.port1 = Node22_MAC8023_PORT_1
			Set Node22_OFSwitch_V13_0.fixed_net1 = Node22_MAC8023_PORT_1.no
			Set Node22_MAC8023_PORT_1.recvtarget = Node22_OFSwitch_V13_0

			Set Node22_MAC8023_PORT_1.mac = 0:1:0:0:0:91
			Set Node22_MAC8023_PORT_1.lock_mac = off
			Set Node22_MAC8023_PORT_1.PromisOpt = on
			Set Node22_MAC8023_PORT_1.mode = full
			Set Node22_MAC8023_PORT_1.log = off
			Set Node22_MAC8023_PORT_1.logInterval = 1
			Set Node22_MAC8023_PORT_1.NumCollision = off
			Set Node22_MAC8023_PORT_1.NumUniInPkt = off
			Set Node22_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node22_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node22_MAC8023_PORT_1.NumBroInPkt = off
			Set Node22_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node22_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node22_MAC8023_PORT_1.NumDrop = off
			Set Node22_MAC8023_PORT_1.InThrput = off
			Set Node22_MAC8023_PORT_1.OutThrput = off
			Set Node22_MAC8023_PORT_1.InOutThrput = off
			Set Node22_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N22_P1_UniIn.log
			Set Node22_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N22_P1_UniOut.log
			Set Node22_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N22_P1_UniInOut.log
			Set Node22_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N22_P1_BroIn.log
			Set Node22_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N22_P1_BroOut.log
			Set Node22_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N22_P1_BroInOut.log
			Set Node22_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N22_P1_Coll.log
			Set Node22_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N22_P1_Drop.log
			Set Node22_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N22_P1_InThrput.log
			Set Node22_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N22_P1_OutThrput.log
			Set Node22_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N22_P1_InOutThrput.log
			Set Node22_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node22_Phy_PORT_1
			Set Node22_Phy_PORT_1.Bw = 10
			Set Node22_Phy_PORT_1.BER = 0.0
			Set Node22_Phy_PORT_1.PropDelay = 1000.00
			Set Node22_Phy_PORT_1.linkfail = off
			Set Node22_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N22_P1.linkfail

		Module Link : Node22_PORT_1
			Set Node22_PORT_1.guitag_remotenode = yes


		Bind Node22_MAC8023_PORT_1 Node22_Phy_PORT_1
		Bind Node22_Phy_PORT_1 Node22_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node22_MAC8023_PORT_2

			Set Node22_OFSwitch_V13_0.port2 = Node22_MAC8023_PORT_2
			Set Node22_OFSwitch_V13_0.fixed_net2 = Node22_MAC8023_PORT_2.no
			Set Node22_MAC8023_PORT_2.recvtarget = Node22_OFSwitch_V13_0

			Set Node22_MAC8023_PORT_2.mac = 0:1:0:0:0:92
			Set Node22_MAC8023_PORT_2.lock_mac = off
			Set Node22_MAC8023_PORT_2.PromisOpt = on
			Set Node22_MAC8023_PORT_2.mode = full
			Set Node22_MAC8023_PORT_2.log = off
			Set Node22_MAC8023_PORT_2.logInterval = 1
			Set Node22_MAC8023_PORT_2.NumCollision = off
			Set Node22_MAC8023_PORT_2.NumUniInPkt = off
			Set Node22_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node22_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node22_MAC8023_PORT_2.NumBroInPkt = off
			Set Node22_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node22_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node22_MAC8023_PORT_2.NumDrop = off
			Set Node22_MAC8023_PORT_2.InThrput = off
			Set Node22_MAC8023_PORT_2.OutThrput = off
			Set Node22_MAC8023_PORT_2.InOutThrput = off
			Set Node22_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N22_P2_UniIn.log
			Set Node22_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N22_P2_UniOut.log
			Set Node22_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N22_P2_UniInOut.log
			Set Node22_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N22_P2_BroIn.log
			Set Node22_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N22_P2_BroOut.log
			Set Node22_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N22_P2_BroInOut.log
			Set Node22_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N22_P2_Coll.log
			Set Node22_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N22_P2_Drop.log
			Set Node22_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N22_P2_InThrput.log
			Set Node22_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N22_P2_OutThrput.log
			Set Node22_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N22_P2_InOutThrput.log
			Set Node22_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node22_Phy_PORT_2
			Set Node22_Phy_PORT_2.Bw = 10
			Set Node22_Phy_PORT_2.BER = 0.0
			Set Node22_Phy_PORT_2.PropDelay = 1000.00
			Set Node22_Phy_PORT_2.linkfail = off
			Set Node22_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N22_P2.linkfail

		Module Link : Node22_PORT_2
			Set Node22_PORT_2.guitag_remotenode = yes


		Bind Node22_MAC8023_PORT_2 Node22_Phy_PORT_2
		Bind Node22_Phy_PORT_2 Node22_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node22_MAC8023_PORT_3

			Set Node22_OFSwitch_V13_0.port3 = Node22_MAC8023_PORT_3
			Set Node22_OFSwitch_V13_0.fixed_net3 = Node22_MAC8023_PORT_3.no
			Set Node22_MAC8023_PORT_3.recvtarget = Node22_OFSwitch_V13_0

			Set Node22_MAC8023_PORT_3.mac = 0:1:0:0:0:93
			Set Node22_MAC8023_PORT_3.lock_mac = off
			Set Node22_MAC8023_PORT_3.PromisOpt = on
			Set Node22_MAC8023_PORT_3.mode = full
			Set Node22_MAC8023_PORT_3.log = off
			Set Node22_MAC8023_PORT_3.logInterval = 1
			Set Node22_MAC8023_PORT_3.NumCollision = off
			Set Node22_MAC8023_PORT_3.NumUniInPkt = off
			Set Node22_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node22_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node22_MAC8023_PORT_3.NumBroInPkt = off
			Set Node22_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node22_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node22_MAC8023_PORT_3.NumDrop = off
			Set Node22_MAC8023_PORT_3.InThrput = off
			Set Node22_MAC8023_PORT_3.OutThrput = off
			Set Node22_MAC8023_PORT_3.InOutThrput = off
			Set Node22_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N22_P3_UniIn.log
			Set Node22_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N22_P3_UniOut.log
			Set Node22_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N22_P3_UniInOut.log
			Set Node22_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N22_P3_BroIn.log
			Set Node22_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N22_P3_BroOut.log
			Set Node22_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N22_P3_BroInOut.log
			Set Node22_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N22_P3_Coll.log
			Set Node22_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N22_P3_Drop.log
			Set Node22_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N22_P3_InThrput.log
			Set Node22_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N22_P3_OutThrput.log
			Set Node22_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N22_P3_InOutThrput.log
			Set Node22_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node22_Phy_PORT_3
			Set Node22_Phy_PORT_3.Bw = 10
			Set Node22_Phy_PORT_3.BER = 0.0
			Set Node22_Phy_PORT_3.PropDelay = 1000.00
			Set Node22_Phy_PORT_3.linkfail = off
			Set Node22_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N22_P3.linkfail

		Module Link : Node22_PORT_3
			Set Node22_PORT_3.guitag_remotenode = yes


		Bind Node22_MAC8023_PORT_3 Node22_Phy_PORT_3
		Bind Node22_Phy_PORT_3 Node22_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node22_MAC8023_PORT_4

			Set Node22_OFSwitch_V13_0.port4 = Node22_MAC8023_PORT_4
			Set Node22_OFSwitch_V13_0.fixed_net4 = Node22_MAC8023_PORT_4.no
			Set Node22_MAC8023_PORT_4.recvtarget = Node22_OFSwitch_V13_0

			Set Node22_MAC8023_PORT_4.mac = 0:1:0:0:0:94
			Set Node22_MAC8023_PORT_4.lock_mac = off
			Set Node22_MAC8023_PORT_4.PromisOpt = on
			Set Node22_MAC8023_PORT_4.mode = full
			Set Node22_MAC8023_PORT_4.log = off
			Set Node22_MAC8023_PORT_4.logInterval = 1
			Set Node22_MAC8023_PORT_4.NumCollision = off
			Set Node22_MAC8023_PORT_4.NumUniInPkt = off
			Set Node22_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node22_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node22_MAC8023_PORT_4.NumBroInPkt = off
			Set Node22_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node22_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node22_MAC8023_PORT_4.NumDrop = off
			Set Node22_MAC8023_PORT_4.InThrput = off
			Set Node22_MAC8023_PORT_4.OutThrput = off
			Set Node22_MAC8023_PORT_4.InOutThrput = off
			Set Node22_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N22_P4_UniIn.log
			Set Node22_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N22_P4_UniOut.log
			Set Node22_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N22_P4_UniInOut.log
			Set Node22_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N22_P4_BroIn.log
			Set Node22_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N22_P4_BroOut.log
			Set Node22_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N22_P4_BroInOut.log
			Set Node22_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N22_P4_Coll.log
			Set Node22_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N22_P4_Drop.log
			Set Node22_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N22_P4_InThrput.log
			Set Node22_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N22_P4_OutThrput.log
			Set Node22_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N22_P4_InOutThrput.log
			Set Node22_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node22_Phy_PORT_4
			Set Node22_Phy_PORT_4.Bw = 10
			Set Node22_Phy_PORT_4.BER = 0.0
			Set Node22_Phy_PORT_4.PropDelay = 1000.00
			Set Node22_Phy_PORT_4.linkfail = off
			Set Node22_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N22_P4.linkfail

		Module Link : Node22_PORT_4
			Set Node22_PORT_4.guitag_remotenode = yes


		Bind Node22_MAC8023_PORT_4 Node22_Phy_PORT_4
		Bind Node22_Phy_PORT_4 Node22_PORT_4
	EndDefine

	Define port 5
		Module MAC8023 : Node22_MAC8023_PORT_5

			Set Node22_OFSwitch_V13_0.port5 = Node22_MAC8023_PORT_5
			Set Node22_OFSwitch_V13_0.fixed_net5 = Node22_MAC8023_PORT_5.no
			Set Node22_MAC8023_PORT_5.recvtarget = Node22_OFSwitch_V13_0

			Set Node22_MAC8023_PORT_5.mac = 0:1:0:0:0:95
			Set Node22_MAC8023_PORT_5.lock_mac = off
			Set Node22_MAC8023_PORT_5.PromisOpt = on
			Set Node22_MAC8023_PORT_5.mode = full
			Set Node22_MAC8023_PORT_5.log = off
			Set Node22_MAC8023_PORT_5.logInterval = 1
			Set Node22_MAC8023_PORT_5.NumCollision = off
			Set Node22_MAC8023_PORT_5.NumUniInPkt = off
			Set Node22_MAC8023_PORT_5.NumUniOutPkt = off
			Set Node22_MAC8023_PORT_5.NumUniInOutPkt = off
			Set Node22_MAC8023_PORT_5.NumBroInPkt = off
			Set Node22_MAC8023_PORT_5.NumBroOutPkt = off
			Set Node22_MAC8023_PORT_5.NumBroInOutPkt = off
			Set Node22_MAC8023_PORT_5.NumDrop = off
			Set Node22_MAC8023_PORT_5.InThrput = off
			Set Node22_MAC8023_PORT_5.OutThrput = off
			Set Node22_MAC8023_PORT_5.InOutThrput = off
			Set Node22_MAC8023_PORT_5.UniInLogFile = Opendaylight_SpanningTree.8023_N22_P5_UniIn.log
			Set Node22_MAC8023_PORT_5.UniOutLogFile = Opendaylight_SpanningTree.8023_N22_P5_UniOut.log
			Set Node22_MAC8023_PORT_5.UniInOutLogFile = Opendaylight_SpanningTree.8023_N22_P5_UniInOut.log
			Set Node22_MAC8023_PORT_5.BroInLogFile = Opendaylight_SpanningTree.8023_N22_P5_BroIn.log
			Set Node22_MAC8023_PORT_5.BroOutLogFile = Opendaylight_SpanningTree.8023_N22_P5_BroOut.log
			Set Node22_MAC8023_PORT_5.BroInOutLogFile = Opendaylight_SpanningTree.8023_N22_P5_BroInOut.log
			Set Node22_MAC8023_PORT_5.CollLogFile = Opendaylight_SpanningTree.8023_N22_P5_Coll.log
			Set Node22_MAC8023_PORT_5.DropLogFile = Opendaylight_SpanningTree.8023_N22_P5_Drop.log
			Set Node22_MAC8023_PORT_5.InThrputLogFile = Opendaylight_SpanningTree.8023_N22_P5_InThrput.log
			Set Node22_MAC8023_PORT_5.OutThrputLogFile = Opendaylight_SpanningTree.8023_N22_P5_OutThrput.log
			Set Node22_MAC8023_PORT_5.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N22_P5_InOutThrput.log
			Set Node22_MAC8023_PORT_5.LinktoHub = 0

		Module Phy : Node22_Phy_PORT_5
			Set Node22_Phy_PORT_5.Bw = 10
			Set Node22_Phy_PORT_5.BER = 0.0
			Set Node22_Phy_PORT_5.PropDelay = 1000.00
			Set Node22_Phy_PORT_5.linkfail = off
			Set Node22_Phy_PORT_5.linkfailFileName = Opendaylight_SpanningTree.phy_N22_P5.linkfail

		Module Link : Node22_PORT_5
			Set Node22_PORT_5.guitag_remotenode = yes


		Bind Node22_MAC8023_PORT_5 Node22_Phy_PORT_5
		Bind Node22_Phy_PORT_5 Node22_PORT_5
	EndDefine

		Bind Node22_Interface_0 Node22_ARP_0
		Bind Node22_ARP_0 Node22_FIFO_0
		Bind Node22_FIFO_0 Node22_TCPDUMP_0
		Bind Node22_TCPDUMP_0 Node22_OFLO_0
		Bind Node22_OFLO_0 Node22_OFSwitch_V13_0
EndCreate

Create Node 23 as OF_SW_V131 with name = OF_SW_V13123
	Module Interface : Node23_Interface_0
		Set Node23_Interface_0.ip = 1.0.1.22
		Set Node23_Interface_0.netmask = 255.255.255.0
	Module ARP : Node23_ARP_0
		Set Node23_ARP_0.arpMode = RunARP
		Set Node23_ARP_0.flushInterval = 3000
		Set Node23_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node23_FIFO_0
		Set Node23_FIFO_0.max_qlen = 50
		Set Node23_FIFO_0.log_qlen = off
		Set Node23_FIFO_0.log_option = FullLog
		Set Node23_FIFO_0.samplerate = 1
		Set Node23_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N23_P4_qlen.log
		Set Node23_FIFO_0.log_drop = off
		Set Node23_FIFO_0.drop_samplerate = 1
		Set Node23_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N23_P7_drop.log
	Module TCPDUMP : Node23_TCPDUMP_0
	Module OFLO : Node23_OFLO_0
		Set Node23_OFLO_0.mac = 0:1:0:0:0:97
	Module OFSwitch_V13 : Node23_OFSwitch_V13_0
		Set Node23_OFSwitch_V13_0.guitag_addport = yes
		Set Node23_OFSwitch_V13_0.flow_table_amount = 10
		Set Node23_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node23_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node23_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node23_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node23_OFSwitch_V13_0.table_miss_action = Controller
		Set Node23_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node23_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node23_OFSwitch_V13_0.port_to_controller = 4
		Set Node23_OFSwitch_V13_0.controller_id = master_ctl
		Set Node23_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node23_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node23_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node23_OFSwitch_V13_0.port_to_controller_2nd = 4
		Set Node23_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node23_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node23_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node23_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node23_OFSwitch_V13_0.port_to_controller_3rd = 4
		Set Node23_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node23_OFSwitch_V13_0.enable_4th_controller = off
		Set Node23_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node23_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node23_OFSwitch_V13_0.port_to_controller_4th = 4
		Set Node23_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node23_OFSwitch_V13_0.enable_1st_lag = off
		Set Node23_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node23_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node23_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node23_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node23_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node23_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node23_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node23_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node23_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node23_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node23_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node23_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node23_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node23_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node23_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node23_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node23_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node23_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node23_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node23_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node23_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node23_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node23_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node23_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node23_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node23_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node23_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node23_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node23_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node23_OFSwitch_V13_0.max_queue_length = 100
		Set Node23_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node23_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node23_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node23_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node23_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node23_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node23_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node23_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node23_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node23_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node23_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node23_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node23_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node23_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node23_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node23_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node23_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node23_MAC8023_PORT_1

			Set Node23_OFSwitch_V13_0.port1 = Node23_MAC8023_PORT_1
			Set Node23_OFSwitch_V13_0.fixed_net1 = Node23_MAC8023_PORT_1.no
			Set Node23_MAC8023_PORT_1.recvtarget = Node23_OFSwitch_V13_0

			Set Node23_MAC8023_PORT_1.mac = 0:1:0:0:0:98
			Set Node23_MAC8023_PORT_1.lock_mac = off
			Set Node23_MAC8023_PORT_1.PromisOpt = on
			Set Node23_MAC8023_PORT_1.mode = full
			Set Node23_MAC8023_PORT_1.log = off
			Set Node23_MAC8023_PORT_1.logInterval = 1
			Set Node23_MAC8023_PORT_1.NumCollision = off
			Set Node23_MAC8023_PORT_1.NumUniInPkt = off
			Set Node23_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node23_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node23_MAC8023_PORT_1.NumBroInPkt = off
			Set Node23_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node23_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node23_MAC8023_PORT_1.NumDrop = off
			Set Node23_MAC8023_PORT_1.InThrput = off
			Set Node23_MAC8023_PORT_1.OutThrput = off
			Set Node23_MAC8023_PORT_1.InOutThrput = off
			Set Node23_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N23_P1_UniIn.log
			Set Node23_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N23_P1_UniOut.log
			Set Node23_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N23_P1_UniInOut.log
			Set Node23_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N23_P1_BroIn.log
			Set Node23_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N23_P1_BroOut.log
			Set Node23_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N23_P1_BroInOut.log
			Set Node23_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N23_P1_Coll.log
			Set Node23_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N23_P1_Drop.log
			Set Node23_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N23_P1_InThrput.log
			Set Node23_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N23_P1_OutThrput.log
			Set Node23_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N23_P1_InOutThrput.log
			Set Node23_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node23_Phy_PORT_1
			Set Node23_Phy_PORT_1.Bw = 10
			Set Node23_Phy_PORT_1.BER = 0.0
			Set Node23_Phy_PORT_1.PropDelay = 1000.00
			Set Node23_Phy_PORT_1.linkfail = off
			Set Node23_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N23_P1.linkfail

		Module Link : Node23_PORT_1
			Set Node23_PORT_1.guitag_remotenode = yes


		Bind Node23_MAC8023_PORT_1 Node23_Phy_PORT_1
		Bind Node23_Phy_PORT_1 Node23_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node23_MAC8023_PORT_2

			Set Node23_OFSwitch_V13_0.port2 = Node23_MAC8023_PORT_2
			Set Node23_OFSwitch_V13_0.fixed_net2 = Node23_MAC8023_PORT_2.no
			Set Node23_MAC8023_PORT_2.recvtarget = Node23_OFSwitch_V13_0

			Set Node23_MAC8023_PORT_2.mac = 0:1:0:0:0:99
			Set Node23_MAC8023_PORT_2.lock_mac = off
			Set Node23_MAC8023_PORT_2.PromisOpt = on
			Set Node23_MAC8023_PORT_2.mode = full
			Set Node23_MAC8023_PORT_2.log = off
			Set Node23_MAC8023_PORT_2.logInterval = 1
			Set Node23_MAC8023_PORT_2.NumCollision = off
			Set Node23_MAC8023_PORT_2.NumUniInPkt = off
			Set Node23_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node23_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node23_MAC8023_PORT_2.NumBroInPkt = off
			Set Node23_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node23_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node23_MAC8023_PORT_2.NumDrop = off
			Set Node23_MAC8023_PORT_2.InThrput = off
			Set Node23_MAC8023_PORT_2.OutThrput = off
			Set Node23_MAC8023_PORT_2.InOutThrput = off
			Set Node23_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N23_P2_UniIn.log
			Set Node23_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N23_P2_UniOut.log
			Set Node23_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N23_P2_UniInOut.log
			Set Node23_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N23_P2_BroIn.log
			Set Node23_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N23_P2_BroOut.log
			Set Node23_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N23_P2_BroInOut.log
			Set Node23_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N23_P2_Coll.log
			Set Node23_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N23_P2_Drop.log
			Set Node23_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N23_P2_InThrput.log
			Set Node23_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N23_P2_OutThrput.log
			Set Node23_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N23_P2_InOutThrput.log
			Set Node23_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node23_Phy_PORT_2
			Set Node23_Phy_PORT_2.Bw = 10.00
			Set Node23_Phy_PORT_2.BER = 0.000000000
			Set Node23_Phy_PORT_2.PropDelay = 1000.00
			Set Node23_Phy_PORT_2.linkfail = off
			Set Node23_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N23_P2.linkfail

		Module Link : Node23_PORT_2
			Set Node23_PORT_2.guitag_remotenode = yes


		Bind Node23_MAC8023_PORT_2 Node23_Phy_PORT_2
		Bind Node23_Phy_PORT_2 Node23_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node23_MAC8023_PORT_3

			Set Node23_OFSwitch_V13_0.port3 = Node23_MAC8023_PORT_3
			Set Node23_OFSwitch_V13_0.fixed_net3 = Node23_MAC8023_PORT_3.no
			Set Node23_MAC8023_PORT_3.recvtarget = Node23_OFSwitch_V13_0

			Set Node23_MAC8023_PORT_3.mac = 0:1:0:0:0:9a
			Set Node23_MAC8023_PORT_3.lock_mac = off
			Set Node23_MAC8023_PORT_3.PromisOpt = on
			Set Node23_MAC8023_PORT_3.mode = full
			Set Node23_MAC8023_PORT_3.log = off
			Set Node23_MAC8023_PORT_3.logInterval = 1
			Set Node23_MAC8023_PORT_3.NumCollision = off
			Set Node23_MAC8023_PORT_3.NumUniInPkt = off
			Set Node23_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node23_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node23_MAC8023_PORT_3.NumBroInPkt = off
			Set Node23_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node23_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node23_MAC8023_PORT_3.NumDrop = off
			Set Node23_MAC8023_PORT_3.InThrput = off
			Set Node23_MAC8023_PORT_3.OutThrput = off
			Set Node23_MAC8023_PORT_3.InOutThrput = off
			Set Node23_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N23_P3_UniIn.log
			Set Node23_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N23_P3_UniOut.log
			Set Node23_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N23_P3_UniInOut.log
			Set Node23_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N23_P3_BroIn.log
			Set Node23_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N23_P3_BroOut.log
			Set Node23_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N23_P3_BroInOut.log
			Set Node23_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N23_P3_Coll.log
			Set Node23_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N23_P3_Drop.log
			Set Node23_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N23_P3_InThrput.log
			Set Node23_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N23_P3_OutThrput.log
			Set Node23_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N23_P3_InOutThrput.log
			Set Node23_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node23_Phy_PORT_3
			Set Node23_Phy_PORT_3.Bw = 10.00
			Set Node23_Phy_PORT_3.BER = 0.000000000
			Set Node23_Phy_PORT_3.PropDelay = 1000.00
			Set Node23_Phy_PORT_3.linkfail = off
			Set Node23_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N23_P3.linkfail

		Module Link : Node23_PORT_3
			Set Node23_PORT_3.guitag_remotenode = yes


		Bind Node23_MAC8023_PORT_3 Node23_Phy_PORT_3
		Bind Node23_Phy_PORT_3 Node23_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node23_MAC8023_PORT_4

			Set Node23_OFSwitch_V13_0.port4 = Node23_MAC8023_PORT_4
			Set Node23_OFSwitch_V13_0.fixed_net4 = Node23_MAC8023_PORT_4.no
			Set Node23_MAC8023_PORT_4.recvtarget = Node23_OFSwitch_V13_0

			Set Node23_MAC8023_PORT_4.mac = 0:1:0:0:0:9b
			Set Node23_MAC8023_PORT_4.lock_mac = off
			Set Node23_MAC8023_PORT_4.PromisOpt = on
			Set Node23_MAC8023_PORT_4.mode = full
			Set Node23_MAC8023_PORT_4.log = off
			Set Node23_MAC8023_PORT_4.logInterval = 1
			Set Node23_MAC8023_PORT_4.NumCollision = off
			Set Node23_MAC8023_PORT_4.NumUniInPkt = off
			Set Node23_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node23_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node23_MAC8023_PORT_4.NumBroInPkt = off
			Set Node23_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node23_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node23_MAC8023_PORT_4.NumDrop = off
			Set Node23_MAC8023_PORT_4.InThrput = off
			Set Node23_MAC8023_PORT_4.OutThrput = off
			Set Node23_MAC8023_PORT_4.InOutThrput = off
			Set Node23_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N23_P4_UniIn.log
			Set Node23_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N23_P4_UniOut.log
			Set Node23_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N23_P4_UniInOut.log
			Set Node23_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N23_P4_BroIn.log
			Set Node23_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N23_P4_BroOut.log
			Set Node23_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N23_P4_BroInOut.log
			Set Node23_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N23_P4_Coll.log
			Set Node23_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N23_P4_Drop.log
			Set Node23_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N23_P4_InThrput.log
			Set Node23_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N23_P4_OutThrput.log
			Set Node23_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N23_P4_InOutThrput.log
			Set Node23_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node23_Phy_PORT_4
			Set Node23_Phy_PORT_4.Bw = 10
			Set Node23_Phy_PORT_4.BER = 0.0
			Set Node23_Phy_PORT_4.PropDelay = 1000.00
			Set Node23_Phy_PORT_4.linkfail = off
			Set Node23_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N23_P4.linkfail

		Module Link : Node23_PORT_4
			Set Node23_PORT_4.guitag_remotenode = yes


		Bind Node23_MAC8023_PORT_4 Node23_Phy_PORT_4
		Bind Node23_Phy_PORT_4 Node23_PORT_4
	EndDefine

		Bind Node23_Interface_0 Node23_ARP_0
		Bind Node23_ARP_0 Node23_FIFO_0
		Bind Node23_FIFO_0 Node23_TCPDUMP_0
		Bind Node23_TCPDUMP_0 Node23_OFLO_0
		Bind Node23_OFLO_0 Node23_OFSwitch_V13_0
EndCreate

Create Node 24 as OF_SW_V131 with name = OF_SW_V13124
	Module Interface : Node24_Interface_0
		Set Node24_Interface_0.ip = 1.0.1.23
		Set Node24_Interface_0.netmask = 255.255.255.0
	Module ARP : Node24_ARP_0
		Set Node24_ARP_0.arpMode = RunARP
		Set Node24_ARP_0.flushInterval = 3000
		Set Node24_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node24_FIFO_0
		Set Node24_FIFO_0.max_qlen = 50
		Set Node24_FIFO_0.log_qlen = off
		Set Node24_FIFO_0.log_option = FullLog
		Set Node24_FIFO_0.samplerate = 1
		Set Node24_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N24_P4_qlen.log
		Set Node24_FIFO_0.log_drop = off
		Set Node24_FIFO_0.drop_samplerate = 1
		Set Node24_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N24_P7_drop.log
	Module TCPDUMP : Node24_TCPDUMP_0
	Module OFLO : Node24_OFLO_0
		Set Node24_OFLO_0.mac = 0:1:0:0:0:9d
	Module OFSwitch_V13 : Node24_OFSwitch_V13_0
		Set Node24_OFSwitch_V13_0.guitag_addport = yes
		Set Node24_OFSwitch_V13_0.flow_table_amount = 10
		Set Node24_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node24_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node24_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node24_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node24_OFSwitch_V13_0.table_miss_action = Controller
		Set Node24_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node24_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node24_OFSwitch_V13_0.port_to_controller = 3
		Set Node24_OFSwitch_V13_0.controller_id = master_ctl
		Set Node24_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node24_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node24_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node24_OFSwitch_V13_0.port_to_controller_2nd = 3
		Set Node24_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node24_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node24_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node24_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node24_OFSwitch_V13_0.port_to_controller_3rd = 3
		Set Node24_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node24_OFSwitch_V13_0.enable_4th_controller = off
		Set Node24_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node24_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node24_OFSwitch_V13_0.port_to_controller_4th = 3
		Set Node24_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node24_OFSwitch_V13_0.enable_1st_lag = off
		Set Node24_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node24_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node24_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node24_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node24_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node24_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node24_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node24_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node24_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node24_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node24_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node24_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node24_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node24_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node24_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node24_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node24_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node24_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node24_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node24_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node24_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node24_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node24_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node24_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node24_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node24_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node24_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node24_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node24_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node24_OFSwitch_V13_0.max_queue_length = 100
		Set Node24_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node24_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node24_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node24_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node24_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node24_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node24_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node24_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node24_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node24_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node24_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node24_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node24_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node24_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node24_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node24_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node24_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node24_MAC8023_PORT_1

			Set Node24_OFSwitch_V13_0.port1 = Node24_MAC8023_PORT_1
			Set Node24_OFSwitch_V13_0.fixed_net1 = Node24_MAC8023_PORT_1.no
			Set Node24_MAC8023_PORT_1.recvtarget = Node24_OFSwitch_V13_0

			Set Node24_MAC8023_PORT_1.mac = 0:1:0:0:0:9e
			Set Node24_MAC8023_PORT_1.lock_mac = off
			Set Node24_MAC8023_PORT_1.PromisOpt = on
			Set Node24_MAC8023_PORT_1.mode = full
			Set Node24_MAC8023_PORT_1.log = off
			Set Node24_MAC8023_PORT_1.logInterval = 1
			Set Node24_MAC8023_PORT_1.NumCollision = off
			Set Node24_MAC8023_PORT_1.NumUniInPkt = off
			Set Node24_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node24_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node24_MAC8023_PORT_1.NumBroInPkt = off
			Set Node24_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node24_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node24_MAC8023_PORT_1.NumDrop = off
			Set Node24_MAC8023_PORT_1.InThrput = off
			Set Node24_MAC8023_PORT_1.OutThrput = off
			Set Node24_MAC8023_PORT_1.InOutThrput = off
			Set Node24_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N24_P1_UniIn.log
			Set Node24_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N24_P1_UniOut.log
			Set Node24_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N24_P1_UniInOut.log
			Set Node24_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N24_P1_BroIn.log
			Set Node24_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N24_P1_BroOut.log
			Set Node24_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N24_P1_BroInOut.log
			Set Node24_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N24_P1_Coll.log
			Set Node24_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N24_P1_Drop.log
			Set Node24_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N24_P1_InThrput.log
			Set Node24_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N24_P1_OutThrput.log
			Set Node24_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N24_P1_InOutThrput.log
			Set Node24_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node24_Phy_PORT_1
			Set Node24_Phy_PORT_1.Bw = 10
			Set Node24_Phy_PORT_1.BER = 0.0
			Set Node24_Phy_PORT_1.PropDelay = 1000.00
			Set Node24_Phy_PORT_1.linkfail = off
			Set Node24_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N24_P1.linkfail

		Module Link : Node24_PORT_1
			Set Node24_PORT_1.guitag_remotenode = yes


		Bind Node24_MAC8023_PORT_1 Node24_Phy_PORT_1
		Bind Node24_Phy_PORT_1 Node24_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node24_MAC8023_PORT_2

			Set Node24_OFSwitch_V13_0.port2 = Node24_MAC8023_PORT_2
			Set Node24_OFSwitch_V13_0.fixed_net2 = Node24_MAC8023_PORT_2.no
			Set Node24_MAC8023_PORT_2.recvtarget = Node24_OFSwitch_V13_0

			Set Node24_MAC8023_PORT_2.mac = 0:1:0:0:0:9f
			Set Node24_MAC8023_PORT_2.lock_mac = off
			Set Node24_MAC8023_PORT_2.PromisOpt = on
			Set Node24_MAC8023_PORT_2.mode = full
			Set Node24_MAC8023_PORT_2.log = off
			Set Node24_MAC8023_PORT_2.logInterval = 1
			Set Node24_MAC8023_PORT_2.NumCollision = off
			Set Node24_MAC8023_PORT_2.NumUniInPkt = off
			Set Node24_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node24_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node24_MAC8023_PORT_2.NumBroInPkt = off
			Set Node24_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node24_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node24_MAC8023_PORT_2.NumDrop = off
			Set Node24_MAC8023_PORT_2.InThrput = off
			Set Node24_MAC8023_PORT_2.OutThrput = off
			Set Node24_MAC8023_PORT_2.InOutThrput = off
			Set Node24_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N24_P2_UniIn.log
			Set Node24_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N24_P2_UniOut.log
			Set Node24_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N24_P2_UniInOut.log
			Set Node24_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N24_P2_BroIn.log
			Set Node24_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N24_P2_BroOut.log
			Set Node24_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N24_P2_BroInOut.log
			Set Node24_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N24_P2_Coll.log
			Set Node24_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N24_P2_Drop.log
			Set Node24_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N24_P2_InThrput.log
			Set Node24_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N24_P2_OutThrput.log
			Set Node24_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N24_P2_InOutThrput.log
			Set Node24_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node24_Phy_PORT_2
			Set Node24_Phy_PORT_2.Bw = 10
			Set Node24_Phy_PORT_2.BER = 0.0
			Set Node24_Phy_PORT_2.PropDelay = 1000.00
			Set Node24_Phy_PORT_2.linkfail = off
			Set Node24_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N24_P2.linkfail

		Module Link : Node24_PORT_2
			Set Node24_PORT_2.guitag_remotenode = yes


		Bind Node24_MAC8023_PORT_2 Node24_Phy_PORT_2
		Bind Node24_Phy_PORT_2 Node24_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node24_MAC8023_PORT_3

			Set Node24_OFSwitch_V13_0.port3 = Node24_MAC8023_PORT_3
			Set Node24_OFSwitch_V13_0.fixed_net3 = Node24_MAC8023_PORT_3.no
			Set Node24_MAC8023_PORT_3.recvtarget = Node24_OFSwitch_V13_0

			Set Node24_MAC8023_PORT_3.mac = 0:1:0:0:0:a0
			Set Node24_MAC8023_PORT_3.lock_mac = off
			Set Node24_MAC8023_PORT_3.PromisOpt = on
			Set Node24_MAC8023_PORT_3.mode = full
			Set Node24_MAC8023_PORT_3.log = off
			Set Node24_MAC8023_PORT_3.logInterval = 1
			Set Node24_MAC8023_PORT_3.NumCollision = off
			Set Node24_MAC8023_PORT_3.NumUniInPkt = off
			Set Node24_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node24_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node24_MAC8023_PORT_3.NumBroInPkt = off
			Set Node24_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node24_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node24_MAC8023_PORT_3.NumDrop = off
			Set Node24_MAC8023_PORT_3.InThrput = off
			Set Node24_MAC8023_PORT_3.OutThrput = off
			Set Node24_MAC8023_PORT_3.InOutThrput = off
			Set Node24_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N24_P3_UniIn.log
			Set Node24_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N24_P3_UniOut.log
			Set Node24_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N24_P3_UniInOut.log
			Set Node24_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N24_P3_BroIn.log
			Set Node24_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N24_P3_BroOut.log
			Set Node24_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N24_P3_BroInOut.log
			Set Node24_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N24_P3_Coll.log
			Set Node24_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N24_P3_Drop.log
			Set Node24_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N24_P3_InThrput.log
			Set Node24_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N24_P3_OutThrput.log
			Set Node24_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N24_P3_InOutThrput.log
			Set Node24_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node24_Phy_PORT_3
			Set Node24_Phy_PORT_3.Bw = 10
			Set Node24_Phy_PORT_3.BER = 0.0
			Set Node24_Phy_PORT_3.PropDelay = 1000.00
			Set Node24_Phy_PORT_3.linkfail = off
			Set Node24_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N24_P3.linkfail

		Module Link : Node24_PORT_3
			Set Node24_PORT_3.guitag_remotenode = yes


		Bind Node24_MAC8023_PORT_3 Node24_Phy_PORT_3
		Bind Node24_Phy_PORT_3 Node24_PORT_3
	EndDefine

		Bind Node24_Interface_0 Node24_ARP_0
		Bind Node24_ARP_0 Node24_FIFO_0
		Bind Node24_FIFO_0 Node24_TCPDUMP_0
		Bind Node24_TCPDUMP_0 Node24_OFLO_0
		Bind Node24_OFLO_0 Node24_OFSwitch_V13_0
EndCreate

Create Node 25 as OF_SW_V131 with name = OF_SW_V13125
	Module Interface : Node25_Interface_0
		Set Node25_Interface_0.ip = 1.0.1.24
		Set Node25_Interface_0.netmask = 255.255.255.0
	Module ARP : Node25_ARP_0
		Set Node25_ARP_0.arpMode = RunARP
		Set Node25_ARP_0.flushInterval = 3000
		Set Node25_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node25_FIFO_0
		Set Node25_FIFO_0.max_qlen = 50
		Set Node25_FIFO_0.log_qlen = off
		Set Node25_FIFO_0.log_option = FullLog
		Set Node25_FIFO_0.samplerate = 1
		Set Node25_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N25_P4_qlen.log
		Set Node25_FIFO_0.log_drop = off
		Set Node25_FIFO_0.drop_samplerate = 1
		Set Node25_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N25_P7_drop.log
	Module TCPDUMP : Node25_TCPDUMP_0
	Module OFLO : Node25_OFLO_0
		Set Node25_OFLO_0.mac = 0:1:0:0:0:a2
	Module OFSwitch_V13 : Node25_OFSwitch_V13_0
		Set Node25_OFSwitch_V13_0.guitag_addport = yes
		Set Node25_OFSwitch_V13_0.flow_table_amount = 10
		Set Node25_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node25_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node25_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node25_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node25_OFSwitch_V13_0.table_miss_action = Controller
		Set Node25_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node25_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node25_OFSwitch_V13_0.port_to_controller = 4
		Set Node25_OFSwitch_V13_0.controller_id = master_ctl
		Set Node25_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node25_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node25_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node25_OFSwitch_V13_0.port_to_controller_2nd = 4
		Set Node25_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node25_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node25_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node25_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node25_OFSwitch_V13_0.port_to_controller_3rd = 4
		Set Node25_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node25_OFSwitch_V13_0.enable_4th_controller = off
		Set Node25_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node25_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node25_OFSwitch_V13_0.port_to_controller_4th = 4
		Set Node25_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node25_OFSwitch_V13_0.enable_1st_lag = off
		Set Node25_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node25_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node25_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node25_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node25_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node25_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node25_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node25_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node25_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node25_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node25_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node25_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node25_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node25_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node25_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node25_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node25_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node25_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node25_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node25_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node25_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node25_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node25_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node25_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node25_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node25_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node25_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node25_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node25_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node25_OFSwitch_V13_0.max_queue_length = 100
		Set Node25_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node25_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node25_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node25_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node25_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node25_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node25_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node25_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node25_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node25_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node25_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node25_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node25_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node25_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node25_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node25_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node25_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node25_MAC8023_PORT_1

			Set Node25_OFSwitch_V13_0.port1 = Node25_MAC8023_PORT_1
			Set Node25_OFSwitch_V13_0.fixed_net1 = Node25_MAC8023_PORT_1.no
			Set Node25_MAC8023_PORT_1.recvtarget = Node25_OFSwitch_V13_0

			Set Node25_MAC8023_PORT_1.mac = 0:1:0:0:0:a3
			Set Node25_MAC8023_PORT_1.lock_mac = off
			Set Node25_MAC8023_PORT_1.PromisOpt = on
			Set Node25_MAC8023_PORT_1.mode = full
			Set Node25_MAC8023_PORT_1.log = off
			Set Node25_MAC8023_PORT_1.logInterval = 1
			Set Node25_MAC8023_PORT_1.NumCollision = off
			Set Node25_MAC8023_PORT_1.NumUniInPkt = off
			Set Node25_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node25_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node25_MAC8023_PORT_1.NumBroInPkt = off
			Set Node25_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node25_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node25_MAC8023_PORT_1.NumDrop = off
			Set Node25_MAC8023_PORT_1.InThrput = off
			Set Node25_MAC8023_PORT_1.OutThrput = off
			Set Node25_MAC8023_PORT_1.InOutThrput = off
			Set Node25_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N25_P1_UniIn.log
			Set Node25_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N25_P1_UniOut.log
			Set Node25_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N25_P1_UniInOut.log
			Set Node25_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N25_P1_BroIn.log
			Set Node25_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N25_P1_BroOut.log
			Set Node25_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N25_P1_BroInOut.log
			Set Node25_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N25_P1_Coll.log
			Set Node25_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N25_P1_Drop.log
			Set Node25_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N25_P1_InThrput.log
			Set Node25_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N25_P1_OutThrput.log
			Set Node25_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N25_P1_InOutThrput.log
			Set Node25_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node25_Phy_PORT_1
			Set Node25_Phy_PORT_1.Bw = 10
			Set Node25_Phy_PORT_1.BER = 0.0
			Set Node25_Phy_PORT_1.PropDelay = 1000.00
			Set Node25_Phy_PORT_1.linkfail = off
			Set Node25_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N25_P1.linkfail

		Module Link : Node25_PORT_1
			Set Node25_PORT_1.guitag_remotenode = yes


		Bind Node25_MAC8023_PORT_1 Node25_Phy_PORT_1
		Bind Node25_Phy_PORT_1 Node25_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node25_MAC8023_PORT_2

			Set Node25_OFSwitch_V13_0.port2 = Node25_MAC8023_PORT_2
			Set Node25_OFSwitch_V13_0.fixed_net2 = Node25_MAC8023_PORT_2.no
			Set Node25_MAC8023_PORT_2.recvtarget = Node25_OFSwitch_V13_0

			Set Node25_MAC8023_PORT_2.mac = 0:1:0:0:0:a4
			Set Node25_MAC8023_PORT_2.lock_mac = off
			Set Node25_MAC8023_PORT_2.PromisOpt = on
			Set Node25_MAC8023_PORT_2.mode = full
			Set Node25_MAC8023_PORT_2.log = off
			Set Node25_MAC8023_PORT_2.logInterval = 1
			Set Node25_MAC8023_PORT_2.NumCollision = off
			Set Node25_MAC8023_PORT_2.NumUniInPkt = off
			Set Node25_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node25_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node25_MAC8023_PORT_2.NumBroInPkt = off
			Set Node25_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node25_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node25_MAC8023_PORT_2.NumDrop = off
			Set Node25_MAC8023_PORT_2.InThrput = off
			Set Node25_MAC8023_PORT_2.OutThrput = off
			Set Node25_MAC8023_PORT_2.InOutThrput = off
			Set Node25_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N25_P2_UniIn.log
			Set Node25_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N25_P2_UniOut.log
			Set Node25_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N25_P2_UniInOut.log
			Set Node25_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N25_P2_BroIn.log
			Set Node25_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N25_P2_BroOut.log
			Set Node25_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N25_P2_BroInOut.log
			Set Node25_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N25_P2_Coll.log
			Set Node25_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N25_P2_Drop.log
			Set Node25_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N25_P2_InThrput.log
			Set Node25_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N25_P2_OutThrput.log
			Set Node25_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N25_P2_InOutThrput.log
			Set Node25_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node25_Phy_PORT_2
			Set Node25_Phy_PORT_2.Bw = 10.00
			Set Node25_Phy_PORT_2.BER = 0.000000000
			Set Node25_Phy_PORT_2.PropDelay = 1000.00
			Set Node25_Phy_PORT_2.linkfail = off
			Set Node25_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N25_P2.linkfail

		Module Link : Node25_PORT_2
			Set Node25_PORT_2.guitag_remotenode = yes


		Bind Node25_MAC8023_PORT_2 Node25_Phy_PORT_2
		Bind Node25_Phy_PORT_2 Node25_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node25_MAC8023_PORT_3

			Set Node25_OFSwitch_V13_0.port3 = Node25_MAC8023_PORT_3
			Set Node25_OFSwitch_V13_0.fixed_net3 = Node25_MAC8023_PORT_3.no
			Set Node25_MAC8023_PORT_3.recvtarget = Node25_OFSwitch_V13_0

			Set Node25_MAC8023_PORT_3.mac = 0:1:0:0:0:a5
			Set Node25_MAC8023_PORT_3.lock_mac = off
			Set Node25_MAC8023_PORT_3.PromisOpt = on
			Set Node25_MAC8023_PORT_3.mode = full
			Set Node25_MAC8023_PORT_3.log = off
			Set Node25_MAC8023_PORT_3.logInterval = 1
			Set Node25_MAC8023_PORT_3.NumCollision = off
			Set Node25_MAC8023_PORT_3.NumUniInPkt = off
			Set Node25_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node25_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node25_MAC8023_PORT_3.NumBroInPkt = off
			Set Node25_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node25_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node25_MAC8023_PORT_3.NumDrop = off
			Set Node25_MAC8023_PORT_3.InThrput = off
			Set Node25_MAC8023_PORT_3.OutThrput = off
			Set Node25_MAC8023_PORT_3.InOutThrput = off
			Set Node25_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N25_P3_UniIn.log
			Set Node25_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N25_P3_UniOut.log
			Set Node25_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N25_P3_UniInOut.log
			Set Node25_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N25_P3_BroIn.log
			Set Node25_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N25_P3_BroOut.log
			Set Node25_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N25_P3_BroInOut.log
			Set Node25_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N25_P3_Coll.log
			Set Node25_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N25_P3_Drop.log
			Set Node25_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N25_P3_InThrput.log
			Set Node25_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N25_P3_OutThrput.log
			Set Node25_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N25_P3_InOutThrput.log
			Set Node25_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node25_Phy_PORT_3
			Set Node25_Phy_PORT_3.Bw = 10
			Set Node25_Phy_PORT_3.BER = 0.0
			Set Node25_Phy_PORT_3.PropDelay = 1000.00
			Set Node25_Phy_PORT_3.linkfail = off
			Set Node25_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N25_P3.linkfail

		Module Link : Node25_PORT_3
			Set Node25_PORT_3.guitag_remotenode = yes


		Bind Node25_MAC8023_PORT_3 Node25_Phy_PORT_3
		Bind Node25_Phy_PORT_3 Node25_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node25_MAC8023_PORT_4

			Set Node25_OFSwitch_V13_0.port4 = Node25_MAC8023_PORT_4
			Set Node25_OFSwitch_V13_0.fixed_net4 = Node25_MAC8023_PORT_4.no
			Set Node25_MAC8023_PORT_4.recvtarget = Node25_OFSwitch_V13_0

			Set Node25_MAC8023_PORT_4.mac = 0:1:0:0:0:a6
			Set Node25_MAC8023_PORT_4.lock_mac = off
			Set Node25_MAC8023_PORT_4.PromisOpt = on
			Set Node25_MAC8023_PORT_4.mode = full
			Set Node25_MAC8023_PORT_4.log = off
			Set Node25_MAC8023_PORT_4.logInterval = 1
			Set Node25_MAC8023_PORT_4.NumCollision = off
			Set Node25_MAC8023_PORT_4.NumUniInPkt = off
			Set Node25_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node25_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node25_MAC8023_PORT_4.NumBroInPkt = off
			Set Node25_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node25_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node25_MAC8023_PORT_4.NumDrop = off
			Set Node25_MAC8023_PORT_4.InThrput = off
			Set Node25_MAC8023_PORT_4.OutThrput = off
			Set Node25_MAC8023_PORT_4.InOutThrput = off
			Set Node25_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N25_P4_UniIn.log
			Set Node25_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N25_P4_UniOut.log
			Set Node25_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N25_P4_UniInOut.log
			Set Node25_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N25_P4_BroIn.log
			Set Node25_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N25_P4_BroOut.log
			Set Node25_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N25_P4_BroInOut.log
			Set Node25_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N25_P4_Coll.log
			Set Node25_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N25_P4_Drop.log
			Set Node25_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N25_P4_InThrput.log
			Set Node25_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N25_P4_OutThrput.log
			Set Node25_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N25_P4_InOutThrput.log
			Set Node25_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node25_Phy_PORT_4
			Set Node25_Phy_PORT_4.Bw = 10
			Set Node25_Phy_PORT_4.BER = 0.0
			Set Node25_Phy_PORT_4.PropDelay = 1000.00
			Set Node25_Phy_PORT_4.linkfail = off
			Set Node25_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N25_P4.linkfail

		Module Link : Node25_PORT_4
			Set Node25_PORT_4.guitag_remotenode = yes


		Bind Node25_MAC8023_PORT_4 Node25_Phy_PORT_4
		Bind Node25_Phy_PORT_4 Node25_PORT_4
	EndDefine

		Bind Node25_Interface_0 Node25_ARP_0
		Bind Node25_ARP_0 Node25_FIFO_0
		Bind Node25_FIFO_0 Node25_TCPDUMP_0
		Bind Node25_TCPDUMP_0 Node25_OFLO_0
		Bind Node25_OFLO_0 Node25_OFSwitch_V13_0
EndCreate

Create Node 26 as OF_SW_V131 with name = OF_SW_V13126
	Module Interface : Node26_Interface_0
		Set Node26_Interface_0.ip = 1.0.1.25
		Set Node26_Interface_0.netmask = 255.255.255.0
	Module ARP : Node26_ARP_0
		Set Node26_ARP_0.arpMode = RunARP
		Set Node26_ARP_0.flushInterval = 3000
		Set Node26_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node26_FIFO_0
		Set Node26_FIFO_0.max_qlen = 50
		Set Node26_FIFO_0.log_qlen = off
		Set Node26_FIFO_0.log_option = FullLog
		Set Node26_FIFO_0.samplerate = 1
		Set Node26_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N26_P4_qlen.log
		Set Node26_FIFO_0.log_drop = off
		Set Node26_FIFO_0.drop_samplerate = 1
		Set Node26_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N26_P7_drop.log
	Module TCPDUMP : Node26_TCPDUMP_0
	Module OFLO : Node26_OFLO_0
		Set Node26_OFLO_0.mac = 0:1:0:0:0:a8
	Module OFSwitch_V13 : Node26_OFSwitch_V13_0
		Set Node26_OFSwitch_V13_0.guitag_addport = yes
		Set Node26_OFSwitch_V13_0.flow_table_amount = 10
		Set Node26_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node26_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node26_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node26_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node26_OFSwitch_V13_0.table_miss_action = Controller
		Set Node26_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node26_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node26_OFSwitch_V13_0.port_to_controller = 3
		Set Node26_OFSwitch_V13_0.controller_id = master_ctl
		Set Node26_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node26_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node26_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node26_OFSwitch_V13_0.port_to_controller_2nd = 3
		Set Node26_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node26_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node26_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node26_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node26_OFSwitch_V13_0.port_to_controller_3rd = 3
		Set Node26_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node26_OFSwitch_V13_0.enable_4th_controller = off
		Set Node26_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node26_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node26_OFSwitch_V13_0.port_to_controller_4th = 3
		Set Node26_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node26_OFSwitch_V13_0.enable_1st_lag = off
		Set Node26_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node26_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node26_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node26_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node26_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node26_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node26_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node26_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node26_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node26_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node26_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node26_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node26_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node26_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node26_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node26_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node26_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node26_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node26_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node26_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node26_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node26_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node26_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node26_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node26_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node26_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node26_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node26_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node26_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node26_OFSwitch_V13_0.max_queue_length = 100
		Set Node26_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node26_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node26_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node26_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node26_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node26_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node26_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node26_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node26_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node26_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node26_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node26_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node26_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node26_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node26_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node26_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node26_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node26_MAC8023_PORT_1

			Set Node26_OFSwitch_V13_0.port1 = Node26_MAC8023_PORT_1
			Set Node26_OFSwitch_V13_0.fixed_net1 = Node26_MAC8023_PORT_1.no
			Set Node26_MAC8023_PORT_1.recvtarget = Node26_OFSwitch_V13_0

			Set Node26_MAC8023_PORT_1.mac = 0:1:0:0:0:a9
			Set Node26_MAC8023_PORT_1.lock_mac = off
			Set Node26_MAC8023_PORT_1.PromisOpt = on
			Set Node26_MAC8023_PORT_1.mode = full
			Set Node26_MAC8023_PORT_1.log = off
			Set Node26_MAC8023_PORT_1.logInterval = 1
			Set Node26_MAC8023_PORT_1.NumCollision = off
			Set Node26_MAC8023_PORT_1.NumUniInPkt = off
			Set Node26_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node26_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node26_MAC8023_PORT_1.NumBroInPkt = off
			Set Node26_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node26_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node26_MAC8023_PORT_1.NumDrop = off
			Set Node26_MAC8023_PORT_1.InThrput = off
			Set Node26_MAC8023_PORT_1.OutThrput = off
			Set Node26_MAC8023_PORT_1.InOutThrput = off
			Set Node26_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N26_P1_UniIn.log
			Set Node26_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N26_P1_UniOut.log
			Set Node26_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N26_P1_UniInOut.log
			Set Node26_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N26_P1_BroIn.log
			Set Node26_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N26_P1_BroOut.log
			Set Node26_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N26_P1_BroInOut.log
			Set Node26_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N26_P1_Coll.log
			Set Node26_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N26_P1_Drop.log
			Set Node26_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N26_P1_InThrput.log
			Set Node26_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N26_P1_OutThrput.log
			Set Node26_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N26_P1_InOutThrput.log
			Set Node26_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node26_Phy_PORT_1
			Set Node26_Phy_PORT_1.Bw = 10.00
			Set Node26_Phy_PORT_1.BER = 0.000000000
			Set Node26_Phy_PORT_1.PropDelay = 1000.00
			Set Node26_Phy_PORT_1.linkfail = off
			Set Node26_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N26_P1.linkfail

		Module Link : Node26_PORT_1
			Set Node26_PORT_1.guitag_remotenode = yes


		Bind Node26_MAC8023_PORT_1 Node26_Phy_PORT_1
		Bind Node26_Phy_PORT_1 Node26_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node26_MAC8023_PORT_2

			Set Node26_OFSwitch_V13_0.port2 = Node26_MAC8023_PORT_2
			Set Node26_OFSwitch_V13_0.fixed_net2 = Node26_MAC8023_PORT_2.no
			Set Node26_MAC8023_PORT_2.recvtarget = Node26_OFSwitch_V13_0

			Set Node26_MAC8023_PORT_2.mac = 0:1:0:0:0:aa
			Set Node26_MAC8023_PORT_2.lock_mac = off
			Set Node26_MAC8023_PORT_2.PromisOpt = on
			Set Node26_MAC8023_PORT_2.mode = full
			Set Node26_MAC8023_PORT_2.log = off
			Set Node26_MAC8023_PORT_2.logInterval = 1
			Set Node26_MAC8023_PORT_2.NumCollision = off
			Set Node26_MAC8023_PORT_2.NumUniInPkt = off
			Set Node26_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node26_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node26_MAC8023_PORT_2.NumBroInPkt = off
			Set Node26_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node26_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node26_MAC8023_PORT_2.NumDrop = off
			Set Node26_MAC8023_PORT_2.InThrput = off
			Set Node26_MAC8023_PORT_2.OutThrput = off
			Set Node26_MAC8023_PORT_2.InOutThrput = off
			Set Node26_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N26_P2_UniIn.log
			Set Node26_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N26_P2_UniOut.log
			Set Node26_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N26_P2_UniInOut.log
			Set Node26_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N26_P2_BroIn.log
			Set Node26_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N26_P2_BroOut.log
			Set Node26_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N26_P2_BroInOut.log
			Set Node26_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N26_P2_Coll.log
			Set Node26_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N26_P2_Drop.log
			Set Node26_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N26_P2_InThrput.log
			Set Node26_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N26_P2_OutThrput.log
			Set Node26_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N26_P2_InOutThrput.log
			Set Node26_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node26_Phy_PORT_2
			Set Node26_Phy_PORT_2.Bw = 10.00
			Set Node26_Phy_PORT_2.BER = 0.000000000
			Set Node26_Phy_PORT_2.PropDelay = 1000.00
			Set Node26_Phy_PORT_2.linkfail = off
			Set Node26_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N26_P2.linkfail

		Module Link : Node26_PORT_2
			Set Node26_PORT_2.guitag_remotenode = yes


		Bind Node26_MAC8023_PORT_2 Node26_Phy_PORT_2
		Bind Node26_Phy_PORT_2 Node26_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node26_MAC8023_PORT_3

			Set Node26_OFSwitch_V13_0.port3 = Node26_MAC8023_PORT_3
			Set Node26_OFSwitch_V13_0.fixed_net3 = Node26_MAC8023_PORT_3.no
			Set Node26_MAC8023_PORT_3.recvtarget = Node26_OFSwitch_V13_0

			Set Node26_MAC8023_PORT_3.mac = 0:1:0:0:0:ab
			Set Node26_MAC8023_PORT_3.lock_mac = off
			Set Node26_MAC8023_PORT_3.PromisOpt = on
			Set Node26_MAC8023_PORT_3.mode = full
			Set Node26_MAC8023_PORT_3.log = off
			Set Node26_MAC8023_PORT_3.logInterval = 1
			Set Node26_MAC8023_PORT_3.NumCollision = off
			Set Node26_MAC8023_PORT_3.NumUniInPkt = off
			Set Node26_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node26_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node26_MAC8023_PORT_3.NumBroInPkt = off
			Set Node26_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node26_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node26_MAC8023_PORT_3.NumDrop = off
			Set Node26_MAC8023_PORT_3.InThrput = off
			Set Node26_MAC8023_PORT_3.OutThrput = off
			Set Node26_MAC8023_PORT_3.InOutThrput = off
			Set Node26_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N26_P3_UniIn.log
			Set Node26_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N26_P3_UniOut.log
			Set Node26_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N26_P3_UniInOut.log
			Set Node26_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N26_P3_BroIn.log
			Set Node26_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N26_P3_BroOut.log
			Set Node26_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N26_P3_BroInOut.log
			Set Node26_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N26_P3_Coll.log
			Set Node26_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N26_P3_Drop.log
			Set Node26_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N26_P3_InThrput.log
			Set Node26_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N26_P3_OutThrput.log
			Set Node26_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N26_P3_InOutThrput.log
			Set Node26_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node26_Phy_PORT_3
			Set Node26_Phy_PORT_3.Bw = 10
			Set Node26_Phy_PORT_3.BER = 0.0
			Set Node26_Phy_PORT_3.PropDelay = 1000.00
			Set Node26_Phy_PORT_3.linkfail = off
			Set Node26_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N26_P3.linkfail

		Module Link : Node26_PORT_3
			Set Node26_PORT_3.guitag_remotenode = yes


		Bind Node26_MAC8023_PORT_3 Node26_Phy_PORT_3
		Bind Node26_Phy_PORT_3 Node26_PORT_3
	EndDefine

	Define port 4
		Module MAC8023 : Node26_MAC8023_PORT_4

			Set Node26_OFSwitch_V13_0.port4 = Node26_MAC8023_PORT_4
			Set Node26_OFSwitch_V13_0.fixed_net4 = Node26_MAC8023_PORT_4.no
			Set Node26_MAC8023_PORT_4.recvtarget = Node26_OFSwitch_V13_0

			Set Node26_MAC8023_PORT_4.mac = 0:1:0:0:0:ac
			Set Node26_MAC8023_PORT_4.lock_mac = off
			Set Node26_MAC8023_PORT_4.PromisOpt = on
			Set Node26_MAC8023_PORT_4.mode = full
			Set Node26_MAC8023_PORT_4.log = off
			Set Node26_MAC8023_PORT_4.logInterval = 1
			Set Node26_MAC8023_PORT_4.NumCollision = off
			Set Node26_MAC8023_PORT_4.NumUniInPkt = off
			Set Node26_MAC8023_PORT_4.NumUniOutPkt = off
			Set Node26_MAC8023_PORT_4.NumUniInOutPkt = off
			Set Node26_MAC8023_PORT_4.NumBroInPkt = off
			Set Node26_MAC8023_PORT_4.NumBroOutPkt = off
			Set Node26_MAC8023_PORT_4.NumBroInOutPkt = off
			Set Node26_MAC8023_PORT_4.NumDrop = off
			Set Node26_MAC8023_PORT_4.InThrput = off
			Set Node26_MAC8023_PORT_4.OutThrput = off
			Set Node26_MAC8023_PORT_4.InOutThrput = off
			Set Node26_MAC8023_PORT_4.UniInLogFile = Opendaylight_SpanningTree.8023_N26_P4_UniIn.log
			Set Node26_MAC8023_PORT_4.UniOutLogFile = Opendaylight_SpanningTree.8023_N26_P4_UniOut.log
			Set Node26_MAC8023_PORT_4.UniInOutLogFile = Opendaylight_SpanningTree.8023_N26_P4_UniInOut.log
			Set Node26_MAC8023_PORT_4.BroInLogFile = Opendaylight_SpanningTree.8023_N26_P4_BroIn.log
			Set Node26_MAC8023_PORT_4.BroOutLogFile = Opendaylight_SpanningTree.8023_N26_P4_BroOut.log
			Set Node26_MAC8023_PORT_4.BroInOutLogFile = Opendaylight_SpanningTree.8023_N26_P4_BroInOut.log
			Set Node26_MAC8023_PORT_4.CollLogFile = Opendaylight_SpanningTree.8023_N26_P4_Coll.log
			Set Node26_MAC8023_PORT_4.DropLogFile = Opendaylight_SpanningTree.8023_N26_P4_Drop.log
			Set Node26_MAC8023_PORT_4.InThrputLogFile = Opendaylight_SpanningTree.8023_N26_P4_InThrput.log
			Set Node26_MAC8023_PORT_4.OutThrputLogFile = Opendaylight_SpanningTree.8023_N26_P4_OutThrput.log
			Set Node26_MAC8023_PORT_4.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N26_P4_InOutThrput.log
			Set Node26_MAC8023_PORT_4.LinktoHub = 0

		Module Phy : Node26_Phy_PORT_4
			Set Node26_Phy_PORT_4.Bw = 10.00
			Set Node26_Phy_PORT_4.BER = 0.000000000
			Set Node26_Phy_PORT_4.PropDelay = 1000.00
			Set Node26_Phy_PORT_4.linkfail = off
			Set Node26_Phy_PORT_4.linkfailFileName = Opendaylight_SpanningTree.phy_N26_P4.linkfail

		Module Link : Node26_PORT_4
			Set Node26_PORT_4.guitag_remotenode = yes


		Bind Node26_MAC8023_PORT_4 Node26_Phy_PORT_4
		Bind Node26_Phy_PORT_4 Node26_PORT_4
	EndDefine

		Bind Node26_Interface_0 Node26_ARP_0
		Bind Node26_ARP_0 Node26_FIFO_0
		Bind Node26_FIFO_0 Node26_TCPDUMP_0
		Bind Node26_TCPDUMP_0 Node26_OFLO_0
		Bind Node26_OFLO_0 Node26_OFSwitch_V13_0
EndCreate

Create Node 27 as OF_SW_V131 with name = OF_SW_V13127
	Module Interface : Node27_Interface_0
		Set Node27_Interface_0.ip = 1.0.1.26
		Set Node27_Interface_0.netmask = 255.255.255.0
	Module ARP : Node27_ARP_0
		Set Node27_ARP_0.arpMode = RunARP
		Set Node27_ARP_0.flushInterval = 3000
		Set Node27_ARP_0.ArpTableFileName = Opendaylight_SpanningTree.arp
	Module FIFO : Node27_FIFO_0
		Set Node27_FIFO_0.max_qlen = 50
		Set Node27_FIFO_0.log_qlen = off
		Set Node27_FIFO_0.log_option = FullLog
		Set Node27_FIFO_0.samplerate = 1
		Set Node27_FIFO_0.logFileName = Opendaylight_SpanningTree.fifo_N27_P4_qlen.log
		Set Node27_FIFO_0.log_drop = off
		Set Node27_FIFO_0.drop_samplerate = 1
		Set Node27_FIFO_0.droplogFileName = Opendaylight_SpanningTree.fifo_N27_P7_drop.log
	Module TCPDUMP : Node27_TCPDUMP_0
	Module OFLO : Node27_OFLO_0
		Set Node27_OFLO_0.mac = 0:1:0:0:0:ae
	Module OFSwitch_V13 : Node27_OFSwitch_V13_0
		Set Node27_OFSwitch_V13_0.guitag_addport = yes
		Set Node27_OFSwitch_V13_0.guitag_addport = yes
		Set Node27_OFSwitch_V13_0.flow_table_amount = 10
		Set Node27_OFSwitch_V13_0.flow_table_entry_amount = 256
		Set Node27_OFSwitch_V13_0.group_table_entry_amount = 64
		Set Node27_OFSwitch_V13_0.meter_table_entry_amount = 64
		Set Node27_OFSwitch_V13_0.table_miss_buffer_size = 1000
		Set Node27_OFSwitch_V13_0.table_miss_action = Controller
		Set Node27_OFSwitch_V13_0.controller_ip = 1.0.1.1
		Set Node27_OFSwitch_V13_0.controller_tcp_listen_port = 6633
		Set Node27_OFSwitch_V13_0.port_to_controller = 3
		Set Node27_OFSwitch_V13_0.controller_id = master_ctl
		Set Node27_OFSwitch_V13_0.enable_2nd_controller = off
		Set Node27_OFSwitch_V13_0.controller_ip_2nd = 0.0.0.0
		Set Node27_OFSwitch_V13_0.controller_tcp_listen_port_2nd = 6633
		Set Node27_OFSwitch_V13_0.port_to_controller_2nd = 3
		Set Node27_OFSwitch_V13_0.controller_id_2nd = master_ctl_2
		Set Node27_OFSwitch_V13_0.enable_3rd_controller = off
		Set Node27_OFSwitch_V13_0.controller_ip_3rd = 0.0.0.0
		Set Node27_OFSwitch_V13_0.controller_tcp_listen_port_3rd = 6633
		Set Node27_OFSwitch_V13_0.port_to_controller_3rd = 3
		Set Node27_OFSwitch_V13_0.controller_id_3rd = master_ctl_3
		Set Node27_OFSwitch_V13_0.enable_4th_controller = off
		Set Node27_OFSwitch_V13_0.controller_ip_4th = 0.0.0.0
		Set Node27_OFSwitch_V13_0.controller_tcp_listen_port_4th = 6633
		Set Node27_OFSwitch_V13_0.port_to_controller_4th = 3
		Set Node27_OFSwitch_V13_0.controller_id_4th = master_ctl_4
		Set Node27_OFSwitch_V13_0.enable_1st_lag = off
		Set Node27_OFSwitch_V13_0.lag_port_no_1st = 1000
		Set Node27_OFSwitch_V13_0.lag_aggr_port_1st = 1,2
		Set Node27_OFSwitch_V13_0.lag_algorithm_1st = ROUND_ROBIN
		Set Node27_OFSwitch_V13_0.lag_algo_param_1st = 1
		Set Node27_OFSwitch_V13_0.enable_2nd_lag = off
		Set Node27_OFSwitch_V13_0.lag_port_no_2nd = 1001
		Set Node27_OFSwitch_V13_0.lag_aggr_port_2nd = 3,4
		Set Node27_OFSwitch_V13_0.lag_algorithm_2nd = ROUND_ROBIN
		Set Node27_OFSwitch_V13_0.lag_algo_param_2nd = 1
		Set Node27_OFSwitch_V13_0.enable_3rd_lag = off
		Set Node27_OFSwitch_V13_0.lag_port_no_3rd = 0
		Set Node27_OFSwitch_V13_0.lag_aggr_port_3rd = 5,6,7,8...
		Set Node27_OFSwitch_V13_0.lag_algorithm_3rd = ROUND_ROBIN
		Set Node27_OFSwitch_V13_0.lag_algo_param_3rd = NULL
		Set Node27_OFSwitch_V13_0.enable_1st_tunnel = off
		Set Node27_OFSwitch_V13_0.tunnel_port_no_1st = 1002
		Set Node27_OFSwitch_V13_0.tunnel_id_1st = 1
		Set Node27_OFSwitch_V13_0.tunnel_protocol_1st = 4
		Set Node27_OFSwitch_V13_0.tunnel_src_ip_1st = 192.168.0.3
		Set Node27_OFSwitch_V13_0.tunnel_dst_ip_1st = 192.168.0.4
		Set Node27_OFSwitch_V13_0.tunnel_out_port_1st = 3
		Set Node27_OFSwitch_V13_0.enable_2nd_tunnel = off
		Set Node27_OFSwitch_V13_0.tunnel_port_no_2nd = 1003
		Set Node27_OFSwitch_V13_0.tunnel_id_2nd = 1
		Set Node27_OFSwitch_V13_0.tunnel_protocol_2nd = 4
		Set Node27_OFSwitch_V13_0.tunnel_src_ip_2nd = 192.168.0.5
		Set Node27_OFSwitch_V13_0.tunnel_dst_ip_2nd = 192.168.0.6
		Set Node27_OFSwitch_V13_0.tunnel_out_port_2nd = 4
		Set Node27_OFSwitch_V13_0.OperationMode = OUTBAND
		Set Node27_OFSwitch_V13_0.max_queue_length = 100
		Set Node27_OFSwitch_V13_0.QueueOutputMode = ROUND_ROBIN
		Set Node27_OFSwitch_V13_0.queue_0_min_rate = 0
		Set Node27_OFSwitch_V13_0.queue_0_max_rate = 100
		Set Node27_OFSwitch_V13_0.queue_1_min_rate = 0
		Set Node27_OFSwitch_V13_0.queue_1_max_rate = 100
		Set Node27_OFSwitch_V13_0.queue_2_min_rate = 0
		Set Node27_OFSwitch_V13_0.queue_2_max_rate = 100
		Set Node27_OFSwitch_V13_0.queue_3_min_rate = 0
		Set Node27_OFSwitch_V13_0.queue_3_max_rate = 100
		Set Node27_OFSwitch_V13_0.queue_4_min_rate = 0
		Set Node27_OFSwitch_V13_0.queue_4_max_rate = 100
		Set Node27_OFSwitch_V13_0.queue_5_min_rate = 0
		Set Node27_OFSwitch_V13_0.queue_5_max_rate = 100
		Set Node27_OFSwitch_V13_0.queue_6_min_rate = 0
		Set Node27_OFSwitch_V13_0.queue_6_max_rate = 100
		Set Node27_OFSwitch_V13_0.queue_7_min_rate = 0
		Set Node27_OFSwitch_V13_0.queue_7_max_rate = 100
	Define port 1
		Module MAC8023 : Node27_MAC8023_PORT_1

			Set Node27_OFSwitch_V13_0.port1 = Node27_MAC8023_PORT_1
			Set Node27_OFSwitch_V13_0.fixed_net1 = Node27_MAC8023_PORT_1.no
			Set Node27_MAC8023_PORT_1.recvtarget = Node27_OFSwitch_V13_0

			Set Node27_MAC8023_PORT_1.mac = 0:1:0:0:0:af
			Set Node27_MAC8023_PORT_1.lock_mac = off
			Set Node27_MAC8023_PORT_1.PromisOpt = on
			Set Node27_MAC8023_PORT_1.mode = full
			Set Node27_MAC8023_PORT_1.log = off
			Set Node27_MAC8023_PORT_1.logInterval = 1
			Set Node27_MAC8023_PORT_1.NumCollision = off
			Set Node27_MAC8023_PORT_1.NumUniInPkt = off
			Set Node27_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node27_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node27_MAC8023_PORT_1.NumBroInPkt = off
			Set Node27_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node27_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node27_MAC8023_PORT_1.NumDrop = off
			Set Node27_MAC8023_PORT_1.InThrput = off
			Set Node27_MAC8023_PORT_1.OutThrput = off
			Set Node27_MAC8023_PORT_1.InOutThrput = off
			Set Node27_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N27_P1_UniIn.log
			Set Node27_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N27_P1_UniOut.log
			Set Node27_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N27_P1_UniInOut.log
			Set Node27_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N27_P1_BroIn.log
			Set Node27_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N27_P1_BroOut.log
			Set Node27_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N27_P1_BroInOut.log
			Set Node27_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N27_P1_Coll.log
			Set Node27_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N27_P1_Drop.log
			Set Node27_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N27_P1_InThrput.log
			Set Node27_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N27_P1_OutThrput.log
			Set Node27_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N27_P1_InOutThrput.log
			Set Node27_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node27_Phy_PORT_1
			Set Node27_Phy_PORT_1.Bw = 10.00
			Set Node27_Phy_PORT_1.BER = 0.000000000
			Set Node27_Phy_PORT_1.PropDelay = 1000.00
			Set Node27_Phy_PORT_1.linkfail = off
			Set Node27_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N27_P1.linkfail

		Module Link : Node27_PORT_1
			Set Node27_PORT_1.guitag_remotenode = yes


		Bind Node27_MAC8023_PORT_1 Node27_Phy_PORT_1
		Bind Node27_Phy_PORT_1 Node27_PORT_1
	EndDefine

	Define port 2
		Module MAC8023 : Node27_MAC8023_PORT_2

			Set Node27_OFSwitch_V13_0.port2 = Node27_MAC8023_PORT_2
			Set Node27_OFSwitch_V13_0.fixed_net2 = Node27_MAC8023_PORT_2.no
			Set Node27_MAC8023_PORT_2.recvtarget = Node27_OFSwitch_V13_0

			Set Node27_MAC8023_PORT_2.mac = 0:1:0:0:0:b0
			Set Node27_MAC8023_PORT_2.lock_mac = off
			Set Node27_MAC8023_PORT_2.PromisOpt = on
			Set Node27_MAC8023_PORT_2.mode = full
			Set Node27_MAC8023_PORT_2.log = off
			Set Node27_MAC8023_PORT_2.logInterval = 1
			Set Node27_MAC8023_PORT_2.NumCollision = off
			Set Node27_MAC8023_PORT_2.NumUniInPkt = off
			Set Node27_MAC8023_PORT_2.NumUniOutPkt = off
			Set Node27_MAC8023_PORT_2.NumUniInOutPkt = off
			Set Node27_MAC8023_PORT_2.NumBroInPkt = off
			Set Node27_MAC8023_PORT_2.NumBroOutPkt = off
			Set Node27_MAC8023_PORT_2.NumBroInOutPkt = off
			Set Node27_MAC8023_PORT_2.NumDrop = off
			Set Node27_MAC8023_PORT_2.InThrput = off
			Set Node27_MAC8023_PORT_2.OutThrput = off
			Set Node27_MAC8023_PORT_2.InOutThrput = off
			Set Node27_MAC8023_PORT_2.UniInLogFile = Opendaylight_SpanningTree.8023_N27_P2_UniIn.log
			Set Node27_MAC8023_PORT_2.UniOutLogFile = Opendaylight_SpanningTree.8023_N27_P2_UniOut.log
			Set Node27_MAC8023_PORT_2.UniInOutLogFile = Opendaylight_SpanningTree.8023_N27_P2_UniInOut.log
			Set Node27_MAC8023_PORT_2.BroInLogFile = Opendaylight_SpanningTree.8023_N27_P2_BroIn.log
			Set Node27_MAC8023_PORT_2.BroOutLogFile = Opendaylight_SpanningTree.8023_N27_P2_BroOut.log
			Set Node27_MAC8023_PORT_2.BroInOutLogFile = Opendaylight_SpanningTree.8023_N27_P2_BroInOut.log
			Set Node27_MAC8023_PORT_2.CollLogFile = Opendaylight_SpanningTree.8023_N27_P2_Coll.log
			Set Node27_MAC8023_PORT_2.DropLogFile = Opendaylight_SpanningTree.8023_N27_P2_Drop.log
			Set Node27_MAC8023_PORT_2.InThrputLogFile = Opendaylight_SpanningTree.8023_N27_P2_InThrput.log
			Set Node27_MAC8023_PORT_2.OutThrputLogFile = Opendaylight_SpanningTree.8023_N27_P2_OutThrput.log
			Set Node27_MAC8023_PORT_2.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N27_P2_InOutThrput.log
			Set Node27_MAC8023_PORT_2.LinktoHub = 0

		Module Phy : Node27_Phy_PORT_2
			Set Node27_Phy_PORT_2.Bw = 10
			Set Node27_Phy_PORT_2.BER = 0.0
			Set Node27_Phy_PORT_2.PropDelay = 1000.00
			Set Node27_Phy_PORT_2.linkfail = off
			Set Node27_Phy_PORT_2.linkfailFileName = Opendaylight_SpanningTree.phy_N27_P2.linkfail

		Module Link : Node27_PORT_2
			Set Node27_PORT_2.guitag_remotenode = yes


		Bind Node27_MAC8023_PORT_2 Node27_Phy_PORT_2
		Bind Node27_Phy_PORT_2 Node27_PORT_2
	EndDefine

	Define port 3
		Module MAC8023 : Node27_MAC8023_PORT_3

			Set Node27_OFSwitch_V13_0.port3 = Node27_MAC8023_PORT_3
			Set Node27_OFSwitch_V13_0.fixed_net3 = Node27_MAC8023_PORT_3.no
			Set Node27_MAC8023_PORT_3.recvtarget = Node27_OFSwitch_V13_0

			Set Node27_MAC8023_PORT_3.mac = 0:1:0:0:0:b1
			Set Node27_MAC8023_PORT_3.lock_mac = off
			Set Node27_MAC8023_PORT_3.PromisOpt = on
			Set Node27_MAC8023_PORT_3.mode = full
			Set Node27_MAC8023_PORT_3.log = off
			Set Node27_MAC8023_PORT_3.logInterval = 1
			Set Node27_MAC8023_PORT_3.NumCollision = off
			Set Node27_MAC8023_PORT_3.NumUniInPkt = off
			Set Node27_MAC8023_PORT_3.NumUniOutPkt = off
			Set Node27_MAC8023_PORT_3.NumUniInOutPkt = off
			Set Node27_MAC8023_PORT_3.NumBroInPkt = off
			Set Node27_MAC8023_PORT_3.NumBroOutPkt = off
			Set Node27_MAC8023_PORT_3.NumBroInOutPkt = off
			Set Node27_MAC8023_PORT_3.NumDrop = off
			Set Node27_MAC8023_PORT_3.InThrput = off
			Set Node27_MAC8023_PORT_3.OutThrput = off
			Set Node27_MAC8023_PORT_3.InOutThrput = off
			Set Node27_MAC8023_PORT_3.UniInLogFile = Opendaylight_SpanningTree.8023_N27_P3_UniIn.log
			Set Node27_MAC8023_PORT_3.UniOutLogFile = Opendaylight_SpanningTree.8023_N27_P3_UniOut.log
			Set Node27_MAC8023_PORT_3.UniInOutLogFile = Opendaylight_SpanningTree.8023_N27_P3_UniInOut.log
			Set Node27_MAC8023_PORT_3.BroInLogFile = Opendaylight_SpanningTree.8023_N27_P3_BroIn.log
			Set Node27_MAC8023_PORT_3.BroOutLogFile = Opendaylight_SpanningTree.8023_N27_P3_BroOut.log
			Set Node27_MAC8023_PORT_3.BroInOutLogFile = Opendaylight_SpanningTree.8023_N27_P3_BroInOut.log
			Set Node27_MAC8023_PORT_3.CollLogFile = Opendaylight_SpanningTree.8023_N27_P3_Coll.log
			Set Node27_MAC8023_PORT_3.DropLogFile = Opendaylight_SpanningTree.8023_N27_P3_Drop.log
			Set Node27_MAC8023_PORT_3.InThrputLogFile = Opendaylight_SpanningTree.8023_N27_P3_InThrput.log
			Set Node27_MAC8023_PORT_3.OutThrputLogFile = Opendaylight_SpanningTree.8023_N27_P3_OutThrput.log
			Set Node27_MAC8023_PORT_3.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N27_P3_InOutThrput.log
			Set Node27_MAC8023_PORT_3.LinktoHub = 0

		Module Phy : Node27_Phy_PORT_3
			Set Node27_Phy_PORT_3.Bw = 10
			Set Node27_Phy_PORT_3.BER = 0.0
			Set Node27_Phy_PORT_3.PropDelay = 1000.00
			Set Node27_Phy_PORT_3.linkfail = off
			Set Node27_Phy_PORT_3.linkfailFileName = Opendaylight_SpanningTree.phy_N27_P3.linkfail

		Module Link : Node27_PORT_3
			Set Node27_PORT_3.guitag_remotenode = yes


		Bind Node27_MAC8023_PORT_3 Node27_Phy_PORT_3
		Bind Node27_Phy_PORT_3 Node27_PORT_3
	EndDefine

		Bind Node27_Interface_0 Node27_ARP_0
		Bind Node27_ARP_0 Node27_FIFO_0
		Bind Node27_FIFO_0 Node27_TCPDUMP_0
		Bind Node27_TCPDUMP_0 Node27_OFLO_0
		Bind Node27_OFLO_0 Node27_OFSwitch_V13_0
EndCreate

Create Node 28 as HOST with name = HOST28
	Define port 1
		Module Interface : Node28_Interface_PORT_1
			Set Node28_Interface_PORT_1.ip = 1.0.2.1
			Set Node28_Interface_PORT_1.netmask = 255.255.255.0

		Module ARP : Node28_ARP_PORT_1
			Set Node28_ARP_PORT_1.arpMode = RunARP
			Set Node28_ARP_PORT_1.flushInterval = 3000
			Set Node28_ARP_PORT_1.ArpTableFileName = Opendaylight_SpanningTree.arp

		Module FIFO : Node28_FIFO_PORT_1
			Set Node28_FIFO_PORT_1.max_qlen = 50
			Set Node28_FIFO_PORT_1.log_qlen = off
			Set Node28_FIFO_PORT_1.log_option = FullLog
			Set Node28_FIFO_PORT_1.samplerate = 1
			Set Node28_FIFO_PORT_1.logFileName = Opendaylight_SpanningTree.fifo_N28_P1_qlen.log
			Set Node28_FIFO_PORT_1.log_drop = off
			Set Node28_FIFO_PORT_1.drop_samplerate = 1
			Set Node28_FIFO_PORT_1.droplogFileName = Opendaylight_SpanningTree.fifo_N28_P1_drop.log

		Module TCPDUMP : Node28_TCPDUMP_PORT_1

		Module LO : Node28_LO_PORT_1

		Module MAC8023 : Node28_MAC8023_PORT_1
			Set Node28_MAC8023_PORT_1.mac = 0:1:0:0:0:b2
			Set Node28_MAC8023_PORT_1.lock_mac = off
			Set Node28_MAC8023_PORT_1.PromisOpt = off
			Set Node28_MAC8023_PORT_1.mode = full
			Set Node28_MAC8023_PORT_1.log = off
			Set Node28_MAC8023_PORT_1.logInterval = 1
			Set Node28_MAC8023_PORT_1.NumCollision = off
			Set Node28_MAC8023_PORT_1.NumUniInPkt = off
			Set Node28_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node28_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node28_MAC8023_PORT_1.NumBroInPkt = off
			Set Node28_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node28_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node28_MAC8023_PORT_1.NumDrop = off
			Set Node28_MAC8023_PORT_1.InThrput = off
			Set Node28_MAC8023_PORT_1.OutThrput = off
			Set Node28_MAC8023_PORT_1.InOutThrput = off
			Set Node28_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N28_P1_UniIn.log
			Set Node28_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N28_P1_UniOut.log
			Set Node28_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N28_P1_UniInOut.log
			Set Node28_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N28_P1_BroIn.log
			Set Node28_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N28_P1_BroOut.log
			Set Node28_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N28_P1_BroInOut.log
			Set Node28_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N28_P1_Coll.log
			Set Node28_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N28_P1_Drop.log
			Set Node28_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N28_P1_InThrput.log
			Set Node28_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N28_P1_OutThrput.log
			Set Node28_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N28_P1_InOutThrput.log
			Set Node28_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node28_Phy_PORT_1
			Set Node28_Phy_PORT_1.Bw = 10.00
			Set Node28_Phy_PORT_1.BER = 0.000000000
			Set Node28_Phy_PORT_1.PropDelay = 1000.00
			Set Node28_Phy_PORT_1.linkfail = off
			Set Node28_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N28_P1.linkfail

		Module Link : Node28_PORT_1
			Set Node28_PORT_1.guitag_remotenode = yes


		Bind Node28_Interface_PORT_1 Node28_ARP_PORT_1
		Bind Node28_ARP_PORT_1 Node28_FIFO_PORT_1
		Bind Node28_FIFO_PORT_1 Node28_TCPDUMP_PORT_1
		Bind Node28_TCPDUMP_PORT_1 Node28_LO_PORT_1
		Bind Node28_LO_PORT_1 Node28_MAC8023_PORT_1
		Bind Node28_MAC8023_PORT_1 Node28_Phy_PORT_1
		Bind Node28_Phy_PORT_1 Node28_PORT_1
	EndDefine

EndCreate

Create Node 29 as HOST with name = HOST29
	Define port 1
		Module Interface : Node29_Interface_PORT_1
			Set Node29_Interface_PORT_1.ip = 1.0.2.2
			Set Node29_Interface_PORT_1.netmask = 255.255.255.0

		Module ARP : Node29_ARP_PORT_1
			Set Node29_ARP_PORT_1.arpMode = RunARP
			Set Node29_ARP_PORT_1.flushInterval = 3000
			Set Node29_ARP_PORT_1.ArpTableFileName = Opendaylight_SpanningTree.arp

		Module FIFO : Node29_FIFO_PORT_1
			Set Node29_FIFO_PORT_1.max_qlen = 50
			Set Node29_FIFO_PORT_1.log_qlen = off
			Set Node29_FIFO_PORT_1.log_option = FullLog
			Set Node29_FIFO_PORT_1.samplerate = 1
			Set Node29_FIFO_PORT_1.logFileName = Opendaylight_SpanningTree.fifo_N29_P1_qlen.log
			Set Node29_FIFO_PORT_1.log_drop = off
			Set Node29_FIFO_PORT_1.drop_samplerate = 1
			Set Node29_FIFO_PORT_1.droplogFileName = Opendaylight_SpanningTree.fifo_N29_P1_drop.log

		Module TCPDUMP : Node29_TCPDUMP_PORT_1

		Module LO : Node29_LO_PORT_1

		Module MAC8023 : Node29_MAC8023_PORT_1
			Set Node29_MAC8023_PORT_1.mac = 0:1:0:0:0:b3
			Set Node29_MAC8023_PORT_1.lock_mac = off
			Set Node29_MAC8023_PORT_1.PromisOpt = off
			Set Node29_MAC8023_PORT_1.mode = full
			Set Node29_MAC8023_PORT_1.log = off
			Set Node29_MAC8023_PORT_1.logInterval = 1
			Set Node29_MAC8023_PORT_1.NumCollision = off
			Set Node29_MAC8023_PORT_1.NumUniInPkt = off
			Set Node29_MAC8023_PORT_1.NumUniOutPkt = off
			Set Node29_MAC8023_PORT_1.NumUniInOutPkt = off
			Set Node29_MAC8023_PORT_1.NumBroInPkt = off
			Set Node29_MAC8023_PORT_1.NumBroOutPkt = off
			Set Node29_MAC8023_PORT_1.NumBroInOutPkt = off
			Set Node29_MAC8023_PORT_1.NumDrop = off
			Set Node29_MAC8023_PORT_1.InThrput = off
			Set Node29_MAC8023_PORT_1.OutThrput = off
			Set Node29_MAC8023_PORT_1.InOutThrput = off
			Set Node29_MAC8023_PORT_1.UniInLogFile = Opendaylight_SpanningTree.8023_N29_P1_UniIn.log
			Set Node29_MAC8023_PORT_1.UniOutLogFile = Opendaylight_SpanningTree.8023_N29_P1_UniOut.log
			Set Node29_MAC8023_PORT_1.UniInOutLogFile = Opendaylight_SpanningTree.8023_N29_P1_UniInOut.log
			Set Node29_MAC8023_PORT_1.BroInLogFile = Opendaylight_SpanningTree.8023_N29_P1_BroIn.log
			Set Node29_MAC8023_PORT_1.BroOutLogFile = Opendaylight_SpanningTree.8023_N29_P1_BroOut.log
			Set Node29_MAC8023_PORT_1.BroInOutLogFile = Opendaylight_SpanningTree.8023_N29_P1_BroInOut.log
			Set Node29_MAC8023_PORT_1.CollLogFile = Opendaylight_SpanningTree.8023_N29_P1_Coll.log
			Set Node29_MAC8023_PORT_1.DropLogFile = Opendaylight_SpanningTree.8023_N29_P1_Drop.log
			Set Node29_MAC8023_PORT_1.InThrputLogFile = Opendaylight_SpanningTree.8023_N29_P1_InThrput.log
			Set Node29_MAC8023_PORT_1.OutThrputLogFile = Opendaylight_SpanningTree.8023_N29_P1_OutThrput.log
			Set Node29_MAC8023_PORT_1.InOutThrputLogFile = Opendaylight_SpanningTree.8023_N29_P1_InOutThrput.log
			Set Node29_MAC8023_PORT_1.LinktoHub = 0

		Module Phy : Node29_Phy_PORT_1
			Set Node29_Phy_PORT_1.Bw = 10.00
			Set Node29_Phy_PORT_1.BER = 0.000000000
			Set Node29_Phy_PORT_1.PropDelay = 1000.00
			Set Node29_Phy_PORT_1.linkfail = off
			Set Node29_Phy_PORT_1.linkfailFileName = Opendaylight_SpanningTree.phy_N29_P1.linkfail

		Module Link : Node29_PORT_1
			Set Node29_PORT_1.guitag_remotenode = yes


		Bind Node29_Interface_PORT_1 Node29_ARP_PORT_1
		Bind Node29_ARP_PORT_1 Node29_FIFO_PORT_1
		Bind Node29_FIFO_PORT_1 Node29_TCPDUMP_PORT_1
		Bind Node29_TCPDUMP_PORT_1 Node29_LO_PORT_1
		Bind Node29_LO_PORT_1 Node29_MAC8023_PORT_1
		Bind Node29_MAC8023_PORT_1 Node29_Phy_PORT_1
		Bind Node29_Phy_PORT_1 Node29_PORT_1
	EndDefine

EndCreate

Connect WIRE 1.Node1_PORT_1 2.Node2_PORT_1


Connect WIRE 2.Node2_PORT_2 3.Node3_PORT_3


Connect WIRE 2.Node2_PORT_3 4.Node4_PORT_4


Connect WIRE 2.Node2_PORT_4 5.Node5_PORT_3


Connect WIRE 2.Node2_PORT_5 6.Node6_PORT_4


Connect WIRE 2.Node2_PORT_6 7.Node7_PORT_5


Connect WIRE 2.Node2_PORT_7 8.Node8_PORT_4


Connect WIRE 2.Node2_PORT_8 9.Node9_PORT_4


Connect WIRE 2.Node2_PORT_9 10.Node10_PORT_5


Connect WIRE 2.Node2_PORT_10 11.Node11_PORT_5


Connect WIRE 2.Node2_PORT_11 12.Node12_PORT_3


Connect WIRE 2.Node2_PORT_12 13.Node13_PORT_4


Connect WIRE 2.Node2_PORT_13 14.Node14_PORT_3


Connect WIRE 2.Node2_PORT_14 15.Node15_PORT_3


Connect WIRE 2.Node2_PORT_15 16.Node16_PORT_4


Connect WIRE 2.Node2_PORT_16 17.Node17_PORT_3


Connect WIRE 2.Node2_PORT_17 18.Node18_PORT_4


Connect WIRE 2.Node2_PORT_18 19.Node19_PORT_5


Connect WIRE 2.Node2_PORT_19 20.Node20_PORT_4


Connect WIRE 2.Node2_PORT_20 21.Node21_PORT_5


Connect WIRE 2.Node2_PORT_21 22.Node22_PORT_5


Connect WIRE 2.Node2_PORT_22 23.Node23_PORT_4


Connect WIRE 2.Node2_PORT_23 24.Node24_PORT_3


Connect WIRE 2.Node2_PORT_24 25.Node25_PORT_4


Connect WIRE 2.Node2_PORT_25 26.Node26_PORT_3


Connect WIRE 2.Node2_PORT_26 27.Node27_PORT_3


Connect WIRE 3.Node3_PORT_1 4.Node4_PORT_1


Connect WIRE 3.Node3_PORT_2 6.Node6_PORT_2


Connect WIRE 3.Node3_PORT_4 28.Node28_PORT_1


Connect WIRE 4.Node4_PORT_2 5.Node5_PORT_1


Connect WIRE 4.Node4_PORT_3 7.Node7_PORT_3


Connect WIRE 5.Node5_PORT_2 8.Node8_PORT_2


Connect WIRE 6.Node6_PORT_1 7.Node7_PORT_1


Connect WIRE 6.Node6_PORT_3 9.Node9_PORT_2


Connect WIRE 7.Node7_PORT_2 8.Node8_PORT_1


Connect WIRE 7.Node7_PORT_4 10.Node10_PORT_3


Connect WIRE 8.Node8_PORT_3 11.Node11_PORT_2


Connect WIRE 9.Node9_PORT_1 10.Node10_PORT_1


Connect WIRE 9.Node9_PORT_3 12.Node12_PORT_2


Connect WIRE 10.Node10_PORT_2 11.Node11_PORT_1


Connect WIRE 10.Node10_PORT_4 13.Node13_PORT_3


Connect WIRE 11.Node11_PORT_3 14.Node14_PORT_2


Connect WIRE 11.Node11_PORT_4 27.Node27_PORT_1


Connect WIRE 12.Node12_PORT_1 13.Node13_PORT_1


Connect WIRE 13.Node13_PORT_2 14.Node14_PORT_1


Connect WIRE 15.Node15_PORT_1 16.Node16_PORT_1


Connect WIRE 15.Node15_PORT_2 18.Node18_PORT_2


Connect WIRE 16.Node16_PORT_2 17.Node17_PORT_1


Connect WIRE 16.Node16_PORT_3 19.Node19_PORT_3


Connect WIRE 17.Node17_PORT_2 20.Node20_PORT_2


Connect WIRE 18.Node18_PORT_1 19.Node19_PORT_1


Connect WIRE 18.Node18_PORT_3 21.Node21_PORT_2


Connect WIRE 19.Node19_PORT_2 20.Node20_PORT_1


Connect WIRE 19.Node19_PORT_4 22.Node22_PORT_3


Connect WIRE 20.Node20_PORT_3 23.Node23_PORT_2


Connect WIRE 21.Node21_PORT_1 22.Node22_PORT_1


Connect WIRE 21.Node21_PORT_3 24.Node24_PORT_2


Connect WIRE 21.Node21_PORT_4 27.Node27_PORT_2


Connect WIRE 22.Node22_PORT_2 23.Node23_PORT_1


Connect WIRE 22.Node22_PORT_4 25.Node25_PORT_3


Connect WIRE 23.Node23_PORT_3 26.Node26_PORT_2


Connect WIRE 24.Node24_PORT_1 25.Node25_PORT_1


Connect WIRE 25.Node25_PORT_2 26.Node26_PORT_1


Connect WIRE 26.Node26_PORT_4 29.Node29_PORT_1




Run 2000
